package dev.pfaff.glass.opengl;

import java.io.IOException;
import java.lang.foreign.SymbolLookup;
import java.lang.invoke.MethodHandle;
import java.lang.invoke.MethodHandles;

import static java.lang.invoke.MethodType.methodType;

public abstract class GLFunctions {
	private GLFunctions() {}
	public abstract MethodHandle glAccum();
	public abstract MethodHandle glAccumxOES();
	public abstract MethodHandle glActiveProgramEXT();
	public abstract MethodHandle glActiveShaderProgram();
	public abstract MethodHandle glActiveShaderProgramEXT();
	public abstract MethodHandle glActiveStencilFaceEXT();
	public abstract MethodHandle glActiveTexture();
	public abstract MethodHandle glActiveTextureARB();
	public abstract MethodHandle glActiveVaryingNV();
	public abstract MethodHandle glAlphaFragmentOp1ATI();
	public abstract MethodHandle glAlphaFragmentOp2ATI();
	public abstract MethodHandle glAlphaFragmentOp3ATI();
	public abstract MethodHandle glAlphaFunc();
	public abstract MethodHandle glAlphaFuncQCOM();
	public abstract MethodHandle glAlphaFuncx();
	public abstract MethodHandle glAlphaFuncxOES();
	public abstract MethodHandle glAlphaToCoverageDitherControlNV();
	public abstract MethodHandle glApplyFramebufferAttachmentCMAAINTEL();
	public abstract MethodHandle glApplyTextureEXT();
	public abstract MethodHandle glAcquireKeyedMutexWin32EXT();
	public abstract MethodHandle glAreProgramsResidentNV();
	public abstract MethodHandle glAreTexturesResident();
	public abstract MethodHandle glAreTexturesResidentEXT();
	public abstract MethodHandle glArrayElement();
	public abstract MethodHandle glArrayElementEXT();
	public abstract MethodHandle glArrayObjectATI();
	public abstract MethodHandle glAsyncCopyBufferSubDataNVX();
	public abstract MethodHandle glAsyncCopyImageSubDataNVX();
	public abstract MethodHandle glAsyncMarkerSGIX();
	public abstract MethodHandle glAttachObjectARB();
	public abstract MethodHandle glAttachShader();
	public abstract MethodHandle glBegin();
	public abstract MethodHandle glBeginConditionalRender();
	public abstract MethodHandle glBeginConditionalRenderNV();
	public abstract MethodHandle glBeginConditionalRenderNVX();
	public abstract MethodHandle glBeginFragmentShaderATI();
	public abstract MethodHandle glBeginOcclusionQueryNV();
	public abstract MethodHandle glBeginPerfMonitorAMD();
	public abstract MethodHandle glBeginPerfQueryINTEL();
	public abstract MethodHandle glBeginQuery();
	public abstract MethodHandle glBeginQueryARB();
	public abstract MethodHandle glBeginQueryEXT();
	public abstract MethodHandle glBeginQueryIndexed();
	public abstract MethodHandle glBeginTransformFeedback();
	public abstract MethodHandle glBeginTransformFeedbackEXT();
	public abstract MethodHandle glBeginTransformFeedbackNV();
	public abstract MethodHandle glBeginVertexShaderEXT();
	public abstract MethodHandle glBeginVideoCaptureNV();
	public abstract MethodHandle glBindAttribLocation();
	public abstract MethodHandle glBindAttribLocationARB();
	public abstract MethodHandle glBindBuffer();
	public abstract MethodHandle glBindBufferARB();
	public abstract MethodHandle glBindBufferBase();
	public abstract MethodHandle glBindBufferBaseEXT();
	public abstract MethodHandle glBindBufferBaseNV();
	public abstract MethodHandle glBindBufferOffsetEXT();
	public abstract MethodHandle glBindBufferOffsetNV();
	public abstract MethodHandle glBindBufferRange();
	public abstract MethodHandle glBindBufferRangeEXT();
	public abstract MethodHandle glBindBufferRangeNV();
	public abstract MethodHandle glBindBuffersBase();
	public abstract MethodHandle glBindBuffersRange();
	public abstract MethodHandle glBindFragDataLocation();
	public abstract MethodHandle glBindFragDataLocationEXT();
	public abstract MethodHandle glBindFragDataLocationIndexed();
	public abstract MethodHandle glBindFragDataLocationIndexedEXT();
	public abstract MethodHandle glBindFragmentShaderATI();
	public abstract MethodHandle glBindFramebuffer();
	public abstract MethodHandle glBindFramebufferEXT();
	public abstract MethodHandle glBindFramebufferOES();
	public abstract MethodHandle glBindImageTexture();
	public abstract MethodHandle glBindImageTextureEXT();
	public abstract MethodHandle glBindImageTextures();
	public abstract MethodHandle glBindLightParameterEXT();
	public abstract MethodHandle glBindMaterialParameterEXT();
	public abstract MethodHandle glBindMultiTextureEXT();
	public abstract MethodHandle glBindParameterEXT();
	public abstract MethodHandle glBindProgramARB();
	public abstract MethodHandle glBindProgramNV();
	public abstract MethodHandle glBindProgramPipeline();
	public abstract MethodHandle glBindProgramPipelineEXT();
	public abstract MethodHandle glBindRenderbuffer();
	public abstract MethodHandle glBindRenderbufferEXT();
	public abstract MethodHandle glBindRenderbufferOES();
	public abstract MethodHandle glBindSampler();
	public abstract MethodHandle glBindSamplers();
	public abstract MethodHandle glBindShadingRateImageNV();
	public abstract MethodHandle glBindTexGenParameterEXT();
	public abstract MethodHandle glBindTexture();
	public abstract MethodHandle glBindTextureEXT();
	public abstract MethodHandle glBindTextureUnit();
	public abstract MethodHandle glBindTextureUnitParameterEXT();
	public abstract MethodHandle glBindTextures();
	public abstract MethodHandle glBindTransformFeedback();
	public abstract MethodHandle glBindTransformFeedbackNV();
	public abstract MethodHandle glBindVertexArray();
	public abstract MethodHandle glBindVertexArrayAPPLE();
	public abstract MethodHandle glBindVertexArrayOES();
	public abstract MethodHandle glBindVertexBuffer();
	public abstract MethodHandle glBindVertexBuffers();
	public abstract MethodHandle glBindVertexShaderEXT();
	public abstract MethodHandle glBindVideoCaptureStreamBufferNV();
	public abstract MethodHandle glBindVideoCaptureStreamTextureNV();
	public abstract MethodHandle glBinormal3bEXT();
	public abstract MethodHandle glBinormal3bvEXT();
	public abstract MethodHandle glBinormal3dEXT();
	public abstract MethodHandle glBinormal3dvEXT();
	public abstract MethodHandle glBinormal3fEXT();
	public abstract MethodHandle glBinormal3fvEXT();
	public abstract MethodHandle glBinormal3iEXT();
	public abstract MethodHandle glBinormal3ivEXT();
	public abstract MethodHandle glBinormal3sEXT();
	public abstract MethodHandle glBinormal3svEXT();
	public abstract MethodHandle glBinormalPointerEXT();
	public abstract MethodHandle glBitmap();
	public abstract MethodHandle glBitmapxOES();
	public abstract MethodHandle glBlendBarrier();
	public abstract MethodHandle glBlendBarrierKHR();
	public abstract MethodHandle glBlendBarrierNV();
	public abstract MethodHandle glBlendColor();
	public abstract MethodHandle glBlendColorEXT();
	public abstract MethodHandle glBlendColorxOES();
	public abstract MethodHandle glBlendEquation();
	public abstract MethodHandle glBlendEquationEXT();
	public abstract MethodHandle glBlendEquationIndexedAMD();
	public abstract MethodHandle glBlendEquationOES();
	public abstract MethodHandle glBlendEquationSeparate();
	public abstract MethodHandle glBlendEquationSeparateEXT();
	public abstract MethodHandle glBlendEquationSeparateIndexedAMD();
	public abstract MethodHandle glBlendEquationSeparateOES();
	public abstract MethodHandle glBlendEquationSeparatei();
	public abstract MethodHandle glBlendEquationSeparateiARB();
	public abstract MethodHandle glBlendEquationSeparateiEXT();
	public abstract MethodHandle glBlendEquationSeparateiOES();
	public abstract MethodHandle glBlendEquationi();
	public abstract MethodHandle glBlendEquationiARB();
	public abstract MethodHandle glBlendEquationiEXT();
	public abstract MethodHandle glBlendEquationiOES();
	public abstract MethodHandle glBlendFunc();
	public abstract MethodHandle glBlendFuncIndexedAMD();
	public abstract MethodHandle glBlendFuncSeparate();
	public abstract MethodHandle glBlendFuncSeparateEXT();
	public abstract MethodHandle glBlendFuncSeparateINGR();
	public abstract MethodHandle glBlendFuncSeparateIndexedAMD();
	public abstract MethodHandle glBlendFuncSeparateOES();
	public abstract MethodHandle glBlendFuncSeparatei();
	public abstract MethodHandle glBlendFuncSeparateiARB();
	public abstract MethodHandle glBlendFuncSeparateiEXT();
	public abstract MethodHandle glBlendFuncSeparateiOES();
	public abstract MethodHandle glBlendFunci();
	public abstract MethodHandle glBlendFunciARB();
	public abstract MethodHandle glBlendFunciEXT();
	public abstract MethodHandle glBlendFunciOES();
	public abstract MethodHandle glBlendParameteriNV();
	public abstract MethodHandle glBlitFramebuffer();
	public abstract MethodHandle glBlitFramebufferANGLE();
	public abstract MethodHandle glBlitFramebufferEXT();
	public abstract MethodHandle glBlitFramebufferLayerEXT();
	public abstract MethodHandle glBlitFramebufferLayersEXT();
	public abstract MethodHandle glBlitFramebufferNV();
	public abstract MethodHandle glBlitNamedFramebuffer();
	public abstract MethodHandle glBufferAddressRangeNV();
	public abstract MethodHandle glBufferAttachMemoryNV();
	public abstract MethodHandle glBufferData();
	public abstract MethodHandle glBufferDataARB();
	public abstract MethodHandle glBufferPageCommitmentARB();
	public abstract MethodHandle glBufferPageCommitmentMemNV();
	public abstract MethodHandle glBufferParameteriAPPLE();
	public abstract MethodHandle glBufferStorage();
	public abstract MethodHandle glBufferStorageEXT();
	public abstract MethodHandle glBufferStorageExternalEXT();
	public abstract MethodHandle glBufferStorageMemEXT();
	public abstract MethodHandle glBufferSubData();
	public abstract MethodHandle glBufferSubDataARB();
	public abstract MethodHandle glCallCommandListNV();
	public abstract MethodHandle glCallList();
	public abstract MethodHandle glCallLists();
	public abstract MethodHandle glCheckFramebufferStatus();
	public abstract MethodHandle glCheckFramebufferStatusEXT();
	public abstract MethodHandle glCheckFramebufferStatusOES();
	public abstract MethodHandle glCheckNamedFramebufferStatus();
	public abstract MethodHandle glCheckNamedFramebufferStatusEXT();
	public abstract MethodHandle glClampColor();
	public abstract MethodHandle glClampColorARB();
	public abstract MethodHandle glClear();
	public abstract MethodHandle glClearAccum();
	public abstract MethodHandle glClearAccumxOES();
	public abstract MethodHandle glClearBufferData();
	public abstract MethodHandle glClearBufferSubData();
	public abstract MethodHandle glClearBufferfi();
	public abstract MethodHandle glClearBufferfv();
	public abstract MethodHandle glClearBufferiv();
	public abstract MethodHandle glClearBufferuiv();
	public abstract MethodHandle glClearColor();
	public abstract MethodHandle glClearColorIiEXT();
	public abstract MethodHandle glClearColorIuiEXT();
	public abstract MethodHandle glClearColorx();
	public abstract MethodHandle glClearColorxOES();
	public abstract MethodHandle glClearDepth();
	public abstract MethodHandle glClearDepthdNV();
	public abstract MethodHandle glClearDepthf();
	public abstract MethodHandle glClearDepthfOES();
	public abstract MethodHandle glClearDepthx();
	public abstract MethodHandle glClearDepthxOES();
	public abstract MethodHandle glClearIndex();
	public abstract MethodHandle glClearNamedBufferData();
	public abstract MethodHandle glClearNamedBufferDataEXT();
	public abstract MethodHandle glClearNamedBufferSubData();
	public abstract MethodHandle glClearNamedBufferSubDataEXT();
	public abstract MethodHandle glClearNamedFramebufferfi();
	public abstract MethodHandle glClearNamedFramebufferfv();
	public abstract MethodHandle glClearNamedFramebufferiv();
	public abstract MethodHandle glClearNamedFramebufferuiv();
	public abstract MethodHandle glClearPixelLocalStorageuiEXT();
	public abstract MethodHandle glClearStencil();
	public abstract MethodHandle glClearTexImage();
	public abstract MethodHandle glClearTexImageEXT();
	public abstract MethodHandle glClearTexSubImage();
	public abstract MethodHandle glClearTexSubImageEXT();
	public abstract MethodHandle glClientActiveTexture();
	public abstract MethodHandle glClientActiveTextureARB();
	public abstract MethodHandle glClientActiveVertexStreamATI();
	public abstract MethodHandle glClientAttribDefaultEXT();
	public abstract MethodHandle glClientWaitSemaphoreui64NVX();
	public abstract MethodHandle glClientWaitSync();
	public abstract MethodHandle glClientWaitSyncAPPLE();
	public abstract MethodHandle glClipControl();
	public abstract MethodHandle glClipControlEXT();
	public abstract MethodHandle glClipPlane();
	public abstract MethodHandle glClipPlanef();
	public abstract MethodHandle glClipPlanefIMG();
	public abstract MethodHandle glClipPlanefOES();
	public abstract MethodHandle glClipPlanex();
	public abstract MethodHandle glClipPlanexIMG();
	public abstract MethodHandle glClipPlanexOES();
	public abstract MethodHandle glColor3b();
	public abstract MethodHandle glColor3bv();
	public abstract MethodHandle glColor3d();
	public abstract MethodHandle glColor3dv();
	public abstract MethodHandle glColor3f();
	public abstract MethodHandle glColor3fVertex3fSUN();
	public abstract MethodHandle glColor3fVertex3fvSUN();
	public abstract MethodHandle glColor3fv();
	public abstract MethodHandle glColor3hNV();
	public abstract MethodHandle glColor3hvNV();
	public abstract MethodHandle glColor3i();
	public abstract MethodHandle glColor3iv();
	public abstract MethodHandle glColor3s();
	public abstract MethodHandle glColor3sv();
	public abstract MethodHandle glColor3ub();
	public abstract MethodHandle glColor3ubv();
	public abstract MethodHandle glColor3ui();
	public abstract MethodHandle glColor3uiv();
	public abstract MethodHandle glColor3us();
	public abstract MethodHandle glColor3usv();
	public abstract MethodHandle glColor3xOES();
	public abstract MethodHandle glColor3xvOES();
	public abstract MethodHandle glColor4b();
	public abstract MethodHandle glColor4bv();
	public abstract MethodHandle glColor4d();
	public abstract MethodHandle glColor4dv();
	public abstract MethodHandle glColor4f();
	public abstract MethodHandle glColor4fNormal3fVertex3fSUN();
	public abstract MethodHandle glColor4fNormal3fVertex3fvSUN();
	public abstract MethodHandle glColor4fv();
	public abstract MethodHandle glColor4hNV();
	public abstract MethodHandle glColor4hvNV();
	public abstract MethodHandle glColor4i();
	public abstract MethodHandle glColor4iv();
	public abstract MethodHandle glColor4s();
	public abstract MethodHandle glColor4sv();
	public abstract MethodHandle glColor4ub();
	public abstract MethodHandle glColor4ubVertex2fSUN();
	public abstract MethodHandle glColor4ubVertex2fvSUN();
	public abstract MethodHandle glColor4ubVertex3fSUN();
	public abstract MethodHandle glColor4ubVertex3fvSUN();
	public abstract MethodHandle glColor4ubv();
	public abstract MethodHandle glColor4ui();
	public abstract MethodHandle glColor4uiv();
	public abstract MethodHandle glColor4us();
	public abstract MethodHandle glColor4usv();
	public abstract MethodHandle glColor4x();
	public abstract MethodHandle glColor4xOES();
	public abstract MethodHandle glColor4xvOES();
	public abstract MethodHandle glColorFormatNV();
	public abstract MethodHandle glColorFragmentOp1ATI();
	public abstract MethodHandle glColorFragmentOp2ATI();
	public abstract MethodHandle glColorFragmentOp3ATI();
	public abstract MethodHandle glColorMask();
	public abstract MethodHandle glColorMaskIndexedEXT();
	public abstract MethodHandle glColorMaski();
	public abstract MethodHandle glColorMaskiEXT();
	public abstract MethodHandle glColorMaskiOES();
	public abstract MethodHandle glColorMaterial();
	public abstract MethodHandle glColorP3ui();
	public abstract MethodHandle glColorP3uiv();
	public abstract MethodHandle glColorP4ui();
	public abstract MethodHandle glColorP4uiv();
	public abstract MethodHandle glColorPointer();
	public abstract MethodHandle glColorPointerEXT();
	public abstract MethodHandle glColorPointerListIBM();
	public abstract MethodHandle glColorPointervINTEL();
	public abstract MethodHandle glColorSubTable();
	public abstract MethodHandle glColorSubTableEXT();
	public abstract MethodHandle glColorTable();
	public abstract MethodHandle glColorTableEXT();
	public abstract MethodHandle glColorTableParameterfv();
	public abstract MethodHandle glColorTableParameterfvSGI();
	public abstract MethodHandle glColorTableParameteriv();
	public abstract MethodHandle glColorTableParameterivSGI();
	public abstract MethodHandle glColorTableSGI();
	public abstract MethodHandle glCombinerInputNV();
	public abstract MethodHandle glCombinerOutputNV();
	public abstract MethodHandle glCombinerParameterfNV();
	public abstract MethodHandle glCombinerParameterfvNV();
	public abstract MethodHandle glCombinerParameteriNV();
	public abstract MethodHandle glCombinerParameterivNV();
	public abstract MethodHandle glCombinerStageParameterfvNV();
	public abstract MethodHandle glCommandListSegmentsNV();
	public abstract MethodHandle glCompileCommandListNV();
	public abstract MethodHandle glCompileShader();
	public abstract MethodHandle glCompileShaderARB();
	public abstract MethodHandle glCompileShaderIncludeARB();
	public abstract MethodHandle glCompressedMultiTexImage1DEXT();
	public abstract MethodHandle glCompressedMultiTexImage2DEXT();
	public abstract MethodHandle glCompressedMultiTexImage3DEXT();
	public abstract MethodHandle glCompressedMultiTexSubImage1DEXT();
	public abstract MethodHandle glCompressedMultiTexSubImage2DEXT();
	public abstract MethodHandle glCompressedMultiTexSubImage3DEXT();
	public abstract MethodHandle glCompressedTexImage1D();
	public abstract MethodHandle glCompressedTexImage1DARB();
	public abstract MethodHandle glCompressedTexImage2D();
	public abstract MethodHandle glCompressedTexImage2DARB();
	public abstract MethodHandle glCompressedTexImage3D();
	public abstract MethodHandle glCompressedTexImage3DARB();
	public abstract MethodHandle glCompressedTexImage3DOES();
	public abstract MethodHandle glCompressedTexSubImage1D();
	public abstract MethodHandle glCompressedTexSubImage1DARB();
	public abstract MethodHandle glCompressedTexSubImage2D();
	public abstract MethodHandle glCompressedTexSubImage2DARB();
	public abstract MethodHandle glCompressedTexSubImage3D();
	public abstract MethodHandle glCompressedTexSubImage3DARB();
	public abstract MethodHandle glCompressedTexSubImage3DOES();
	public abstract MethodHandle glCompressedTextureImage1DEXT();
	public abstract MethodHandle glCompressedTextureImage2DEXT();
	public abstract MethodHandle glCompressedTextureImage3DEXT();
	public abstract MethodHandle glCompressedTextureSubImage1D();
	public abstract MethodHandle glCompressedTextureSubImage1DEXT();
	public abstract MethodHandle glCompressedTextureSubImage2D();
	public abstract MethodHandle glCompressedTextureSubImage2DEXT();
	public abstract MethodHandle glCompressedTextureSubImage3D();
	public abstract MethodHandle glCompressedTextureSubImage3DEXT();
	public abstract MethodHandle glConservativeRasterParameterfNV();
	public abstract MethodHandle glConservativeRasterParameteriNV();
	public abstract MethodHandle glConvolutionFilter1D();
	public abstract MethodHandle glConvolutionFilter1DEXT();
	public abstract MethodHandle glConvolutionFilter2D();
	public abstract MethodHandle glConvolutionFilter2DEXT();
	public abstract MethodHandle glConvolutionParameterf();
	public abstract MethodHandle glConvolutionParameterfEXT();
	public abstract MethodHandle glConvolutionParameterfv();
	public abstract MethodHandle glConvolutionParameterfvEXT();
	public abstract MethodHandle glConvolutionParameteri();
	public abstract MethodHandle glConvolutionParameteriEXT();
	public abstract MethodHandle glConvolutionParameteriv();
	public abstract MethodHandle glConvolutionParameterivEXT();
	public abstract MethodHandle glConvolutionParameterxOES();
	public abstract MethodHandle glConvolutionParameterxvOES();
	public abstract MethodHandle glCopyBufferSubData();
	public abstract MethodHandle glCopyBufferSubDataNV();
	public abstract MethodHandle glCopyColorSubTable();
	public abstract MethodHandle glCopyColorSubTableEXT();
	public abstract MethodHandle glCopyColorTable();
	public abstract MethodHandle glCopyColorTableSGI();
	public abstract MethodHandle glCopyConvolutionFilter1D();
	public abstract MethodHandle glCopyConvolutionFilter1DEXT();
	public abstract MethodHandle glCopyConvolutionFilter2D();
	public abstract MethodHandle glCopyConvolutionFilter2DEXT();
	public abstract MethodHandle glCopyImageSubData();
	public abstract MethodHandle glCopyImageSubDataEXT();
	public abstract MethodHandle glCopyImageSubDataNV();
	public abstract MethodHandle glCopyImageSubDataOES();
	public abstract MethodHandle glCopyMultiTexImage1DEXT();
	public abstract MethodHandle glCopyMultiTexImage2DEXT();
	public abstract MethodHandle glCopyMultiTexSubImage1DEXT();
	public abstract MethodHandle glCopyMultiTexSubImage2DEXT();
	public abstract MethodHandle glCopyMultiTexSubImage3DEXT();
	public abstract MethodHandle glCopyNamedBufferSubData();
	public abstract MethodHandle glCopyPathNV();
	public abstract MethodHandle glCopyPixels();
	public abstract MethodHandle glCopyTexImage1D();
	public abstract MethodHandle glCopyTexImage1DEXT();
	public abstract MethodHandle glCopyTexImage2D();
	public abstract MethodHandle glCopyTexImage2DEXT();
	public abstract MethodHandle glCopyTexSubImage1D();
	public abstract MethodHandle glCopyTexSubImage1DEXT();
	public abstract MethodHandle glCopyTexSubImage2D();
	public abstract MethodHandle glCopyTexSubImage2DEXT();
	public abstract MethodHandle glCopyTexSubImage3D();
	public abstract MethodHandle glCopyTexSubImage3DEXT();
	public abstract MethodHandle glCopyTexSubImage3DOES();
	public abstract MethodHandle glCopyTextureImage1DEXT();
	public abstract MethodHandle glCopyTextureImage2DEXT();
	public abstract MethodHandle glCopyTextureLevelsAPPLE();
	public abstract MethodHandle glCopyTextureSubImage1D();
	public abstract MethodHandle glCopyTextureSubImage1DEXT();
	public abstract MethodHandle glCopyTextureSubImage2D();
	public abstract MethodHandle glCopyTextureSubImage2DEXT();
	public abstract MethodHandle glCopyTextureSubImage3D();
	public abstract MethodHandle glCopyTextureSubImage3DEXT();
	public abstract MethodHandle glCoverFillPathInstancedNV();
	public abstract MethodHandle glCoverFillPathNV();
	public abstract MethodHandle glCoverStrokePathInstancedNV();
	public abstract MethodHandle glCoverStrokePathNV();
	public abstract MethodHandle glCoverageMaskNV();
	public abstract MethodHandle glCoverageModulationNV();
	public abstract MethodHandle glCoverageModulationTableNV();
	public abstract MethodHandle glCoverageOperationNV();
	public abstract MethodHandle glCreateBuffers();
	public abstract MethodHandle glCreateCommandListsNV();
	public abstract MethodHandle glCreateFramebuffers();
	public abstract MethodHandle glCreateMemoryObjectsEXT();
	public abstract MethodHandle glCreatePerfQueryINTEL();
	public abstract MethodHandle glCreateProgram();
	public abstract MethodHandle glCreateProgramObjectARB();
	public abstract MethodHandle glCreateProgramPipelines();
	public abstract MethodHandle glCreateProgressFenceNVX();
	public abstract MethodHandle glCreateQueries();
	public abstract MethodHandle glCreateRenderbuffers();
	public abstract MethodHandle glCreateSamplers();
	public abstract MethodHandle glCreateSemaphoresNV();
	public abstract MethodHandle glCreateShader();
	public abstract MethodHandle glCreateShaderObjectARB();
	public abstract MethodHandle glCreateShaderProgramEXT();
	public abstract MethodHandle glCreateShaderProgramv();
	public abstract MethodHandle glCreateShaderProgramvEXT();
	public abstract MethodHandle glCreateStatesNV();
	public abstract MethodHandle glCreateSyncFromCLeventARB();
	public abstract MethodHandle glCreateTextures();
	public abstract MethodHandle glCreateTransformFeedbacks();
	public abstract MethodHandle glCreateVertexArrays();
	public abstract MethodHandle glCullFace();
	public abstract MethodHandle glCullParameterdvEXT();
	public abstract MethodHandle glCullParameterfvEXT();
	public abstract MethodHandle glCurrentPaletteMatrixARB();
	public abstract MethodHandle glCurrentPaletteMatrixOES();
	public abstract MethodHandle glDebugMessageCallback();
	public abstract MethodHandle glDebugMessageCallbackAMD();
	public abstract MethodHandle glDebugMessageCallbackARB();
	public abstract MethodHandle glDebugMessageCallbackKHR();
	public abstract MethodHandle glDebugMessageControl();
	public abstract MethodHandle glDebugMessageControlARB();
	public abstract MethodHandle glDebugMessageControlKHR();
	public abstract MethodHandle glDebugMessageEnableAMD();
	public abstract MethodHandle glDebugMessageInsert();
	public abstract MethodHandle glDebugMessageInsertAMD();
	public abstract MethodHandle glDebugMessageInsertARB();
	public abstract MethodHandle glDebugMessageInsertKHR();
	public abstract MethodHandle glDeformSGIX();
	public abstract MethodHandle glDeformationMap3dSGIX();
	public abstract MethodHandle glDeformationMap3fSGIX();
	public abstract MethodHandle glDeleteAsyncMarkersSGIX();
	public abstract MethodHandle glDeleteBuffers();
	public abstract MethodHandle glDeleteBuffersARB();
	public abstract MethodHandle glDeleteCommandListsNV();
	public abstract MethodHandle glDeleteFencesAPPLE();
	public abstract MethodHandle glDeleteFencesNV();
	public abstract MethodHandle glDeleteFragmentShaderATI();
	public abstract MethodHandle glDeleteFramebuffers();
	public abstract MethodHandle glDeleteFramebuffersEXT();
	public abstract MethodHandle glDeleteFramebuffersOES();
	public abstract MethodHandle glDeleteLists();
	public abstract MethodHandle glDeleteMemoryObjectsEXT();
	public abstract MethodHandle glDeleteNamedStringARB();
	public abstract MethodHandle glDeleteNamesAMD();
	public abstract MethodHandle glDeleteObjectARB();
	public abstract MethodHandle glDeleteOcclusionQueriesNV();
	public abstract MethodHandle glDeletePathsNV();
	public abstract MethodHandle glDeletePerfMonitorsAMD();
	public abstract MethodHandle glDeletePerfQueryINTEL();
	public abstract MethodHandle glDeleteProgram();
	public abstract MethodHandle glDeleteProgramPipelines();
	public abstract MethodHandle glDeleteProgramPipelinesEXT();
	public abstract MethodHandle glDeleteProgramsARB();
	public abstract MethodHandle glDeleteProgramsNV();
	public abstract MethodHandle glDeleteQueries();
	public abstract MethodHandle glDeleteQueriesARB();
	public abstract MethodHandle glDeleteQueriesEXT();
	public abstract MethodHandle glDeleteQueryResourceTagNV();
	public abstract MethodHandle glDeleteRenderbuffers();
	public abstract MethodHandle glDeleteRenderbuffersEXT();
	public abstract MethodHandle glDeleteRenderbuffersOES();
	public abstract MethodHandle glDeleteSamplers();
	public abstract MethodHandle glDeleteSemaphoresEXT();
	public abstract MethodHandle glDeleteShader();
	public abstract MethodHandle glDeleteStatesNV();
	public abstract MethodHandle glDeleteSync();
	public abstract MethodHandle glDeleteSyncAPPLE();
	public abstract MethodHandle glDeleteTextures();
	public abstract MethodHandle glDeleteTexturesEXT();
	public abstract MethodHandle glDeleteTransformFeedbacks();
	public abstract MethodHandle glDeleteTransformFeedbacksNV();
	public abstract MethodHandle glDeleteVertexArrays();
	public abstract MethodHandle glDeleteVertexArraysAPPLE();
	public abstract MethodHandle glDeleteVertexArraysOES();
	public abstract MethodHandle glDeleteVertexShaderEXT();
	public abstract MethodHandle glDepthBoundsEXT();
	public abstract MethodHandle glDepthBoundsdNV();
	public abstract MethodHandle glDepthFunc();
	public abstract MethodHandle glDepthMask();
	public abstract MethodHandle glDepthRange();
	public abstract MethodHandle glDepthRangeArraydvNV();
	public abstract MethodHandle glDepthRangeArrayfvNV();
	public abstract MethodHandle glDepthRangeArrayfvOES();
	public abstract MethodHandle glDepthRangeArrayv();
	public abstract MethodHandle glDepthRangeIndexed();
	public abstract MethodHandle glDepthRangeIndexeddNV();
	public abstract MethodHandle glDepthRangeIndexedfNV();
	public abstract MethodHandle glDepthRangeIndexedfOES();
	public abstract MethodHandle glDepthRangedNV();
	public abstract MethodHandle glDepthRangef();
	public abstract MethodHandle glDepthRangefOES();
	public abstract MethodHandle glDepthRangex();
	public abstract MethodHandle glDepthRangexOES();
	public abstract MethodHandle glDetachObjectARB();
	public abstract MethodHandle glDetachShader();
	public abstract MethodHandle glDetailTexFuncSGIS();
	public abstract MethodHandle glDisable();
	public abstract MethodHandle glDisableClientState();
	public abstract MethodHandle glDisableClientStateIndexedEXT();
	public abstract MethodHandle glDisableClientStateiEXT();
	public abstract MethodHandle glDisableDriverControlQCOM();
	public abstract MethodHandle glDisableIndexedEXT();
	public abstract MethodHandle glDisableVariantClientStateEXT();
	public abstract MethodHandle glDisableVertexArrayAttrib();
	public abstract MethodHandle glDisableVertexArrayAttribEXT();
	public abstract MethodHandle glDisableVertexArrayEXT();
	public abstract MethodHandle glDisableVertexAttribAPPLE();
	public abstract MethodHandle glDisableVertexAttribArray();
	public abstract MethodHandle glDisableVertexAttribArrayARB();
	public abstract MethodHandle glDisablei();
	public abstract MethodHandle glDisableiEXT();
	public abstract MethodHandle glDisableiNV();
	public abstract MethodHandle glDisableiOES();
	public abstract MethodHandle glDiscardFramebufferEXT();
	public abstract MethodHandle glDispatchCompute();
	public abstract MethodHandle glDispatchComputeGroupSizeARB();
	public abstract MethodHandle glDispatchComputeIndirect();
	public abstract MethodHandle glDrawArrays();
	public abstract MethodHandle glDrawArraysEXT();
	public abstract MethodHandle glDrawArraysIndirect();
	public abstract MethodHandle glDrawArraysInstanced();
	public abstract MethodHandle glDrawArraysInstancedANGLE();
	public abstract MethodHandle glDrawArraysInstancedARB();
	public abstract MethodHandle glDrawArraysInstancedBaseInstance();
	public abstract MethodHandle glDrawArraysInstancedBaseInstanceEXT();
	public abstract MethodHandle glDrawArraysInstancedEXT();
	public abstract MethodHandle glDrawArraysInstancedNV();
	public abstract MethodHandle glDrawBuffer();
	public abstract MethodHandle glDrawBuffers();
	public abstract MethodHandle glDrawBuffersARB();
	public abstract MethodHandle glDrawBuffersATI();
	public abstract MethodHandle glDrawBuffersEXT();
	public abstract MethodHandle glDrawBuffersIndexedEXT();
	public abstract MethodHandle glDrawBuffersNV();
	public abstract MethodHandle glDrawCommandsAddressNV();
	public abstract MethodHandle glDrawCommandsNV();
	public abstract MethodHandle glDrawCommandsStatesAddressNV();
	public abstract MethodHandle glDrawCommandsStatesNV();
	public abstract MethodHandle glDrawElementArrayAPPLE();
	public abstract MethodHandle glDrawElementArrayATI();
	public abstract MethodHandle glDrawElements();
	public abstract MethodHandle glDrawElementsBaseVertex();
	public abstract MethodHandle glDrawElementsBaseVertexEXT();
	public abstract MethodHandle glDrawElementsBaseVertexOES();
	public abstract MethodHandle glDrawElementsIndirect();
	public abstract MethodHandle glDrawElementsInstanced();
	public abstract MethodHandle glDrawElementsInstancedANGLE();
	public abstract MethodHandle glDrawElementsInstancedARB();
	public abstract MethodHandle glDrawElementsInstancedBaseInstance();
	public abstract MethodHandle glDrawElementsInstancedBaseInstanceEXT();
	public abstract MethodHandle glDrawElementsInstancedBaseVertex();
	public abstract MethodHandle glDrawElementsInstancedBaseVertexBaseInstance();
	public abstract MethodHandle glDrawElementsInstancedBaseVertexBaseInstanceEXT();
	public abstract MethodHandle glDrawElementsInstancedBaseVertexEXT();
	public abstract MethodHandle glDrawElementsInstancedBaseVertexOES();
	public abstract MethodHandle glDrawElementsInstancedEXT();
	public abstract MethodHandle glDrawElementsInstancedNV();
	public abstract MethodHandle glDrawMeshArraysSUN();
	public abstract MethodHandle glDrawMeshTasksNV();
	public abstract MethodHandle glDrawMeshTasksIndirectNV();
	public abstract MethodHandle glDrawPixels();
	public abstract MethodHandle glDrawRangeElementArrayAPPLE();
	public abstract MethodHandle glDrawRangeElementArrayATI();
	public abstract MethodHandle glDrawRangeElements();
	public abstract MethodHandle glDrawRangeElementsBaseVertex();
	public abstract MethodHandle glDrawRangeElementsBaseVertexEXT();
	public abstract MethodHandle glDrawRangeElementsBaseVertexOES();
	public abstract MethodHandle glDrawRangeElementsEXT();
	public abstract MethodHandle glDrawTexfOES();
	public abstract MethodHandle glDrawTexfvOES();
	public abstract MethodHandle glDrawTexiOES();
	public abstract MethodHandle glDrawTexivOES();
	public abstract MethodHandle glDrawTexsOES();
	public abstract MethodHandle glDrawTexsvOES();
	public abstract MethodHandle glDrawTextureNV();
	public abstract MethodHandle glDrawTexxOES();
	public abstract MethodHandle glDrawTexxvOES();
	public abstract MethodHandle glDrawTransformFeedback();
	public abstract MethodHandle glDrawTransformFeedbackEXT();
	public abstract MethodHandle glDrawTransformFeedbackInstanced();
	public abstract MethodHandle glDrawTransformFeedbackInstancedEXT();
	public abstract MethodHandle glDrawTransformFeedbackNV();
	public abstract MethodHandle glDrawTransformFeedbackStream();
	public abstract MethodHandle glDrawTransformFeedbackStreamInstanced();
	public abstract MethodHandle glEGLImageTargetRenderbufferStorageOES();
	public abstract MethodHandle glEGLImageTargetTexStorageEXT();
	public abstract MethodHandle glEGLImageTargetTexture2DOES();
	public abstract MethodHandle glEGLImageTargetTextureStorageEXT();
	public abstract MethodHandle glEdgeFlag();
	public abstract MethodHandle glEdgeFlagFormatNV();
	public abstract MethodHandle glEdgeFlagPointer();
	public abstract MethodHandle glEdgeFlagPointerEXT();
	public abstract MethodHandle glEdgeFlagPointerListIBM();
	public abstract MethodHandle glEdgeFlagv();
	public abstract MethodHandle glElementPointerAPPLE();
	public abstract MethodHandle glElementPointerATI();
	public abstract MethodHandle glEnable();
	public abstract MethodHandle glEnableClientState();
	public abstract MethodHandle glEnableClientStateIndexedEXT();
	public abstract MethodHandle glEnableClientStateiEXT();
	public abstract MethodHandle glEnableDriverControlQCOM();
	public abstract MethodHandle glEnableIndexedEXT();
	public abstract MethodHandle glEnableVariantClientStateEXT();
	public abstract MethodHandle glEnableVertexArrayAttrib();
	public abstract MethodHandle glEnableVertexArrayAttribEXT();
	public abstract MethodHandle glEnableVertexArrayEXT();
	public abstract MethodHandle glEnableVertexAttribAPPLE();
	public abstract MethodHandle glEnableVertexAttribArray();
	public abstract MethodHandle glEnableVertexAttribArrayARB();
	public abstract MethodHandle glEnablei();
	public abstract MethodHandle glEnableiEXT();
	public abstract MethodHandle glEnableiNV();
	public abstract MethodHandle glEnableiOES();
	public abstract MethodHandle glEnd();
	public abstract MethodHandle glEndConditionalRender();
	public abstract MethodHandle glEndConditionalRenderNV();
	public abstract MethodHandle glEndConditionalRenderNVX();
	public abstract MethodHandle glEndFragmentShaderATI();
	public abstract MethodHandle glEndList();
	public abstract MethodHandle glEndOcclusionQueryNV();
	public abstract MethodHandle glEndPerfMonitorAMD();
	public abstract MethodHandle glEndPerfQueryINTEL();
	public abstract MethodHandle glEndQuery();
	public abstract MethodHandle glEndQueryARB();
	public abstract MethodHandle glEndQueryEXT();
	public abstract MethodHandle glEndQueryIndexed();
	public abstract MethodHandle glEndTilingQCOM();
	public abstract MethodHandle glEndTransformFeedback();
	public abstract MethodHandle glEndTransformFeedbackEXT();
	public abstract MethodHandle glEndTransformFeedbackNV();
	public abstract MethodHandle glEndVertexShaderEXT();
	public abstract MethodHandle glEndVideoCaptureNV();
	public abstract MethodHandle glEvalCoord1d();
	public abstract MethodHandle glEvalCoord1dv();
	public abstract MethodHandle glEvalCoord1f();
	public abstract MethodHandle glEvalCoord1fv();
	public abstract MethodHandle glEvalCoord1xOES();
	public abstract MethodHandle glEvalCoord1xvOES();
	public abstract MethodHandle glEvalCoord2d();
	public abstract MethodHandle glEvalCoord2dv();
	public abstract MethodHandle glEvalCoord2f();
	public abstract MethodHandle glEvalCoord2fv();
	public abstract MethodHandle glEvalCoord2xOES();
	public abstract MethodHandle glEvalCoord2xvOES();
	public abstract MethodHandle glEvalMapsNV();
	public abstract MethodHandle glEvalMesh1();
	public abstract MethodHandle glEvalMesh2();
	public abstract MethodHandle glEvalPoint1();
	public abstract MethodHandle glEvalPoint2();
	public abstract MethodHandle glEvaluateDepthValuesARB();
	public abstract MethodHandle glExecuteProgramNV();
	public abstract MethodHandle glExtGetBufferPointervQCOM();
	public abstract MethodHandle glExtGetBuffersQCOM();
	public abstract MethodHandle glExtGetFramebuffersQCOM();
	public abstract MethodHandle glExtGetProgramBinarySourceQCOM();
	public abstract MethodHandle glExtGetProgramsQCOM();
	public abstract MethodHandle glExtGetRenderbuffersQCOM();
	public abstract MethodHandle glExtGetShadersQCOM();
	public abstract MethodHandle glExtGetTexLevelParameterivQCOM();
	public abstract MethodHandle glExtGetTexSubImageQCOM();
	public abstract MethodHandle glExtGetTexturesQCOM();
	public abstract MethodHandle glExtIsProgramBinaryQCOM();
	public abstract MethodHandle glExtTexObjectStateOverrideiQCOM();
	public abstract MethodHandle glExtractComponentEXT();
	public abstract MethodHandle glFeedbackBuffer();
	public abstract MethodHandle glFeedbackBufferxOES();
	public abstract MethodHandle glFenceSync();
	public abstract MethodHandle glFenceSyncAPPLE();
	public abstract MethodHandle glFinalCombinerInputNV();
	public abstract MethodHandle glFinish();
	public abstract MethodHandle glFinishAsyncSGIX();
	public abstract MethodHandle glFinishFenceAPPLE();
	public abstract MethodHandle glFinishFenceNV();
	public abstract MethodHandle glFinishObjectAPPLE();
	public abstract MethodHandle glFinishTextureSUNX();
	public abstract MethodHandle glFlush();
	public abstract MethodHandle glFlushMappedBufferRange();
	public abstract MethodHandle glFlushMappedBufferRangeAPPLE();
	public abstract MethodHandle glFlushMappedBufferRangeEXT();
	public abstract MethodHandle glFlushMappedNamedBufferRange();
	public abstract MethodHandle glFlushMappedNamedBufferRangeEXT();
	public abstract MethodHandle glFlushPixelDataRangeNV();
	public abstract MethodHandle glFlushRasterSGIX();
	public abstract MethodHandle glFlushStaticDataIBM();
	public abstract MethodHandle glFlushVertexArrayRangeAPPLE();
	public abstract MethodHandle glFlushVertexArrayRangeNV();
	public abstract MethodHandle glFogCoordFormatNV();
	public abstract MethodHandle glFogCoordPointer();
	public abstract MethodHandle glFogCoordPointerEXT();
	public abstract MethodHandle glFogCoordPointerListIBM();
	public abstract MethodHandle glFogCoordd();
	public abstract MethodHandle glFogCoorddEXT();
	public abstract MethodHandle glFogCoorddv();
	public abstract MethodHandle glFogCoorddvEXT();
	public abstract MethodHandle glFogCoordf();
	public abstract MethodHandle glFogCoordfEXT();
	public abstract MethodHandle glFogCoordfv();
	public abstract MethodHandle glFogCoordfvEXT();
	public abstract MethodHandle glFogCoordhNV();
	public abstract MethodHandle glFogCoordhvNV();
	public abstract MethodHandle glFogFuncSGIS();
	public abstract MethodHandle glFogf();
	public abstract MethodHandle glFogfv();
	public abstract MethodHandle glFogi();
	public abstract MethodHandle glFogiv();
	public abstract MethodHandle glFogx();
	public abstract MethodHandle glFogxOES();
	public abstract MethodHandle glFogxv();
	public abstract MethodHandle glFogxvOES();
	public abstract MethodHandle glFragmentColorMaterialSGIX();
	public abstract MethodHandle glFragmentCoverageColorNV();
	public abstract MethodHandle glFragmentLightModelfSGIX();
	public abstract MethodHandle glFragmentLightModelfvSGIX();
	public abstract MethodHandle glFragmentLightModeliSGIX();
	public abstract MethodHandle glFragmentLightModelivSGIX();
	public abstract MethodHandle glFragmentLightfSGIX();
	public abstract MethodHandle glFragmentLightfvSGIX();
	public abstract MethodHandle glFragmentLightiSGIX();
	public abstract MethodHandle glFragmentLightivSGIX();
	public abstract MethodHandle glFragmentMaterialfSGIX();
	public abstract MethodHandle glFragmentMaterialfvSGIX();
	public abstract MethodHandle glFragmentMaterialiSGIX();
	public abstract MethodHandle glFragmentMaterialivSGIX();
	public abstract MethodHandle glFrameTerminatorGREMEDY();
	public abstract MethodHandle glFrameZoomSGIX();
	public abstract MethodHandle glFramebufferDrawBufferEXT();
	public abstract MethodHandle glFramebufferDrawBuffersEXT();
	public abstract MethodHandle glFramebufferFetchBarrierEXT();
	public abstract MethodHandle glFramebufferFetchBarrierQCOM();
	public abstract MethodHandle glFramebufferFoveationConfigQCOM();
	public abstract MethodHandle glFramebufferFoveationParametersQCOM();
	public abstract MethodHandle glFramebufferParameteri();
	public abstract MethodHandle glFramebufferPixelLocalStorageSizeEXT();
	public abstract MethodHandle glFramebufferReadBufferEXT();
	public abstract MethodHandle glFramebufferRenderbuffer();
	public abstract MethodHandle glFramebufferRenderbufferEXT();
	public abstract MethodHandle glFramebufferRenderbufferOES();
	public abstract MethodHandle glFramebufferSampleLocationsfvARB();
	public abstract MethodHandle glFramebufferSampleLocationsfvNV();
	public abstract MethodHandle glFramebufferSamplePositionsfvAMD();
	public abstract MethodHandle glFramebufferShadingRateEXT();
	public abstract MethodHandle glFramebufferTexture();
	public abstract MethodHandle glFramebufferTexture1D();
	public abstract MethodHandle glFramebufferTexture1DEXT();
	public abstract MethodHandle glFramebufferTexture2D();
	public abstract MethodHandle glFramebufferTexture2DEXT();
	public abstract MethodHandle glFramebufferTexture2DDownsampleIMG();
	public abstract MethodHandle glFramebufferTexture2DMultisampleEXT();
	public abstract MethodHandle glFramebufferTexture2DMultisampleIMG();
	public abstract MethodHandle glFramebufferTexture2DOES();
	public abstract MethodHandle glFramebufferTexture3D();
	public abstract MethodHandle glFramebufferTexture3DEXT();
	public abstract MethodHandle glFramebufferTexture3DOES();
	public abstract MethodHandle glFramebufferTextureARB();
	public abstract MethodHandle glFramebufferTextureEXT();
	public abstract MethodHandle glFramebufferTextureFaceARB();
	public abstract MethodHandle glFramebufferTextureFaceEXT();
	public abstract MethodHandle glFramebufferTextureLayer();
	public abstract MethodHandle glFramebufferTextureLayerARB();
	public abstract MethodHandle glFramebufferTextureLayerEXT();
	public abstract MethodHandle glFramebufferTextureLayerDownsampleIMG();
	public abstract MethodHandle glFramebufferTextureMultisampleMultiviewOVR();
	public abstract MethodHandle glFramebufferTextureMultiviewOVR();
	public abstract MethodHandle glFramebufferTextureOES();
	public abstract MethodHandle glFreeObjectBufferATI();
	public abstract MethodHandle glFrontFace();
	public abstract MethodHandle glFrustum();
	public abstract MethodHandle glFrustumf();
	public abstract MethodHandle glFrustumfOES();
	public abstract MethodHandle glFrustumx();
	public abstract MethodHandle glFrustumxOES();
	public abstract MethodHandle glGenAsyncMarkersSGIX();
	public abstract MethodHandle glGenBuffers();
	public abstract MethodHandle glGenBuffersARB();
	public abstract MethodHandle glGenFencesAPPLE();
	public abstract MethodHandle glGenFencesNV();
	public abstract MethodHandle glGenFragmentShadersATI();
	public abstract MethodHandle glGenFramebuffers();
	public abstract MethodHandle glGenFramebuffersEXT();
	public abstract MethodHandle glGenFramebuffersOES();
	public abstract MethodHandle glGenLists();
	public abstract MethodHandle glGenNamesAMD();
	public abstract MethodHandle glGenOcclusionQueriesNV();
	public abstract MethodHandle glGenPathsNV();
	public abstract MethodHandle glGenPerfMonitorsAMD();
	public abstract MethodHandle glGenProgramPipelines();
	public abstract MethodHandle glGenProgramPipelinesEXT();
	public abstract MethodHandle glGenProgramsARB();
	public abstract MethodHandle glGenProgramsNV();
	public abstract MethodHandle glGenQueries();
	public abstract MethodHandle glGenQueriesARB();
	public abstract MethodHandle glGenQueriesEXT();
	public abstract MethodHandle glGenQueryResourceTagNV();
	public abstract MethodHandle glGenRenderbuffers();
	public abstract MethodHandle glGenRenderbuffersEXT();
	public abstract MethodHandle glGenRenderbuffersOES();
	public abstract MethodHandle glGenSamplers();
	public abstract MethodHandle glGenSemaphoresEXT();
	public abstract MethodHandle glGenSymbolsEXT();
	public abstract MethodHandle glGenTextures();
	public abstract MethodHandle glGenTexturesEXT();
	public abstract MethodHandle glGenTransformFeedbacks();
	public abstract MethodHandle glGenTransformFeedbacksNV();
	public abstract MethodHandle glGenVertexArrays();
	public abstract MethodHandle glGenVertexArraysAPPLE();
	public abstract MethodHandle glGenVertexArraysOES();
	public abstract MethodHandle glGenVertexShadersEXT();
	public abstract MethodHandle glGenerateMipmap();
	public abstract MethodHandle glGenerateMipmapEXT();
	public abstract MethodHandle glGenerateMipmapOES();
	public abstract MethodHandle glGenerateMultiTexMipmapEXT();
	public abstract MethodHandle glGenerateTextureMipmap();
	public abstract MethodHandle glGenerateTextureMipmapEXT();
	public abstract MethodHandle glGetActiveAtomicCounterBufferiv();
	public abstract MethodHandle glGetActiveAttrib();
	public abstract MethodHandle glGetActiveAttribARB();
	public abstract MethodHandle glGetActiveSubroutineName();
	public abstract MethodHandle glGetActiveSubroutineUniformName();
	public abstract MethodHandle glGetActiveSubroutineUniformiv();
	public abstract MethodHandle glGetActiveUniform();
	public abstract MethodHandle glGetActiveUniformARB();
	public abstract MethodHandle glGetActiveUniformBlockName();
	public abstract MethodHandle glGetActiveUniformBlockiv();
	public abstract MethodHandle glGetActiveUniformName();
	public abstract MethodHandle glGetActiveUniformsiv();
	public abstract MethodHandle glGetActiveVaryingNV();
	public abstract MethodHandle glGetArrayObjectfvATI();
	public abstract MethodHandle glGetArrayObjectivATI();
	public abstract MethodHandle glGetAttachedObjectsARB();
	public abstract MethodHandle glGetAttachedShaders();
	public abstract MethodHandle glGetAttribLocation();
	public abstract MethodHandle glGetAttribLocationARB();
	public abstract MethodHandle glGetBooleanIndexedvEXT();
	public abstract MethodHandle glGetBooleani_v();
	public abstract MethodHandle glGetBooleanv();
	public abstract MethodHandle glGetBufferParameteri64v();
	public abstract MethodHandle glGetBufferParameteriv();
	public abstract MethodHandle glGetBufferParameterivARB();
	public abstract MethodHandle glGetBufferParameterui64vNV();
	public abstract MethodHandle glGetBufferPointerv();
	public abstract MethodHandle glGetBufferPointervARB();
	public abstract MethodHandle glGetBufferPointervOES();
	public abstract MethodHandle glGetBufferSubData();
	public abstract MethodHandle glGetBufferSubDataARB();
	public abstract MethodHandle glGetClipPlane();
	public abstract MethodHandle glGetClipPlanef();
	public abstract MethodHandle glGetClipPlanefOES();
	public abstract MethodHandle glGetClipPlanex();
	public abstract MethodHandle glGetClipPlanexOES();
	public abstract MethodHandle glGetColorTable();
	public abstract MethodHandle glGetColorTableEXT();
	public abstract MethodHandle glGetColorTableParameterfv();
	public abstract MethodHandle glGetColorTableParameterfvEXT();
	public abstract MethodHandle glGetColorTableParameterfvSGI();
	public abstract MethodHandle glGetColorTableParameteriv();
	public abstract MethodHandle glGetColorTableParameterivEXT();
	public abstract MethodHandle glGetColorTableParameterivSGI();
	public abstract MethodHandle glGetColorTableSGI();
	public abstract MethodHandle glGetCombinerInputParameterfvNV();
	public abstract MethodHandle glGetCombinerInputParameterivNV();
	public abstract MethodHandle glGetCombinerOutputParameterfvNV();
	public abstract MethodHandle glGetCombinerOutputParameterivNV();
	public abstract MethodHandle glGetCombinerStageParameterfvNV();
	public abstract MethodHandle glGetCommandHeaderNV();
	public abstract MethodHandle glGetCompressedMultiTexImageEXT();
	public abstract MethodHandle glGetCompressedTexImage();
	public abstract MethodHandle glGetCompressedTexImageARB();
	public abstract MethodHandle glGetCompressedTextureImage();
	public abstract MethodHandle glGetCompressedTextureImageEXT();
	public abstract MethodHandle glGetCompressedTextureSubImage();
	public abstract MethodHandle glGetConvolutionFilter();
	public abstract MethodHandle glGetConvolutionFilterEXT();
	public abstract MethodHandle glGetConvolutionParameterfv();
	public abstract MethodHandle glGetConvolutionParameterfvEXT();
	public abstract MethodHandle glGetConvolutionParameteriv();
	public abstract MethodHandle glGetConvolutionParameterivEXT();
	public abstract MethodHandle glGetConvolutionParameterxvOES();
	public abstract MethodHandle glGetCoverageModulationTableNV();
	public abstract MethodHandle glGetDebugMessageLog();
	public abstract MethodHandle glGetDebugMessageLogAMD();
	public abstract MethodHandle glGetDebugMessageLogARB();
	public abstract MethodHandle glGetDebugMessageLogKHR();
	public abstract MethodHandle glGetDetailTexFuncSGIS();
	public abstract MethodHandle glGetDoubleIndexedvEXT();
	public abstract MethodHandle glGetDoublei_v();
	public abstract MethodHandle glGetDoublei_vEXT();
	public abstract MethodHandle glGetDoublev();
	public abstract MethodHandle glGetDriverControlStringQCOM();
	public abstract MethodHandle glGetDriverControlsQCOM();
	public abstract MethodHandle glGetError();
	public abstract MethodHandle glGetFenceivNV();
	public abstract MethodHandle glGetFinalCombinerInputParameterfvNV();
	public abstract MethodHandle glGetFinalCombinerInputParameterivNV();
	public abstract MethodHandle glGetFirstPerfQueryIdINTEL();
	public abstract MethodHandle glGetFixedv();
	public abstract MethodHandle glGetFixedvOES();
	public abstract MethodHandle glGetFloatIndexedvEXT();
	public abstract MethodHandle glGetFloati_v();
	public abstract MethodHandle glGetFloati_vEXT();
	public abstract MethodHandle glGetFloati_vNV();
	public abstract MethodHandle glGetFloati_vOES();
	public abstract MethodHandle glGetFloatv();
	public abstract MethodHandle glGetFogFuncSGIS();
	public abstract MethodHandle glGetFragDataIndex();
	public abstract MethodHandle glGetFragDataIndexEXT();
	public abstract MethodHandle glGetFragDataLocation();
	public abstract MethodHandle glGetFragDataLocationEXT();
	public abstract MethodHandle glGetFragmentLightfvSGIX();
	public abstract MethodHandle glGetFragmentLightivSGIX();
	public abstract MethodHandle glGetFragmentMaterialfvSGIX();
	public abstract MethodHandle glGetFragmentMaterialivSGIX();
	public abstract MethodHandle glGetFragmentShadingRatesEXT();
	public abstract MethodHandle glGetFramebufferAttachmentParameteriv();
	public abstract MethodHandle glGetFramebufferAttachmentParameterivEXT();
	public abstract MethodHandle glGetFramebufferAttachmentParameterivOES();
	public abstract MethodHandle glGetFramebufferParameterfvAMD();
	public abstract MethodHandle glGetFramebufferParameteriv();
	public abstract MethodHandle glGetFramebufferParameterivEXT();
	public abstract MethodHandle glGetFramebufferPixelLocalStorageSizeEXT();
	public abstract MethodHandle glGetGraphicsResetStatus();
	public abstract MethodHandle glGetGraphicsResetStatusARB();
	public abstract MethodHandle glGetGraphicsResetStatusEXT();
	public abstract MethodHandle glGetGraphicsResetStatusKHR();
	public abstract MethodHandle glGetHandleARB();
	public abstract MethodHandle glGetHistogram();
	public abstract MethodHandle glGetHistogramEXT();
	public abstract MethodHandle glGetHistogramParameterfv();
	public abstract MethodHandle glGetHistogramParameterfvEXT();
	public abstract MethodHandle glGetHistogramParameteriv();
	public abstract MethodHandle glGetHistogramParameterivEXT();
	public abstract MethodHandle glGetHistogramParameterxvOES();
	public abstract MethodHandle glGetImageHandleARB();
	public abstract MethodHandle glGetImageHandleNV();
	public abstract MethodHandle glGetImageTransformParameterfvHP();
	public abstract MethodHandle glGetImageTransformParameterivHP();
	public abstract MethodHandle glGetInfoLogARB();
	public abstract MethodHandle glGetInstrumentsSGIX();
	public abstract MethodHandle glGetInteger64i_v();
	public abstract MethodHandle glGetInteger64v();
	public abstract MethodHandle glGetInteger64vAPPLE();
	public abstract MethodHandle glGetInteger64vEXT();
	public abstract MethodHandle glGetIntegerIndexedvEXT();
	public abstract MethodHandle glGetIntegeri_v();
	public abstract MethodHandle glGetIntegeri_vEXT();
	public abstract MethodHandle glGetIntegerui64i_vNV();
	public abstract MethodHandle glGetIntegerui64vNV();
	public abstract MethodHandle glGetIntegerv();
	public abstract MethodHandle glGetInternalformatSampleivNV();
	public abstract MethodHandle glGetInternalformati64v();
	public abstract MethodHandle glGetInternalformativ();
	public abstract MethodHandle glGetInvariantBooleanvEXT();
	public abstract MethodHandle glGetInvariantFloatvEXT();
	public abstract MethodHandle glGetInvariantIntegervEXT();
	public abstract MethodHandle glGetLightfv();
	public abstract MethodHandle glGetLightiv();
	public abstract MethodHandle glGetLightxOES();
	public abstract MethodHandle glGetLightxv();
	public abstract MethodHandle glGetLightxvOES();
	public abstract MethodHandle glGetListParameterfvSGIX();
	public abstract MethodHandle glGetListParameterivSGIX();
	public abstract MethodHandle glGetLocalConstantBooleanvEXT();
	public abstract MethodHandle glGetLocalConstantFloatvEXT();
	public abstract MethodHandle glGetLocalConstantIntegervEXT();
	public abstract MethodHandle glGetMapAttribParameterfvNV();
	public abstract MethodHandle glGetMapAttribParameterivNV();
	public abstract MethodHandle glGetMapControlPointsNV();
	public abstract MethodHandle glGetMapParameterfvNV();
	public abstract MethodHandle glGetMapParameterivNV();
	public abstract MethodHandle glGetMapdv();
	public abstract MethodHandle glGetMapfv();
	public abstract MethodHandle glGetMapiv();
	public abstract MethodHandle glGetMapxvOES();
	public abstract MethodHandle glGetMaterialfv();
	public abstract MethodHandle glGetMaterialiv();
	public abstract MethodHandle glGetMaterialxOES();
	public abstract MethodHandle glGetMaterialxv();
	public abstract MethodHandle glGetMaterialxvOES();
	public abstract MethodHandle glGetMemoryObjectDetachedResourcesuivNV();
	public abstract MethodHandle glGetMemoryObjectParameterivEXT();
	public abstract MethodHandle glGetMinmax();
	public abstract MethodHandle glGetMinmaxEXT();
	public abstract MethodHandle glGetMinmaxParameterfv();
	public abstract MethodHandle glGetMinmaxParameterfvEXT();
	public abstract MethodHandle glGetMinmaxParameteriv();
	public abstract MethodHandle glGetMinmaxParameterivEXT();
	public abstract MethodHandle glGetMultiTexEnvfvEXT();
	public abstract MethodHandle glGetMultiTexEnvivEXT();
	public abstract MethodHandle glGetMultiTexGendvEXT();
	public abstract MethodHandle glGetMultiTexGenfvEXT();
	public abstract MethodHandle glGetMultiTexGenivEXT();
	public abstract MethodHandle glGetMultiTexImageEXT();
	public abstract MethodHandle glGetMultiTexLevelParameterfvEXT();
	public abstract MethodHandle glGetMultiTexLevelParameterivEXT();
	public abstract MethodHandle glGetMultiTexParameterIivEXT();
	public abstract MethodHandle glGetMultiTexParameterIuivEXT();
	public abstract MethodHandle glGetMultiTexParameterfvEXT();
	public abstract MethodHandle glGetMultiTexParameterivEXT();
	public abstract MethodHandle glGetMultisamplefv();
	public abstract MethodHandle glGetMultisamplefvNV();
	public abstract MethodHandle glGetNamedBufferParameteri64v();
	public abstract MethodHandle glGetNamedBufferParameteriv();
	public abstract MethodHandle glGetNamedBufferParameterivEXT();
	public abstract MethodHandle glGetNamedBufferParameterui64vNV();
	public abstract MethodHandle glGetNamedBufferPointerv();
	public abstract MethodHandle glGetNamedBufferPointervEXT();
	public abstract MethodHandle glGetNamedBufferSubData();
	public abstract MethodHandle glGetNamedBufferSubDataEXT();
	public abstract MethodHandle glGetNamedFramebufferParameterfvAMD();
	public abstract MethodHandle glGetNamedFramebufferAttachmentParameteriv();
	public abstract MethodHandle glGetNamedFramebufferAttachmentParameterivEXT();
	public abstract MethodHandle glGetNamedFramebufferParameteriv();
	public abstract MethodHandle glGetNamedFramebufferParameterivEXT();
	public abstract MethodHandle glGetNamedProgramLocalParameterIivEXT();
	public abstract MethodHandle glGetNamedProgramLocalParameterIuivEXT();
	public abstract MethodHandle glGetNamedProgramLocalParameterdvEXT();
	public abstract MethodHandle glGetNamedProgramLocalParameterfvEXT();
	public abstract MethodHandle glGetNamedProgramStringEXT();
	public abstract MethodHandle glGetNamedProgramivEXT();
	public abstract MethodHandle glGetNamedRenderbufferParameteriv();
	public abstract MethodHandle glGetNamedRenderbufferParameterivEXT();
	public abstract MethodHandle glGetNamedStringARB();
	public abstract MethodHandle glGetNamedStringivARB();
	public abstract MethodHandle glGetNextPerfQueryIdINTEL();
	public abstract MethodHandle glGetObjectBufferfvATI();
	public abstract MethodHandle glGetObjectBufferivATI();
	public abstract MethodHandle glGetObjectLabel();
	public abstract MethodHandle glGetObjectLabelEXT();
	public abstract MethodHandle glGetObjectLabelKHR();
	public abstract MethodHandle glGetObjectParameterfvARB();
	public abstract MethodHandle glGetObjectParameterivAPPLE();
	public abstract MethodHandle glGetObjectParameterivARB();
	public abstract MethodHandle glGetObjectPtrLabel();
	public abstract MethodHandle glGetObjectPtrLabelKHR();
	public abstract MethodHandle glGetOcclusionQueryivNV();
	public abstract MethodHandle glGetOcclusionQueryuivNV();
	public abstract MethodHandle glGetPathColorGenfvNV();
	public abstract MethodHandle glGetPathColorGenivNV();
	public abstract MethodHandle glGetPathCommandsNV();
	public abstract MethodHandle glGetPathCoordsNV();
	public abstract MethodHandle glGetPathDashArrayNV();
	public abstract MethodHandle glGetPathLengthNV();
	public abstract MethodHandle glGetPathMetricRangeNV();
	public abstract MethodHandle glGetPathMetricsNV();
	public abstract MethodHandle glGetPathParameterfvNV();
	public abstract MethodHandle glGetPathParameterivNV();
	public abstract MethodHandle glGetPathSpacingNV();
	public abstract MethodHandle glGetPathTexGenfvNV();
	public abstract MethodHandle glGetPathTexGenivNV();
	public abstract MethodHandle glGetPerfCounterInfoINTEL();
	public abstract MethodHandle glGetPerfMonitorCounterDataAMD();
	public abstract MethodHandle glGetPerfMonitorCounterInfoAMD();
	public abstract MethodHandle glGetPerfMonitorCounterStringAMD();
	public abstract MethodHandle glGetPerfMonitorCountersAMD();
	public abstract MethodHandle glGetPerfMonitorGroupStringAMD();
	public abstract MethodHandle glGetPerfMonitorGroupsAMD();
	public abstract MethodHandle glGetPerfQueryDataINTEL();
	public abstract MethodHandle glGetPerfQueryIdByNameINTEL();
	public abstract MethodHandle glGetPerfQueryInfoINTEL();
	public abstract MethodHandle glGetPixelMapfv();
	public abstract MethodHandle glGetPixelMapuiv();
	public abstract MethodHandle glGetPixelMapusv();
	public abstract MethodHandle glGetPixelMapxv();
	public abstract MethodHandle glGetPixelTexGenParameterfvSGIS();
	public abstract MethodHandle glGetPixelTexGenParameterivSGIS();
	public abstract MethodHandle glGetPixelTransformParameterfvEXT();
	public abstract MethodHandle glGetPixelTransformParameterivEXT();
	public abstract MethodHandle glGetPointerIndexedvEXT();
	public abstract MethodHandle glGetPointeri_vEXT();
	public abstract MethodHandle glGetPointerv();
	public abstract MethodHandle glGetPointervEXT();
	public abstract MethodHandle glGetPointervKHR();
	public abstract MethodHandle glGetPolygonStipple();
	public abstract MethodHandle glGetProgramBinary();
	public abstract MethodHandle glGetProgramBinaryOES();
	public abstract MethodHandle glGetProgramEnvParameterIivNV();
	public abstract MethodHandle glGetProgramEnvParameterIuivNV();
	public abstract MethodHandle glGetProgramEnvParameterdvARB();
	public abstract MethodHandle glGetProgramEnvParameterfvARB();
	public abstract MethodHandle glGetProgramInfoLog();
	public abstract MethodHandle glGetProgramInterfaceiv();
	public abstract MethodHandle glGetProgramLocalParameterIivNV();
	public abstract MethodHandle glGetProgramLocalParameterIuivNV();
	public abstract MethodHandle glGetProgramLocalParameterdvARB();
	public abstract MethodHandle glGetProgramLocalParameterfvARB();
	public abstract MethodHandle glGetProgramNamedParameterdvNV();
	public abstract MethodHandle glGetProgramNamedParameterfvNV();
	public abstract MethodHandle glGetProgramParameterdvNV();
	public abstract MethodHandle glGetProgramParameterfvNV();
	public abstract MethodHandle glGetProgramPipelineInfoLog();
	public abstract MethodHandle glGetProgramPipelineInfoLogEXT();
	public abstract MethodHandle glGetProgramPipelineiv();
	public abstract MethodHandle glGetProgramPipelineivEXT();
	public abstract MethodHandle glGetProgramResourceIndex();
	public abstract MethodHandle glGetProgramResourceLocation();
	public abstract MethodHandle glGetProgramResourceLocationIndex();
	public abstract MethodHandle glGetProgramResourceLocationIndexEXT();
	public abstract MethodHandle glGetProgramResourceName();
	public abstract MethodHandle glGetProgramResourcefvNV();
	public abstract MethodHandle glGetProgramResourceiv();
	public abstract MethodHandle glGetProgramStageiv();
	public abstract MethodHandle glGetProgramStringARB();
	public abstract MethodHandle glGetProgramStringNV();
	public abstract MethodHandle glGetProgramSubroutineParameteruivNV();
	public abstract MethodHandle glGetProgramiv();
	public abstract MethodHandle glGetProgramivARB();
	public abstract MethodHandle glGetProgramivNV();
	public abstract MethodHandle glGetQueryBufferObjecti64v();
	public abstract MethodHandle glGetQueryBufferObjectiv();
	public abstract MethodHandle glGetQueryBufferObjectui64v();
	public abstract MethodHandle glGetQueryBufferObjectuiv();
	public abstract MethodHandle glGetQueryIndexediv();
	public abstract MethodHandle glGetQueryObjecti64v();
	public abstract MethodHandle glGetQueryObjecti64vEXT();
	public abstract MethodHandle glGetQueryObjectiv();
	public abstract MethodHandle glGetQueryObjectivARB();
	public abstract MethodHandle glGetQueryObjectivEXT();
	public abstract MethodHandle glGetQueryObjectui64v();
	public abstract MethodHandle glGetQueryObjectui64vEXT();
	public abstract MethodHandle glGetQueryObjectuiv();
	public abstract MethodHandle glGetQueryObjectuivARB();
	public abstract MethodHandle glGetQueryObjectuivEXT();
	public abstract MethodHandle glGetQueryiv();
	public abstract MethodHandle glGetQueryivARB();
	public abstract MethodHandle glGetQueryivEXT();
	public abstract MethodHandle glGetRenderbufferParameteriv();
	public abstract MethodHandle glGetRenderbufferParameterivEXT();
	public abstract MethodHandle glGetRenderbufferParameterivOES();
	public abstract MethodHandle glGetSamplerParameterIiv();
	public abstract MethodHandle glGetSamplerParameterIivEXT();
	public abstract MethodHandle glGetSamplerParameterIivOES();
	public abstract MethodHandle glGetSamplerParameterIuiv();
	public abstract MethodHandle glGetSamplerParameterIuivEXT();
	public abstract MethodHandle glGetSamplerParameterIuivOES();
	public abstract MethodHandle glGetSamplerParameterfv();
	public abstract MethodHandle glGetSamplerParameteriv();
	public abstract MethodHandle glGetSemaphoreParameterivNV();
	public abstract MethodHandle glGetSemaphoreParameterui64vEXT();
	public abstract MethodHandle glGetSeparableFilter();
	public abstract MethodHandle glGetSeparableFilterEXT();
	public abstract MethodHandle glGetShaderInfoLog();
	public abstract MethodHandle glGetShaderPrecisionFormat();
	public abstract MethodHandle glGetShaderSource();
	public abstract MethodHandle glGetShaderSourceARB();
	public abstract MethodHandle glGetShaderiv();
	public abstract MethodHandle glGetShadingRateImagePaletteNV();
	public abstract MethodHandle glGetShadingRateSampleLocationivNV();
	public abstract MethodHandle glGetSharpenTexFuncSGIS();
	public abstract MethodHandle glGetStageIndexNV();
	public abstract MethodHandle glGetString();
	public abstract MethodHandle glGetStringi();
	public abstract MethodHandle glGetSubroutineIndex();
	public abstract MethodHandle glGetSubroutineUniformLocation();
	public abstract MethodHandle glGetSynciv();
	public abstract MethodHandle glGetSyncivAPPLE();
	public abstract MethodHandle glGetTexBumpParameterfvATI();
	public abstract MethodHandle glGetTexBumpParameterivATI();
	public abstract MethodHandle glGetTexEnvfv();
	public abstract MethodHandle glGetTexEnviv();
	public abstract MethodHandle glGetTexEnvxv();
	public abstract MethodHandle glGetTexEnvxvOES();
	public abstract MethodHandle glGetTexFilterFuncSGIS();
	public abstract MethodHandle glGetTexGendv();
	public abstract MethodHandle glGetTexGenfv();
	public abstract MethodHandle glGetTexGenfvOES();
	public abstract MethodHandle glGetTexGeniv();
	public abstract MethodHandle glGetTexGenivOES();
	public abstract MethodHandle glGetTexGenxvOES();
	public abstract MethodHandle glGetTexImage();
	public abstract MethodHandle glGetTexLevelParameterfv();
	public abstract MethodHandle glGetTexLevelParameteriv();
	public abstract MethodHandle glGetTexLevelParameterxvOES();
	public abstract MethodHandle glGetTexParameterIiv();
	public abstract MethodHandle glGetTexParameterIivEXT();
	public abstract MethodHandle glGetTexParameterIivOES();
	public abstract MethodHandle glGetTexParameterIuiv();
	public abstract MethodHandle glGetTexParameterIuivEXT();
	public abstract MethodHandle glGetTexParameterIuivOES();
	public abstract MethodHandle glGetTexParameterPointervAPPLE();
	public abstract MethodHandle glGetTexParameterfv();
	public abstract MethodHandle glGetTexParameteriv();
	public abstract MethodHandle glGetTexParameterxv();
	public abstract MethodHandle glGetTexParameterxvOES();
	public abstract MethodHandle glGetTextureHandleARB();
	public abstract MethodHandle glGetTextureHandleIMG();
	public abstract MethodHandle glGetTextureHandleNV();
	public abstract MethodHandle glGetTextureImage();
	public abstract MethodHandle glGetTextureImageEXT();
	public abstract MethodHandle glGetTextureLevelParameterfv();
	public abstract MethodHandle glGetTextureLevelParameterfvEXT();
	public abstract MethodHandle glGetTextureLevelParameteriv();
	public abstract MethodHandle glGetTextureLevelParameterivEXT();
	public abstract MethodHandle glGetTextureParameterIiv();
	public abstract MethodHandle glGetTextureParameterIivEXT();
	public abstract MethodHandle glGetTextureParameterIuiv();
	public abstract MethodHandle glGetTextureParameterIuivEXT();
	public abstract MethodHandle glGetTextureParameterfv();
	public abstract MethodHandle glGetTextureParameterfvEXT();
	public abstract MethodHandle glGetTextureParameteriv();
	public abstract MethodHandle glGetTextureParameterivEXT();
	public abstract MethodHandle glGetTextureSamplerHandleARB();
	public abstract MethodHandle glGetTextureSamplerHandleIMG();
	public abstract MethodHandle glGetTextureSamplerHandleNV();
	public abstract MethodHandle glGetTextureSubImage();
	public abstract MethodHandle glGetTrackMatrixivNV();
	public abstract MethodHandle glGetTransformFeedbackVarying();
	public abstract MethodHandle glGetTransformFeedbackVaryingEXT();
	public abstract MethodHandle glGetTransformFeedbackVaryingNV();
	public abstract MethodHandle glGetTransformFeedbacki64_v();
	public abstract MethodHandle glGetTransformFeedbacki_v();
	public abstract MethodHandle glGetTransformFeedbackiv();
	public abstract MethodHandle glGetTranslatedShaderSourceANGLE();
	public abstract MethodHandle glGetUniformBlockIndex();
	public abstract MethodHandle glGetUniformBufferSizeEXT();
	public abstract MethodHandle glGetUniformIndices();
	public abstract MethodHandle glGetUniformLocation();
	public abstract MethodHandle glGetUniformLocationARB();
	public abstract MethodHandle glGetUniformOffsetEXT();
	public abstract MethodHandle glGetUniformSubroutineuiv();
	public abstract MethodHandle glGetUniformdv();
	public abstract MethodHandle glGetUniformfv();
	public abstract MethodHandle glGetUniformfvARB();
	public abstract MethodHandle glGetUniformi64vARB();
	public abstract MethodHandle glGetUniformi64vNV();
	public abstract MethodHandle glGetUniformiv();
	public abstract MethodHandle glGetUniformivARB();
	public abstract MethodHandle glGetUniformui64vARB();
	public abstract MethodHandle glGetUniformui64vNV();
	public abstract MethodHandle glGetUniformuiv();
	public abstract MethodHandle glGetUniformuivEXT();
	public abstract MethodHandle glGetUnsignedBytevEXT();
	public abstract MethodHandle glGetUnsignedBytei_vEXT();
	public abstract MethodHandle glGetVariantArrayObjectfvATI();
	public abstract MethodHandle glGetVariantArrayObjectivATI();
	public abstract MethodHandle glGetVariantBooleanvEXT();
	public abstract MethodHandle glGetVariantFloatvEXT();
	public abstract MethodHandle glGetVariantIntegervEXT();
	public abstract MethodHandle glGetVariantPointervEXT();
	public abstract MethodHandle glGetVaryingLocationNV();
	public abstract MethodHandle glGetVertexArrayIndexed64iv();
	public abstract MethodHandle glGetVertexArrayIndexediv();
	public abstract MethodHandle glGetVertexArrayIntegeri_vEXT();
	public abstract MethodHandle glGetVertexArrayIntegervEXT();
	public abstract MethodHandle glGetVertexArrayPointeri_vEXT();
	public abstract MethodHandle glGetVertexArrayPointervEXT();
	public abstract MethodHandle glGetVertexArrayiv();
	public abstract MethodHandle glGetVertexAttribArrayObjectfvATI();
	public abstract MethodHandle glGetVertexAttribArrayObjectivATI();
	public abstract MethodHandle glGetVertexAttribIiv();
	public abstract MethodHandle glGetVertexAttribIivEXT();
	public abstract MethodHandle glGetVertexAttribIuiv();
	public abstract MethodHandle glGetVertexAttribIuivEXT();
	public abstract MethodHandle glGetVertexAttribLdv();
	public abstract MethodHandle glGetVertexAttribLdvEXT();
	public abstract MethodHandle glGetVertexAttribLi64vNV();
	public abstract MethodHandle glGetVertexAttribLui64vARB();
	public abstract MethodHandle glGetVertexAttribLui64vNV();
	public abstract MethodHandle glGetVertexAttribPointerv();
	public abstract MethodHandle glGetVertexAttribPointervARB();
	public abstract MethodHandle glGetVertexAttribPointervNV();
	public abstract MethodHandle glGetVertexAttribdv();
	public abstract MethodHandle glGetVertexAttribdvARB();
	public abstract MethodHandle glGetVertexAttribdvNV();
	public abstract MethodHandle glGetVertexAttribfv();
	public abstract MethodHandle glGetVertexAttribfvARB();
	public abstract MethodHandle glGetVertexAttribfvNV();
	public abstract MethodHandle glGetVertexAttribiv();
	public abstract MethodHandle glGetVertexAttribivARB();
	public abstract MethodHandle glGetVertexAttribivNV();
	public abstract MethodHandle glGetVideoCaptureStreamdvNV();
	public abstract MethodHandle glGetVideoCaptureStreamfvNV();
	public abstract MethodHandle glGetVideoCaptureStreamivNV();
	public abstract MethodHandle glGetVideoCaptureivNV();
	public abstract MethodHandle glGetVideoi64vNV();
	public abstract MethodHandle glGetVideoivNV();
	public abstract MethodHandle glGetVideoui64vNV();
	public abstract MethodHandle glGetVideouivNV();
	public abstract MethodHandle glGetnColorTable();
	public abstract MethodHandle glGetnColorTableARB();
	public abstract MethodHandle glGetnCompressedTexImage();
	public abstract MethodHandle glGetnCompressedTexImageARB();
	public abstract MethodHandle glGetnConvolutionFilter();
	public abstract MethodHandle glGetnConvolutionFilterARB();
	public abstract MethodHandle glGetnHistogram();
	public abstract MethodHandle glGetnHistogramARB();
	public abstract MethodHandle glGetnMapdv();
	public abstract MethodHandle glGetnMapdvARB();
	public abstract MethodHandle glGetnMapfv();
	public abstract MethodHandle glGetnMapfvARB();
	public abstract MethodHandle glGetnMapiv();
	public abstract MethodHandle glGetnMapivARB();
	public abstract MethodHandle glGetnMinmax();
	public abstract MethodHandle glGetnMinmaxARB();
	public abstract MethodHandle glGetnPixelMapfv();
	public abstract MethodHandle glGetnPixelMapfvARB();
	public abstract MethodHandle glGetnPixelMapuiv();
	public abstract MethodHandle glGetnPixelMapuivARB();
	public abstract MethodHandle glGetnPixelMapusv();
	public abstract MethodHandle glGetnPixelMapusvARB();
	public abstract MethodHandle glGetnPolygonStipple();
	public abstract MethodHandle glGetnPolygonStippleARB();
	public abstract MethodHandle glGetnSeparableFilter();
	public abstract MethodHandle glGetnSeparableFilterARB();
	public abstract MethodHandle glGetnTexImage();
	public abstract MethodHandle glGetnTexImageARB();
	public abstract MethodHandle glGetnUniformdv();
	public abstract MethodHandle glGetnUniformdvARB();
	public abstract MethodHandle glGetnUniformfv();
	public abstract MethodHandle glGetnUniformfvARB();
	public abstract MethodHandle glGetnUniformfvEXT();
	public abstract MethodHandle glGetnUniformfvKHR();
	public abstract MethodHandle glGetnUniformi64vARB();
	public abstract MethodHandle glGetnUniformiv();
	public abstract MethodHandle glGetnUniformivARB();
	public abstract MethodHandle glGetnUniformivEXT();
	public abstract MethodHandle glGetnUniformivKHR();
	public abstract MethodHandle glGetnUniformui64vARB();
	public abstract MethodHandle glGetnUniformuiv();
	public abstract MethodHandle glGetnUniformuivARB();
	public abstract MethodHandle glGetnUniformuivKHR();
	public abstract MethodHandle glGlobalAlphaFactorbSUN();
	public abstract MethodHandle glGlobalAlphaFactordSUN();
	public abstract MethodHandle glGlobalAlphaFactorfSUN();
	public abstract MethodHandle glGlobalAlphaFactoriSUN();
	public abstract MethodHandle glGlobalAlphaFactorsSUN();
	public abstract MethodHandle glGlobalAlphaFactorubSUN();
	public abstract MethodHandle glGlobalAlphaFactoruiSUN();
	public abstract MethodHandle glGlobalAlphaFactorusSUN();
	public abstract MethodHandle glHint();
	public abstract MethodHandle glHintPGI();
	public abstract MethodHandle glHistogram();
	public abstract MethodHandle glHistogramEXT();
	public abstract MethodHandle glIglooInterfaceSGIX();
	public abstract MethodHandle glImageTransformParameterfHP();
	public abstract MethodHandle glImageTransformParameterfvHP();
	public abstract MethodHandle glImageTransformParameteriHP();
	public abstract MethodHandle glImageTransformParameterivHP();
	public abstract MethodHandle glImportMemoryFdEXT();
	public abstract MethodHandle glImportMemoryWin32HandleEXT();
	public abstract MethodHandle glImportMemoryWin32NameEXT();
	public abstract MethodHandle glImportSemaphoreFdEXT();
	public abstract MethodHandle glImportSemaphoreWin32HandleEXT();
	public abstract MethodHandle glImportSemaphoreWin32NameEXT();
	public abstract MethodHandle glImportSyncEXT();
	public abstract MethodHandle glIndexFormatNV();
	public abstract MethodHandle glIndexFuncEXT();
	public abstract MethodHandle glIndexMask();
	public abstract MethodHandle glIndexMaterialEXT();
	public abstract MethodHandle glIndexPointer();
	public abstract MethodHandle glIndexPointerEXT();
	public abstract MethodHandle glIndexPointerListIBM();
	public abstract MethodHandle glIndexd();
	public abstract MethodHandle glIndexdv();
	public abstract MethodHandle glIndexf();
	public abstract MethodHandle glIndexfv();
	public abstract MethodHandle glIndexi();
	public abstract MethodHandle glIndexiv();
	public abstract MethodHandle glIndexs();
	public abstract MethodHandle glIndexsv();
	public abstract MethodHandle glIndexub();
	public abstract MethodHandle glIndexubv();
	public abstract MethodHandle glIndexxOES();
	public abstract MethodHandle glIndexxvOES();
	public abstract MethodHandle glInitNames();
	public abstract MethodHandle glInsertComponentEXT();
	public abstract MethodHandle glInsertEventMarkerEXT();
	public abstract MethodHandle glInstrumentsBufferSGIX();
	public abstract MethodHandle glInterleavedArrays();
	public abstract MethodHandle glInterpolatePathsNV();
	public abstract MethodHandle glInvalidateBufferData();
	public abstract MethodHandle glInvalidateBufferSubData();
	public abstract MethodHandle glInvalidateFramebuffer();
	public abstract MethodHandle glInvalidateNamedFramebufferData();
	public abstract MethodHandle glInvalidateNamedFramebufferSubData();
	public abstract MethodHandle glInvalidateSubFramebuffer();
	public abstract MethodHandle glInvalidateTexImage();
	public abstract MethodHandle glInvalidateTexSubImage();
	public abstract MethodHandle glIsAsyncMarkerSGIX();
	public abstract MethodHandle glIsBuffer();
	public abstract MethodHandle glIsBufferARB();
	public abstract MethodHandle glIsBufferResidentNV();
	public abstract MethodHandle glIsCommandListNV();
	public abstract MethodHandle glIsEnabled();
	public abstract MethodHandle glIsEnabledIndexedEXT();
	public abstract MethodHandle glIsEnabledi();
	public abstract MethodHandle glIsEnablediEXT();
	public abstract MethodHandle glIsEnablediNV();
	public abstract MethodHandle glIsEnablediOES();
	public abstract MethodHandle glIsFenceAPPLE();
	public abstract MethodHandle glIsFenceNV();
	public abstract MethodHandle glIsFramebuffer();
	public abstract MethodHandle glIsFramebufferEXT();
	public abstract MethodHandle glIsFramebufferOES();
	public abstract MethodHandle glIsImageHandleResidentARB();
	public abstract MethodHandle glIsImageHandleResidentNV();
	public abstract MethodHandle glIsList();
	public abstract MethodHandle glIsMemoryObjectEXT();
	public abstract MethodHandle glIsNameAMD();
	public abstract MethodHandle glIsNamedBufferResidentNV();
	public abstract MethodHandle glIsNamedStringARB();
	public abstract MethodHandle glIsObjectBufferATI();
	public abstract MethodHandle glIsOcclusionQueryNV();
	public abstract MethodHandle glIsPathNV();
	public abstract MethodHandle glIsPointInFillPathNV();
	public abstract MethodHandle glIsPointInStrokePathNV();
	public abstract MethodHandle glIsProgram();
	public abstract MethodHandle glIsProgramARB();
	public abstract MethodHandle glIsProgramNV();
	public abstract MethodHandle glIsProgramPipeline();
	public abstract MethodHandle glIsProgramPipelineEXT();
	public abstract MethodHandle glIsQuery();
	public abstract MethodHandle glIsQueryARB();
	public abstract MethodHandle glIsQueryEXT();
	public abstract MethodHandle glIsRenderbuffer();
	public abstract MethodHandle glIsRenderbufferEXT();
	public abstract MethodHandle glIsRenderbufferOES();
	public abstract MethodHandle glIsSemaphoreEXT();
	public abstract MethodHandle glIsSampler();
	public abstract MethodHandle glIsShader();
	public abstract MethodHandle glIsStateNV();
	public abstract MethodHandle glIsSync();
	public abstract MethodHandle glIsSyncAPPLE();
	public abstract MethodHandle glIsTexture();
	public abstract MethodHandle glIsTextureEXT();
	public abstract MethodHandle glIsTextureHandleResidentARB();
	public abstract MethodHandle glIsTextureHandleResidentNV();
	public abstract MethodHandle glIsTransformFeedback();
	public abstract MethodHandle glIsTransformFeedbackNV();
	public abstract MethodHandle glIsVariantEnabledEXT();
	public abstract MethodHandle glIsVertexArray();
	public abstract MethodHandle glIsVertexArrayAPPLE();
	public abstract MethodHandle glIsVertexArrayOES();
	public abstract MethodHandle glIsVertexAttribEnabledAPPLE();
	public abstract MethodHandle glLGPUCopyImageSubDataNVX();
	public abstract MethodHandle glLGPUInterlockNVX();
	public abstract MethodHandle glLGPUNamedBufferSubDataNVX();
	public abstract MethodHandle glLabelObjectEXT();
	public abstract MethodHandle glLightEnviSGIX();
	public abstract MethodHandle glLightModelf();
	public abstract MethodHandle glLightModelfv();
	public abstract MethodHandle glLightModeli();
	public abstract MethodHandle glLightModeliv();
	public abstract MethodHandle glLightModelx();
	public abstract MethodHandle glLightModelxOES();
	public abstract MethodHandle glLightModelxv();
	public abstract MethodHandle glLightModelxvOES();
	public abstract MethodHandle glLightf();
	public abstract MethodHandle glLightfv();
	public abstract MethodHandle glLighti();
	public abstract MethodHandle glLightiv();
	public abstract MethodHandle glLightx();
	public abstract MethodHandle glLightxOES();
	public abstract MethodHandle glLightxv();
	public abstract MethodHandle glLightxvOES();
	public abstract MethodHandle glLineStipple();
	public abstract MethodHandle glLineWidth();
	public abstract MethodHandle glLineWidthx();
	public abstract MethodHandle glLineWidthxOES();
	public abstract MethodHandle glLinkProgram();
	public abstract MethodHandle glLinkProgramARB();
	public abstract MethodHandle glListBase();
	public abstract MethodHandle glListDrawCommandsStatesClientNV();
	public abstract MethodHandle glListParameterfSGIX();
	public abstract MethodHandle glListParameterfvSGIX();
	public abstract MethodHandle glListParameteriSGIX();
	public abstract MethodHandle glListParameterivSGIX();
	public abstract MethodHandle glLoadIdentity();
	public abstract MethodHandle glLoadIdentityDeformationMapSGIX();
	public abstract MethodHandle glLoadMatrixd();
	public abstract MethodHandle glLoadMatrixf();
	public abstract MethodHandle glLoadMatrixx();
	public abstract MethodHandle glLoadMatrixxOES();
	public abstract MethodHandle glLoadName();
	public abstract MethodHandle glLoadPaletteFromModelViewMatrixOES();
	public abstract MethodHandle glLoadProgramNV();
	public abstract MethodHandle glLoadTransposeMatrixd();
	public abstract MethodHandle glLoadTransposeMatrixdARB();
	public abstract MethodHandle glLoadTransposeMatrixf();
	public abstract MethodHandle glLoadTransposeMatrixfARB();
	public abstract MethodHandle glLoadTransposeMatrixxOES();
	public abstract MethodHandle glLockArraysEXT();
	public abstract MethodHandle glLogicOp();
	public abstract MethodHandle glMakeBufferNonResidentNV();
	public abstract MethodHandle glMakeBufferResidentNV();
	public abstract MethodHandle glMakeImageHandleNonResidentARB();
	public abstract MethodHandle glMakeImageHandleNonResidentNV();
	public abstract MethodHandle glMakeImageHandleResidentARB();
	public abstract MethodHandle glMakeImageHandleResidentNV();
	public abstract MethodHandle glMakeNamedBufferNonResidentNV();
	public abstract MethodHandle glMakeNamedBufferResidentNV();
	public abstract MethodHandle glMakeTextureHandleNonResidentARB();
	public abstract MethodHandle glMakeTextureHandleNonResidentNV();
	public abstract MethodHandle glMakeTextureHandleResidentARB();
	public abstract MethodHandle glMakeTextureHandleResidentNV();
	public abstract MethodHandle glMap1d();
	public abstract MethodHandle glMap1f();
	public abstract MethodHandle glMap1xOES();
	public abstract MethodHandle glMap2d();
	public abstract MethodHandle glMap2f();
	public abstract MethodHandle glMap2xOES();
	public abstract MethodHandle glMapBuffer();
	public abstract MethodHandle glMapBufferARB();
	public abstract MethodHandle glMapBufferOES();
	public abstract MethodHandle glMapBufferRange();
	public abstract MethodHandle glMapBufferRangeEXT();
	public abstract MethodHandle glMapControlPointsNV();
	public abstract MethodHandle glMapGrid1d();
	public abstract MethodHandle glMapGrid1f();
	public abstract MethodHandle glMapGrid1xOES();
	public abstract MethodHandle glMapGrid2d();
	public abstract MethodHandle glMapGrid2f();
	public abstract MethodHandle glMapGrid2xOES();
	public abstract MethodHandle glMapNamedBuffer();
	public abstract MethodHandle glMapNamedBufferEXT();
	public abstract MethodHandle glMapNamedBufferRange();
	public abstract MethodHandle glMapNamedBufferRangeEXT();
	public abstract MethodHandle glMapObjectBufferATI();
	public abstract MethodHandle glMapParameterfvNV();
	public abstract MethodHandle glMapParameterivNV();
	public abstract MethodHandle glMapTexture2DINTEL();
	public abstract MethodHandle glMapVertexAttrib1dAPPLE();
	public abstract MethodHandle glMapVertexAttrib1fAPPLE();
	public abstract MethodHandle glMapVertexAttrib2dAPPLE();
	public abstract MethodHandle glMapVertexAttrib2fAPPLE();
	public abstract MethodHandle glMaterialf();
	public abstract MethodHandle glMaterialfv();
	public abstract MethodHandle glMateriali();
	public abstract MethodHandle glMaterialiv();
	public abstract MethodHandle glMaterialx();
	public abstract MethodHandle glMaterialxOES();
	public abstract MethodHandle glMaterialxv();
	public abstract MethodHandle glMaterialxvOES();
	public abstract MethodHandle glMatrixFrustumEXT();
	public abstract MethodHandle glMatrixIndexPointerARB();
	public abstract MethodHandle glMatrixIndexPointerOES();
	public abstract MethodHandle glMatrixIndexubvARB();
	public abstract MethodHandle glMatrixIndexuivARB();
	public abstract MethodHandle glMatrixIndexusvARB();
	public abstract MethodHandle glMatrixLoad3x2fNV();
	public abstract MethodHandle glMatrixLoad3x3fNV();
	public abstract MethodHandle glMatrixLoadIdentityEXT();
	public abstract MethodHandle glMatrixLoadTranspose3x3fNV();
	public abstract MethodHandle glMatrixLoadTransposedEXT();
	public abstract MethodHandle glMatrixLoadTransposefEXT();
	public abstract MethodHandle glMatrixLoaddEXT();
	public abstract MethodHandle glMatrixLoadfEXT();
	public abstract MethodHandle glMatrixMode();
	public abstract MethodHandle glMatrixMult3x2fNV();
	public abstract MethodHandle glMatrixMult3x3fNV();
	public abstract MethodHandle glMatrixMultTranspose3x3fNV();
	public abstract MethodHandle glMatrixMultTransposedEXT();
	public abstract MethodHandle glMatrixMultTransposefEXT();
	public abstract MethodHandle glMatrixMultdEXT();
	public abstract MethodHandle glMatrixMultfEXT();
	public abstract MethodHandle glMatrixOrthoEXT();
	public abstract MethodHandle glMatrixPopEXT();
	public abstract MethodHandle glMatrixPushEXT();
	public abstract MethodHandle glMatrixRotatedEXT();
	public abstract MethodHandle glMatrixRotatefEXT();
	public abstract MethodHandle glMatrixScaledEXT();
	public abstract MethodHandle glMatrixScalefEXT();
	public abstract MethodHandle glMatrixTranslatedEXT();
	public abstract MethodHandle glMatrixTranslatefEXT();
	public abstract MethodHandle glMaxActiveShaderCoresARM();
	public abstract MethodHandle glMaxShaderCompilerThreadsKHR();
	public abstract MethodHandle glMaxShaderCompilerThreadsARB();
	public abstract MethodHandle glMemoryBarrier();
	public abstract MethodHandle glMemoryBarrierByRegion();
	public abstract MethodHandle glMemoryBarrierEXT();
	public abstract MethodHandle glMemoryObjectParameterivEXT();
	public abstract MethodHandle glMinSampleShading();
	public abstract MethodHandle glMinSampleShadingARB();
	public abstract MethodHandle glMinSampleShadingOES();
	public abstract MethodHandle glMinmax();
	public abstract MethodHandle glMinmaxEXT();
	public abstract MethodHandle glMultMatrixd();
	public abstract MethodHandle glMultMatrixf();
	public abstract MethodHandle glMultMatrixx();
	public abstract MethodHandle glMultMatrixxOES();
	public abstract MethodHandle glMultTransposeMatrixd();
	public abstract MethodHandle glMultTransposeMatrixdARB();
	public abstract MethodHandle glMultTransposeMatrixf();
	public abstract MethodHandle glMultTransposeMatrixfARB();
	public abstract MethodHandle glMultTransposeMatrixxOES();
	public abstract MethodHandle glMultiDrawArrays();
	public abstract MethodHandle glMultiDrawArraysEXT();
	public abstract MethodHandle glMultiDrawArraysIndirect();
	public abstract MethodHandle glMultiDrawArraysIndirectAMD();
	public abstract MethodHandle glMultiDrawArraysIndirectBindlessCountNV();
	public abstract MethodHandle glMultiDrawArraysIndirectBindlessNV();
	public abstract MethodHandle glMultiDrawArraysIndirectCount();
	public abstract MethodHandle glMultiDrawArraysIndirectCountARB();
	public abstract MethodHandle glMultiDrawArraysIndirectEXT();
	public abstract MethodHandle glMultiDrawElementArrayAPPLE();
	public abstract MethodHandle glMultiDrawElements();
	public abstract MethodHandle glMultiDrawElementsBaseVertex();
	public abstract MethodHandle glMultiDrawElementsBaseVertexEXT();
	public abstract MethodHandle glMultiDrawElementsEXT();
	public abstract MethodHandle glMultiDrawElementsIndirect();
	public abstract MethodHandle glMultiDrawElementsIndirectAMD();
	public abstract MethodHandle glMultiDrawElementsIndirectBindlessCountNV();
	public abstract MethodHandle glMultiDrawElementsIndirectBindlessNV();
	public abstract MethodHandle glMultiDrawElementsIndirectCount();
	public abstract MethodHandle glMultiDrawElementsIndirectCountARB();
	public abstract MethodHandle glMultiDrawElementsIndirectEXT();
	public abstract MethodHandle glMultiDrawMeshTasksIndirectNV();
	public abstract MethodHandle glMultiDrawMeshTasksIndirectCountNV();
	public abstract MethodHandle glMultiDrawRangeElementArrayAPPLE();
	public abstract MethodHandle glMultiModeDrawArraysIBM();
	public abstract MethodHandle glMultiModeDrawElementsIBM();
	public abstract MethodHandle glMultiTexBufferEXT();
	public abstract MethodHandle glMultiTexCoord1bOES();
	public abstract MethodHandle glMultiTexCoord1bvOES();
	public abstract MethodHandle glMultiTexCoord1d();
	public abstract MethodHandle glMultiTexCoord1dARB();
	public abstract MethodHandle glMultiTexCoord1dv();
	public abstract MethodHandle glMultiTexCoord1dvARB();
	public abstract MethodHandle glMultiTexCoord1f();
	public abstract MethodHandle glMultiTexCoord1fARB();
	public abstract MethodHandle glMultiTexCoord1fv();
	public abstract MethodHandle glMultiTexCoord1fvARB();
	public abstract MethodHandle glMultiTexCoord1hNV();
	public abstract MethodHandle glMultiTexCoord1hvNV();
	public abstract MethodHandle glMultiTexCoord1i();
	public abstract MethodHandle glMultiTexCoord1iARB();
	public abstract MethodHandle glMultiTexCoord1iv();
	public abstract MethodHandle glMultiTexCoord1ivARB();
	public abstract MethodHandle glMultiTexCoord1s();
	public abstract MethodHandle glMultiTexCoord1sARB();
	public abstract MethodHandle glMultiTexCoord1sv();
	public abstract MethodHandle glMultiTexCoord1svARB();
	public abstract MethodHandle glMultiTexCoord1xOES();
	public abstract MethodHandle glMultiTexCoord1xvOES();
	public abstract MethodHandle glMultiTexCoord2bOES();
	public abstract MethodHandle glMultiTexCoord2bvOES();
	public abstract MethodHandle glMultiTexCoord2d();
	public abstract MethodHandle glMultiTexCoord2dARB();
	public abstract MethodHandle glMultiTexCoord2dv();
	public abstract MethodHandle glMultiTexCoord2dvARB();
	public abstract MethodHandle glMultiTexCoord2f();
	public abstract MethodHandle glMultiTexCoord2fARB();
	public abstract MethodHandle glMultiTexCoord2fv();
	public abstract MethodHandle glMultiTexCoord2fvARB();
	public abstract MethodHandle glMultiTexCoord2hNV();
	public abstract MethodHandle glMultiTexCoord2hvNV();
	public abstract MethodHandle glMultiTexCoord2i();
	public abstract MethodHandle glMultiTexCoord2iARB();
	public abstract MethodHandle glMultiTexCoord2iv();
	public abstract MethodHandle glMultiTexCoord2ivARB();
	public abstract MethodHandle glMultiTexCoord2s();
	public abstract MethodHandle glMultiTexCoord2sARB();
	public abstract MethodHandle glMultiTexCoord2sv();
	public abstract MethodHandle glMultiTexCoord2svARB();
	public abstract MethodHandle glMultiTexCoord2xOES();
	public abstract MethodHandle glMultiTexCoord2xvOES();
	public abstract MethodHandle glMultiTexCoord3bOES();
	public abstract MethodHandle glMultiTexCoord3bvOES();
	public abstract MethodHandle glMultiTexCoord3d();
	public abstract MethodHandle glMultiTexCoord3dARB();
	public abstract MethodHandle glMultiTexCoord3dv();
	public abstract MethodHandle glMultiTexCoord3dvARB();
	public abstract MethodHandle glMultiTexCoord3f();
	public abstract MethodHandle glMultiTexCoord3fARB();
	public abstract MethodHandle glMultiTexCoord3fv();
	public abstract MethodHandle glMultiTexCoord3fvARB();
	public abstract MethodHandle glMultiTexCoord3hNV();
	public abstract MethodHandle glMultiTexCoord3hvNV();
	public abstract MethodHandle glMultiTexCoord3i();
	public abstract MethodHandle glMultiTexCoord3iARB();
	public abstract MethodHandle glMultiTexCoord3iv();
	public abstract MethodHandle glMultiTexCoord3ivARB();
	public abstract MethodHandle glMultiTexCoord3s();
	public abstract MethodHandle glMultiTexCoord3sARB();
	public abstract MethodHandle glMultiTexCoord3sv();
	public abstract MethodHandle glMultiTexCoord3svARB();
	public abstract MethodHandle glMultiTexCoord3xOES();
	public abstract MethodHandle glMultiTexCoord3xvOES();
	public abstract MethodHandle glMultiTexCoord4bOES();
	public abstract MethodHandle glMultiTexCoord4bvOES();
	public abstract MethodHandle glMultiTexCoord4d();
	public abstract MethodHandle glMultiTexCoord4dARB();
	public abstract MethodHandle glMultiTexCoord4dv();
	public abstract MethodHandle glMultiTexCoord4dvARB();
	public abstract MethodHandle glMultiTexCoord4f();
	public abstract MethodHandle glMultiTexCoord4fARB();
	public abstract MethodHandle glMultiTexCoord4fv();
	public abstract MethodHandle glMultiTexCoord4fvARB();
	public abstract MethodHandle glMultiTexCoord4hNV();
	public abstract MethodHandle glMultiTexCoord4hvNV();
	public abstract MethodHandle glMultiTexCoord4i();
	public abstract MethodHandle glMultiTexCoord4iARB();
	public abstract MethodHandle glMultiTexCoord4iv();
	public abstract MethodHandle glMultiTexCoord4ivARB();
	public abstract MethodHandle glMultiTexCoord4s();
	public abstract MethodHandle glMultiTexCoord4sARB();
	public abstract MethodHandle glMultiTexCoord4sv();
	public abstract MethodHandle glMultiTexCoord4svARB();
	public abstract MethodHandle glMultiTexCoord4x();
	public abstract MethodHandle glMultiTexCoord4xOES();
	public abstract MethodHandle glMultiTexCoord4xvOES();
	public abstract MethodHandle glMultiTexCoordP1ui();
	public abstract MethodHandle glMultiTexCoordP1uiv();
	public abstract MethodHandle glMultiTexCoordP2ui();
	public abstract MethodHandle glMultiTexCoordP2uiv();
	public abstract MethodHandle glMultiTexCoordP3ui();
	public abstract MethodHandle glMultiTexCoordP3uiv();
	public abstract MethodHandle glMultiTexCoordP4ui();
	public abstract MethodHandle glMultiTexCoordP4uiv();
	public abstract MethodHandle glMultiTexCoordPointerEXT();
	public abstract MethodHandle glMultiTexEnvfEXT();
	public abstract MethodHandle glMultiTexEnvfvEXT();
	public abstract MethodHandle glMultiTexEnviEXT();
	public abstract MethodHandle glMultiTexEnvivEXT();
	public abstract MethodHandle glMultiTexGendEXT();
	public abstract MethodHandle glMultiTexGendvEXT();
	public abstract MethodHandle glMultiTexGenfEXT();
	public abstract MethodHandle glMultiTexGenfvEXT();
	public abstract MethodHandle glMultiTexGeniEXT();
	public abstract MethodHandle glMultiTexGenivEXT();
	public abstract MethodHandle glMultiTexImage1DEXT();
	public abstract MethodHandle glMultiTexImage2DEXT();
	public abstract MethodHandle glMultiTexImage3DEXT();
	public abstract MethodHandle glMultiTexParameterIivEXT();
	public abstract MethodHandle glMultiTexParameterIuivEXT();
	public abstract MethodHandle glMultiTexParameterfEXT();
	public abstract MethodHandle glMultiTexParameterfvEXT();
	public abstract MethodHandle glMultiTexParameteriEXT();
	public abstract MethodHandle glMultiTexParameterivEXT();
	public abstract MethodHandle glMultiTexRenderbufferEXT();
	public abstract MethodHandle glMultiTexSubImage1DEXT();
	public abstract MethodHandle glMultiTexSubImage2DEXT();
	public abstract MethodHandle glMultiTexSubImage3DEXT();
	public abstract MethodHandle glMulticastBarrierNV();
	public abstract MethodHandle glMulticastBlitFramebufferNV();
	public abstract MethodHandle glMulticastBufferSubDataNV();
	public abstract MethodHandle glMulticastCopyBufferSubDataNV();
	public abstract MethodHandle glMulticastCopyImageSubDataNV();
	public abstract MethodHandle glMulticastFramebufferSampleLocationsfvNV();
	public abstract MethodHandle glMulticastGetQueryObjecti64vNV();
	public abstract MethodHandle glMulticastGetQueryObjectivNV();
	public abstract MethodHandle glMulticastGetQueryObjectui64vNV();
	public abstract MethodHandle glMulticastGetQueryObjectuivNV();
	public abstract MethodHandle glMulticastScissorArrayvNVX();
	public abstract MethodHandle glMulticastViewportArrayvNVX();
	public abstract MethodHandle glMulticastViewportPositionWScaleNVX();
	public abstract MethodHandle glMulticastWaitSyncNV();
	public abstract MethodHandle glNamedBufferAttachMemoryNV();
	public abstract MethodHandle glNamedBufferData();
	public abstract MethodHandle glNamedBufferDataEXT();
	public abstract MethodHandle glNamedBufferPageCommitmentARB();
	public abstract MethodHandle glNamedBufferPageCommitmentEXT();
	public abstract MethodHandle glNamedBufferPageCommitmentMemNV();
	public abstract MethodHandle glNamedBufferStorage();
	public abstract MethodHandle glNamedBufferStorageExternalEXT();
	public abstract MethodHandle glNamedBufferStorageEXT();
	public abstract MethodHandle glNamedBufferStorageMemEXT();
	public abstract MethodHandle glNamedBufferSubData();
	public abstract MethodHandle glNamedBufferSubDataEXT();
	public abstract MethodHandle glNamedCopyBufferSubDataEXT();
	public abstract MethodHandle glNamedFramebufferDrawBuffer();
	public abstract MethodHandle glNamedFramebufferDrawBuffers();
	public abstract MethodHandle glNamedFramebufferParameteri();
	public abstract MethodHandle glNamedFramebufferParameteriEXT();
	public abstract MethodHandle glNamedFramebufferReadBuffer();
	public abstract MethodHandle glNamedFramebufferRenderbuffer();
	public abstract MethodHandle glNamedFramebufferRenderbufferEXT();
	public abstract MethodHandle glNamedFramebufferSampleLocationsfvARB();
	public abstract MethodHandle glNamedFramebufferSampleLocationsfvNV();
	public abstract MethodHandle glNamedFramebufferTexture();
	public abstract MethodHandle glNamedFramebufferSamplePositionsfvAMD();
	public abstract MethodHandle glNamedFramebufferTexture1DEXT();
	public abstract MethodHandle glNamedFramebufferTexture2DEXT();
	public abstract MethodHandle glNamedFramebufferTexture3DEXT();
	public abstract MethodHandle glNamedFramebufferTextureEXT();
	public abstract MethodHandle glNamedFramebufferTextureFaceEXT();
	public abstract MethodHandle glNamedFramebufferTextureLayer();
	public abstract MethodHandle glNamedFramebufferTextureLayerEXT();
	public abstract MethodHandle glNamedFramebufferTextureMultiviewOVR();
	public abstract MethodHandle glNamedProgramLocalParameter4dEXT();
	public abstract MethodHandle glNamedProgramLocalParameter4dvEXT();
	public abstract MethodHandle glNamedProgramLocalParameter4fEXT();
	public abstract MethodHandle glNamedProgramLocalParameter4fvEXT();
	public abstract MethodHandle glNamedProgramLocalParameterI4iEXT();
	public abstract MethodHandle glNamedProgramLocalParameterI4ivEXT();
	public abstract MethodHandle glNamedProgramLocalParameterI4uiEXT();
	public abstract MethodHandle glNamedProgramLocalParameterI4uivEXT();
	public abstract MethodHandle glNamedProgramLocalParameters4fvEXT();
	public abstract MethodHandle glNamedProgramLocalParametersI4ivEXT();
	public abstract MethodHandle glNamedProgramLocalParametersI4uivEXT();
	public abstract MethodHandle glNamedProgramStringEXT();
	public abstract MethodHandle glNamedRenderbufferStorage();
	public abstract MethodHandle glNamedRenderbufferStorageEXT();
	public abstract MethodHandle glNamedRenderbufferStorageMultisample();
	public abstract MethodHandle glNamedRenderbufferStorageMultisampleAdvancedAMD();
	public abstract MethodHandle glNamedRenderbufferStorageMultisampleCoverageEXT();
	public abstract MethodHandle glNamedRenderbufferStorageMultisampleEXT();
	public abstract MethodHandle glNamedStringARB();
	public abstract MethodHandle glNewList();
	public abstract MethodHandle glNewObjectBufferATI();
	public abstract MethodHandle glNormal3b();
	public abstract MethodHandle glNormal3bv();
	public abstract MethodHandle glNormal3d();
	public abstract MethodHandle glNormal3dv();
	public abstract MethodHandle glNormal3f();
	public abstract MethodHandle glNormal3fVertex3fSUN();
	public abstract MethodHandle glNormal3fVertex3fvSUN();
	public abstract MethodHandle glNormal3fv();
	public abstract MethodHandle glNormal3hNV();
	public abstract MethodHandle glNormal3hvNV();
	public abstract MethodHandle glNormal3i();
	public abstract MethodHandle glNormal3iv();
	public abstract MethodHandle glNormal3s();
	public abstract MethodHandle glNormal3sv();
	public abstract MethodHandle glNormal3x();
	public abstract MethodHandle glNormal3xOES();
	public abstract MethodHandle glNormal3xvOES();
	public abstract MethodHandle glNormalFormatNV();
	public abstract MethodHandle glNormalP3ui();
	public abstract MethodHandle glNormalP3uiv();
	public abstract MethodHandle glNormalPointer();
	public abstract MethodHandle glNormalPointerEXT();
	public abstract MethodHandle glNormalPointerListIBM();
	public abstract MethodHandle glNormalPointervINTEL();
	public abstract MethodHandle glNormalStream3bATI();
	public abstract MethodHandle glNormalStream3bvATI();
	public abstract MethodHandle glNormalStream3dATI();
	public abstract MethodHandle glNormalStream3dvATI();
	public abstract MethodHandle glNormalStream3fATI();
	public abstract MethodHandle glNormalStream3fvATI();
	public abstract MethodHandle glNormalStream3iATI();
	public abstract MethodHandle glNormalStream3ivATI();
	public abstract MethodHandle glNormalStream3sATI();
	public abstract MethodHandle glNormalStream3svATI();
	public abstract MethodHandle glObjectLabel();
	public abstract MethodHandle glObjectLabelKHR();
	public abstract MethodHandle glObjectPtrLabel();
	public abstract MethodHandle glObjectPtrLabelKHR();
	public abstract MethodHandle glObjectPurgeableAPPLE();
	public abstract MethodHandle glObjectUnpurgeableAPPLE();
	public abstract MethodHandle glOrtho();
	public abstract MethodHandle glOrthof();
	public abstract MethodHandle glOrthofOES();
	public abstract MethodHandle glOrthox();
	public abstract MethodHandle glOrthoxOES();
	public abstract MethodHandle glPNTrianglesfATI();
	public abstract MethodHandle glPNTrianglesiATI();
	public abstract MethodHandle glPassTexCoordATI();
	public abstract MethodHandle glPassThrough();
	public abstract MethodHandle glPassThroughxOES();
	public abstract MethodHandle glPatchParameterfv();
	public abstract MethodHandle glPatchParameteri();
	public abstract MethodHandle glPatchParameteriEXT();
	public abstract MethodHandle glPatchParameteriOES();
	public abstract MethodHandle glPathColorGenNV();
	public abstract MethodHandle glPathCommandsNV();
	public abstract MethodHandle glPathCoordsNV();
	public abstract MethodHandle glPathCoverDepthFuncNV();
	public abstract MethodHandle glPathDashArrayNV();
	public abstract MethodHandle glPathFogGenNV();
	public abstract MethodHandle glPathGlyphIndexArrayNV();
	public abstract MethodHandle glPathGlyphIndexRangeNV();
	public abstract MethodHandle glPathGlyphRangeNV();
	public abstract MethodHandle glPathGlyphsNV();
	public abstract MethodHandle glPathMemoryGlyphIndexArrayNV();
	public abstract MethodHandle glPathParameterfNV();
	public abstract MethodHandle glPathParameterfvNV();
	public abstract MethodHandle glPathParameteriNV();
	public abstract MethodHandle glPathParameterivNV();
	public abstract MethodHandle glPathStencilDepthOffsetNV();
	public abstract MethodHandle glPathStencilFuncNV();
	public abstract MethodHandle glPathStringNV();
	public abstract MethodHandle glPathSubCommandsNV();
	public abstract MethodHandle glPathSubCoordsNV();
	public abstract MethodHandle glPathTexGenNV();
	public abstract MethodHandle glPauseTransformFeedback();
	public abstract MethodHandle glPauseTransformFeedbackNV();
	public abstract MethodHandle glPixelDataRangeNV();
	public abstract MethodHandle glPixelMapfv();
	public abstract MethodHandle glPixelMapuiv();
	public abstract MethodHandle glPixelMapusv();
	public abstract MethodHandle glPixelMapx();
	public abstract MethodHandle glPixelStoref();
	public abstract MethodHandle glPixelStorei();
	public abstract MethodHandle glPixelStorex();
	public abstract MethodHandle glPixelTexGenParameterfSGIS();
	public abstract MethodHandle glPixelTexGenParameterfvSGIS();
	public abstract MethodHandle glPixelTexGenParameteriSGIS();
	public abstract MethodHandle glPixelTexGenParameterivSGIS();
	public abstract MethodHandle glPixelTexGenSGIX();
	public abstract MethodHandle glPixelTransferf();
	public abstract MethodHandle glPixelTransferi();
	public abstract MethodHandle glPixelTransferxOES();
	public abstract MethodHandle glPixelTransformParameterfEXT();
	public abstract MethodHandle glPixelTransformParameterfvEXT();
	public abstract MethodHandle glPixelTransformParameteriEXT();
	public abstract MethodHandle glPixelTransformParameterivEXT();
	public abstract MethodHandle glPixelZoom();
	public abstract MethodHandle glPixelZoomxOES();
	public abstract MethodHandle glPointAlongPathNV();
	public abstract MethodHandle glPointParameterf();
	public abstract MethodHandle glPointParameterfARB();
	public abstract MethodHandle glPointParameterfEXT();
	public abstract MethodHandle glPointParameterfSGIS();
	public abstract MethodHandle glPointParameterfv();
	public abstract MethodHandle glPointParameterfvARB();
	public abstract MethodHandle glPointParameterfvEXT();
	public abstract MethodHandle glPointParameterfvSGIS();
	public abstract MethodHandle glPointParameteri();
	public abstract MethodHandle glPointParameteriNV();
	public abstract MethodHandle glPointParameteriv();
	public abstract MethodHandle glPointParameterivNV();
	public abstract MethodHandle glPointParameterx();
	public abstract MethodHandle glPointParameterxOES();
	public abstract MethodHandle glPointParameterxv();
	public abstract MethodHandle glPointParameterxvOES();
	public abstract MethodHandle glPointSize();
	public abstract MethodHandle glPointSizePointerOES();
	public abstract MethodHandle glPointSizex();
	public abstract MethodHandle glPointSizexOES();
	public abstract MethodHandle glPollAsyncSGIX();
	public abstract MethodHandle glPollInstrumentsSGIX();
	public abstract MethodHandle glPolygonMode();
	public abstract MethodHandle glPolygonModeNV();
	public abstract MethodHandle glPolygonOffset();
	public abstract MethodHandle glPolygonOffsetClamp();
	public abstract MethodHandle glPolygonOffsetClampEXT();
	public abstract MethodHandle glPolygonOffsetEXT();
	public abstract MethodHandle glPolygonOffsetx();
	public abstract MethodHandle glPolygonOffsetxOES();
	public abstract MethodHandle glPolygonStipple();
	public abstract MethodHandle glPopAttrib();
	public abstract MethodHandle glPopClientAttrib();
	public abstract MethodHandle glPopDebugGroup();
	public abstract MethodHandle glPopDebugGroupKHR();
	public abstract MethodHandle glPopGroupMarkerEXT();
	public abstract MethodHandle glPopMatrix();
	public abstract MethodHandle glPopName();
	public abstract MethodHandle glPresentFrameDualFillNV();
	public abstract MethodHandle glPresentFrameKeyedNV();
	public abstract MethodHandle glPrimitiveBoundingBox();
	public abstract MethodHandle glPrimitiveBoundingBoxARB();
	public abstract MethodHandle glPrimitiveBoundingBoxEXT();
	public abstract MethodHandle glPrimitiveBoundingBoxOES();
	public abstract MethodHandle glPrimitiveRestartIndex();
	public abstract MethodHandle glPrimitiveRestartIndexNV();
	public abstract MethodHandle glPrimitiveRestartNV();
	public abstract MethodHandle glPrioritizeTextures();
	public abstract MethodHandle glPrioritizeTexturesEXT();
	public abstract MethodHandle glPrioritizeTexturesxOES();
	public abstract MethodHandle glProgramBinary();
	public abstract MethodHandle glProgramBinaryOES();
	public abstract MethodHandle glProgramBufferParametersIivNV();
	public abstract MethodHandle glProgramBufferParametersIuivNV();
	public abstract MethodHandle glProgramBufferParametersfvNV();
	public abstract MethodHandle glProgramEnvParameter4dARB();
	public abstract MethodHandle glProgramEnvParameter4dvARB();
	public abstract MethodHandle glProgramEnvParameter4fARB();
	public abstract MethodHandle glProgramEnvParameter4fvARB();
	public abstract MethodHandle glProgramEnvParameterI4iNV();
	public abstract MethodHandle glProgramEnvParameterI4ivNV();
	public abstract MethodHandle glProgramEnvParameterI4uiNV();
	public abstract MethodHandle glProgramEnvParameterI4uivNV();
	public abstract MethodHandle glProgramEnvParameters4fvEXT();
	public abstract MethodHandle glProgramEnvParametersI4ivNV();
	public abstract MethodHandle glProgramEnvParametersI4uivNV();
	public abstract MethodHandle glProgramLocalParameter4dARB();
	public abstract MethodHandle glProgramLocalParameter4dvARB();
	public abstract MethodHandle glProgramLocalParameter4fARB();
	public abstract MethodHandle glProgramLocalParameter4fvARB();
	public abstract MethodHandle glProgramLocalParameterI4iNV();
	public abstract MethodHandle glProgramLocalParameterI4ivNV();
	public abstract MethodHandle glProgramLocalParameterI4uiNV();
	public abstract MethodHandle glProgramLocalParameterI4uivNV();
	public abstract MethodHandle glProgramLocalParameters4fvEXT();
	public abstract MethodHandle glProgramLocalParametersI4ivNV();
	public abstract MethodHandle glProgramLocalParametersI4uivNV();
	public abstract MethodHandle glProgramNamedParameter4dNV();
	public abstract MethodHandle glProgramNamedParameter4dvNV();
	public abstract MethodHandle glProgramNamedParameter4fNV();
	public abstract MethodHandle glProgramNamedParameter4fvNV();
	public abstract MethodHandle glProgramParameter4dNV();
	public abstract MethodHandle glProgramParameter4dvNV();
	public abstract MethodHandle glProgramParameter4fNV();
	public abstract MethodHandle glProgramParameter4fvNV();
	public abstract MethodHandle glProgramParameteri();
	public abstract MethodHandle glProgramParameteriARB();
	public abstract MethodHandle glProgramParameteriEXT();
	public abstract MethodHandle glProgramParameters4dvNV();
	public abstract MethodHandle glProgramParameters4fvNV();
	public abstract MethodHandle glProgramPathFragmentInputGenNV();
	public abstract MethodHandle glProgramStringARB();
	public abstract MethodHandle glProgramSubroutineParametersuivNV();
	public abstract MethodHandle glProgramUniform1d();
	public abstract MethodHandle glProgramUniform1dEXT();
	public abstract MethodHandle glProgramUniform1dv();
	public abstract MethodHandle glProgramUniform1dvEXT();
	public abstract MethodHandle glProgramUniform1f();
	public abstract MethodHandle glProgramUniform1fEXT();
	public abstract MethodHandle glProgramUniform1fv();
	public abstract MethodHandle glProgramUniform1fvEXT();
	public abstract MethodHandle glProgramUniform1i();
	public abstract MethodHandle glProgramUniform1i64ARB();
	public abstract MethodHandle glProgramUniform1i64NV();
	public abstract MethodHandle glProgramUniform1i64vARB();
	public abstract MethodHandle glProgramUniform1i64vNV();
	public abstract MethodHandle glProgramUniform1iEXT();
	public abstract MethodHandle glProgramUniform1iv();
	public abstract MethodHandle glProgramUniform1ivEXT();
	public abstract MethodHandle glProgramUniform1ui();
	public abstract MethodHandle glProgramUniform1ui64ARB();
	public abstract MethodHandle glProgramUniform1ui64NV();
	public abstract MethodHandle glProgramUniform1ui64vARB();
	public abstract MethodHandle glProgramUniform1ui64vNV();
	public abstract MethodHandle glProgramUniform1uiEXT();
	public abstract MethodHandle glProgramUniform1uiv();
	public abstract MethodHandle glProgramUniform1uivEXT();
	public abstract MethodHandle glProgramUniform2d();
	public abstract MethodHandle glProgramUniform2dEXT();
	public abstract MethodHandle glProgramUniform2dv();
	public abstract MethodHandle glProgramUniform2dvEXT();
	public abstract MethodHandle glProgramUniform2f();
	public abstract MethodHandle glProgramUniform2fEXT();
	public abstract MethodHandle glProgramUniform2fv();
	public abstract MethodHandle glProgramUniform2fvEXT();
	public abstract MethodHandle glProgramUniform2i();
	public abstract MethodHandle glProgramUniform2i64ARB();
	public abstract MethodHandle glProgramUniform2i64NV();
	public abstract MethodHandle glProgramUniform2i64vARB();
	public abstract MethodHandle glProgramUniform2i64vNV();
	public abstract MethodHandle glProgramUniform2iEXT();
	public abstract MethodHandle glProgramUniform2iv();
	public abstract MethodHandle glProgramUniform2ivEXT();
	public abstract MethodHandle glProgramUniform2ui();
	public abstract MethodHandle glProgramUniform2ui64ARB();
	public abstract MethodHandle glProgramUniform2ui64NV();
	public abstract MethodHandle glProgramUniform2ui64vARB();
	public abstract MethodHandle glProgramUniform2ui64vNV();
	public abstract MethodHandle glProgramUniform2uiEXT();
	public abstract MethodHandle glProgramUniform2uiv();
	public abstract MethodHandle glProgramUniform2uivEXT();
	public abstract MethodHandle glProgramUniform3d();
	public abstract MethodHandle glProgramUniform3dEXT();
	public abstract MethodHandle glProgramUniform3dv();
	public abstract MethodHandle glProgramUniform3dvEXT();
	public abstract MethodHandle glProgramUniform3f();
	public abstract MethodHandle glProgramUniform3fEXT();
	public abstract MethodHandle glProgramUniform3fv();
	public abstract MethodHandle glProgramUniform3fvEXT();
	public abstract MethodHandle glProgramUniform3i();
	public abstract MethodHandle glProgramUniform3i64ARB();
	public abstract MethodHandle glProgramUniform3i64NV();
	public abstract MethodHandle glProgramUniform3i64vARB();
	public abstract MethodHandle glProgramUniform3i64vNV();
	public abstract MethodHandle glProgramUniform3iEXT();
	public abstract MethodHandle glProgramUniform3iv();
	public abstract MethodHandle glProgramUniform3ivEXT();
	public abstract MethodHandle glProgramUniform3ui();
	public abstract MethodHandle glProgramUniform3ui64ARB();
	public abstract MethodHandle glProgramUniform3ui64NV();
	public abstract MethodHandle glProgramUniform3ui64vARB();
	public abstract MethodHandle glProgramUniform3ui64vNV();
	public abstract MethodHandle glProgramUniform3uiEXT();
	public abstract MethodHandle glProgramUniform3uiv();
	public abstract MethodHandle glProgramUniform3uivEXT();
	public abstract MethodHandle glProgramUniform4d();
	public abstract MethodHandle glProgramUniform4dEXT();
	public abstract MethodHandle glProgramUniform4dv();
	public abstract MethodHandle glProgramUniform4dvEXT();
	public abstract MethodHandle glProgramUniform4f();
	public abstract MethodHandle glProgramUniform4fEXT();
	public abstract MethodHandle glProgramUniform4fv();
	public abstract MethodHandle glProgramUniform4fvEXT();
	public abstract MethodHandle glProgramUniform4i();
	public abstract MethodHandle glProgramUniform4i64ARB();
	public abstract MethodHandle glProgramUniform4i64NV();
	public abstract MethodHandle glProgramUniform4i64vARB();
	public abstract MethodHandle glProgramUniform4i64vNV();
	public abstract MethodHandle glProgramUniform4iEXT();
	public abstract MethodHandle glProgramUniform4iv();
	public abstract MethodHandle glProgramUniform4ivEXT();
	public abstract MethodHandle glProgramUniform4ui();
	public abstract MethodHandle glProgramUniform4ui64ARB();
	public abstract MethodHandle glProgramUniform4ui64NV();
	public abstract MethodHandle glProgramUniform4ui64vARB();
	public abstract MethodHandle glProgramUniform4ui64vNV();
	public abstract MethodHandle glProgramUniform4uiEXT();
	public abstract MethodHandle glProgramUniform4uiv();
	public abstract MethodHandle glProgramUniform4uivEXT();
	public abstract MethodHandle glProgramUniformHandleui64ARB();
	public abstract MethodHandle glProgramUniformHandleui64IMG();
	public abstract MethodHandle glProgramUniformHandleui64NV();
	public abstract MethodHandle glProgramUniformHandleui64vARB();
	public abstract MethodHandle glProgramUniformHandleui64vIMG();
	public abstract MethodHandle glProgramUniformHandleui64vNV();
	public abstract MethodHandle glProgramUniformMatrix2dv();
	public abstract MethodHandle glProgramUniformMatrix2dvEXT();
	public abstract MethodHandle glProgramUniformMatrix2fv();
	public abstract MethodHandle glProgramUniformMatrix2fvEXT();
	public abstract MethodHandle glProgramUniformMatrix2x3dv();
	public abstract MethodHandle glProgramUniformMatrix2x3dvEXT();
	public abstract MethodHandle glProgramUniformMatrix2x3fv();
	public abstract MethodHandle glProgramUniformMatrix2x3fvEXT();
	public abstract MethodHandle glProgramUniformMatrix2x4dv();
	public abstract MethodHandle glProgramUniformMatrix2x4dvEXT();
	public abstract MethodHandle glProgramUniformMatrix2x4fv();
	public abstract MethodHandle glProgramUniformMatrix2x4fvEXT();
	public abstract MethodHandle glProgramUniformMatrix3dv();
	public abstract MethodHandle glProgramUniformMatrix3dvEXT();
	public abstract MethodHandle glProgramUniformMatrix3fv();
	public abstract MethodHandle glProgramUniformMatrix3fvEXT();
	public abstract MethodHandle glProgramUniformMatrix3x2dv();
	public abstract MethodHandle glProgramUniformMatrix3x2dvEXT();
	public abstract MethodHandle glProgramUniformMatrix3x2fv();
	public abstract MethodHandle glProgramUniformMatrix3x2fvEXT();
	public abstract MethodHandle glProgramUniformMatrix3x4dv();
	public abstract MethodHandle glProgramUniformMatrix3x4dvEXT();
	public abstract MethodHandle glProgramUniformMatrix3x4fv();
	public abstract MethodHandle glProgramUniformMatrix3x4fvEXT();
	public abstract MethodHandle glProgramUniformMatrix4dv();
	public abstract MethodHandle glProgramUniformMatrix4dvEXT();
	public abstract MethodHandle glProgramUniformMatrix4fv();
	public abstract MethodHandle glProgramUniformMatrix4fvEXT();
	public abstract MethodHandle glProgramUniformMatrix4x2dv();
	public abstract MethodHandle glProgramUniformMatrix4x2dvEXT();
	public abstract MethodHandle glProgramUniformMatrix4x2fv();
	public abstract MethodHandle glProgramUniformMatrix4x2fvEXT();
	public abstract MethodHandle glProgramUniformMatrix4x3dv();
	public abstract MethodHandle glProgramUniformMatrix4x3dvEXT();
	public abstract MethodHandle glProgramUniformMatrix4x3fv();
	public abstract MethodHandle glProgramUniformMatrix4x3fvEXT();
	public abstract MethodHandle glProgramUniformui64NV();
	public abstract MethodHandle glProgramUniformui64vNV();
	public abstract MethodHandle glProgramVertexLimitNV();
	public abstract MethodHandle glProvokingVertex();
	public abstract MethodHandle glProvokingVertexEXT();
	public abstract MethodHandle glPushAttrib();
	public abstract MethodHandle glPushClientAttrib();
	public abstract MethodHandle glPushClientAttribDefaultEXT();
	public abstract MethodHandle glPushDebugGroup();
	public abstract MethodHandle glPushDebugGroupKHR();
	public abstract MethodHandle glPushGroupMarkerEXT();
	public abstract MethodHandle glPushMatrix();
	public abstract MethodHandle glPushName();
	public abstract MethodHandle glQueryCounter();
	public abstract MethodHandle glQueryCounterEXT();
	public abstract MethodHandle glQueryMatrixxOES();
	public abstract MethodHandle glQueryObjectParameteruiAMD();
	public abstract MethodHandle glQueryResourceNV();
	public abstract MethodHandle glQueryResourceTagNV();
	public abstract MethodHandle glRasterPos2d();
	public abstract MethodHandle glRasterPos2dv();
	public abstract MethodHandle glRasterPos2f();
	public abstract MethodHandle glRasterPos2fv();
	public abstract MethodHandle glRasterPos2i();
	public abstract MethodHandle glRasterPos2iv();
	public abstract MethodHandle glRasterPos2s();
	public abstract MethodHandle glRasterPos2sv();
	public abstract MethodHandle glRasterPos2xOES();
	public abstract MethodHandle glRasterPos2xvOES();
	public abstract MethodHandle glRasterPos3d();
	public abstract MethodHandle glRasterPos3dv();
	public abstract MethodHandle glRasterPos3f();
	public abstract MethodHandle glRasterPos3fv();
	public abstract MethodHandle glRasterPos3i();
	public abstract MethodHandle glRasterPos3iv();
	public abstract MethodHandle glRasterPos3s();
	public abstract MethodHandle glRasterPos3sv();
	public abstract MethodHandle glRasterPos3xOES();
	public abstract MethodHandle glRasterPos3xvOES();
	public abstract MethodHandle glRasterPos4d();
	public abstract MethodHandle glRasterPos4dv();
	public abstract MethodHandle glRasterPos4f();
	public abstract MethodHandle glRasterPos4fv();
	public abstract MethodHandle glRasterPos4i();
	public abstract MethodHandle glRasterPos4iv();
	public abstract MethodHandle glRasterPos4s();
	public abstract MethodHandle glRasterPos4sv();
	public abstract MethodHandle glRasterPos4xOES();
	public abstract MethodHandle glRasterPos4xvOES();
	public abstract MethodHandle glRasterSamplesEXT();
	public abstract MethodHandle glReadBuffer();
	public abstract MethodHandle glReadBufferIndexedEXT();
	public abstract MethodHandle glReadBufferNV();
	public abstract MethodHandle glReadInstrumentsSGIX();
	public abstract MethodHandle glReadPixels();
	public abstract MethodHandle glReadnPixels();
	public abstract MethodHandle glReadnPixelsARB();
	public abstract MethodHandle glReadnPixelsEXT();
	public abstract MethodHandle glReadnPixelsKHR();
	public abstract MethodHandle glReleaseKeyedMutexWin32EXT();
	public abstract MethodHandle glRectd();
	public abstract MethodHandle glRectdv();
	public abstract MethodHandle glRectf();
	public abstract MethodHandle glRectfv();
	public abstract MethodHandle glRecti();
	public abstract MethodHandle glRectiv();
	public abstract MethodHandle glRects();
	public abstract MethodHandle glRectsv();
	public abstract MethodHandle glRectxOES();
	public abstract MethodHandle glRectxvOES();
	public abstract MethodHandle glReferencePlaneSGIX();
	public abstract MethodHandle glReleaseShaderCompiler();
	public abstract MethodHandle glRenderGpuMaskNV();
	public abstract MethodHandle glRenderMode();
	public abstract MethodHandle glRenderbufferStorage();
	public abstract MethodHandle glRenderbufferStorageEXT();
	public abstract MethodHandle glRenderbufferStorageMultisample();
	public abstract MethodHandle glRenderbufferStorageMultisampleANGLE();
	public abstract MethodHandle glRenderbufferStorageMultisampleAPPLE();
	public abstract MethodHandle glRenderbufferStorageMultisampleAdvancedAMD();
	public abstract MethodHandle glRenderbufferStorageMultisampleCoverageNV();
	public abstract MethodHandle glRenderbufferStorageMultisampleEXT();
	public abstract MethodHandle glRenderbufferStorageMultisampleIMG();
	public abstract MethodHandle glRenderbufferStorageMultisampleNV();
	public abstract MethodHandle glRenderbufferStorageOES();
	public abstract MethodHandle glReplacementCodePointerSUN();
	public abstract MethodHandle glReplacementCodeubSUN();
	public abstract MethodHandle glReplacementCodeubvSUN();
	public abstract MethodHandle glReplacementCodeuiColor3fVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiColor3fVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiColor4fNormal3fVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiColor4fNormal3fVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiColor4ubVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiColor4ubVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiNormal3fVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiNormal3fVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiSUN();
	public abstract MethodHandle glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiTexCoord2fVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiTexCoord2fVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuiVertex3fSUN();
	public abstract MethodHandle glReplacementCodeuiVertex3fvSUN();
	public abstract MethodHandle glReplacementCodeuivSUN();
	public abstract MethodHandle glReplacementCodeusSUN();
	public abstract MethodHandle glReplacementCodeusvSUN();
	public abstract MethodHandle glRequestResidentProgramsNV();
	public abstract MethodHandle glResetHistogram();
	public abstract MethodHandle glResetHistogramEXT();
	public abstract MethodHandle glResetMemoryObjectParameterNV();
	public abstract MethodHandle glResetMinmax();
	public abstract MethodHandle glResetMinmaxEXT();
	public abstract MethodHandle glResizeBuffersMESA();
	public abstract MethodHandle glResolveDepthValuesNV();
	public abstract MethodHandle glResolveMultisampleFramebufferAPPLE();
	public abstract MethodHandle glResumeTransformFeedback();
	public abstract MethodHandle glResumeTransformFeedbackNV();
	public abstract MethodHandle glRotated();
	public abstract MethodHandle glRotatef();
	public abstract MethodHandle glRotatex();
	public abstract MethodHandle glRotatexOES();
	public abstract MethodHandle glSampleCoverage();
	public abstract MethodHandle glSampleCoverageARB();
	public abstract MethodHandle glSampleCoveragex();
	public abstract MethodHandle glSampleCoveragexOES();
	public abstract MethodHandle glSampleMapATI();
	public abstract MethodHandle glSampleMaskEXT();
	public abstract MethodHandle glSampleMaskIndexedNV();
	public abstract MethodHandle glSampleMaskSGIS();
	public abstract MethodHandle glSampleMaski();
	public abstract MethodHandle glSamplePatternEXT();
	public abstract MethodHandle glSamplePatternSGIS();
	public abstract MethodHandle glSamplerParameterIiv();
	public abstract MethodHandle glSamplerParameterIivEXT();
	public abstract MethodHandle glSamplerParameterIivOES();
	public abstract MethodHandle glSamplerParameterIuiv();
	public abstract MethodHandle glSamplerParameterIuivEXT();
	public abstract MethodHandle glSamplerParameterIuivOES();
	public abstract MethodHandle glSamplerParameterf();
	public abstract MethodHandle glSamplerParameterfv();
	public abstract MethodHandle glSamplerParameteri();
	public abstract MethodHandle glSamplerParameteriv();
	public abstract MethodHandle glScaled();
	public abstract MethodHandle glScalef();
	public abstract MethodHandle glScalex();
	public abstract MethodHandle glScalexOES();
	public abstract MethodHandle glScissor();
	public abstract MethodHandle glScissorArrayv();
	public abstract MethodHandle glScissorArrayvNV();
	public abstract MethodHandle glScissorArrayvOES();
	public abstract MethodHandle glScissorExclusiveArrayvNV();
	public abstract MethodHandle glScissorExclusiveNV();
	public abstract MethodHandle glScissorIndexed();
	public abstract MethodHandle glScissorIndexedNV();
	public abstract MethodHandle glScissorIndexedOES();
	public abstract MethodHandle glScissorIndexedv();
	public abstract MethodHandle glScissorIndexedvNV();
	public abstract MethodHandle glScissorIndexedvOES();
	public abstract MethodHandle glSecondaryColor3b();
	public abstract MethodHandle glSecondaryColor3bEXT();
	public abstract MethodHandle glSecondaryColor3bv();
	public abstract MethodHandle glSecondaryColor3bvEXT();
	public abstract MethodHandle glSecondaryColor3d();
	public abstract MethodHandle glSecondaryColor3dEXT();
	public abstract MethodHandle glSecondaryColor3dv();
	public abstract MethodHandle glSecondaryColor3dvEXT();
	public abstract MethodHandle glSecondaryColor3f();
	public abstract MethodHandle glSecondaryColor3fEXT();
	public abstract MethodHandle glSecondaryColor3fv();
	public abstract MethodHandle glSecondaryColor3fvEXT();
	public abstract MethodHandle glSecondaryColor3hNV();
	public abstract MethodHandle glSecondaryColor3hvNV();
	public abstract MethodHandle glSecondaryColor3i();
	public abstract MethodHandle glSecondaryColor3iEXT();
	public abstract MethodHandle glSecondaryColor3iv();
	public abstract MethodHandle glSecondaryColor3ivEXT();
	public abstract MethodHandle glSecondaryColor3s();
	public abstract MethodHandle glSecondaryColor3sEXT();
	public abstract MethodHandle glSecondaryColor3sv();
	public abstract MethodHandle glSecondaryColor3svEXT();
	public abstract MethodHandle glSecondaryColor3ub();
	public abstract MethodHandle glSecondaryColor3ubEXT();
	public abstract MethodHandle glSecondaryColor3ubv();
	public abstract MethodHandle glSecondaryColor3ubvEXT();
	public abstract MethodHandle glSecondaryColor3ui();
	public abstract MethodHandle glSecondaryColor3uiEXT();
	public abstract MethodHandle glSecondaryColor3uiv();
	public abstract MethodHandle glSecondaryColor3uivEXT();
	public abstract MethodHandle glSecondaryColor3us();
	public abstract MethodHandle glSecondaryColor3usEXT();
	public abstract MethodHandle glSecondaryColor3usv();
	public abstract MethodHandle glSecondaryColor3usvEXT();
	public abstract MethodHandle glSecondaryColorFormatNV();
	public abstract MethodHandle glSecondaryColorP3ui();
	public abstract MethodHandle glSecondaryColorP3uiv();
	public abstract MethodHandle glSecondaryColorPointer();
	public abstract MethodHandle glSecondaryColorPointerEXT();
	public abstract MethodHandle glSecondaryColorPointerListIBM();
	public abstract MethodHandle glSelectBuffer();
	public abstract MethodHandle glSelectPerfMonitorCountersAMD();
	public abstract MethodHandle glSemaphoreParameterivNV();
	public abstract MethodHandle glSemaphoreParameterui64vEXT();
	public abstract MethodHandle glSeparableFilter2D();
	public abstract MethodHandle glSeparableFilter2DEXT();
	public abstract MethodHandle glSetFenceAPPLE();
	public abstract MethodHandle glSetFenceNV();
	public abstract MethodHandle glSetFragmentShaderConstantATI();
	public abstract MethodHandle glSetInvariantEXT();
	public abstract MethodHandle glSetLocalConstantEXT();
	public abstract MethodHandle glSetMultisamplefvAMD();
	public abstract MethodHandle glShadeModel();
	public abstract MethodHandle glShaderBinary();
	public abstract MethodHandle glShaderOp1EXT();
	public abstract MethodHandle glShaderOp2EXT();
	public abstract MethodHandle glShaderOp3EXT();
	public abstract MethodHandle glShaderSource();
	public abstract MethodHandle glShaderSourceARB();
	public abstract MethodHandle glShaderStorageBlockBinding();
	public abstract MethodHandle glShadingRateEXT();
	public abstract MethodHandle glShadingRateCombinerOpsEXT();
	public abstract MethodHandle glShadingRateImageBarrierNV();
	public abstract MethodHandle glShadingRateQCOM();
	public abstract MethodHandle glShadingRateImagePaletteNV();
	public abstract MethodHandle glShadingRateSampleOrderNV();
	public abstract MethodHandle glShadingRateSampleOrderCustomNV();
	public abstract MethodHandle glSharpenTexFuncSGIS();
	public abstract MethodHandle glSignalSemaphoreEXT();
	public abstract MethodHandle glSignalSemaphoreui64NVX();
	public abstract MethodHandle glSpecializeShader();
	public abstract MethodHandle glSpecializeShaderARB();
	public abstract MethodHandle glSpriteParameterfSGIX();
	public abstract MethodHandle glSpriteParameterfvSGIX();
	public abstract MethodHandle glSpriteParameteriSGIX();
	public abstract MethodHandle glSpriteParameterivSGIX();
	public abstract MethodHandle glStartInstrumentsSGIX();
	public abstract MethodHandle glStartTilingQCOM();
	public abstract MethodHandle glStateCaptureNV();
	public abstract MethodHandle glStencilClearTagEXT();
	public abstract MethodHandle glStencilFillPathInstancedNV();
	public abstract MethodHandle glStencilFillPathNV();
	public abstract MethodHandle glStencilFunc();
	public abstract MethodHandle glStencilFuncSeparate();
	public abstract MethodHandle glStencilFuncSeparateATI();
	public abstract MethodHandle glStencilMask();
	public abstract MethodHandle glStencilMaskSeparate();
	public abstract MethodHandle glStencilOp();
	public abstract MethodHandle glStencilOpSeparate();
	public abstract MethodHandle glStencilOpSeparateATI();
	public abstract MethodHandle glStencilOpValueAMD();
	public abstract MethodHandle glStencilStrokePathInstancedNV();
	public abstract MethodHandle glStencilStrokePathNV();
	public abstract MethodHandle glStencilThenCoverFillPathInstancedNV();
	public abstract MethodHandle glStencilThenCoverFillPathNV();
	public abstract MethodHandle glStencilThenCoverStrokePathInstancedNV();
	public abstract MethodHandle glStencilThenCoverStrokePathNV();
	public abstract MethodHandle glStopInstrumentsSGIX();
	public abstract MethodHandle glStringMarkerGREMEDY();
	public abstract MethodHandle glSubpixelPrecisionBiasNV();
	public abstract MethodHandle glSwizzleEXT();
	public abstract MethodHandle glSyncTextureINTEL();
	public abstract MethodHandle glTagSampleBufferSGIX();
	public abstract MethodHandle glTangent3bEXT();
	public abstract MethodHandle glTangent3bvEXT();
	public abstract MethodHandle glTangent3dEXT();
	public abstract MethodHandle glTangent3dvEXT();
	public abstract MethodHandle glTangent3fEXT();
	public abstract MethodHandle glTangent3fvEXT();
	public abstract MethodHandle glTangent3iEXT();
	public abstract MethodHandle glTangent3ivEXT();
	public abstract MethodHandle glTangent3sEXT();
	public abstract MethodHandle glTangent3svEXT();
	public abstract MethodHandle glTangentPointerEXT();
	public abstract MethodHandle glTbufferMask3DFX();
	public abstract MethodHandle glTessellationFactorAMD();
	public abstract MethodHandle glTessellationModeAMD();
	public abstract MethodHandle glTestFenceAPPLE();
	public abstract MethodHandle glTestFenceNV();
	public abstract MethodHandle glTestObjectAPPLE();
	public abstract MethodHandle glTexAttachMemoryNV();
	public abstract MethodHandle glTexBuffer();
	public abstract MethodHandle glTexBufferARB();
	public abstract MethodHandle glTexBufferEXT();
	public abstract MethodHandle glTexBufferOES();
	public abstract MethodHandle glTexBufferRange();
	public abstract MethodHandle glTexBufferRangeEXT();
	public abstract MethodHandle glTexBufferRangeOES();
	public abstract MethodHandle glTexBumpParameterfvATI();
	public abstract MethodHandle glTexBumpParameterivATI();
	public abstract MethodHandle glTexCoord1bOES();
	public abstract MethodHandle glTexCoord1bvOES();
	public abstract MethodHandle glTexCoord1d();
	public abstract MethodHandle glTexCoord1dv();
	public abstract MethodHandle glTexCoord1f();
	public abstract MethodHandle glTexCoord1fv();
	public abstract MethodHandle glTexCoord1hNV();
	public abstract MethodHandle glTexCoord1hvNV();
	public abstract MethodHandle glTexCoord1i();
	public abstract MethodHandle glTexCoord1iv();
	public abstract MethodHandle glTexCoord1s();
	public abstract MethodHandle glTexCoord1sv();
	public abstract MethodHandle glTexCoord1xOES();
	public abstract MethodHandle glTexCoord1xvOES();
	public abstract MethodHandle glTexCoord2bOES();
	public abstract MethodHandle glTexCoord2bvOES();
	public abstract MethodHandle glTexCoord2d();
	public abstract MethodHandle glTexCoord2dv();
	public abstract MethodHandle glTexCoord2f();
	public abstract MethodHandle glTexCoord2fColor3fVertex3fSUN();
	public abstract MethodHandle glTexCoord2fColor3fVertex3fvSUN();
	public abstract MethodHandle glTexCoord2fColor4fNormal3fVertex3fSUN();
	public abstract MethodHandle glTexCoord2fColor4fNormal3fVertex3fvSUN();
	public abstract MethodHandle glTexCoord2fColor4ubVertex3fSUN();
	public abstract MethodHandle glTexCoord2fColor4ubVertex3fvSUN();
	public abstract MethodHandle glTexCoord2fNormal3fVertex3fSUN();
	public abstract MethodHandle glTexCoord2fNormal3fVertex3fvSUN();
	public abstract MethodHandle glTexCoord2fVertex3fSUN();
	public abstract MethodHandle glTexCoord2fVertex3fvSUN();
	public abstract MethodHandle glTexCoord2fv();
	public abstract MethodHandle glTexCoord2hNV();
	public abstract MethodHandle glTexCoord2hvNV();
	public abstract MethodHandle glTexCoord2i();
	public abstract MethodHandle glTexCoord2iv();
	public abstract MethodHandle glTexCoord2s();
	public abstract MethodHandle glTexCoord2sv();
	public abstract MethodHandle glTexCoord2xOES();
	public abstract MethodHandle glTexCoord2xvOES();
	public abstract MethodHandle glTexCoord3bOES();
	public abstract MethodHandle glTexCoord3bvOES();
	public abstract MethodHandle glTexCoord3d();
	public abstract MethodHandle glTexCoord3dv();
	public abstract MethodHandle glTexCoord3f();
	public abstract MethodHandle glTexCoord3fv();
	public abstract MethodHandle glTexCoord3hNV();
	public abstract MethodHandle glTexCoord3hvNV();
	public abstract MethodHandle glTexCoord3i();
	public abstract MethodHandle glTexCoord3iv();
	public abstract MethodHandle glTexCoord3s();
	public abstract MethodHandle glTexCoord3sv();
	public abstract MethodHandle glTexCoord3xOES();
	public abstract MethodHandle glTexCoord3xvOES();
	public abstract MethodHandle glTexCoord4bOES();
	public abstract MethodHandle glTexCoord4bvOES();
	public abstract MethodHandle glTexCoord4d();
	public abstract MethodHandle glTexCoord4dv();
	public abstract MethodHandle glTexCoord4f();
	public abstract MethodHandle glTexCoord4fColor4fNormal3fVertex4fSUN();
	public abstract MethodHandle glTexCoord4fColor4fNormal3fVertex4fvSUN();
	public abstract MethodHandle glTexCoord4fVertex4fSUN();
	public abstract MethodHandle glTexCoord4fVertex4fvSUN();
	public abstract MethodHandle glTexCoord4fv();
	public abstract MethodHandle glTexCoord4hNV();
	public abstract MethodHandle glTexCoord4hvNV();
	public abstract MethodHandle glTexCoord4i();
	public abstract MethodHandle glTexCoord4iv();
	public abstract MethodHandle glTexCoord4s();
	public abstract MethodHandle glTexCoord4sv();
	public abstract MethodHandle glTexCoord4xOES();
	public abstract MethodHandle glTexCoord4xvOES();
	public abstract MethodHandle glTexCoordFormatNV();
	public abstract MethodHandle glTexCoordP1ui();
	public abstract MethodHandle glTexCoordP1uiv();
	public abstract MethodHandle glTexCoordP2ui();
	public abstract MethodHandle glTexCoordP2uiv();
	public abstract MethodHandle glTexCoordP3ui();
	public abstract MethodHandle glTexCoordP3uiv();
	public abstract MethodHandle glTexCoordP4ui();
	public abstract MethodHandle glTexCoordP4uiv();
	public abstract MethodHandle glTexCoordPointer();
	public abstract MethodHandle glTexCoordPointerEXT();
	public abstract MethodHandle glTexCoordPointerListIBM();
	public abstract MethodHandle glTexCoordPointervINTEL();
	public abstract MethodHandle glTexEnvf();
	public abstract MethodHandle glTexEnvfv();
	public abstract MethodHandle glTexEnvi();
	public abstract MethodHandle glTexEnviv();
	public abstract MethodHandle glTexEnvx();
	public abstract MethodHandle glTexEnvxOES();
	public abstract MethodHandle glTexEnvxv();
	public abstract MethodHandle glTexEnvxvOES();
	public abstract MethodHandle glTexEstimateMotionQCOM();
	public abstract MethodHandle glTexEstimateMotionRegionsQCOM();
	public abstract MethodHandle glExtrapolateTex2DQCOM();
	public abstract MethodHandle glTexFilterFuncSGIS();
	public abstract MethodHandle glTexGend();
	public abstract MethodHandle glTexGendv();
	public abstract MethodHandle glTexGenf();
	public abstract MethodHandle glTexGenfOES();
	public abstract MethodHandle glTexGenfv();
	public abstract MethodHandle glTexGenfvOES();
	public abstract MethodHandle glTexGeni();
	public abstract MethodHandle glTexGeniOES();
	public abstract MethodHandle glTexGeniv();
	public abstract MethodHandle glTexGenivOES();
	public abstract MethodHandle glTexGenxOES();
	public abstract MethodHandle glTexGenxvOES();
	public abstract MethodHandle glTexImage1D();
	public abstract MethodHandle glTexImage2D();
	public abstract MethodHandle glTexImage2DMultisample();
	public abstract MethodHandle glTexImage2DMultisampleCoverageNV();
	public abstract MethodHandle glTexImage3D();
	public abstract MethodHandle glTexImage3DEXT();
	public abstract MethodHandle glTexImage3DMultisample();
	public abstract MethodHandle glTexImage3DMultisampleCoverageNV();
	public abstract MethodHandle glTexImage3DOES();
	public abstract MethodHandle glTexImage4DSGIS();
	public abstract MethodHandle glTexPageCommitmentARB();
	public abstract MethodHandle glTexPageCommitmentEXT();
	public abstract MethodHandle glTexPageCommitmentMemNV();
	public abstract MethodHandle glTexParameterIiv();
	public abstract MethodHandle glTexParameterIivEXT();
	public abstract MethodHandle glTexParameterIivOES();
	public abstract MethodHandle glTexParameterIuiv();
	public abstract MethodHandle glTexParameterIuivEXT();
	public abstract MethodHandle glTexParameterIuivOES();
	public abstract MethodHandle glTexParameterf();
	public abstract MethodHandle glTexParameterfv();
	public abstract MethodHandle glTexParameteri();
	public abstract MethodHandle glTexParameteriv();
	public abstract MethodHandle glTexParameterx();
	public abstract MethodHandle glTexParameterxOES();
	public abstract MethodHandle glTexParameterxv();
	public abstract MethodHandle glTexParameterxvOES();
	public abstract MethodHandle glTexRenderbufferNV();
	public abstract MethodHandle glTexStorage1D();
	public abstract MethodHandle glTexStorage1DEXT();
	public abstract MethodHandle glTexStorage2D();
	public abstract MethodHandle glTexStorage2DEXT();
	public abstract MethodHandle glTexStorage2DMultisample();
	public abstract MethodHandle glTexStorage3D();
	public abstract MethodHandle glTexStorage3DEXT();
	public abstract MethodHandle glTexStorage3DMultisample();
	public abstract MethodHandle glTexStorage3DMultisampleOES();
	public abstract MethodHandle glTexStorageAttribs2DEXT();
	public abstract MethodHandle glTexStorageAttribs3DEXT();
	public abstract MethodHandle glTexStorageMem1DEXT();
	public abstract MethodHandle glTexStorageMem2DEXT();
	public abstract MethodHandle glTexStorageMem2DMultisampleEXT();
	public abstract MethodHandle glTexStorageMem3DEXT();
	public abstract MethodHandle glTexStorageMem3DMultisampleEXT();
	public abstract MethodHandle glTexStorageSparseAMD();
	public abstract MethodHandle glTexSubImage1D();
	public abstract MethodHandle glTexSubImage1DEXT();
	public abstract MethodHandle glTexSubImage2D();
	public abstract MethodHandle glTexSubImage2DEXT();
	public abstract MethodHandle glTexSubImage3D();
	public abstract MethodHandle glTexSubImage3DEXT();
	public abstract MethodHandle glTexSubImage3DOES();
	public abstract MethodHandle glTexSubImage4DSGIS();
	public abstract MethodHandle glTextureAttachMemoryNV();
	public abstract MethodHandle glTextureBarrier();
	public abstract MethodHandle glTextureBarrierNV();
	public abstract MethodHandle glTextureBuffer();
	public abstract MethodHandle glTextureBufferEXT();
	public abstract MethodHandle glTextureBufferRange();
	public abstract MethodHandle glTextureBufferRangeEXT();
	public abstract MethodHandle glTextureColorMaskSGIS();
	public abstract MethodHandle glTextureFoveationParametersQCOM();
	public abstract MethodHandle glTextureImage1DEXT();
	public abstract MethodHandle glTextureImage2DEXT();
	public abstract MethodHandle glTextureImage2DMultisampleCoverageNV();
	public abstract MethodHandle glTextureImage2DMultisampleNV();
	public abstract MethodHandle glTextureImage3DEXT();
	public abstract MethodHandle glTextureImage3DMultisampleCoverageNV();
	public abstract MethodHandle glTextureImage3DMultisampleNV();
	public abstract MethodHandle glTextureLightEXT();
	public abstract MethodHandle glTextureMaterialEXT();
	public abstract MethodHandle glTextureNormalEXT();
	public abstract MethodHandle glTexturePageCommitmentEXT();
	public abstract MethodHandle glTexturePageCommitmentMemNV();
	public abstract MethodHandle glTextureParameterIiv();
	public abstract MethodHandle glTextureParameterIivEXT();
	public abstract MethodHandle glTextureParameterIuiv();
	public abstract MethodHandle glTextureParameterIuivEXT();
	public abstract MethodHandle glTextureParameterf();
	public abstract MethodHandle glTextureParameterfEXT();
	public abstract MethodHandle glTextureParameterfv();
	public abstract MethodHandle glTextureParameterfvEXT();
	public abstract MethodHandle glTextureParameteri();
	public abstract MethodHandle glTextureParameteriEXT();
	public abstract MethodHandle glTextureParameteriv();
	public abstract MethodHandle glTextureParameterivEXT();
	public abstract MethodHandle glTextureRangeAPPLE();
	public abstract MethodHandle glTextureRenderbufferEXT();
	public abstract MethodHandle glTextureStorage1D();
	public abstract MethodHandle glTextureStorage1DEXT();
	public abstract MethodHandle glTextureStorage2D();
	public abstract MethodHandle glTextureStorage2DEXT();
	public abstract MethodHandle glTextureStorage2DMultisample();
	public abstract MethodHandle glTextureStorage2DMultisampleEXT();
	public abstract MethodHandle glTextureStorage3D();
	public abstract MethodHandle glTextureStorage3DEXT();
	public abstract MethodHandle glTextureStorage3DMultisample();
	public abstract MethodHandle glTextureStorage3DMultisampleEXT();
	public abstract MethodHandle glTextureStorageMem1DEXT();
	public abstract MethodHandle glTextureStorageMem2DEXT();
	public abstract MethodHandle glTextureStorageMem2DMultisampleEXT();
	public abstract MethodHandle glTextureStorageMem3DEXT();
	public abstract MethodHandle glTextureStorageMem3DMultisampleEXT();
	public abstract MethodHandle glTextureStorageSparseAMD();
	public abstract MethodHandle glTextureSubImage1D();
	public abstract MethodHandle glTextureSubImage1DEXT();
	public abstract MethodHandle glTextureSubImage2D();
	public abstract MethodHandle glTextureSubImage2DEXT();
	public abstract MethodHandle glTextureSubImage3D();
	public abstract MethodHandle glTextureSubImage3DEXT();
	public abstract MethodHandle glTextureView();
	public abstract MethodHandle glTextureViewEXT();
	public abstract MethodHandle glTextureViewOES();
	public abstract MethodHandle glTrackMatrixNV();
	public abstract MethodHandle glTransformFeedbackAttribsNV();
	public abstract MethodHandle glTransformFeedbackBufferBase();
	public abstract MethodHandle glTransformFeedbackBufferRange();
	public abstract MethodHandle glTransformFeedbackStreamAttribsNV();
	public abstract MethodHandle glTransformFeedbackVaryings();
	public abstract MethodHandle glTransformFeedbackVaryingsEXT();
	public abstract MethodHandle glTransformFeedbackVaryingsNV();
	public abstract MethodHandle glTransformPathNV();
	public abstract MethodHandle glTranslated();
	public abstract MethodHandle glTranslatef();
	public abstract MethodHandle glTranslatex();
	public abstract MethodHandle glTranslatexOES();
	public abstract MethodHandle glUniform1d();
	public abstract MethodHandle glUniform1dv();
	public abstract MethodHandle glUniform1f();
	public abstract MethodHandle glUniform1fARB();
	public abstract MethodHandle glUniform1fv();
	public abstract MethodHandle glUniform1fvARB();
	public abstract MethodHandle glUniform1i();
	public abstract MethodHandle glUniform1i64ARB();
	public abstract MethodHandle glUniform1i64NV();
	public abstract MethodHandle glUniform1i64vARB();
	public abstract MethodHandle glUniform1i64vNV();
	public abstract MethodHandle glUniform1iARB();
	public abstract MethodHandle glUniform1iv();
	public abstract MethodHandle glUniform1ivARB();
	public abstract MethodHandle glUniform1ui();
	public abstract MethodHandle glUniform1ui64ARB();
	public abstract MethodHandle glUniform1ui64NV();
	public abstract MethodHandle glUniform1ui64vARB();
	public abstract MethodHandle glUniform1ui64vNV();
	public abstract MethodHandle glUniform1uiEXT();
	public abstract MethodHandle glUniform1uiv();
	public abstract MethodHandle glUniform1uivEXT();
	public abstract MethodHandle glUniform2d();
	public abstract MethodHandle glUniform2dv();
	public abstract MethodHandle glUniform2f();
	public abstract MethodHandle glUniform2fARB();
	public abstract MethodHandle glUniform2fv();
	public abstract MethodHandle glUniform2fvARB();
	public abstract MethodHandle glUniform2i();
	public abstract MethodHandle glUniform2i64ARB();
	public abstract MethodHandle glUniform2i64NV();
	public abstract MethodHandle glUniform2i64vARB();
	public abstract MethodHandle glUniform2i64vNV();
	public abstract MethodHandle glUniform2iARB();
	public abstract MethodHandle glUniform2iv();
	public abstract MethodHandle glUniform2ivARB();
	public abstract MethodHandle glUniform2ui();
	public abstract MethodHandle glUniform2ui64ARB();
	public abstract MethodHandle glUniform2ui64NV();
	public abstract MethodHandle glUniform2ui64vARB();
	public abstract MethodHandle glUniform2ui64vNV();
	public abstract MethodHandle glUniform2uiEXT();
	public abstract MethodHandle glUniform2uiv();
	public abstract MethodHandle glUniform2uivEXT();
	public abstract MethodHandle glUniform3d();
	public abstract MethodHandle glUniform3dv();
	public abstract MethodHandle glUniform3f();
	public abstract MethodHandle glUniform3fARB();
	public abstract MethodHandle glUniform3fv();
	public abstract MethodHandle glUniform3fvARB();
	public abstract MethodHandle glUniform3i();
	public abstract MethodHandle glUniform3i64ARB();
	public abstract MethodHandle glUniform3i64NV();
	public abstract MethodHandle glUniform3i64vARB();
	public abstract MethodHandle glUniform3i64vNV();
	public abstract MethodHandle glUniform3iARB();
	public abstract MethodHandle glUniform3iv();
	public abstract MethodHandle glUniform3ivARB();
	public abstract MethodHandle glUniform3ui();
	public abstract MethodHandle glUniform3ui64ARB();
	public abstract MethodHandle glUniform3ui64NV();
	public abstract MethodHandle glUniform3ui64vARB();
	public abstract MethodHandle glUniform3ui64vNV();
	public abstract MethodHandle glUniform3uiEXT();
	public abstract MethodHandle glUniform3uiv();
	public abstract MethodHandle glUniform3uivEXT();
	public abstract MethodHandle glUniform4d();
	public abstract MethodHandle glUniform4dv();
	public abstract MethodHandle glUniform4f();
	public abstract MethodHandle glUniform4fARB();
	public abstract MethodHandle glUniform4fv();
	public abstract MethodHandle glUniform4fvARB();
	public abstract MethodHandle glUniform4i();
	public abstract MethodHandle glUniform4i64ARB();
	public abstract MethodHandle glUniform4i64NV();
	public abstract MethodHandle glUniform4i64vARB();
	public abstract MethodHandle glUniform4i64vNV();
	public abstract MethodHandle glUniform4iARB();
	public abstract MethodHandle glUniform4iv();
	public abstract MethodHandle glUniform4ivARB();
	public abstract MethodHandle glUniform4ui();
	public abstract MethodHandle glUniform4ui64ARB();
	public abstract MethodHandle glUniform4ui64NV();
	public abstract MethodHandle glUniform4ui64vARB();
	public abstract MethodHandle glUniform4ui64vNV();
	public abstract MethodHandle glUniform4uiEXT();
	public abstract MethodHandle glUniform4uiv();
	public abstract MethodHandle glUniform4uivEXT();
	public abstract MethodHandle glUniformBlockBinding();
	public abstract MethodHandle glUniformBufferEXT();
	public abstract MethodHandle glUniformHandleui64ARB();
	public abstract MethodHandle glUniformHandleui64IMG();
	public abstract MethodHandle glUniformHandleui64NV();
	public abstract MethodHandle glUniformHandleui64vARB();
	public abstract MethodHandle glUniformHandleui64vIMG();
	public abstract MethodHandle glUniformHandleui64vNV();
	public abstract MethodHandle glUniformMatrix2dv();
	public abstract MethodHandle glUniformMatrix2fv();
	public abstract MethodHandle glUniformMatrix2fvARB();
	public abstract MethodHandle glUniformMatrix2x3dv();
	public abstract MethodHandle glUniformMatrix2x3fv();
	public abstract MethodHandle glUniformMatrix2x3fvNV();
	public abstract MethodHandle glUniformMatrix2x4dv();
	public abstract MethodHandle glUniformMatrix2x4fv();
	public abstract MethodHandle glUniformMatrix2x4fvNV();
	public abstract MethodHandle glUniformMatrix3dv();
	public abstract MethodHandle glUniformMatrix3fv();
	public abstract MethodHandle glUniformMatrix3fvARB();
	public abstract MethodHandle glUniformMatrix3x2dv();
	public abstract MethodHandle glUniformMatrix3x2fv();
	public abstract MethodHandle glUniformMatrix3x2fvNV();
	public abstract MethodHandle glUniformMatrix3x4dv();
	public abstract MethodHandle glUniformMatrix3x4fv();
	public abstract MethodHandle glUniformMatrix3x4fvNV();
	public abstract MethodHandle glUniformMatrix4dv();
	public abstract MethodHandle glUniformMatrix4fv();
	public abstract MethodHandle glUniformMatrix4fvARB();
	public abstract MethodHandle glUniformMatrix4x2dv();
	public abstract MethodHandle glUniformMatrix4x2fv();
	public abstract MethodHandle glUniformMatrix4x2fvNV();
	public abstract MethodHandle glUniformMatrix4x3dv();
	public abstract MethodHandle glUniformMatrix4x3fv();
	public abstract MethodHandle glUniformMatrix4x3fvNV();
	public abstract MethodHandle glUniformSubroutinesuiv();
	public abstract MethodHandle glUniformui64NV();
	public abstract MethodHandle glUniformui64vNV();
	public abstract MethodHandle glUnlockArraysEXT();
	public abstract MethodHandle glUnmapBuffer();
	public abstract MethodHandle glUnmapBufferARB();
	public abstract MethodHandle glUnmapBufferOES();
	public abstract MethodHandle glUnmapNamedBuffer();
	public abstract MethodHandle glUnmapNamedBufferEXT();
	public abstract MethodHandle glUnmapObjectBufferATI();
	public abstract MethodHandle glUnmapTexture2DINTEL();
	public abstract MethodHandle glUpdateObjectBufferATI();
	public abstract MethodHandle glUploadGpuMaskNVX();
	public abstract MethodHandle glUseProgram();
	public abstract MethodHandle glUseProgramObjectARB();
	public abstract MethodHandle glUseProgramStages();
	public abstract MethodHandle glUseProgramStagesEXT();
	public abstract MethodHandle glUseShaderProgramEXT();
	public abstract MethodHandle glVDPAUFiniNV();
	public abstract MethodHandle glVDPAUGetSurfaceivNV();
	public abstract MethodHandle glVDPAUInitNV();
	public abstract MethodHandle glVDPAUIsSurfaceNV();
	public abstract MethodHandle glVDPAUMapSurfacesNV();
	public abstract MethodHandle glVDPAURegisterOutputSurfaceNV();
	public abstract MethodHandle glVDPAURegisterVideoSurfaceNV();
	public abstract MethodHandle glVDPAURegisterVideoSurfaceWithPictureStructureNV();
	public abstract MethodHandle glVDPAUSurfaceAccessNV();
	public abstract MethodHandle glVDPAUUnmapSurfacesNV();
	public abstract MethodHandle glVDPAUUnregisterSurfaceNV();
	public abstract MethodHandle glValidateProgram();
	public abstract MethodHandle glValidateProgramARB();
	public abstract MethodHandle glValidateProgramPipeline();
	public abstract MethodHandle glValidateProgramPipelineEXT();
	public abstract MethodHandle glVariantArrayObjectATI();
	public abstract MethodHandle glVariantPointerEXT();
	public abstract MethodHandle glVariantbvEXT();
	public abstract MethodHandle glVariantdvEXT();
	public abstract MethodHandle glVariantfvEXT();
	public abstract MethodHandle glVariantivEXT();
	public abstract MethodHandle glVariantsvEXT();
	public abstract MethodHandle glVariantubvEXT();
	public abstract MethodHandle glVariantuivEXT();
	public abstract MethodHandle glVariantusvEXT();
	public abstract MethodHandle glVertex2bOES();
	public abstract MethodHandle glVertex2bvOES();
	public abstract MethodHandle glVertex2d();
	public abstract MethodHandle glVertex2dv();
	public abstract MethodHandle glVertex2f();
	public abstract MethodHandle glVertex2fv();
	public abstract MethodHandle glVertex2hNV();
	public abstract MethodHandle glVertex2hvNV();
	public abstract MethodHandle glVertex2i();
	public abstract MethodHandle glVertex2iv();
	public abstract MethodHandle glVertex2s();
	public abstract MethodHandle glVertex2sv();
	public abstract MethodHandle glVertex2xOES();
	public abstract MethodHandle glVertex2xvOES();
	public abstract MethodHandle glVertex3bOES();
	public abstract MethodHandle glVertex3bvOES();
	public abstract MethodHandle glVertex3d();
	public abstract MethodHandle glVertex3dv();
	public abstract MethodHandle glVertex3f();
	public abstract MethodHandle glVertex3fv();
	public abstract MethodHandle glVertex3hNV();
	public abstract MethodHandle glVertex3hvNV();
	public abstract MethodHandle glVertex3i();
	public abstract MethodHandle glVertex3iv();
	public abstract MethodHandle glVertex3s();
	public abstract MethodHandle glVertex3sv();
	public abstract MethodHandle glVertex3xOES();
	public abstract MethodHandle glVertex3xvOES();
	public abstract MethodHandle glVertex4bOES();
	public abstract MethodHandle glVertex4bvOES();
	public abstract MethodHandle glVertex4d();
	public abstract MethodHandle glVertex4dv();
	public abstract MethodHandle glVertex4f();
	public abstract MethodHandle glVertex4fv();
	public abstract MethodHandle glVertex4hNV();
	public abstract MethodHandle glVertex4hvNV();
	public abstract MethodHandle glVertex4i();
	public abstract MethodHandle glVertex4iv();
	public abstract MethodHandle glVertex4s();
	public abstract MethodHandle glVertex4sv();
	public abstract MethodHandle glVertex4xOES();
	public abstract MethodHandle glVertex4xvOES();
	public abstract MethodHandle glVertexArrayAttribBinding();
	public abstract MethodHandle glVertexArrayAttribFormat();
	public abstract MethodHandle glVertexArrayAttribIFormat();
	public abstract MethodHandle glVertexArrayAttribLFormat();
	public abstract MethodHandle glVertexArrayBindVertexBufferEXT();
	public abstract MethodHandle glVertexArrayBindingDivisor();
	public abstract MethodHandle glVertexArrayColorOffsetEXT();
	public abstract MethodHandle glVertexArrayEdgeFlagOffsetEXT();
	public abstract MethodHandle glVertexArrayElementBuffer();
	public abstract MethodHandle glVertexArrayFogCoordOffsetEXT();
	public abstract MethodHandle glVertexArrayIndexOffsetEXT();
	public abstract MethodHandle glVertexArrayMultiTexCoordOffsetEXT();
	public abstract MethodHandle glVertexArrayNormalOffsetEXT();
	public abstract MethodHandle glVertexArrayParameteriAPPLE();
	public abstract MethodHandle glVertexArrayRangeAPPLE();
	public abstract MethodHandle glVertexArrayRangeNV();
	public abstract MethodHandle glVertexArraySecondaryColorOffsetEXT();
	public abstract MethodHandle glVertexArrayTexCoordOffsetEXT();
	public abstract MethodHandle glVertexArrayVertexAttribBindingEXT();
	public abstract MethodHandle glVertexArrayVertexAttribDivisorEXT();
	public abstract MethodHandle glVertexArrayVertexAttribFormatEXT();
	public abstract MethodHandle glVertexArrayVertexAttribIFormatEXT();
	public abstract MethodHandle glVertexArrayVertexAttribIOffsetEXT();
	public abstract MethodHandle glVertexArrayVertexAttribLFormatEXT();
	public abstract MethodHandle glVertexArrayVertexAttribLOffsetEXT();
	public abstract MethodHandle glVertexArrayVertexAttribOffsetEXT();
	public abstract MethodHandle glVertexArrayVertexBindingDivisorEXT();
	public abstract MethodHandle glVertexArrayVertexBuffer();
	public abstract MethodHandle glVertexArrayVertexBuffers();
	public abstract MethodHandle glVertexArrayVertexOffsetEXT();
	public abstract MethodHandle glVertexAttrib1d();
	public abstract MethodHandle glVertexAttrib1dARB();
	public abstract MethodHandle glVertexAttrib1dNV();
	public abstract MethodHandle glVertexAttrib1dv();
	public abstract MethodHandle glVertexAttrib1dvARB();
	public abstract MethodHandle glVertexAttrib1dvNV();
	public abstract MethodHandle glVertexAttrib1f();
	public abstract MethodHandle glVertexAttrib1fARB();
	public abstract MethodHandle glVertexAttrib1fNV();
	public abstract MethodHandle glVertexAttrib1fv();
	public abstract MethodHandle glVertexAttrib1fvARB();
	public abstract MethodHandle glVertexAttrib1fvNV();
	public abstract MethodHandle glVertexAttrib1hNV();
	public abstract MethodHandle glVertexAttrib1hvNV();
	public abstract MethodHandle glVertexAttrib1s();
	public abstract MethodHandle glVertexAttrib1sARB();
	public abstract MethodHandle glVertexAttrib1sNV();
	public abstract MethodHandle glVertexAttrib1sv();
	public abstract MethodHandle glVertexAttrib1svARB();
	public abstract MethodHandle glVertexAttrib1svNV();
	public abstract MethodHandle glVertexAttrib2d();
	public abstract MethodHandle glVertexAttrib2dARB();
	public abstract MethodHandle glVertexAttrib2dNV();
	public abstract MethodHandle glVertexAttrib2dv();
	public abstract MethodHandle glVertexAttrib2dvARB();
	public abstract MethodHandle glVertexAttrib2dvNV();
	public abstract MethodHandle glVertexAttrib2f();
	public abstract MethodHandle glVertexAttrib2fARB();
	public abstract MethodHandle glVertexAttrib2fNV();
	public abstract MethodHandle glVertexAttrib2fv();
	public abstract MethodHandle glVertexAttrib2fvARB();
	public abstract MethodHandle glVertexAttrib2fvNV();
	public abstract MethodHandle glVertexAttrib2hNV();
	public abstract MethodHandle glVertexAttrib2hvNV();
	public abstract MethodHandle glVertexAttrib2s();
	public abstract MethodHandle glVertexAttrib2sARB();
	public abstract MethodHandle glVertexAttrib2sNV();
	public abstract MethodHandle glVertexAttrib2sv();
	public abstract MethodHandle glVertexAttrib2svARB();
	public abstract MethodHandle glVertexAttrib2svNV();
	public abstract MethodHandle glVertexAttrib3d();
	public abstract MethodHandle glVertexAttrib3dARB();
	public abstract MethodHandle glVertexAttrib3dNV();
	public abstract MethodHandle glVertexAttrib3dv();
	public abstract MethodHandle glVertexAttrib3dvARB();
	public abstract MethodHandle glVertexAttrib3dvNV();
	public abstract MethodHandle glVertexAttrib3f();
	public abstract MethodHandle glVertexAttrib3fARB();
	public abstract MethodHandle glVertexAttrib3fNV();
	public abstract MethodHandle glVertexAttrib3fv();
	public abstract MethodHandle glVertexAttrib3fvARB();
	public abstract MethodHandle glVertexAttrib3fvNV();
	public abstract MethodHandle glVertexAttrib3hNV();
	public abstract MethodHandle glVertexAttrib3hvNV();
	public abstract MethodHandle glVertexAttrib3s();
	public abstract MethodHandle glVertexAttrib3sARB();
	public abstract MethodHandle glVertexAttrib3sNV();
	public abstract MethodHandle glVertexAttrib3sv();
	public abstract MethodHandle glVertexAttrib3svARB();
	public abstract MethodHandle glVertexAttrib3svNV();
	public abstract MethodHandle glVertexAttrib4Nbv();
	public abstract MethodHandle glVertexAttrib4NbvARB();
	public abstract MethodHandle glVertexAttrib4Niv();
	public abstract MethodHandle glVertexAttrib4NivARB();
	public abstract MethodHandle glVertexAttrib4Nsv();
	public abstract MethodHandle glVertexAttrib4NsvARB();
	public abstract MethodHandle glVertexAttrib4Nub();
	public abstract MethodHandle glVertexAttrib4NubARB();
	public abstract MethodHandle glVertexAttrib4Nubv();
	public abstract MethodHandle glVertexAttrib4NubvARB();
	public abstract MethodHandle glVertexAttrib4Nuiv();
	public abstract MethodHandle glVertexAttrib4NuivARB();
	public abstract MethodHandle glVertexAttrib4Nusv();
	public abstract MethodHandle glVertexAttrib4NusvARB();
	public abstract MethodHandle glVertexAttrib4bv();
	public abstract MethodHandle glVertexAttrib4bvARB();
	public abstract MethodHandle glVertexAttrib4d();
	public abstract MethodHandle glVertexAttrib4dARB();
	public abstract MethodHandle glVertexAttrib4dNV();
	public abstract MethodHandle glVertexAttrib4dv();
	public abstract MethodHandle glVertexAttrib4dvARB();
	public abstract MethodHandle glVertexAttrib4dvNV();
	public abstract MethodHandle glVertexAttrib4f();
	public abstract MethodHandle glVertexAttrib4fARB();
	public abstract MethodHandle glVertexAttrib4fNV();
	public abstract MethodHandle glVertexAttrib4fv();
	public abstract MethodHandle glVertexAttrib4fvARB();
	public abstract MethodHandle glVertexAttrib4fvNV();
	public abstract MethodHandle glVertexAttrib4hNV();
	public abstract MethodHandle glVertexAttrib4hvNV();
	public abstract MethodHandle glVertexAttrib4iv();
	public abstract MethodHandle glVertexAttrib4ivARB();
	public abstract MethodHandle glVertexAttrib4s();
	public abstract MethodHandle glVertexAttrib4sARB();
	public abstract MethodHandle glVertexAttrib4sNV();
	public abstract MethodHandle glVertexAttrib4sv();
	public abstract MethodHandle glVertexAttrib4svARB();
	public abstract MethodHandle glVertexAttrib4svNV();
	public abstract MethodHandle glVertexAttrib4ubNV();
	public abstract MethodHandle glVertexAttrib4ubv();
	public abstract MethodHandle glVertexAttrib4ubvARB();
	public abstract MethodHandle glVertexAttrib4ubvNV();
	public abstract MethodHandle glVertexAttrib4uiv();
	public abstract MethodHandle glVertexAttrib4uivARB();
	public abstract MethodHandle glVertexAttrib4usv();
	public abstract MethodHandle glVertexAttrib4usvARB();
	public abstract MethodHandle glVertexAttribArrayObjectATI();
	public abstract MethodHandle glVertexAttribBinding();
	public abstract MethodHandle glVertexAttribDivisor();
	public abstract MethodHandle glVertexAttribDivisorANGLE();
	public abstract MethodHandle glVertexAttribDivisorARB();
	public abstract MethodHandle glVertexAttribDivisorEXT();
	public abstract MethodHandle glVertexAttribDivisorNV();
	public abstract MethodHandle glVertexAttribFormat();
	public abstract MethodHandle glVertexAttribFormatNV();
	public abstract MethodHandle glVertexAttribI1i();
	public abstract MethodHandle glVertexAttribI1iEXT();
	public abstract MethodHandle glVertexAttribI1iv();
	public abstract MethodHandle glVertexAttribI1ivEXT();
	public abstract MethodHandle glVertexAttribI1ui();
	public abstract MethodHandle glVertexAttribI1uiEXT();
	public abstract MethodHandle glVertexAttribI1uiv();
	public abstract MethodHandle glVertexAttribI1uivEXT();
	public abstract MethodHandle glVertexAttribI2i();
	public abstract MethodHandle glVertexAttribI2iEXT();
	public abstract MethodHandle glVertexAttribI2iv();
	public abstract MethodHandle glVertexAttribI2ivEXT();
	public abstract MethodHandle glVertexAttribI2ui();
	public abstract MethodHandle glVertexAttribI2uiEXT();
	public abstract MethodHandle glVertexAttribI2uiv();
	public abstract MethodHandle glVertexAttribI2uivEXT();
	public abstract MethodHandle glVertexAttribI3i();
	public abstract MethodHandle glVertexAttribI3iEXT();
	public abstract MethodHandle glVertexAttribI3iv();
	public abstract MethodHandle glVertexAttribI3ivEXT();
	public abstract MethodHandle glVertexAttribI3ui();
	public abstract MethodHandle glVertexAttribI3uiEXT();
	public abstract MethodHandle glVertexAttribI3uiv();
	public abstract MethodHandle glVertexAttribI3uivEXT();
	public abstract MethodHandle glVertexAttribI4bv();
	public abstract MethodHandle glVertexAttribI4bvEXT();
	public abstract MethodHandle glVertexAttribI4i();
	public abstract MethodHandle glVertexAttribI4iEXT();
	public abstract MethodHandle glVertexAttribI4iv();
	public abstract MethodHandle glVertexAttribI4ivEXT();
	public abstract MethodHandle glVertexAttribI4sv();
	public abstract MethodHandle glVertexAttribI4svEXT();
	public abstract MethodHandle glVertexAttribI4ubv();
	public abstract MethodHandle glVertexAttribI4ubvEXT();
	public abstract MethodHandle glVertexAttribI4ui();
	public abstract MethodHandle glVertexAttribI4uiEXT();
	public abstract MethodHandle glVertexAttribI4uiv();
	public abstract MethodHandle glVertexAttribI4uivEXT();
	public abstract MethodHandle glVertexAttribI4usv();
	public abstract MethodHandle glVertexAttribI4usvEXT();
	public abstract MethodHandle glVertexAttribIFormat();
	public abstract MethodHandle glVertexAttribIFormatNV();
	public abstract MethodHandle glVertexAttribIPointer();
	public abstract MethodHandle glVertexAttribIPointerEXT();
	public abstract MethodHandle glVertexAttribL1d();
	public abstract MethodHandle glVertexAttribL1dEXT();
	public abstract MethodHandle glVertexAttribL1dv();
	public abstract MethodHandle glVertexAttribL1dvEXT();
	public abstract MethodHandle glVertexAttribL1i64NV();
	public abstract MethodHandle glVertexAttribL1i64vNV();
	public abstract MethodHandle glVertexAttribL1ui64ARB();
	public abstract MethodHandle glVertexAttribL1ui64NV();
	public abstract MethodHandle glVertexAttribL1ui64vARB();
	public abstract MethodHandle glVertexAttribL1ui64vNV();
	public abstract MethodHandle glVertexAttribL2d();
	public abstract MethodHandle glVertexAttribL2dEXT();
	public abstract MethodHandle glVertexAttribL2dv();
	public abstract MethodHandle glVertexAttribL2dvEXT();
	public abstract MethodHandle glVertexAttribL2i64NV();
	public abstract MethodHandle glVertexAttribL2i64vNV();
	public abstract MethodHandle glVertexAttribL2ui64NV();
	public abstract MethodHandle glVertexAttribL2ui64vNV();
	public abstract MethodHandle glVertexAttribL3d();
	public abstract MethodHandle glVertexAttribL3dEXT();
	public abstract MethodHandle glVertexAttribL3dv();
	public abstract MethodHandle glVertexAttribL3dvEXT();
	public abstract MethodHandle glVertexAttribL3i64NV();
	public abstract MethodHandle glVertexAttribL3i64vNV();
	public abstract MethodHandle glVertexAttribL3ui64NV();
	public abstract MethodHandle glVertexAttribL3ui64vNV();
	public abstract MethodHandle glVertexAttribL4d();
	public abstract MethodHandle glVertexAttribL4dEXT();
	public abstract MethodHandle glVertexAttribL4dv();
	public abstract MethodHandle glVertexAttribL4dvEXT();
	public abstract MethodHandle glVertexAttribL4i64NV();
	public abstract MethodHandle glVertexAttribL4i64vNV();
	public abstract MethodHandle glVertexAttribL4ui64NV();
	public abstract MethodHandle glVertexAttribL4ui64vNV();
	public abstract MethodHandle glVertexAttribLFormat();
	public abstract MethodHandle glVertexAttribLFormatNV();
	public abstract MethodHandle glVertexAttribLPointer();
	public abstract MethodHandle glVertexAttribLPointerEXT();
	public abstract MethodHandle glVertexAttribP1ui();
	public abstract MethodHandle glVertexAttribP1uiv();
	public abstract MethodHandle glVertexAttribP2ui();
	public abstract MethodHandle glVertexAttribP2uiv();
	public abstract MethodHandle glVertexAttribP3ui();
	public abstract MethodHandle glVertexAttribP3uiv();
	public abstract MethodHandle glVertexAttribP4ui();
	public abstract MethodHandle glVertexAttribP4uiv();
	public abstract MethodHandle glVertexAttribParameteriAMD();
	public abstract MethodHandle glVertexAttribPointer();
	public abstract MethodHandle glVertexAttribPointerARB();
	public abstract MethodHandle glVertexAttribPointerNV();
	public abstract MethodHandle glVertexAttribs1dvNV();
	public abstract MethodHandle glVertexAttribs1fvNV();
	public abstract MethodHandle glVertexAttribs1hvNV();
	public abstract MethodHandle glVertexAttribs1svNV();
	public abstract MethodHandle glVertexAttribs2dvNV();
	public abstract MethodHandle glVertexAttribs2fvNV();
	public abstract MethodHandle glVertexAttribs2hvNV();
	public abstract MethodHandle glVertexAttribs2svNV();
	public abstract MethodHandle glVertexAttribs3dvNV();
	public abstract MethodHandle glVertexAttribs3fvNV();
	public abstract MethodHandle glVertexAttribs3hvNV();
	public abstract MethodHandle glVertexAttribs3svNV();
	public abstract MethodHandle glVertexAttribs4dvNV();
	public abstract MethodHandle glVertexAttribs4fvNV();
	public abstract MethodHandle glVertexAttribs4hvNV();
	public abstract MethodHandle glVertexAttribs4svNV();
	public abstract MethodHandle glVertexAttribs4ubvNV();
	public abstract MethodHandle glVertexBindingDivisor();
	public abstract MethodHandle glVertexBlendARB();
	public abstract MethodHandle glVertexBlendEnvfATI();
	public abstract MethodHandle glVertexBlendEnviATI();
	public abstract MethodHandle glVertexFormatNV();
	public abstract MethodHandle glVertexP2ui();
	public abstract MethodHandle glVertexP2uiv();
	public abstract MethodHandle glVertexP3ui();
	public abstract MethodHandle glVertexP3uiv();
	public abstract MethodHandle glVertexP4ui();
	public abstract MethodHandle glVertexP4uiv();
	public abstract MethodHandle glVertexPointer();
	public abstract MethodHandle glVertexPointerEXT();
	public abstract MethodHandle glVertexPointerListIBM();
	public abstract MethodHandle glVertexPointervINTEL();
	public abstract MethodHandle glVertexStream1dATI();
	public abstract MethodHandle glVertexStream1dvATI();
	public abstract MethodHandle glVertexStream1fATI();
	public abstract MethodHandle glVertexStream1fvATI();
	public abstract MethodHandle glVertexStream1iATI();
	public abstract MethodHandle glVertexStream1ivATI();
	public abstract MethodHandle glVertexStream1sATI();
	public abstract MethodHandle glVertexStream1svATI();
	public abstract MethodHandle glVertexStream2dATI();
	public abstract MethodHandle glVertexStream2dvATI();
	public abstract MethodHandle glVertexStream2fATI();
	public abstract MethodHandle glVertexStream2fvATI();
	public abstract MethodHandle glVertexStream2iATI();
	public abstract MethodHandle glVertexStream2ivATI();
	public abstract MethodHandle glVertexStream2sATI();
	public abstract MethodHandle glVertexStream2svATI();
	public abstract MethodHandle glVertexStream3dATI();
	public abstract MethodHandle glVertexStream3dvATI();
	public abstract MethodHandle glVertexStream3fATI();
	public abstract MethodHandle glVertexStream3fvATI();
	public abstract MethodHandle glVertexStream3iATI();
	public abstract MethodHandle glVertexStream3ivATI();
	public abstract MethodHandle glVertexStream3sATI();
	public abstract MethodHandle glVertexStream3svATI();
	public abstract MethodHandle glVertexStream4dATI();
	public abstract MethodHandle glVertexStream4dvATI();
	public abstract MethodHandle glVertexStream4fATI();
	public abstract MethodHandle glVertexStream4fvATI();
	public abstract MethodHandle glVertexStream4iATI();
	public abstract MethodHandle glVertexStream4ivATI();
	public abstract MethodHandle glVertexStream4sATI();
	public abstract MethodHandle glVertexStream4svATI();
	public abstract MethodHandle glVertexWeightPointerEXT();
	public abstract MethodHandle glVertexWeightfEXT();
	public abstract MethodHandle glVertexWeightfvEXT();
	public abstract MethodHandle glVertexWeighthNV();
	public abstract MethodHandle glVertexWeighthvNV();
	public abstract MethodHandle glVideoCaptureNV();
	public abstract MethodHandle glVideoCaptureStreamParameterdvNV();
	public abstract MethodHandle glVideoCaptureStreamParameterfvNV();
	public abstract MethodHandle glVideoCaptureStreamParameterivNV();
	public abstract MethodHandle glViewport();
	public abstract MethodHandle glViewportArrayv();
	public abstract MethodHandle glViewportArrayvNV();
	public abstract MethodHandle glViewportArrayvOES();
	public abstract MethodHandle glViewportIndexedf();
	public abstract MethodHandle glViewportIndexedfOES();
	public abstract MethodHandle glViewportIndexedfNV();
	public abstract MethodHandle glViewportIndexedfv();
	public abstract MethodHandle glViewportIndexedfvOES();
	public abstract MethodHandle glViewportIndexedfvNV();
	public abstract MethodHandle glViewportPositionWScaleNV();
	public abstract MethodHandle glViewportSwizzleNV();
	public abstract MethodHandle glWaitSemaphoreEXT();
	public abstract MethodHandle glWaitSemaphoreui64NVX();
	public abstract MethodHandle glWaitSync();
	public abstract MethodHandle glWaitSyncAPPLE();
	public abstract MethodHandle glWeightPathsNV();
	public abstract MethodHandle glWeightPointerARB();
	public abstract MethodHandle glWeightPointerOES();
	public abstract MethodHandle glWeightbvARB();
	public abstract MethodHandle glWeightdvARB();
	public abstract MethodHandle glWeightfvARB();
	public abstract MethodHandle glWeightivARB();
	public abstract MethodHandle glWeightsvARB();
	public abstract MethodHandle glWeightubvARB();
	public abstract MethodHandle glWeightuivARB();
	public abstract MethodHandle glWeightusvARB();
	public abstract MethodHandle glWindowPos2d();
	public abstract MethodHandle glWindowPos2dARB();
	public abstract MethodHandle glWindowPos2dMESA();
	public abstract MethodHandle glWindowPos2dv();
	public abstract MethodHandle glWindowPos2dvARB();
	public abstract MethodHandle glWindowPos2dvMESA();
	public abstract MethodHandle glWindowPos2f();
	public abstract MethodHandle glWindowPos2fARB();
	public abstract MethodHandle glWindowPos2fMESA();
	public abstract MethodHandle glWindowPos2fv();
	public abstract MethodHandle glWindowPos2fvARB();
	public abstract MethodHandle glWindowPos2fvMESA();
	public abstract MethodHandle glWindowPos2i();
	public abstract MethodHandle glWindowPos2iARB();
	public abstract MethodHandle glWindowPos2iMESA();
	public abstract MethodHandle glWindowPos2iv();
	public abstract MethodHandle glWindowPos2ivARB();
	public abstract MethodHandle glWindowPos2ivMESA();
	public abstract MethodHandle glWindowPos2s();
	public abstract MethodHandle glWindowPos2sARB();
	public abstract MethodHandle glWindowPos2sMESA();
	public abstract MethodHandle glWindowPos2sv();
	public abstract MethodHandle glWindowPos2svARB();
	public abstract MethodHandle glWindowPos2svMESA();
	public abstract MethodHandle glWindowPos3d();
	public abstract MethodHandle glWindowPos3dARB();
	public abstract MethodHandle glWindowPos3dMESA();
	public abstract MethodHandle glWindowPos3dv();
	public abstract MethodHandle glWindowPos3dvARB();
	public abstract MethodHandle glWindowPos3dvMESA();
	public abstract MethodHandle glWindowPos3f();
	public abstract MethodHandle glWindowPos3fARB();
	public abstract MethodHandle glWindowPos3fMESA();
	public abstract MethodHandle glWindowPos3fv();
	public abstract MethodHandle glWindowPos3fvARB();
	public abstract MethodHandle glWindowPos3fvMESA();
	public abstract MethodHandle glWindowPos3i();
	public abstract MethodHandle glWindowPos3iARB();
	public abstract MethodHandle glWindowPos3iMESA();
	public abstract MethodHandle glWindowPos3iv();
	public abstract MethodHandle glWindowPos3ivARB();
	public abstract MethodHandle glWindowPos3ivMESA();
	public abstract MethodHandle glWindowPos3s();
	public abstract MethodHandle glWindowPos3sARB();
	public abstract MethodHandle glWindowPos3sMESA();
	public abstract MethodHandle glWindowPos3sv();
	public abstract MethodHandle glWindowPos3svARB();
	public abstract MethodHandle glWindowPos3svMESA();
	public abstract MethodHandle glWindowPos4dMESA();
	public abstract MethodHandle glWindowPos4dvMESA();
	public abstract MethodHandle glWindowPos4fMESA();
	public abstract MethodHandle glWindowPos4fvMESA();
	public abstract MethodHandle glWindowPos4iMESA();
	public abstract MethodHandle glWindowPos4ivMESA();
	public abstract MethodHandle glWindowPos4sMESA();
	public abstract MethodHandle glWindowPos4svMESA();
	public abstract MethodHandle glWindowRectanglesEXT();
	public abstract MethodHandle glWriteMaskEXT();
	public abstract MethodHandle glDrawVkImageNV();
	public abstract MethodHandle glGetVkProcAddrNV();
	public abstract MethodHandle glWaitVkSemaphoreNV();
	public abstract MethodHandle glSignalVkSemaphoreNV();
	public abstract MethodHandle glSignalVkFenceNV();
	public abstract MethodHandle glFramebufferParameteriMESA();
	public abstract MethodHandle glGetFramebufferParameterivMESA();

	static GLFunctions make(SymbolLookup symbolLookup) {
		byte[] cfBytes;
		try (var cfRdr = GLFunctions.class.getClassLoader()
				.getResourceAsStream("dev/pfaff/glass/opengl/GLFunctionsImpl.class")) {
			cfBytes = cfRdr.readAllBytes();
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
		try {
			var lookup = MethodHandles.lookup().defineHiddenClassWithClassData(cfBytes,
					symbolLookup,
					false,
					MethodHandles.Lookup.ClassOption.NESTMATE);
			return (GLFunctions) lookup.findConstructor(lookup.lookupClass(), methodType(void.class))
					.invoke();
		} catch (Throwable e) {
			throw new RuntimeException(e);
		}
	}
}