package dev.pfaff.glass.opengl;

import java.lang.foreign.AddressLayout;
import java.lang.foreign.MemoryLayout;
import java.lang.foreign.ValueLayout;
import java.lang.invoke.MethodHandles;
import java.util.List;

import static java.lang.foreign.ValueLayout.*;

final class GLTypeCacheInit {
	@SafeVarargs
	static <T> List<T> listOf(MethodHandles.Lookup l, String n, Class<?> t, T... params) {
		return List.of(params);
	}

	//<editor-fold desc="ML_*">
	static ValueLayout.OfInt ML_E(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_INT.withName("GLenum"); }
	static ValueLayout.OfInt ML_LAccumOp_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("AccumOp"); }
	static ValueLayout.OfFloat ML_F(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_FLOAT; }
	static MemoryLayout ML_V(MethodHandles.Lookup l, String n, Class<?> t) { return null; }
	static ValueLayout.OfInt ML_I(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_INT; }
	static ValueLayout.OfInt ML_LTriangleFace_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TriangleFace"); }
	static ValueLayout.OfInt ML_LTextureUnit_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureUnit"); }
	static AddressLayout ML_p(MethodHandles.Lookup l, String n, Class<?> t) { return ADDRESS; }
	static ValueLayout.OfInt ML_LFragmentOp1ATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FragmentOp1ATI"); }
	static ValueLayout.OfInt ML_LFragmentOp2ATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FragmentOp2ATI"); }
	static ValueLayout.OfInt ML_LFragmentOp3ATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FragmentOp3ATI"); }
	static ValueLayout.OfInt ML_LAlphaFunction_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("AlphaFunction"); }
	static ValueLayout.OfInt ML_LLightTextureModeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightTextureModeEXT"); }
	static ValueLayout.OfLong ML_J(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_LONG; }
	static ValueLayout.OfBoolean ML_Z(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_BOOLEAN; }
	static AddressLayout ML_P(MethodHandles.Lookup l, String n, Class<?> t) { return ADDRESS; }
	static ValueLayout.OfInt ML_LEnableCap_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("EnableCap"); }
	static ValueLayout.OfInt ML_LScalarType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ScalarType"); }
	static ValueLayout.OfInt ML_LPrimitiveType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PrimitiveType"); }
	static ValueLayout.OfInt ML_LConditionalRenderMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ConditionalRenderMode"); }
	static ValueLayout.OfInt ML_LQueryTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("QueryTarget"); }
	static ValueLayout.OfInt ML_LBufferTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BufferTarget"); }
	static ValueLayout.OfInt ML_LFramebufferTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FramebufferTarget"); }
	static ValueLayout.OfInt ML_LBufferAccess_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BufferAccess"); }
	static ValueLayout.OfInt ML_LInternalFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("InternalFormat"); }
	static ValueLayout.OfInt ML_LLightName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightName"); }
	static ValueLayout.OfInt ML_LLightParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightParameter"); }
	static ValueLayout.OfInt ML_LMaterialParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MaterialParameter"); }
	static ValueLayout.OfInt ML_LTextureTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureTarget"); }
	static ValueLayout.OfInt ML_LVertexShaderParameterEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexShaderParameterEXT"); }
	static ValueLayout.OfInt ML_LProgramTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramTarget"); }
	static ValueLayout.OfInt ML_LVertexAttribEnumNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribEnumNV"); }
	static ValueLayout.OfInt ML_LRenderbufferTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("RenderbufferTarget"); }
	static ValueLayout.OfInt ML_LTextureCoordName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureCoordName"); }
	static ValueLayout.OfInt ML_LTextureGenParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureGenParameter"); }
	static ValueLayout.OfInt ML_LVertexShaderTextureUnitParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexShaderTextureUnitParameter"); }
	static ValueLayout.OfInt ML_LBindTransformFeedbackTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BindTransformFeedbackTarget"); }
	static ValueLayout.OfByte ML_B(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_BYTE; }
	static ValueLayout.OfDouble ML_D(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_DOUBLE; }
	static ValueLayout.OfShort ML_S(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_SHORT; }
	static ValueLayout.OfInt ML_LBinormalPointerTypeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BinormalPointerTypeEXT"); }
	static ValueLayout.OfInt ML_LBlendEquationModeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BlendEquationModeEXT"); }
	static ValueLayout.OfInt ML_LBlendingFactor_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BlendingFactor"); }
	static ValueLayout.OfInt ML_LBlitFramebufferFilter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BlitFramebufferFilter"); }
	static ValueLayout.OfInt ML_LBufferUsage_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BufferUsage"); }
	static ValueLayout.OfInt ML_LBufferStorageTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BufferStorageTarget"); }
	static ValueLayout.OfInt ML_LListNameType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ListNameType"); }
	static ValueLayout.OfInt ML_LFramebufferStatus_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FramebufferStatus"); }
	static ValueLayout.OfInt ML_LClampColorTargetARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ClampColorTargetARB"); }
	static ValueLayout.OfInt ML_LClampColorModeARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ClampColorModeARB"); }
	static ValueLayout.OfInt ML_LSizedInternalFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SizedInternalFormat"); }
	static ValueLayout.OfInt ML_LPixelFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelFormat"); }
	static ValueLayout.OfInt ML_LPixelType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelType"); }
	static ValueLayout.OfInt ML_LBuffer_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("Buffer"); }
	static ValueLayout.OfInt ML_LVertexStreamATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexStreamATI"); }
	static ValueLayout.OfInt ML_LSyncStatus_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SyncStatus"); }
	static ValueLayout.OfInt ML_LClipControlOrigin_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ClipControlOrigin"); }
	static ValueLayout.OfInt ML_LClipControlDepth_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ClipControlDepth"); }
	static ValueLayout.OfInt ML_LClipPlaneName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ClipPlaneName"); }
	static ValueLayout.OfChar ML_C(MethodHandles.Lookup l, String n, Class<?> t) { return JAVA_CHAR.withName("f16"); }
	static ValueLayout.OfInt ML_LColorPointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ColorPointerType"); }
	static ValueLayout.OfInt ML_LColorMaterialParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ColorMaterialParameter"); }
	static ValueLayout.OfInt ML_LVertexPointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexPointerType"); }
	static ValueLayout.OfInt ML_LColorTableTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ColorTableTarget"); }
	static ValueLayout.OfInt ML_LColorTableParameterPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ColorTableParameterPName"); }
	static ValueLayout.OfInt ML_LColorTableTargetSGI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ColorTableTargetSGI"); }
	static ValueLayout.OfInt ML_LCombinerStageNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerStageNV"); }
	static ValueLayout.OfInt ML_LCombinerPortionNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerPortionNV"); }
	static ValueLayout.OfInt ML_LCombinerVariableNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerVariableNV"); }
	static ValueLayout.OfInt ML_LCombinerRegisterNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerRegisterNV"); }
	static ValueLayout.OfInt ML_LCombinerMappingNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerMappingNV"); }
	static ValueLayout.OfInt ML_LCombinerComponentUsageNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerComponentUsageNV"); }
	static ValueLayout.OfInt ML_LCombinerScaleNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerScaleNV"); }
	static ValueLayout.OfInt ML_LCombinerBiasNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerBiasNV"); }
	static ValueLayout.OfInt ML_LCombinerParameterNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CombinerParameterNV"); }
	static ValueLayout.OfInt ML_LConvolutionTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ConvolutionTarget"); }
	static ValueLayout.OfInt ML_LConvolutionTargetEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ConvolutionTargetEXT"); }
	static ValueLayout.OfInt ML_LConvolutionParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ConvolutionParameter"); }
	static ValueLayout.OfInt ML_LCopyBufferSubDataTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CopyBufferSubDataTarget"); }
	static ValueLayout.OfInt ML_LCopyImageSubDataTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CopyImageSubDataTarget"); }
	static ValueLayout.OfInt ML_LPixelCopyType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelCopyType"); }
	static ValueLayout.OfInt ML_LPathElementType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathElementType"); }
	static ValueLayout.OfInt ML_LInstancedPathCoverMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("InstancedPathCoverMode"); }
	static ValueLayout.OfInt ML_LPathTransformType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathTransformType"); }
	static ValueLayout.OfInt ML_LPathCoverMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathCoverMode"); }
	static ValueLayout.OfInt ML_LShaderType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShaderType"); }
	static ValueLayout.OfInt ML_LCullParameterEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CullParameterEXT"); }
	static ValueLayout.OfInt ML_LDebugSource_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DebugSource"); }
	static ValueLayout.OfInt ML_LDebugType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DebugType"); }
	static ValueLayout.OfInt ML_LDebugSeverity_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DebugSeverity"); }
	static ValueLayout.OfInt ML_LFfdTargetSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FfdTargetSGIX"); }
	static ValueLayout.OfInt ML_LDepthFunction_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DepthFunction"); }
	static ValueLayout.OfInt ML_LDrawBufferMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DrawBufferMode"); }
	static ValueLayout.OfInt ML_LDrawElementsType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DrawElementsType"); }
	static ValueLayout.OfInt ML_LElementPointerTypeATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ElementPointerTypeATI"); }
	static ValueLayout.OfInt ML_LEvalTargetNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("EvalTargetNV"); }
	static ValueLayout.OfInt ML_LEvalMapsModeNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("EvalMapsModeNV"); }
	static ValueLayout.OfInt ML_LMeshMode1_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MeshMode1"); }
	static ValueLayout.OfInt ML_LMeshMode2_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MeshMode2"); }
	static ValueLayout.OfInt ML_LFeedbackType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FeedbackType"); }
	static ValueLayout.OfInt ML_LSyncCondition_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SyncCondition"); }
	static ValueLayout.OfInt ML_LObjectTypeAPPLE_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ObjectTypeAPPLE"); }
	static ValueLayout.OfInt ML_LPixelDataRangeTargetNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelDataRangeTargetNV"); }
	static ValueLayout.OfInt ML_LFogPointerTypeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FogPointerTypeEXT"); }
	static ValueLayout.OfInt ML_LFogPointerTypeIBM_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FogPointerTypeIBM"); }
	static ValueLayout.OfInt ML_LFogParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FogParameter"); }
	static ValueLayout.OfInt ML_LFogPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FogPName"); }
	static ValueLayout.OfInt ML_LFragmentLightModelParameterSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FragmentLightModelParameterSGIX"); }
	static ValueLayout.OfInt ML_LFragmentLightNameSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FragmentLightNameSGIX"); }
	static ValueLayout.OfInt ML_LFragmentLightParameterSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FragmentLightParameterSGIX"); }
	static ValueLayout.OfInt ML_LFramebufferParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FramebufferParameterName"); }
	static ValueLayout.OfInt ML_LReadBufferMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ReadBufferMode"); }
	static ValueLayout.OfInt ML_LFramebufferAttachment_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FramebufferAttachment"); }
	static ValueLayout.OfInt ML_LFrontFaceDirection_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FrontFaceDirection"); }
	static ValueLayout.OfInt ML_LDataTypeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("DataTypeEXT"); }
	static ValueLayout.OfInt ML_LVertexShaderStorageTypeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexShaderStorageTypeEXT"); }
	static ValueLayout.OfInt ML_LParameterRangeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ParameterRangeEXT"); }
	static ValueLayout.OfInt ML_LAtomicCounterBufferPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("AtomicCounterBufferPName"); }
	static ValueLayout.OfInt ML_LSubroutineParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SubroutineParameterName"); }
	static ValueLayout.OfInt ML_LUniformBlockPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("UniformBlockPName"); }
	static ValueLayout.OfInt ML_LUniformPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("UniformPName"); }
	static ValueLayout.OfInt ML_LArrayObjectPNameATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ArrayObjectPNameATI"); }
	static ValueLayout.OfInt ML_LGetPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetPName"); }
	static ValueLayout.OfInt ML_LBufferPNameARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BufferPNameARB"); }
	static ValueLayout.OfInt ML_LBufferPointerNameARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("BufferPointerNameARB"); }
	static ValueLayout.OfInt ML_LCommandOpcodesNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("CommandOpcodesNV"); }
	static ValueLayout.OfInt ML_LErrorCode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ErrorCode"); }
	static ValueLayout.OfInt ML_LFenceParameterNameNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FenceParameterNameNV"); }
	static ValueLayout.OfInt ML_LFramebufferAttachmentParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FramebufferAttachmentParameterName"); }
	static ValueLayout.OfInt ML_LGetFramebufferParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetFramebufferParameter"); }
	static ValueLayout.OfInt ML_LGraphicsResetStatus_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GraphicsResetStatus"); }
	static ValueLayout.OfInt ML_LContainerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ContainerType"); }
	static ValueLayout.OfInt ML_LHistogramTargetEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("HistogramTargetEXT"); }
	static ValueLayout.OfInt ML_LGetHistogramParameterPNameEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetHistogramParameterPNameEXT"); }
	static ValueLayout.OfInt ML_LImageTransformTargetHP_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ImageTransformTargetHP"); }
	static ValueLayout.OfInt ML_LImageTransformPNameHP_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ImageTransformPNameHP"); }
	static ValueLayout.OfInt ML_LInternalFormatPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("InternalFormatPName"); }
	static ValueLayout.OfInt ML_LGetVariantValueEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetVariantValueEXT"); }
	static ValueLayout.OfInt ML_LListParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ListParameterName"); }
	static ValueLayout.OfInt ML_LMapAttribParameterNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MapAttribParameterNV"); }
	static ValueLayout.OfInt ML_LMapTypeNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MapTypeNV"); }
	static ValueLayout.OfInt ML_LMapParameterNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MapParameterNV"); }
	static ValueLayout.OfInt ML_LMapTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MapTarget"); }
	static ValueLayout.OfInt ML_LGetMapQuery_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetMapQuery"); }
	static ValueLayout.OfInt ML_LMemoryObjectParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MemoryObjectParameterName"); }
	static ValueLayout.OfInt ML_LMinmaxTargetEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MinmaxTargetEXT"); }
	static ValueLayout.OfInt ML_LGetMinmaxParameterPNameEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetMinmaxParameterPNameEXT"); }
	static ValueLayout.OfInt ML_LTextureEnvTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureEnvTarget"); }
	static ValueLayout.OfInt ML_LTextureEnvParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureEnvParameter"); }
	static ValueLayout.OfInt ML_LGetTextureParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetTextureParameter"); }
	static ValueLayout.OfInt ML_LGetMultisamplePNameNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetMultisamplePNameNV"); }
	static ValueLayout.OfInt ML_LProgramStringProperty_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramStringProperty"); }
	static ValueLayout.OfInt ML_LProgramPropertyARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramPropertyARB"); }
	static ValueLayout.OfInt ML_LRenderbufferParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("RenderbufferParameterName"); }
	static ValueLayout.OfInt ML_LObjectIdentifier_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ObjectIdentifier"); }
	static ValueLayout.OfInt ML_LOcclusionQueryParameterNameNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("OcclusionQueryParameterNameNV"); }
	static ValueLayout.OfInt ML_LPathColor_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathColor"); }
	static ValueLayout.OfInt ML_LPathGenMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathGenMode"); }
	static ValueLayout.OfInt ML_LPathParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathParameter"); }
	static ValueLayout.OfInt ML_LPathListMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathListMode"); }
	static ValueLayout.OfInt ML_LPixelMap_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelMap"); }
	static ValueLayout.OfInt ML_LPixelTexGenParameterNameSGIS_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelTexGenParameterNameSGIS"); }
	static ValueLayout.OfInt ML_LGetPointervPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetPointervPName"); }
	static ValueLayout.OfInt ML_LProgramInterface_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramInterface"); }
	static ValueLayout.OfInt ML_LProgramInterfacePName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramInterfacePName"); }
	static ValueLayout.OfInt ML_LPipelineParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PipelineParameterName"); }
	static ValueLayout.OfInt ML_LProgramStagePName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramStagePName"); }
	static ValueLayout.OfInt ML_LQueryObjectParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("QueryObjectParameterName"); }
	static ValueLayout.OfInt ML_LQueryParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("QueryParameterName"); }
	static ValueLayout.OfInt ML_LSamplerParameterI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SamplerParameterI"); }
	static ValueLayout.OfInt ML_LSamplerParameterF_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SamplerParameterF"); }
	static ValueLayout.OfInt ML_LSemaphoreParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SemaphoreParameterName"); }
	static ValueLayout.OfInt ML_LSeparableTargetEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SeparableTargetEXT"); }
	static ValueLayout.OfInt ML_LPrecisionType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PrecisionType"); }
	static ValueLayout.OfInt ML_LShaderParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShaderParameterName"); }
	static ValueLayout.OfInt ML_LStringName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("StringName"); }
	static ValueLayout.OfInt ML_LSyncParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SyncParameterName"); }
	static ValueLayout.OfInt ML_LGetTexBumpParameterATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("GetTexBumpParameterATI"); }
	static ValueLayout.OfInt ML_LTextureFilterSGIS_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureFilterSGIS"); }
	static ValueLayout.OfInt ML_LTransformFeedbackPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TransformFeedbackPName"); }
	static ValueLayout.OfInt ML_LVertexArrayPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexArrayPName"); }
	static ValueLayout.OfInt ML_LVertexAttribEnum_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribEnum"); }
	static ValueLayout.OfInt ML_LVertexAttribPointerPropertyARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribPointerPropertyARB"); }
	static ValueLayout.OfInt ML_LVertexAttribPropertyARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribPropertyARB"); }
	static ValueLayout.OfInt ML_LHistogramTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("HistogramTarget"); }
	static ValueLayout.OfInt ML_LMapQuery_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MapQuery"); }
	static ValueLayout.OfInt ML_LMinmaxTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MinmaxTarget"); }
	static ValueLayout.OfInt ML_LSeparableTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SeparableTarget"); }
	static ValueLayout.OfInt ML_LHintTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("HintTarget"); }
	static ValueLayout.OfInt ML_LHintMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("HintMode"); }
	static ValueLayout.OfInt ML_LHintTargetPGI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("HintTargetPGI"); }
	static ValueLayout.OfInt ML_LVertexHintsMaskPGI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexHintsMaskPGI"); }
	static ValueLayout.OfInt ML_LExternalHandleType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ExternalHandleType"); }
	static ValueLayout.OfInt ML_LIndexFunctionEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("IndexFunctionEXT"); }
	static ValueLayout.OfInt ML_LIndexMaterialParameterEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("IndexMaterialParameterEXT"); }
	static ValueLayout.OfInt ML_LIndexPointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("IndexPointerType"); }
	static ValueLayout.OfInt ML_LInterleavedArrayFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("InterleavedArrayFormat"); }
	static ValueLayout.OfInt ML_LVariantCapEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VariantCapEXT"); }
	static ValueLayout.OfInt ML_LLightEnvParameterSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightEnvParameterSGIX"); }
	static ValueLayout.OfInt ML_LLightEnvModeSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightEnvModeSGIX"); }
	static ValueLayout.OfInt ML_LLightModelParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightModelParameter"); }
	static ValueLayout.OfInt ML_LLogicOp_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LogicOp"); }
	static ValueLayout.OfInt ML_LMatrixMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MatrixMode"); }
	static ValueLayout.OfInt ML_LMatrixIndexPointerTypeARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("MatrixIndexPointerTypeARB"); }
	static ValueLayout.OfInt ML_LTexCoordPointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TexCoordPointerType"); }
	static ValueLayout.OfInt ML_LTextureParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureParameterName"); }
	static ValueLayout.OfInt ML_LVertexBufferObjectUsage_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexBufferObjectUsage"); }
	static ValueLayout.OfInt ML_LColorBuffer_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ColorBuffer"); }
	static ValueLayout.OfInt ML_LProgramFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramFormat"); }
	static ValueLayout.OfInt ML_LListMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ListMode"); }
	static ValueLayout.OfInt ML_LArrayObjectUsageATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ArrayObjectUsageATI"); }
	static ValueLayout.OfInt ML_LNormalPointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("NormalPointerType"); }
	static ValueLayout.OfInt ML_LPNTrianglesPNameATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PNTrianglesPNameATI"); }
	static ValueLayout.OfInt ML_LSwizzleOpATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SwizzleOpATI"); }
	static ValueLayout.OfInt ML_LPatchParameterName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PatchParameterName"); }
	static ValueLayout.OfInt ML_LPathColorFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathColorFormat"); }
	static ValueLayout.OfInt ML_LPathCoordType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathCoordType"); }
	static ValueLayout.OfInt ML_LPathFontTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathFontTarget"); }
	static ValueLayout.OfInt ML_LPathHandleMissingGlyphs_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathHandleMissingGlyphs"); }
	static ValueLayout.OfInt ML_LStencilFunction_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("StencilFunction"); }
	static ValueLayout.OfInt ML_LPathStringFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathStringFormat"); }
	static ValueLayout.OfInt ML_LPixelStoreParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelStoreParameter"); }
	static ValueLayout.OfInt ML_LPixelTexGenModeSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelTexGenModeSGIX"); }
	static ValueLayout.OfInt ML_LPixelTransferParameter_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelTransferParameter"); }
	static ValueLayout.OfInt ML_LPixelTransformTargetEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelTransformTargetEXT"); }
	static ValueLayout.OfInt ML_LPixelTransformPNameEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PixelTransformPNameEXT"); }
	static ValueLayout.OfInt ML_LPointParameterNameARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PointParameterNameARB"); }
	static ValueLayout.OfInt ML_LPolygonMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PolygonMode"); }
	static ValueLayout.OfInt ML_LProgramParameterPName_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ProgramParameterPName"); }
	static ValueLayout.OfInt ML_LVertexProvokingMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexProvokingMode"); }
	static ValueLayout.OfInt ML_LQueryCounterTarget_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("QueryCounterTarget"); }
	static ValueLayout.OfInt ML_LRenderingMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("RenderingMode"); }
	static ValueLayout.OfInt ML_LReplacementCodeTypeSUN_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ReplacementCodeTypeSUN"); }
	static ValueLayout.OfInt ML_LSamplePatternEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SamplePatternEXT"); }
	static ValueLayout.OfInt ML_LSamplePatternSGIS_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SamplePatternSGIS"); }
	static ValueLayout.OfInt ML_LSecondaryColorPointerTypeIBM_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SecondaryColorPointerTypeIBM"); }
	static ValueLayout.OfInt ML_LFenceConditionNV_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FenceConditionNV"); }
	static ValueLayout.OfInt ML_LShadingModel_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShadingModel"); }
	static ValueLayout.OfInt ML_LShaderBinaryFormat_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShaderBinaryFormat"); }
	static ValueLayout.OfInt ML_LVertexShaderOpEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexShaderOpEXT"); }
	static ValueLayout.OfInt ML_LShadingRate_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShadingRate"); }
	static ValueLayout.OfInt ML_LShadingRateCombinerOp_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShadingRateCombinerOp"); }
	static ValueLayout.OfInt ML_LShadingRateQCOM_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("ShadingRateQCOM"); }
	static ValueLayout.OfInt ML_LSpriteParameterNameSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SpriteParameterNameSGIX"); }
	static ValueLayout.OfInt ML_LSpriteModeSGIX_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("SpriteModeSGIX"); }
	static ValueLayout.OfInt ML_LPathFillMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PathFillMode"); }
	static ValueLayout.OfInt ML_LStencilOp_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("StencilOp"); }
	static ValueLayout.OfInt ML_LVertexShaderCoordOutEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexShaderCoordOutEXT"); }
	static ValueLayout.OfInt ML_LTangentPointerTypeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TangentPointerTypeEXT"); }
	static ValueLayout.OfInt ML_LTexBumpParameterATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TexBumpParameterATI"); }
	static ValueLayout.OfInt ML_LLightTexturePNameEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("LightTexturePNameEXT"); }
	static ValueLayout.OfInt ML_LTextureNormalModeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TextureNormalModeEXT"); }
	static ValueLayout.OfInt ML_LTransformFeedbackBufferMode_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("TransformFeedbackBufferMode"); }
	static ValueLayout.OfInt ML_LPreserveModeATI_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("PreserveModeATI"); }
	static ValueLayout.OfInt ML_LVertexAttribType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribType"); }
	static ValueLayout.OfInt ML_LVertexAttribIType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribIType"); }
	static ValueLayout.OfInt ML_LVertexAttribLType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribLType"); }
	static ValueLayout.OfInt ML_LFogCoordinatePointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("FogCoordinatePointerType"); }
	static ValueLayout.OfInt ML_LVertexArrayPNameAPPLE_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexArrayPNameAPPLE"); }
	static ValueLayout.OfInt ML_LVertexAttribPointerType_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexAttribPointerType"); }
	static ValueLayout.OfInt ML_LVertexWeightPointerTypeEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexWeightPointerTypeEXT"); }
	static ValueLayout.OfInt ML_LWeightPointerTypeARB_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("WeightPointerTypeARB"); }
	static ValueLayout.OfInt ML_LVertexShaderWriteMaskEXT_(MethodHandles.Lookup l, String n, Class<?> t) { return GLTypeCache.ML_E().withName("VertexShaderWriteMaskEXT"); }
    //</editor-fold>
}