package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLArrayObjectPNameATI implements GLEnum {
	OBJECT_BUFFER_SIZE_ATI(0x8764),
	OBJECT_BUFFER_USAGE_ATI(0x8765);
	
	private final int glEnum;

	GLArrayObjectPNameATI(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLArrayObjectPNameATI> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLArrayObjectPNameATI fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8764 -> OBJECT_BUFFER_SIZE_ATI;
			case 0x8765 -> OBJECT_BUFFER_USAGE_ATI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLArrayObjectPNameATI");
		};
	}
}