package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLBufferPNameARB implements GLEnum {
	BUFFER_IMMUTABLE_STORAGE(0x821f),
	BUFFER_STORAGE_FLAGS(0x8220),
	BUFFER_SIZE(0x8764),
	BUFFER_USAGE(0x8765),
	BUFFER_ACCESS(0x88bb),
	BUFFER_MAPPED(0x88bc),
	BUFFER_ACCESS_FLAGS(0x911f),
	BUFFER_MAP_LENGTH(0x9120),
	BUFFER_MAP_OFFSET(0x9121);
	
	private final int glEnum;

	GLBufferPNameARB(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLBufferPNameARB> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLBufferPNameARB fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x821f -> BUFFER_IMMUTABLE_STORAGE;
			case 0x8220 -> BUFFER_STORAGE_FLAGS;
			case 0x8764 -> BUFFER_SIZE;
			case 0x8765 -> BUFFER_USAGE;
			case 0x88bb -> BUFFER_ACCESS;
			case 0x88bc -> BUFFER_MAPPED;
			case 0x911f -> BUFFER_ACCESS_FLAGS;
			case 0x9120 -> BUFFER_MAP_LENGTH;
			case 0x9121 -> BUFFER_MAP_OFFSET;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLBufferPNameARB");
		};
	}
}