package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLClampColorTargetARB implements GLEnum {
	CLAMP_VERTEX_COLOR(0x891a),
	CLAMP_FRAGMENT_COLOR(0x891b),
	CLAMP_READ_COLOR(0x891c);
	
	private final int glEnum;

	GLClampColorTargetARB(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLClampColorTargetARB> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLClampColorTargetARB fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x891a -> CLAMP_VERTEX_COLOR;
			case 0x891b -> CLAMP_FRAGMENT_COLOR;
			case 0x891c -> CLAMP_READ_COLOR;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLClampColorTargetARB");
		};
	}
}