package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLClipControlOrigin implements GLEnum {
	LOWER_LEFT(0x8ca1),
	UPPER_LEFT(0x8ca2);
	
	private final int glEnum;

	GLClipControlOrigin(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLClipControlOrigin> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLClipControlOrigin fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8ca1 -> LOWER_LEFT;
			case 0x8ca2 -> UPPER_LEFT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLClipControlOrigin");
		};
	}
}