package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLCombinerScaleNV implements GLEnum {
	NONE(0x0),
	SCALE_BY_TWO_NV(0x853e),
	SCALE_BY_FOUR_NV(0x853f),
	SCALE_BY_ONE_HALF_NV(0x8540);
	
	private final int glEnum;

	GLCombinerScaleNV(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLCombinerScaleNV> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLCombinerScaleNV fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x0 -> NONE;
			case 0x853e -> SCALE_BY_TWO_NV;
			case 0x853f -> SCALE_BY_FOUR_NV;
			case 0x8540 -> SCALE_BY_ONE_HALF_NV;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLCombinerScaleNV");
		};
	}
}