package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLContextProfileMask implements GLEnum {
	CONTEXT_CORE_PROFILE_BIT(0x1),
	CONTEXT_COMPATIBILITY_PROFILE_BIT(0x2);
	
	private final int glEnum;

	GLContextProfileMask(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLContextProfileMask> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLContextProfileMask fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x1 -> CONTEXT_CORE_PROFILE_BIT;
			case 0x2 -> CONTEXT_COMPATIBILITY_PROFILE_BIT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLContextProfileMask");
		};
	}
}