package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLCopyBufferSubDataTarget implements GLEnum {
	ARRAY_BUFFER(0x8892),
	ELEMENT_ARRAY_BUFFER(0x8893),
	PIXEL_PACK_BUFFER(0x88eb),
	PIXEL_UNPACK_BUFFER(0x88ec),
	UNIFORM_BUFFER(0x8a11),
	TEXTURE_BUFFER(0x8c2a),
	TRANSFORM_FEEDBACK_BUFFER(0x8c8e),
	COPY_READ_BUFFER(0x8f36),
	COPY_WRITE_BUFFER(0x8f37),
	DRAW_INDIRECT_BUFFER(0x8f3f),
	SHADER_STORAGE_BUFFER(0x90d2),
	DISPATCH_INDIRECT_BUFFER(0x90ee),
	QUERY_BUFFER(0x9192),
	ATOMIC_COUNTER_BUFFER(0x92c0);
	
	private final int glEnum;

	GLCopyBufferSubDataTarget(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLCopyBufferSubDataTarget> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLCopyBufferSubDataTarget fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8892 -> ARRAY_BUFFER;
			case 0x8893 -> ELEMENT_ARRAY_BUFFER;
			case 0x88eb -> PIXEL_PACK_BUFFER;
			case 0x88ec -> PIXEL_UNPACK_BUFFER;
			case 0x8a11 -> UNIFORM_BUFFER;
			case 0x8c2a -> TEXTURE_BUFFER;
			case 0x8c8e -> TRANSFORM_FEEDBACK_BUFFER;
			case 0x8f36 -> COPY_READ_BUFFER;
			case 0x8f37 -> COPY_WRITE_BUFFER;
			case 0x8f3f -> DRAW_INDIRECT_BUFFER;
			case 0x90d2 -> SHADER_STORAGE_BUFFER;
			case 0x90ee -> DISPATCH_INDIRECT_BUFFER;
			case 0x9192 -> QUERY_BUFFER;
			case 0x92c0 -> ATOMIC_COUNTER_BUFFER;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLCopyBufferSubDataTarget");
		};
	}
}