package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLCopyImageSubDataTarget implements GLEnum {
	TEXTURE_1D(0xde0),
	TEXTURE_2D(0xde1),
	TEXTURE_3D(0x806f),
	TEXTURE_RECTANGLE(0x84f5),
	TEXTURE_CUBE_MAP(0x8513),
	TEXTURE_1D_ARRAY(0x8c18),
	TEXTURE_2D_ARRAY(0x8c1a),
	RENDERBUFFER(0x8d41),
	TEXTURE_CUBE_MAP_ARRAY(0x9009),
	TEXTURE_2D_MULTISAMPLE(0x9100),
	TEXTURE_2D_MULTISAMPLE_ARRAY(0x9102);
	
	private final int glEnum;

	GLCopyImageSubDataTarget(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLCopyImageSubDataTarget> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLCopyImageSubDataTarget fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0xde0 -> TEXTURE_1D;
			case 0xde1 -> TEXTURE_2D;
			case 0x806f -> TEXTURE_3D;
			case 0x84f5 -> TEXTURE_RECTANGLE;
			case 0x8513 -> TEXTURE_CUBE_MAP;
			case 0x8c18 -> TEXTURE_1D_ARRAY;
			case 0x8c1a -> TEXTURE_2D_ARRAY;
			case 0x8d41 -> RENDERBUFFER;
			case 0x9009 -> TEXTURE_CUBE_MAP_ARRAY;
			case 0x9100 -> TEXTURE_2D_MULTISAMPLE;
			case 0x9102 -> TEXTURE_2D_MULTISAMPLE_ARRAY;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLCopyImageSubDataTarget");
		};
	}
}