package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLFragmentLightModelParameterSGIX implements GLEnum {
	FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX(0x8408),
	FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX(0x8409),
	FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX(0x840a),
	FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX(0x840b);
	
	private final int glEnum;

	GLFragmentLightModelParameterSGIX(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLFragmentLightModelParameterSGIX> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLFragmentLightModelParameterSGIX fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8408 -> FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX;
			case 0x8409 -> FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX;
			case 0x840a -> FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX;
			case 0x840b -> FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLFragmentLightModelParameterSGIX");
		};
	}
}