package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLFragmentOp3ATI implements GLEnum {
	MAD_ATI(0x8968),
	LERP_ATI(0x8969),
	CND_ATI(0x896a),
	CND0_ATI(0x896b),
	DOT2_ADD_ATI(0x896c);
	
	private final int glEnum;

	GLFragmentOp3ATI(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLFragmentOp3ATI> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLFragmentOp3ATI fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8968 -> MAD_ATI;
			case 0x8969 -> LERP_ATI;
			case 0x896a -> CND_ATI;
			case 0x896b -> CND0_ATI;
			case 0x896c -> DOT2_ADD_ATI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLFragmentOp3ATI");
		};
	}
}