package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLFragmentShaderDestMaskATI implements GLEnum {
	NONE(0x0),
	RED_BIT_ATI(0x1),
	GREEN_BIT_ATI(0x2),
	BLUE_BIT_ATI(0x4);
	
	private final int glEnum;

	GLFragmentShaderDestMaskATI(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLFragmentShaderDestMaskATI> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLFragmentShaderDestMaskATI fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x0 -> NONE;
			case 0x1 -> RED_BIT_ATI;
			case 0x2 -> GREEN_BIT_ATI;
			case 0x4 -> BLUE_BIT_ATI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLFragmentShaderDestMaskATI");
		};
	}
}