package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLFramebufferAttachment implements GLEnum {
	DEPTH_STENCIL_ATTACHMENT(0x821a),
	COLOR_ATTACHMENT0(0x8ce0),
	COLOR_ATTACHMENT1(0x8ce1),
	COLOR_ATTACHMENT2(0x8ce2),
	COLOR_ATTACHMENT3(0x8ce3),
	COLOR_ATTACHMENT4(0x8ce4),
	COLOR_ATTACHMENT5(0x8ce5),
	COLOR_ATTACHMENT6(0x8ce6),
	COLOR_ATTACHMENT7(0x8ce7),
	COLOR_ATTACHMENT8(0x8ce8),
	COLOR_ATTACHMENT9(0x8ce9),
	COLOR_ATTACHMENT10(0x8cea),
	COLOR_ATTACHMENT11(0x8ceb),
	COLOR_ATTACHMENT12(0x8cec),
	COLOR_ATTACHMENT13(0x8ced),
	COLOR_ATTACHMENT14(0x8cee),
	COLOR_ATTACHMENT15(0x8cef),
	COLOR_ATTACHMENT16(0x8cf0),
	COLOR_ATTACHMENT17(0x8cf1),
	COLOR_ATTACHMENT18(0x8cf2),
	COLOR_ATTACHMENT19(0x8cf3),
	COLOR_ATTACHMENT20(0x8cf4),
	COLOR_ATTACHMENT21(0x8cf5),
	COLOR_ATTACHMENT22(0x8cf6),
	COLOR_ATTACHMENT23(0x8cf7),
	COLOR_ATTACHMENT24(0x8cf8),
	COLOR_ATTACHMENT25(0x8cf9),
	COLOR_ATTACHMENT26(0x8cfa),
	COLOR_ATTACHMENT27(0x8cfb),
	COLOR_ATTACHMENT28(0x8cfc),
	COLOR_ATTACHMENT29(0x8cfd),
	COLOR_ATTACHMENT30(0x8cfe),
	COLOR_ATTACHMENT31(0x8cff),
	DEPTH_ATTACHMENT(0x8d00),
	STENCIL_ATTACHMENT(0x8d20),
	SHADING_RATE_ATTACHMENT_EXT(0x96d1);
	
	private final int glEnum;

	GLFramebufferAttachment(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLFramebufferAttachment> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLFramebufferAttachment fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x821a -> DEPTH_STENCIL_ATTACHMENT;
			case 0x8ce0 -> COLOR_ATTACHMENT0;
			case 0x8ce1 -> COLOR_ATTACHMENT1;
			case 0x8ce2 -> COLOR_ATTACHMENT2;
			case 0x8ce3 -> COLOR_ATTACHMENT3;
			case 0x8ce4 -> COLOR_ATTACHMENT4;
			case 0x8ce5 -> COLOR_ATTACHMENT5;
			case 0x8ce6 -> COLOR_ATTACHMENT6;
			case 0x8ce7 -> COLOR_ATTACHMENT7;
			case 0x8ce8 -> COLOR_ATTACHMENT8;
			case 0x8ce9 -> COLOR_ATTACHMENT9;
			case 0x8cea -> COLOR_ATTACHMENT10;
			case 0x8ceb -> COLOR_ATTACHMENT11;
			case 0x8cec -> COLOR_ATTACHMENT12;
			case 0x8ced -> COLOR_ATTACHMENT13;
			case 0x8cee -> COLOR_ATTACHMENT14;
			case 0x8cef -> COLOR_ATTACHMENT15;
			case 0x8cf0 -> COLOR_ATTACHMENT16;
			case 0x8cf1 -> COLOR_ATTACHMENT17;
			case 0x8cf2 -> COLOR_ATTACHMENT18;
			case 0x8cf3 -> COLOR_ATTACHMENT19;
			case 0x8cf4 -> COLOR_ATTACHMENT20;
			case 0x8cf5 -> COLOR_ATTACHMENT21;
			case 0x8cf6 -> COLOR_ATTACHMENT22;
			case 0x8cf7 -> COLOR_ATTACHMENT23;
			case 0x8cf8 -> COLOR_ATTACHMENT24;
			case 0x8cf9 -> COLOR_ATTACHMENT25;
			case 0x8cfa -> COLOR_ATTACHMENT26;
			case 0x8cfb -> COLOR_ATTACHMENT27;
			case 0x8cfc -> COLOR_ATTACHMENT28;
			case 0x8cfd -> COLOR_ATTACHMENT29;
			case 0x8cfe -> COLOR_ATTACHMENT30;
			case 0x8cff -> COLOR_ATTACHMENT31;
			case 0x8d00 -> DEPTH_ATTACHMENT;
			case 0x8d20 -> STENCIL_ATTACHMENT;
			case 0x96d1 -> SHADING_RATE_ATTACHMENT_EXT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLFramebufferAttachment");
		};
	}
}