package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLFramebufferStatus implements GLEnum {
	FRAMEBUFFER_UNDEFINED(0x8219),
	FRAMEBUFFER_COMPLETE(0x8cd5),
	FRAMEBUFFER_INCOMPLETE_ATTACHMENT(0x8cd6),
	FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT(0x8cd7),
	FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER(0x8cdb),
	FRAMEBUFFER_INCOMPLETE_READ_BUFFER(0x8cdc),
	FRAMEBUFFER_UNSUPPORTED(0x8cdd),
	FRAMEBUFFER_INCOMPLETE_MULTISAMPLE(0x8d56),
	FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS(0x8da8);
	
	private final int glEnum;

	GLFramebufferStatus(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLFramebufferStatus> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLFramebufferStatus fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8219 -> FRAMEBUFFER_UNDEFINED;
			case 0x8cd5 -> FRAMEBUFFER_COMPLETE;
			case 0x8cd6 -> FRAMEBUFFER_INCOMPLETE_ATTACHMENT;
			case 0x8cd7 -> FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT;
			case 0x8cdb -> FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER;
			case 0x8cdc -> FRAMEBUFFER_INCOMPLETE_READ_BUFFER;
			case 0x8cdd -> FRAMEBUFFER_UNSUPPORTED;
			case 0x8d56 -> FRAMEBUFFER_INCOMPLETE_MULTISAMPLE;
			case 0x8da8 -> FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLFramebufferStatus");
		};
	}
}