package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLGetHistogramParameterPNameEXT implements GLEnum {
	HISTOGRAM_WIDTH(0x8026),
	HISTOGRAM_FORMAT(0x8027),
	HISTOGRAM_RED_SIZE(0x8028),
	HISTOGRAM_GREEN_SIZE(0x8029),
	HISTOGRAM_BLUE_SIZE(0x802a),
	HISTOGRAM_ALPHA_SIZE(0x802b),
	HISTOGRAM_LUMINANCE_SIZE(0x802c),
	HISTOGRAM_SINK(0x802d);
	
	private final int glEnum;

	GLGetHistogramParameterPNameEXT(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLGetHistogramParameterPNameEXT> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLGetHistogramParameterPNameEXT fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8026 -> HISTOGRAM_WIDTH;
			case 0x8027 -> HISTOGRAM_FORMAT;
			case 0x8028 -> HISTOGRAM_RED_SIZE;
			case 0x8029 -> HISTOGRAM_GREEN_SIZE;
			case 0x802a -> HISTOGRAM_BLUE_SIZE;
			case 0x802b -> HISTOGRAM_ALPHA_SIZE;
			case 0x802c -> HISTOGRAM_LUMINANCE_SIZE;
			case 0x802d -> HISTOGRAM_SINK;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLGetHistogramParameterPNameEXT");
		};
	}
}