package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLGetMapQuery implements GLEnum {
	COEFF(0xa00),
	ORDER(0xa01),
	DOMAIN(0xa02);
	
	private final int glEnum;

	GLGetMapQuery(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLGetMapQuery> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLGetMapQuery fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0xa00 -> COEFF;
			case 0xa01 -> ORDER;
			case 0xa02 -> DOMAIN;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLGetMapQuery");
		};
	}
}