package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLGetVariantValueEXT implements GLEnum {
	VARIANT_VALUE_EXT(0x87e4),
	VARIANT_DATATYPE_EXT(0x87e5),
	VARIANT_ARRAY_STRIDE_EXT(0x87e6),
	VARIANT_ARRAY_TYPE_EXT(0x87e7);
	
	private final int glEnum;

	GLGetVariantValueEXT(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLGetVariantValueEXT> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLGetVariantValueEXT fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x87e4 -> VARIANT_VALUE_EXT;
			case 0x87e5 -> VARIANT_DATATYPE_EXT;
			case 0x87e6 -> VARIANT_ARRAY_STRIDE_EXT;
			case 0x87e7 -> VARIANT_ARRAY_TYPE_EXT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLGetVariantValueEXT");
		};
	}
}