package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLIndexMaterialParameterEXT implements GLEnum {
	INDEX_OFFSET(0xd13);
	
	private final int glEnum;

	GLIndexMaterialParameterEXT(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLIndexMaterialParameterEXT> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLIndexMaterialParameterEXT fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0xd13 -> INDEX_OFFSET;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLIndexMaterialParameterEXT");
		};
	}
}