package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLLightEnvModeSGIX implements GLEnum {
	ADD(0x104),
	REPLACE(0x1e01),
	MODULATE(0x2100);
	
	private final int glEnum;

	GLLightEnvModeSGIX(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLLightEnvModeSGIX> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLLightEnvModeSGIX fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x104 -> ADD;
			case 0x1e01 -> REPLACE;
			case 0x2100 -> MODULATE;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLLightEnvModeSGIX");
		};
	}
}