package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLLightEnvParameterSGIX implements GLEnum {
	LIGHT_ENV_MODE_SGIX(0x8407);
	
	private final int glEnum;

	GLLightEnvParameterSGIX(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLLightEnvParameterSGIX> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLLightEnvParameterSGIX fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8407 -> LIGHT_ENV_MODE_SGIX;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLLightEnvParameterSGIX");
		};
	}
}