package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLListParameterName implements GLEnum {
	LIST_PRIORITY_SGIX(0x8182);
	
	private final int glEnum;

	GLListParameterName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLListParameterName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLListParameterName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8182 -> LIST_PRIORITY_SGIX;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLListParameterName");
		};
	}
}