package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPatchParameterName implements GLEnum {
	PATCH_VERTICES(0x8e72),
	PATCH_DEFAULT_INNER_LEVEL(0x8e73),
	PATCH_DEFAULT_OUTER_LEVEL(0x8e74);
	
	private final int glEnum;

	GLPatchParameterName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPatchParameterName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPatchParameterName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8e72 -> PATCH_VERTICES;
			case 0x8e73 -> PATCH_DEFAULT_INNER_LEVEL;
			case 0x8e74 -> PATCH_DEFAULT_OUTER_LEVEL;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPatchParameterName");
		};
	}
}