package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPathFontTarget implements GLEnum {
	STANDARD_FONT_NAME_NV(0x9072),
	SYSTEM_FONT_NAME_NV(0x9073),
	FILE_NAME_NV(0x9074);
	
	private final int glEnum;

	GLPathFontTarget(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPathFontTarget> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPathFontTarget fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x9072 -> STANDARD_FONT_NAME_NV;
			case 0x9073 -> SYSTEM_FONT_NAME_NV;
			case 0x9074 -> FILE_NAME_NV;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPathFontTarget");
		};
	}
}