package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPathListMode implements GLEnum {
	ACCUM_ADJACENT_PAIRS_NV(0x90ad),
	ADJACENT_PAIRS_NV(0x90ae),
	FIRST_TO_REST_NV(0x90af);
	
	private final int glEnum;

	GLPathListMode(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPathListMode> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPathListMode fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x90ad -> ACCUM_ADJACENT_PAIRS_NV;
			case 0x90ae -> ADJACENT_PAIRS_NV;
			case 0x90af -> FIRST_TO_REST_NV;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPathListMode");
		};
	}
}