package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPathParameter implements GLEnum {
	PATH_STROKE_WIDTH_NV(0x9075),
	PATH_END_CAPS_NV(0x9076),
	PATH_INITIAL_END_CAP_NV(0x9077),
	PATH_TERMINAL_END_CAP_NV(0x9078),
	PATH_JOIN_STYLE_NV(0x9079),
	PATH_MITER_LIMIT_NV(0x907a),
	PATH_DASH_CAPS_NV(0x907b),
	PATH_INITIAL_DASH_CAP_NV(0x907c),
	PATH_TERMINAL_DASH_CAP_NV(0x907d),
	PATH_DASH_OFFSET_NV(0x907e),
	PATH_CLIENT_LENGTH_NV(0x907f),
	PATH_FILL_MODE_NV(0x9080),
	PATH_FILL_MASK_NV(0x9081),
	PATH_FILL_COVER_MODE_NV(0x9082),
	PATH_STROKE_COVER_MODE_NV(0x9083),
	PATH_STROKE_MASK_NV(0x9084),
	PATH_OBJECT_BOUNDING_BOX_NV(0x908a),
	PATH_COMMAND_COUNT_NV(0x909d),
	PATH_COORD_COUNT_NV(0x909e),
	PATH_DASH_ARRAY_COUNT_NV(0x909f),
	PATH_COMPUTED_LENGTH_NV(0x90a0),
	PATH_FILL_BOUNDING_BOX_NV(0x90a1),
	PATH_STROKE_BOUNDING_BOX_NV(0x90a2),
	PATH_DASH_OFFSET_RESET_NV(0x90b4);
	
	private final int glEnum;

	GLPathParameter(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPathParameter> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPathParameter fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x9075 -> PATH_STROKE_WIDTH_NV;
			case 0x9076 -> PATH_END_CAPS_NV;
			case 0x9077 -> PATH_INITIAL_END_CAP_NV;
			case 0x9078 -> PATH_TERMINAL_END_CAP_NV;
			case 0x9079 -> PATH_JOIN_STYLE_NV;
			case 0x907a -> PATH_MITER_LIMIT_NV;
			case 0x907b -> PATH_DASH_CAPS_NV;
			case 0x907c -> PATH_INITIAL_DASH_CAP_NV;
			case 0x907d -> PATH_TERMINAL_DASH_CAP_NV;
			case 0x907e -> PATH_DASH_OFFSET_NV;
			case 0x907f -> PATH_CLIENT_LENGTH_NV;
			case 0x9080 -> PATH_FILL_MODE_NV;
			case 0x9081 -> PATH_FILL_MASK_NV;
			case 0x9082 -> PATH_FILL_COVER_MODE_NV;
			case 0x9083 -> PATH_STROKE_COVER_MODE_NV;
			case 0x9084 -> PATH_STROKE_MASK_NV;
			case 0x908a -> PATH_OBJECT_BOUNDING_BOX_NV;
			case 0x909d -> PATH_COMMAND_COUNT_NV;
			case 0x909e -> PATH_COORD_COUNT_NV;
			case 0x909f -> PATH_DASH_ARRAY_COUNT_NV;
			case 0x90a0 -> PATH_COMPUTED_LENGTH_NV;
			case 0x90a1 -> PATH_FILL_BOUNDING_BOX_NV;
			case 0x90a2 -> PATH_STROKE_BOUNDING_BOX_NV;
			case 0x90b4 -> PATH_DASH_OFFSET_RESET_NV;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPathParameter");
		};
	}
}