package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPathStringFormat implements GLEnum {
	PATH_FORMAT_SVG_NV(0x9070),
	PATH_FORMAT_PS_NV(0x9071);
	
	private final int glEnum;

	GLPathStringFormat(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPathStringFormat> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPathStringFormat fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x9070 -> PATH_FORMAT_SVG_NV;
			case 0x9071 -> PATH_FORMAT_PS_NV;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPathStringFormat");
		};
	}
}