package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPerformanceQueryCapsMaskINTEL implements GLEnum {
	PERFQUERY_SINGLE_CONTEXT_INTEL(0x0),
	PERFQUERY_GLOBAL_CONTEXT_INTEL(0x1);
	
	private final int glEnum;

	GLPerformanceQueryCapsMaskINTEL(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPerformanceQueryCapsMaskINTEL> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPerformanceQueryCapsMaskINTEL fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x0 -> PERFQUERY_SINGLE_CONTEXT_INTEL;
			case 0x1 -> PERFQUERY_GLOBAL_CONTEXT_INTEL;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPerformanceQueryCapsMaskINTEL");
		};
	}
}