package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPixelTransformTargetEXT implements GLEnum {
	PIXEL_TRANSFORM_2D_EXT(0x8330);
	
	private final int glEnum;

	GLPixelTransformTargetEXT(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPixelTransformTargetEXT> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPixelTransformTargetEXT fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8330 -> PIXEL_TRANSFORM_2D_EXT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPixelTransformTargetEXT");
		};
	}
}