package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLProgramInterfacePName implements GLEnum {
	ACTIVE_RESOURCES(0x92f5),
	MAX_NAME_LENGTH(0x92f6),
	MAX_NUM_ACTIVE_VARIABLES(0x92f7),
	MAX_NUM_COMPATIBLE_SUBROUTINES(0x92f8);
	
	private final int glEnum;

	GLProgramInterfacePName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLProgramInterfacePName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLProgramInterfacePName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x92f5 -> ACTIVE_RESOURCES;
			case 0x92f6 -> MAX_NAME_LENGTH;
			case 0x92f7 -> MAX_NUM_ACTIVE_VARIABLES;
			case 0x92f8 -> MAX_NUM_COMPATIBLE_SUBROUTINES;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLProgramInterfacePName");
		};
	}
}