package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLProgramParameterPName implements GLEnum {
	PROGRAM_BINARY_RETRIEVABLE_HINT(0x8257),
	PROGRAM_SEPARABLE(0x8258);
	
	private final int glEnum;

	GLProgramParameterPName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLProgramParameterPName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLProgramParameterPName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8257 -> PROGRAM_BINARY_RETRIEVABLE_HINT;
			case 0x8258 -> PROGRAM_SEPARABLE;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLProgramParameterPName");
		};
	}
}