package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLProgramPropertyARB implements GLEnum {
	COMPUTE_WORK_GROUP_SIZE(0x8267),
	PROGRAM_BINARY_LENGTH(0x8741),
	GEOMETRY_VERTICES_OUT(0x8916),
	GEOMETRY_INPUT_TYPE(0x8917),
	GEOMETRY_OUTPUT_TYPE(0x8918),
	ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH(0x8a35),
	ACTIVE_UNIFORM_BLOCKS(0x8a36),
	DELETE_STATUS(0x8b80),
	LINK_STATUS(0x8b82),
	VALIDATE_STATUS(0x8b83),
	INFO_LOG_LENGTH(0x8b84),
	ATTACHED_SHADERS(0x8b85),
	ACTIVE_UNIFORMS(0x8b86),
	ACTIVE_UNIFORM_MAX_LENGTH(0x8b87),
	ACTIVE_ATTRIBUTES(0x8b89),
	ACTIVE_ATTRIBUTE_MAX_LENGTH(0x8b8a),
	TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH(0x8c76),
	TRANSFORM_FEEDBACK_BUFFER_MODE(0x8c7f),
	TRANSFORM_FEEDBACK_VARYINGS(0x8c83),
	ACTIVE_ATOMIC_COUNTER_BUFFERS(0x92d9);
	
	private final int glEnum;

	GLProgramPropertyARB(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLProgramPropertyARB> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLProgramPropertyARB fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8267 -> COMPUTE_WORK_GROUP_SIZE;
			case 0x8741 -> PROGRAM_BINARY_LENGTH;
			case 0x8916 -> GEOMETRY_VERTICES_OUT;
			case 0x8917 -> GEOMETRY_INPUT_TYPE;
			case 0x8918 -> GEOMETRY_OUTPUT_TYPE;
			case 0x8a35 -> ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH;
			case 0x8a36 -> ACTIVE_UNIFORM_BLOCKS;
			case 0x8b80 -> DELETE_STATUS;
			case 0x8b82 -> LINK_STATUS;
			case 0x8b83 -> VALIDATE_STATUS;
			case 0x8b84 -> INFO_LOG_LENGTH;
			case 0x8b85 -> ATTACHED_SHADERS;
			case 0x8b86 -> ACTIVE_UNIFORMS;
			case 0x8b87 -> ACTIVE_UNIFORM_MAX_LENGTH;
			case 0x8b89 -> ACTIVE_ATTRIBUTES;
			case 0x8b8a -> ACTIVE_ATTRIBUTE_MAX_LENGTH;
			case 0x8c76 -> TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH;
			case 0x8c7f -> TRANSFORM_FEEDBACK_BUFFER_MODE;
			case 0x8c83 -> TRANSFORM_FEEDBACK_VARYINGS;
			case 0x92d9 -> ACTIVE_ATOMIC_COUNTER_BUFFERS;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLProgramPropertyARB");
		};
	}
}