package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLQueryObjectParameterName implements GLEnum {
	QUERY_TARGET(0x82ea),
	QUERY_RESULT(0x8866),
	QUERY_RESULT_AVAILABLE(0x8867),
	QUERY_RESULT_NO_WAIT(0x9194);
	
	private final int glEnum;

	GLQueryObjectParameterName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLQueryObjectParameterName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLQueryObjectParameterName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x82ea -> QUERY_TARGET;
			case 0x8866 -> QUERY_RESULT;
			case 0x8867 -> QUERY_RESULT_AVAILABLE;
			case 0x9194 -> QUERY_RESULT_NO_WAIT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLQueryObjectParameterName");
		};
	}
}