package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLSeparableTarget implements GLEnum {
	SEPARABLE_2D(0x8012);
	
	private final int glEnum;

	GLSeparableTarget(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLSeparableTarget> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLSeparableTarget fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8012 -> SEPARABLE_2D;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLSeparableTarget");
		};
	}
}