package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLSwizzleOpATI implements GLEnum {
	SWIZZLE_STR_ATI(0x8976),
	SWIZZLE_STQ_ATI(0x8977),
	SWIZZLE_STR_DR_ATI(0x8978),
	SWIZZLE_STQ_DQ_ATI(0x8979);
	
	private final int glEnum;

	GLSwizzleOpATI(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLSwizzleOpATI> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLSwizzleOpATI fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8976 -> SWIZZLE_STR_ATI;
			case 0x8977 -> SWIZZLE_STQ_ATI;
			case 0x8978 -> SWIZZLE_STR_DR_ATI;
			case 0x8979 -> SWIZZLE_STQ_DQ_ATI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLSwizzleOpATI");
		};
	}
}