package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLSyncParameterName implements GLEnum {
	OBJECT_TYPE(0x9112),
	SYNC_CONDITION(0x9113),
	SYNC_STATUS(0x9114),
	SYNC_FLAGS(0x9115);
	
	private final int glEnum;

	GLSyncParameterName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLSyncParameterName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLSyncParameterName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x9112 -> OBJECT_TYPE;
			case 0x9113 -> SYNC_CONDITION;
			case 0x9114 -> SYNC_STATUS;
			case 0x9115 -> SYNC_FLAGS;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLSyncParameterName");
		};
	}
}