package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLSyncStatus implements GLEnum {
	ALREADY_SIGNALED(0x911a),
	TIMEOUT_EXPIRED(0x911b),
	CONDITION_SATISFIED(0x911c),
	WAIT_FAILED(0x911d);
	
	private final int glEnum;

	GLSyncStatus(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLSyncStatus> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLSyncStatus fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x911a -> ALREADY_SIGNALED;
			case 0x911b -> TIMEOUT_EXPIRED;
			case 0x911c -> CONDITION_SATISFIED;
			case 0x911d -> WAIT_FAILED;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLSyncStatus");
		};
	}
}