package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureCoordName implements GLEnum {
	S(0x2000),
	T(0x2001),
	R(0x2002),
	Q(0x2003),
	TEXTURE_GEN_STR_OES(0x8d60);
	
	private final int glEnum;

	GLTextureCoordName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureCoordName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureCoordName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x2000 -> S;
			case 0x2001 -> T;
			case 0x2002 -> R;
			case 0x2003 -> Q;
			case 0x8d60 -> TEXTURE_GEN_STR_OES;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureCoordName");
		};
	}
}