package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureEnvMode implements GLEnum {
	ADD(0x104),
	BLEND(0xbe2),
	REPLACE(0x1e01),
	MODULATE(0x2100),
	DECAL(0x2101),
	REPLACE_EXT(0x8062),
	TEXTURE_ENV_BIAS_SGIX(0x80be),
	COMBINE(0x8570);
	
	private final int glEnum;

	GLTextureEnvMode(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureEnvMode> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureEnvMode fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x104 -> ADD;
			case 0xbe2 -> BLEND;
			case 0x1e01 -> REPLACE;
			case 0x2100 -> MODULATE;
			case 0x2101 -> DECAL;
			case 0x8062 -> REPLACE_EXT;
			case 0x80be -> TEXTURE_ENV_BIAS_SGIX;
			case 0x8570 -> COMBINE;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureEnvMode");
		};
	}
}