package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureGenParameter implements GLEnum {
	TEXTURE_GEN_MODE(0x2500),
	OBJECT_PLANE(0x2501),
	EYE_PLANE(0x2502),
	EYE_POINT_SGIS(0x81f4),
	OBJECT_POINT_SGIS(0x81f5),
	EYE_LINE_SGIS(0x81f6),
	OBJECT_LINE_SGIS(0x81f7);
	
	private final int glEnum;

	GLTextureGenParameter(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureGenParameter> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureGenParameter fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x2500 -> TEXTURE_GEN_MODE;
			case 0x2501 -> OBJECT_PLANE;
			case 0x2502 -> EYE_PLANE;
			case 0x81f4 -> EYE_POINT_SGIS;
			case 0x81f5 -> OBJECT_POINT_SGIS;
			case 0x81f6 -> EYE_LINE_SGIS;
			case 0x81f7 -> OBJECT_LINE_SGIS;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureGenParameter");
		};
	}
}