package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureStorageMaskAMD implements GLEnum {
	TEXTURE_STORAGE_SPARSE_BIT_AMD(0x1);
	
	private final int glEnum;

	GLTextureStorageMaskAMD(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureStorageMaskAMD> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureStorageMaskAMD fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x1 -> TEXTURE_STORAGE_SPARSE_BIT_AMD;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureStorageMaskAMD");
		};
	}
}