package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureSwizzle implements GLEnum {
	ZERO(0x0),
	ONE(0x1),
	RED(0x1903),
	GREEN(0x1904),
	BLUE(0x1905),
	ALPHA(0x1906);
	
	private final int glEnum;

	GLTextureSwizzle(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureSwizzle> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureSwizzle fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x0 -> ZERO;
			case 0x1 -> ONE;
			case 0x1903 -> RED;
			case 0x1904 -> GREEN;
			case 0x1905 -> BLUE;
			case 0x1906 -> ALPHA;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureSwizzle");
		};
	}
}