package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureUnit implements GLEnum {
	TEXTURE0(0x84c0),
	TEXTURE1(0x84c1),
	TEXTURE2(0x84c2),
	TEXTURE3(0x84c3),
	TEXTURE4(0x84c4),
	TEXTURE5(0x84c5),
	TEXTURE6(0x84c6),
	TEXTURE7(0x84c7),
	TEXTURE8(0x84c8),
	TEXTURE9(0x84c9),
	TEXTURE10(0x84ca),
	TEXTURE11(0x84cb),
	TEXTURE12(0x84cc),
	TEXTURE13(0x84cd),
	TEXTURE14(0x84ce),
	TEXTURE15(0x84cf),
	TEXTURE16(0x84d0),
	TEXTURE17(0x84d1),
	TEXTURE18(0x84d2),
	TEXTURE19(0x84d3),
	TEXTURE20(0x84d4),
	TEXTURE21(0x84d5),
	TEXTURE22(0x84d6),
	TEXTURE23(0x84d7),
	TEXTURE24(0x84d8),
	TEXTURE25(0x84d9),
	TEXTURE26(0x84da),
	TEXTURE27(0x84db),
	TEXTURE28(0x84dc),
	TEXTURE29(0x84dd),
	TEXTURE30(0x84de),
	TEXTURE31(0x84df);
	
	private final int glEnum;

	GLTextureUnit(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureUnit> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureUnit fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x84c0 -> TEXTURE0;
			case 0x84c1 -> TEXTURE1;
			case 0x84c2 -> TEXTURE2;
			case 0x84c3 -> TEXTURE3;
			case 0x84c4 -> TEXTURE4;
			case 0x84c5 -> TEXTURE5;
			case 0x84c6 -> TEXTURE6;
			case 0x84c7 -> TEXTURE7;
			case 0x84c8 -> TEXTURE8;
			case 0x84c9 -> TEXTURE9;
			case 0x84ca -> TEXTURE10;
			case 0x84cb -> TEXTURE11;
			case 0x84cc -> TEXTURE12;
			case 0x84cd -> TEXTURE13;
			case 0x84ce -> TEXTURE14;
			case 0x84cf -> TEXTURE15;
			case 0x84d0 -> TEXTURE16;
			case 0x84d1 -> TEXTURE17;
			case 0x84d2 -> TEXTURE18;
			case 0x84d3 -> TEXTURE19;
			case 0x84d4 -> TEXTURE20;
			case 0x84d5 -> TEXTURE21;
			case 0x84d6 -> TEXTURE22;
			case 0x84d7 -> TEXTURE23;
			case 0x84d8 -> TEXTURE24;
			case 0x84d9 -> TEXTURE25;
			case 0x84da -> TEXTURE26;
			case 0x84db -> TEXTURE27;
			case 0x84dc -> TEXTURE28;
			case 0x84dd -> TEXTURE29;
			case 0x84de -> TEXTURE30;
			case 0x84df -> TEXTURE31;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureUnit");
		};
	}
}