package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTransformFeedbackPName implements GLEnum {
	TRANSFORM_FEEDBACK_BUFFER_START(0x8c84),
	TRANSFORM_FEEDBACK_BUFFER_SIZE(0x8c85),
	TRANSFORM_FEEDBACK_BUFFER_BINDING(0x8c8f),
	TRANSFORM_FEEDBACK_PAUSED(0x8e23),
	TRANSFORM_FEEDBACK_ACTIVE(0x8e24);
	
	private final int glEnum;

	GLTransformFeedbackPName(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTransformFeedbackPName> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTransformFeedbackPName fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8c84 -> TRANSFORM_FEEDBACK_BUFFER_START;
			case 0x8c85 -> TRANSFORM_FEEDBACK_BUFFER_SIZE;
			case 0x8c8f -> TRANSFORM_FEEDBACK_BUFFER_BINDING;
			case 0x8e23 -> TRANSFORM_FEEDBACK_PAUSED;
			case 0x8e24 -> TRANSFORM_FEEDBACK_ACTIVE;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTransformFeedbackPName");
		};
	}
}