package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLVariantCapEXT implements GLEnum {
	VARIANT_ARRAY_EXT(0x87e8);
	
	private final int glEnum;

	GLVariantCapEXT(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLVariantCapEXT> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLVariantCapEXT fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x87e8 -> VARIANT_ARRAY_EXT;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLVariantCapEXT");
		};
	}
}