package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLVertexAttribType implements GLEnum {
	BYTE(0x1400),
	UNSIGNED_BYTE(0x1401),
	SHORT(0x1402),
	UNSIGNED_SHORT(0x1403),
	INT(0x1404),
	UNSIGNED_INT(0x1405),
	FLOAT(0x1406),
	DOUBLE(0x140a),
	HALF_FLOAT(0x140b),
	FIXED(0x140c),
	UNSIGNED_INT_2_10_10_10_REV(0x8368),
	UNSIGNED_INT_10F_11F_11F_REV(0x8c3b),
	INT_2_10_10_10_REV(0x8d9f);
	
	private final int glEnum;

	GLVertexAttribType(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLVertexAttribType> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLVertexAttribType fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x1400 -> BYTE;
			case 0x1401 -> UNSIGNED_BYTE;
			case 0x1402 -> SHORT;
			case 0x1403 -> UNSIGNED_SHORT;
			case 0x1404 -> INT;
			case 0x1405 -> UNSIGNED_INT;
			case 0x1406 -> FLOAT;
			case 0x140a -> DOUBLE;
			case 0x140b -> HALF_FLOAT;
			case 0x140c -> FIXED;
			case 0x8368 -> UNSIGNED_INT_2_10_10_10_REV;
			case 0x8c3b -> UNSIGNED_INT_10F_11F_11F_REV;
			case 0x8d9f -> INT_2_10_10_10_REV;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLVertexAttribType");
		};
	}
}