package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLVertexHintsMaskPGI implements GLEnum {
	VERTEX23_BIT_PGI(0x4),
	VERTEX4_BIT_PGI(0x8),
	COLOR3_BIT_PGI(0x10000),
	COLOR4_BIT_PGI(0x20000),
	EDGEFLAG_BIT_PGI(0x40000),
	INDEX_BIT_PGI(0x80000),
	MAT_AMBIENT_BIT_PGI(0x100000),
	MAT_AMBIENT_AND_DIFFUSE_BIT_PGI(0x200000),
	MAT_DIFFUSE_BIT_PGI(0x400000),
	MAT_EMISSION_BIT_PGI(0x800000),
	MAT_COLOR_INDEXES_BIT_PGI(0x1000000),
	MAT_SHININESS_BIT_PGI(0x2000000),
	MAT_SPECULAR_BIT_PGI(0x4000000),
	NORMAL_BIT_PGI(0x8000000),
	TEXCOORD1_BIT_PGI(0x10000000),
	TEXCOORD2_BIT_PGI(0x20000000),
	TEXCOORD3_BIT_PGI(0x40000000),
	TEXCOORD4_BIT_PGI(0x80000000);
	
	private final int glEnum;

	GLVertexHintsMaskPGI(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLVertexHintsMaskPGI> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLVertexHintsMaskPGI fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x4 -> VERTEX23_BIT_PGI;
			case 0x8 -> VERTEX4_BIT_PGI;
			case 0x10000 -> COLOR3_BIT_PGI;
			case 0x20000 -> COLOR4_BIT_PGI;
			case 0x40000 -> EDGEFLAG_BIT_PGI;
			case 0x80000 -> INDEX_BIT_PGI;
			case 0x100000 -> MAT_AMBIENT_BIT_PGI;
			case 0x200000 -> MAT_AMBIENT_AND_DIFFUSE_BIT_PGI;
			case 0x400000 -> MAT_DIFFUSE_BIT_PGI;
			case 0x800000 -> MAT_EMISSION_BIT_PGI;
			case 0x1000000 -> MAT_COLOR_INDEXES_BIT_PGI;
			case 0x2000000 -> MAT_SHININESS_BIT_PGI;
			case 0x4000000 -> MAT_SPECULAR_BIT_PGI;
			case 0x8000000 -> NORMAL_BIT_PGI;
			case 0x10000000 -> TEXCOORD1_BIT_PGI;
			case 0x20000000 -> TEXCOORD2_BIT_PGI;
			case 0x40000000 -> TEXCOORD3_BIT_PGI;
			case 0x80000000 -> TEXCOORD4_BIT_PGI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLVertexHintsMaskPGI");
		};
	}
}