package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLVertexShaderTextureUnitParameter implements GLEnum {
	CURRENT_TEXTURE_COORDS(0xb03),
	TEXTURE_MATRIX(0xba8);
	
	private final int glEnum;

	GLVertexShaderTextureUnitParameter(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLVertexShaderTextureUnitParameter> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLVertexShaderTextureUnitParameter fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0xb03 -> CURRENT_TEXTURE_COORDS;
			case 0xba8 -> TEXTURE_MATRIX;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLVertexShaderTextureUnitParameter");
		};
	}
}