package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

/**The GLenum variants that are not present in any other group.*/
public enum GLUngrouped implements GLEnum {
	GL_SHARED_EDGE_NV(0xc0),
	GL_STACK_OVERFLOW_KHR(0x503),
	GL_STACK_UNDERFLOW_KHR(0x504),
	GL_CONTEXT_LOST(0x507),
	GL_PATH_MODELVIEW_STACK_DEPTH_NV(0xba3),
	GL_PATH_PROJECTION_STACK_DEPTH_NV(0xba4),
	GL_PATH_MODELVIEW_MATRIX_NV(0xba6),
	GL_PATH_PROJECTION_MATRIX_NV(0xba7),
	GL_MAX_CLIP_PLANES_IMG(0xd32),
	GL_PATH_MAX_MODELVIEW_STACK_DEPTH_NV(0xd36),
	GL_PATH_MAX_PROJECTION_STACK_DEPTH_NV(0xd38),
	GL_TEXTURE_TARGET(0x1006),
	GL_MODELVIEW0_ARB(0x1700),
	GL_PATH_PROJECTION_NV(0x1701),
	GL_CLIP_PLANE0_IMG(0x3000),
	GL_CLIP_PLANE1_IMG(0x3001),
	GL_CLIP_PLANE2_IMG(0x3002),
	GL_CLIP_PLANE3_IMG(0x3003),
	GL_CLIP_PLANE4_IMG(0x3004),
	GL_CLIP_PLANE5_IMG(0x3005),
	GL_POLYGON_OFFSET_EXT(0x8037),
	GL_TEXTURE_1D_BINDING_EXT(0x8068),
	GL_TEXTURE_2D_BINDING_EXT(0x8069),
	GL_TEXTURE_3D_BINDING_OES(0x806a),
	GL_VERTEX_ARRAY_KHR(0x8074),
	GL_SAMPLE_ALPHA_TO_MASK_EXT(0x809e),
	GL_SAMPLE_MASK_EXT(0x80a0),
	GL_SAMPLE_MASK_VALUE_EXT(0x80aa),
	GL_SAMPLE_MASK_INVERT_EXT(0x80ab),
	GL_SAMPLE_PATTERN_EXT(0x80ac),
	GL_TEXTURE_COMPARE_FAIL_VALUE_ARB(0x80bf),
	GL_422_EXT(0x80cc),
	GL_422_REV_EXT(0x80cd),
	GL_422_AVERAGE_EXT(0x80ce),
	GL_422_REV_AVERAGE_EXT(0x80cf),
	GL_COLOR_INDEX1_EXT(0x80e2),
	GL_COLOR_INDEX2_EXT(0x80e3),
	GL_COLOR_INDEX4_EXT(0x80e4),
	GL_COLOR_INDEX8_EXT(0x80e5),
	GL_COLOR_INDEX12_EXT(0x80e6),
	GL_COLOR_INDEX16_EXT(0x80e7),
	GL_PHONG_WIN(0x80ea),
	GL_FOG_SPECULAR_TEXTURE_WIN(0x80ec),
	GL_TEXTURE_INDEX_SIZE_EXT(0x80ed),
	GL_IGNORE_BORDER_HP(0x8150),
	GL_CONSTANT_BORDER(0x8151),
	GL_REPLICATE_BORDER(0x8153),
	GL_CONVOLUTION_BORDER_COLOR_HP(0x8154),
	GL_CUBIC_HP(0x815f),
	GL_AVERAGE_HP(0x8160),
	GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP(0x8162),
	GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP(0x8163),
	GL_OCCLUSION_TEST_HP(0x8165),
	GL_OCCLUSION_TEST_RESULT_HP(0x8166),
	GL_TEXTURE_LIGHTING_MODE_HP(0x8167),
	GL_TEXTURE_POST_SPECULAR_HP(0x8168),
	GL_TEXTURE_PRE_SPECULAR_HP(0x8169),
	GL_MAX_DEFORMATION_ORDER_SGIX(0x8197),
	GL_ARRAY_ELEMENT_LOCK_FIRST_EXT(0x81a8),
	GL_ARRAY_ELEMENT_LOCK_COUNT_EXT(0x81a9),
	GL_CULL_VERTEX_EXT(0x81aa),
	GL_IUI_V2F_EXT(0x81ad),
	GL_IUI_V3F_EXT(0x81ae),
	GL_IUI_N3F_V2F_EXT(0x81af),
	GL_IUI_N3F_V3F_EXT(0x81b0),
	GL_T2F_IUI_V2F_EXT(0x81b1),
	GL_T2F_IUI_V3F_EXT(0x81b2),
	GL_T2F_IUI_N3F_V2F_EXT(0x81b3),
	GL_T2F_IUI_N3F_V3F_EXT(0x81b4),
	GL_INDEX_TEST_EXT(0x81b5),
	GL_INDEX_TEST_FUNC_EXT(0x81b6),
	GL_INDEX_TEST_REF_EXT(0x81b7),
	GL_INDEX_MATERIAL_EXT(0x81b8),
	GL_INDEX_MATERIAL_PARAMETER_EXT(0x81b9),
	GL_INDEX_MATERIAL_FACE_EXT(0x81ba),
	GL_WRAP_BORDER_SUN(0x81d4),
	GL_UNPACK_CONSTANT_DATA_SUNX(0x81d5),
	GL_TEXTURE_CONSTANT_DATA_SUNX(0x81d6),
	GL_TRIANGLE_LIST_SUN(0x81d7),
	GL_REPLACEMENT_CODE_SUN(0x81d8),
	GL_GLOBAL_ALPHA_SUN(0x81d9),
	GL_GLOBAL_ALPHA_FACTOR_SUN(0x81da),
	GL_TEXTURE_COLOR_WRITEMASK_SGIS(0x81ef),
	GL_FRAMEBUFFER_DEFAULT(0x8218),
	GL_PRIMITIVE_RESTART_FOR_PATCHES_SUPPORTED(0x8221),
	GL_INDEX(0x8222),
	GL_SYNC_CL_EVENT_ARB(0x8240),
	GL_SYNC_CL_EVENT_COMPLETE_ARB(0x8241),
	GL_DEBUG_OUTPUT_SYNCHRONOUS_KHR(0x8242),
	GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_KHR(0x8243),
	GL_DEBUG_CALLBACK_FUNCTION_KHR(0x8244),
	GL_DEBUG_CALLBACK_USER_PARAM_KHR(0x8245),
	GL_DEBUG_SOURCE_API_KHR(0x8246),
	GL_DEBUG_SOURCE_WINDOW_SYSTEM_KHR(0x8247),
	GL_DEBUG_SOURCE_SHADER_COMPILER_KHR(0x8248),
	GL_DEBUG_SOURCE_THIRD_PARTY_KHR(0x8249),
	GL_DEBUG_SOURCE_APPLICATION_KHR(0x824a),
	GL_DEBUG_SOURCE_OTHER_KHR(0x824b),
	GL_DEBUG_TYPE_ERROR_KHR(0x824c),
	GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_KHR(0x824d),
	GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_KHR(0x824e),
	GL_DEBUG_TYPE_PORTABILITY_KHR(0x824f),
	GL_DEBUG_TYPE_PERFORMANCE_KHR(0x8250),
	GL_DEBUG_TYPE_OTHER_KHR(0x8251),
	GL_LOSE_CONTEXT_ON_RESET(0x8252),
	GL_GUILTY_CONTEXT_RESET_KHR(0x8253),
	GL_INNOCENT_CONTEXT_RESET_KHR(0x8254),
	GL_UNKNOWN_CONTEXT_RESET_KHR(0x8255),
	GL_RESET_NOTIFICATION_STRATEGY(0x8256),
	GL_UNDEFINED_VERTEX(0x8260),
	GL_NO_RESET_NOTIFICATION(0x8261),
	GL_MAX_COMPUTE_SHARED_MEMORY_SIZE(0x8262),
	GL_DEBUG_TYPE_MARKER_KHR(0x8268),
	GL_DEBUG_TYPE_PUSH_GROUP_KHR(0x8269),
	GL_DEBUG_TYPE_POP_GROUP_KHR(0x826a),
	GL_DEBUG_SEVERITY_NOTIFICATION_KHR(0x826b),
	GL_MAX_DEBUG_GROUP_STACK_DEPTH_KHR(0x826c),
	GL_DEBUG_GROUP_STACK_DEPTH_KHR(0x826d),
	GL_MAX_COMBINED_DIMENSIONS(0x8282),
	GL_DEPTH_COMPONENTS(0x8284),
	GL_STENCIL_COMPONENTS(0x8285),
	GL_MANUAL_GENERATE_MIPMAP(0x8294),
	GL_SRGB_DECODE_ARB(0x8299),
	GL_FULL_SUPPORT(0x82b7),
	GL_CAVEAT_SUPPORT(0x82b8),
	GL_IMAGE_CLASS_4_X_32(0x82b9),
	GL_IMAGE_CLASS_2_X_32(0x82ba),
	GL_IMAGE_CLASS_1_X_32(0x82bb),
	GL_IMAGE_CLASS_4_X_16(0x82bc),
	GL_IMAGE_CLASS_2_X_16(0x82bd),
	GL_IMAGE_CLASS_1_X_16(0x82be),
	GL_IMAGE_CLASS_4_X_8(0x82bf),
	GL_IMAGE_CLASS_2_X_8(0x82c0),
	GL_IMAGE_CLASS_1_X_8(0x82c1),
	GL_IMAGE_CLASS_11_11_10(0x82c2),
	GL_IMAGE_CLASS_10_10_10_2(0x82c3),
	GL_VIEW_CLASS_128_BITS(0x82c4),
	GL_VIEW_CLASS_96_BITS(0x82c5),
	GL_VIEW_CLASS_64_BITS(0x82c6),
	GL_VIEW_CLASS_48_BITS(0x82c7),
	GL_VIEW_CLASS_32_BITS(0x82c8),
	GL_VIEW_CLASS_24_BITS(0x82c9),
	GL_VIEW_CLASS_16_BITS(0x82ca),
	GL_VIEW_CLASS_8_BITS(0x82cb),
	GL_VIEW_CLASS_S3TC_DXT1_RGB(0x82cc),
	GL_VIEW_CLASS_S3TC_DXT1_RGBA(0x82cd),
	GL_VIEW_CLASS_S3TC_DXT3_RGBA(0x82ce),
	GL_VIEW_CLASS_S3TC_DXT5_RGBA(0x82cf),
	GL_VIEW_CLASS_RGTC1_RED(0x82d0),
	GL_VIEW_CLASS_RGTC2_RG(0x82d1),
	GL_VIEW_CLASS_BPTC_UNORM(0x82d2),
	GL_VIEW_CLASS_BPTC_FLOAT(0x82d3),
	GL_TEXTURE_VIEW_MIN_LEVEL(0x82db),
	GL_TEXTURE_VIEW_NUM_LEVELS(0x82dc),
	GL_TEXTURE_VIEW_MIN_LAYER(0x82dd),
	GL_TEXTURE_VIEW_NUM_LAYERS(0x82de),
	GL_TEXTURE_IMMUTABLE_LEVELS(0x82df),
	GL_BUFFER_KHR(0x82e0),
	GL_SHADER_KHR(0x82e1),
	GL_PROGRAM_KHR(0x82e2),
	GL_QUERY_KHR(0x82e3),
	GL_PROGRAM_PIPELINE_KHR(0x82e4),
	GL_MAX_VERTEX_ATTRIB_STRIDE(0x82e5),
	GL_SAMPLER_KHR(0x82e6),
	GL_DISPLAY_LIST(0x82e7),
	GL_MAX_LABEL_LENGTH_KHR(0x82e8),
	GL_NUM_SHADING_LANGUAGE_VERSIONS(0x82e9),
	GL_TRANSFORM_FEEDBACK_STREAM_OVERFLOW(0x82ed),
	GL_TESS_CONTROL_SHADER_PATCHES(0x82f1),
	GL_TESS_EVALUATION_SHADER_INVOCATIONS(0x82f2),
	GL_GEOMETRY_SHADER_PRIMITIVES_EMITTED(0x82f3),
	GL_FRAGMENT_SHADER_INVOCATIONS(0x82f4),
	GL_COMPUTE_SHADER_INVOCATIONS(0x82f5),
	GL_CLIPPING_INPUT_PRIMITIVES(0x82f6),
	GL_CLIPPING_OUTPUT_PRIMITIVES(0x82f7),
	GL_SPARSE_BUFFER_PAGE_SIZE_ARB(0x82f8),
	GL_MAX_CULL_DISTANCES(0x82f9),
	GL_MAX_COMBINED_CLIP_AND_CULL_DISTANCES(0x82fa),
	GL_CONTEXT_RELEASE_BEHAVIOR(0x82fb),
	GL_CONTEXT_RELEASE_BEHAVIOR_FLUSH(0x82fc),
	GL_ROBUST_GPU_TIMEOUT_MS_KHR(0x82fd),
	GL_DEPTH_PASS_INSTRUMENT_SGIX(0x8310),
	GL_DEPTH_PASS_INSTRUMENT_COUNTERS_SGIX(0x8311),
	GL_DEPTH_PASS_INSTRUMENT_MAX_SGIX(0x8312),
	GL_FRAGMENTS_INSTRUMENT_SGIX(0x8313),
	GL_FRAGMENTS_INSTRUMENT_COUNTERS_SGIX(0x8314),
	GL_FRAGMENTS_INSTRUMENT_MAX_SGIX(0x8315),
	GL_YCRCB_SGIX(0x8318),
	GL_YCRCBA_SGIX(0x8319),
	GL_UNPACK_COMPRESSED_SIZE_SGIX(0x831a),
	GL_PACK_MAX_COMPRESSED_SIZE_SGIX(0x831b),
	GL_PACK_COMPRESSED_SIZE_SGIX(0x831c),
	GL_SLIM8U_SGIX(0x831d),
	GL_SLIM10U_SGIX(0x831e),
	GL_SLIM12S_SGIX(0x831f),
	GL_CUBIC_EXT(0x8334),
	GL_AVERAGE_EXT(0x8335),
	GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT(0x8336),
	GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT(0x8337),
	GL_PIXEL_TRANSFORM_2D_MATRIX_EXT(0x8338),
	GL_TEXTURE_APPLICATION_MODE_EXT(0x834f),
	GL_TEXTURE_LIGHT_EXT(0x8350),
	GL_TEXTURE_MATERIAL_FACE_EXT(0x8351),
	GL_TEXTURE_MATERIAL_PARAMETER_EXT(0x8352),
	GL_PIXEL_GROUP_COLOR_SGIS(0x8356),
	GL_RGB_S3TC(0x83a0),
	GL_RGB4_S3TC(0x83a1),
	GL_RGBA_S3TC(0x83a2),
	GL_RGBA4_S3TC(0x83a3),
	GL_RGBA_DXT5_S3TC(0x83a4),
	GL_RGBA4_DXT5_S3TC(0x83a5),
	GL_PARALLEL_ARRAYS_INTEL(0x83f4),
	GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL(0x83f5),
	GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL(0x83f6),
	GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL(0x83f7),
	GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL(0x83f8),
	GL_BLACKHOLE_RENDER_INTEL(0x83fc),
	GL_CONSERVATIVE_RASTERIZATION_INTEL(0x83fe),
	GL_CURRENT_RASTER_NORMAL_SGIX(0x8406),
	GL_TANGENT_ARRAY_EXT(0x8439),
	GL_BINORMAL_ARRAY_EXT(0x843a),
	GL_CURRENT_TANGENT_EXT(0x843b),
	GL_CURRENT_BINORMAL_EXT(0x843c),
	GL_TANGENT_ARRAY_TYPE_EXT(0x843e),
	GL_TANGENT_ARRAY_STRIDE_EXT(0x843f),
	GL_BINORMAL_ARRAY_TYPE_EXT(0x8440),
	GL_BINORMAL_ARRAY_STRIDE_EXT(0x8441),
	GL_TANGENT_ARRAY_POINTER_EXT(0x8442),
	GL_BINORMAL_ARRAY_POINTER_EXT(0x8443),
	GL_MAP1_TANGENT_EXT(0x8444),
	GL_MAP2_TANGENT_EXT(0x8445),
	GL_MAP1_BINORMAL_EXT(0x8446),
	GL_MAP2_BINORMAL_EXT(0x8447),
	GL_FOG_COORDINATE_SOURCE(0x8450),
	GL_CURRENT_FOG_COORDINATE(0x8453),
	GL_FOG_COORDINATE_ARRAY_TYPE(0x8454),
	GL_FOG_COORDINATE_ARRAY_STRIDE(0x8455),
	GL_FOG_COORDINATE_ARRAY_POINTER(0x8456),
	GL_FOG_COORDINATE_ARRAY(0x8457),
	GL_COLOR_SUM(0x8458),
	GL_CURRENT_SECONDARY_COLOR(0x8459),
	GL_SECONDARY_COLOR_ARRAY_SIZE(0x845a),
	GL_SECONDARY_COLOR_ARRAY_TYPE(0x845b),
	GL_SECONDARY_COLOR_ARRAY_STRIDE(0x845c),
	GL_SECONDARY_COLOR_ARRAY_POINTER(0x845d),
	GL_SECONDARY_COLOR_ARRAY(0x845e),
	GL_CURRENT_RASTER_SECONDARY_COLOR(0x845f),
	GL_SCREEN_COORDINATES_REND(0x8490),
	GL_INVERTED_SCREEN_W_REND(0x8491),
	GL_CLIENT_ACTIVE_TEXTURE(0x84e1),
	GL_MAX_TEXTURE_UNITS(0x84e2),
	GL_TRANSPOSE_MODELVIEW_MATRIX(0x84e3),
	GL_TRANSPOSE_PROJECTION_MATRIX(0x84e4),
	GL_TRANSPOSE_TEXTURE_MATRIX(0x84e5),
	GL_TRANSPOSE_COLOR_MATRIX(0x84e6),
	GL_SUBTRACT(0x84e7),
	GL_COMPRESSED_ALPHA(0x84e9),
	GL_COMPRESSED_LUMINANCE(0x84ea),
	GL_COMPRESSED_LUMINANCE_ALPHA(0x84eb),
	GL_COMPRESSED_INTENSITY(0x84ec),
	GL_MAX_TEXTURE_MAX_ANISOTROPY(0x84ff),
	GL_MODELVIEW1_STACK_DEPTH_EXT(0x8502),
	GL_COMBINE4_NV(0x8503),
	GL_MAX_SHININESS_NV(0x8504),
	GL_MAX_SPOT_EXPONENT_NV(0x8505),
	GL_MODELVIEW1_MATRIX_EXT(0x8506),
	GL_VERTEX_WEIGHTING_EXT(0x8509),
	GL_MODELVIEW1_ARB(0x850a),
	GL_CURRENT_VERTEX_WEIGHT_EXT(0x850b),
	GL_VERTEX_WEIGHT_ARRAY_EXT(0x850c),
	GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT(0x850d),
	GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT(0x850e),
	GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT(0x850f),
	GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT(0x8510),
	GL_VERTEX_ARRAY_RANGE_APPLE(0x851d),
	GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE(0x851e),
	GL_VERTEX_ARRAY_RANGE_VALID_NV(0x851f),
	GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV(0x8520),
	GL_VERTEX_ARRAY_RANGE_POINTER_APPLE(0x8521),
	GL_REGISTER_COMBINERS_NV(0x8522),
	GL_CONSTANT_COLOR0_NV(0x852a),
	GL_CONSTANT_COLOR1_NV(0x852b),
	GL_E_TIMES_F_NV(0x8531),
	GL_SPARE0_PLUS_SECONDARY_COLOR_NV(0x8532),
	GL_VERTEX_ARRAY_RANGE_WITHOUT_FLUSH_NV(0x8533),
	GL_PER_STAGE_CONSTANTS_NV(0x8535),
	GL_COMBINER_AB_DOT_PRODUCT_NV(0x8545),
	GL_COMBINER_CD_DOT_PRODUCT_NV(0x8546),
	GL_COMBINER_MUX_SUM_NV(0x8547),
	GL_COMBINER_SCALE_NV(0x8548),
	GL_COMBINER_BIAS_NV(0x8549),
	GL_COMBINER_AB_OUTPUT_NV(0x854a),
	GL_COMBINER_CD_OUTPUT_NV(0x854b),
	GL_COMBINER_SUM_OUTPUT_NV(0x854c),
	GL_MAX_GENERAL_COMBINERS_NV(0x854d),
	GL_NUM_GENERAL_COMBINERS_NV(0x854e),
	GL_COLOR_SUM_CLAMP_NV(0x854f),
	GL_PRIMITIVE_RESTART_NV(0x8558),
	GL_PRIMITIVE_RESTART_INDEX_NV(0x8559),
	GL_EMBOSS_LIGHT_NV(0x855d),
	GL_EMBOSS_CONSTANT_NV(0x855e),
	GL_EMBOSS_MAP_NV(0x855f),
	GL_RED_MIN_CLAMP_INGR(0x8560),
	GL_GREEN_MIN_CLAMP_INGR(0x8561),
	GL_BLUE_MIN_CLAMP_INGR(0x8562),
	GL_ALPHA_MIN_CLAMP_INGR(0x8563),
	GL_RED_MAX_CLAMP_INGR(0x8564),
	GL_GREEN_MAX_CLAMP_INGR(0x8565),
	GL_BLUE_MAX_CLAMP_INGR(0x8566),
	GL_ALPHA_MAX_CLAMP_INGR(0x8567),
	GL_INTERLACE_READ_INGR(0x8568),
	GL_TEXTURE_NORMAL_EXT(0x85af),
	GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE(0x85b0),
	GL_UNPACK_CLIENT_STORAGE_APPLE(0x85b2),
	GL_BUFFER_OBJECT_APPLE(0x85b3),
	GL_TEXTURE_RANGE_LENGTH_APPLE(0x85b7),
	GL_TEXTURE_RANGE_POINTER_APPLE(0x85b8),
	GL_YCBCR_422_APPLE(0x85b9),
	GL_UNSIGNED_SHORT_8_8_APPLE(0x85ba),
	GL_UNSIGNED_SHORT_8_8_REV_APPLE(0x85bb),
	GL_STORAGE_PRIVATE_APPLE(0x85bd),
	GL_REPLACEMENT_CODE_ARRAY_SUN(0x85c0),
	GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN(0x85c1),
	GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN(0x85c2),
	GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN(0x85c3),
	GL_R1UI_V3F_SUN(0x85c4),
	GL_R1UI_C4UB_V3F_SUN(0x85c5),
	GL_R1UI_C3F_V3F_SUN(0x85c6),
	GL_R1UI_N3F_V3F_SUN(0x85c7),
	GL_R1UI_C4F_N3F_V3F_SUN(0x85c8),
	GL_R1UI_T2F_V3F_SUN(0x85c9),
	GL_R1UI_T2F_N3F_V3F_SUN(0x85ca),
	GL_R1UI_T2F_C4F_N3F_V3F_SUN(0x85cb),
	GL_SLICE_ACCUM_SUN(0x85cc),
	GL_QUAD_MESH_SUN(0x8614),
	GL_TRIANGLE_MESH_SUN(0x8615),
	GL_VERTEX_PROGRAM_NV(0x8620),
	GL_VERTEX_STATE_PROGRAM_NV(0x8621),
	GL_ATTRIB_ARRAY_SIZE_NV(0x8623),
	GL_ATTRIB_ARRAY_STRIDE_NV(0x8624),
	GL_ATTRIB_ARRAY_TYPE_NV(0x8625),
	GL_CURRENT_ATTRIB_NV(0x8626),
	GL_PROGRAM_LENGTH_ARB(0x8627),
	GL_PROGRAM_STRING_NV(0x8628),
	GL_MODELVIEW_PROJECTION_NV(0x8629),
	GL_IDENTITY_NV(0x862a),
	GL_INVERSE_NV(0x862b),
	GL_TRANSPOSE_NV(0x862c),
	GL_INVERSE_TRANSPOSE_NV(0x862d),
	GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB(0x862e),
	GL_MAX_PROGRAM_MATRICES_ARB(0x862f),
	GL_MATRIX0_NV(0x8630),
	GL_MATRIX1_NV(0x8631),
	GL_MATRIX2_NV(0x8632),
	GL_MATRIX3_NV(0x8633),
	GL_MATRIX4_NV(0x8634),
	GL_MATRIX5_NV(0x8635),
	GL_MATRIX6_NV(0x8636),
	GL_MATRIX7_NV(0x8637),
	GL_CURRENT_MATRIX_STACK_DEPTH_ARB(0x8640),
	GL_CURRENT_MATRIX_ARB(0x8641),
	GL_VERTEX_PROGRAM_POINT_SIZE(0x8642),
	GL_VERTEX_PROGRAM_TWO_SIDE(0x8643),
	GL_ATTRIB_ARRAY_POINTER_NV(0x8645),
	GL_PROGRAM_TARGET_NV(0x8646),
	GL_PROGRAM_RESIDENT_NV(0x8647),
	GL_TRACK_MATRIX_NV(0x8648),
	GL_TRACK_MATRIX_TRANSFORM_NV(0x8649),
	GL_VERTEX_PROGRAM_BINDING_NV(0x864a),
	GL_PROGRAM_ERROR_POSITION_ARB(0x864b),
	GL_OFFSET_TEXTURE_RECTANGLE_NV(0x864c),
	GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV(0x864d),
	GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV(0x864e),
	GL_VERTEX_ATTRIB_ARRAY0_NV(0x8650),
	GL_VERTEX_ATTRIB_ARRAY1_NV(0x8651),
	GL_VERTEX_ATTRIB_ARRAY2_NV(0x8652),
	GL_VERTEX_ATTRIB_ARRAY3_NV(0x8653),
	GL_VERTEX_ATTRIB_ARRAY4_NV(0x8654),
	GL_VERTEX_ATTRIB_ARRAY5_NV(0x8655),
	GL_VERTEX_ATTRIB_ARRAY6_NV(0x8656),
	GL_VERTEX_ATTRIB_ARRAY7_NV(0x8657),
	GL_VERTEX_ATTRIB_ARRAY8_NV(0x8658),
	GL_VERTEX_ATTRIB_ARRAY9_NV(0x8659),
	GL_VERTEX_ATTRIB_ARRAY10_NV(0x865a),
	GL_VERTEX_ATTRIB_ARRAY11_NV(0x865b),
	GL_VERTEX_ATTRIB_ARRAY12_NV(0x865c),
	GL_VERTEX_ATTRIB_ARRAY13_NV(0x865d),
	GL_VERTEX_ATTRIB_ARRAY14_NV(0x865e),
	GL_VERTEX_ATTRIB_ARRAY15_NV(0x865f),
	GL_MAP1_VERTEX_ATTRIB0_4_NV(0x8660),
	GL_MAP1_VERTEX_ATTRIB1_4_NV(0x8661),
	GL_MAP1_VERTEX_ATTRIB2_4_NV(0x8662),
	GL_MAP1_VERTEX_ATTRIB3_4_NV(0x8663),
	GL_MAP1_VERTEX_ATTRIB4_4_NV(0x8664),
	GL_MAP1_VERTEX_ATTRIB5_4_NV(0x8665),
	GL_MAP1_VERTEX_ATTRIB6_4_NV(0x8666),
	GL_MAP1_VERTEX_ATTRIB7_4_NV(0x8667),
	GL_MAP1_VERTEX_ATTRIB8_4_NV(0x8668),
	GL_MAP1_VERTEX_ATTRIB9_4_NV(0x8669),
	GL_MAP1_VERTEX_ATTRIB10_4_NV(0x866a),
	GL_MAP1_VERTEX_ATTRIB11_4_NV(0x866b),
	GL_MAP1_VERTEX_ATTRIB12_4_NV(0x866c),
	GL_MAP1_VERTEX_ATTRIB13_4_NV(0x866d),
	GL_MAP1_VERTEX_ATTRIB14_4_NV(0x866e),
	GL_MAP1_VERTEX_ATTRIB15_4_NV(0x866f),
	GL_MAP2_VERTEX_ATTRIB0_4_NV(0x8670),
	GL_MAP2_VERTEX_ATTRIB1_4_NV(0x8671),
	GL_MAP2_VERTEX_ATTRIB2_4_NV(0x8672),
	GL_MAP2_VERTEX_ATTRIB3_4_NV(0x8673),
	GL_MAP2_VERTEX_ATTRIB4_4_NV(0x8674),
	GL_MAP2_VERTEX_ATTRIB5_4_NV(0x8675),
	GL_MAP2_VERTEX_ATTRIB6_4_NV(0x8676),
	GL_MAP2_VERTEX_ATTRIB7_4_NV(0x8677),
	GL_MAP2_VERTEX_ATTRIB8_4_NV(0x8678),
	GL_MAP2_VERTEX_ATTRIB9_4_NV(0x8679),
	GL_MAP2_VERTEX_ATTRIB10_4_NV(0x867a),
	GL_MAP2_VERTEX_ATTRIB11_4_NV(0x867b),
	GL_MAP2_VERTEX_ATTRIB12_4_NV(0x867c),
	GL_MAP2_VERTEX_ATTRIB13_4_NV(0x867d),
	GL_MAP2_VERTEX_ATTRIB14_4_NV(0x867e),
	GL_MAP2_VERTEX_ATTRIB15_4_NV(0x867f),
	GL_TEXTURE_COMPRESSED_IMAGE_SIZE(0x86a0),
	GL_MAX_VERTEX_UNITS_ARB(0x86a4),
	GL_ACTIVE_VERTEX_UNITS_ARB(0x86a5),
	GL_WEIGHT_SUM_UNITY_ARB(0x86a6),
	GL_VERTEX_BLEND_ARB(0x86a7),
	GL_CURRENT_WEIGHT_ARB(0x86a8),
	GL_WEIGHT_ARRAY_TYPE_ARB(0x86a9),
	GL_WEIGHT_ARRAY_STRIDE_ARB(0x86aa),
	GL_WEIGHT_ARRAY_SIZE_ARB(0x86ab),
	GL_WEIGHT_ARRAY_POINTER_ARB(0x86ac),
	GL_WEIGHT_ARRAY_ARB(0x86ad),
	GL_DOT3_RGB(0x86ae),
	GL_DOT3_RGBA(0x86af),
	GL_COMPRESSED_RGB_FXT1_3DFX(0x86b0),
	GL_COMPRESSED_RGBA_FXT1_3DFX(0x86b1),
	GL_MULTISAMPLE_3DFX(0x86b2),
	GL_SAMPLE_BUFFERS_3DFX(0x86b3),
	GL_SAMPLES_3DFX(0x86b4),
	GL_EVAL_FRACTIONAL_TESSELLATION_NV(0x86c5),
	GL_EVAL_VERTEX_ATTRIB0_NV(0x86c6),
	GL_EVAL_VERTEX_ATTRIB1_NV(0x86c7),
	GL_EVAL_VERTEX_ATTRIB2_NV(0x86c8),
	GL_EVAL_VERTEX_ATTRIB3_NV(0x86c9),
	GL_EVAL_VERTEX_ATTRIB4_NV(0x86ca),
	GL_EVAL_VERTEX_ATTRIB5_NV(0x86cb),
	GL_EVAL_VERTEX_ATTRIB6_NV(0x86cc),
	GL_EVAL_VERTEX_ATTRIB7_NV(0x86cd),
	GL_EVAL_VERTEX_ATTRIB8_NV(0x86ce),
	GL_EVAL_VERTEX_ATTRIB9_NV(0x86cf),
	GL_EVAL_VERTEX_ATTRIB10_NV(0x86d0),
	GL_EVAL_VERTEX_ATTRIB11_NV(0x86d1),
	GL_EVAL_VERTEX_ATTRIB12_NV(0x86d2),
	GL_EVAL_VERTEX_ATTRIB13_NV(0x86d3),
	GL_EVAL_VERTEX_ATTRIB14_NV(0x86d4),
	GL_EVAL_VERTEX_ATTRIB15_NV(0x86d5),
	GL_MAX_MAP_TESSELLATION_NV(0x86d6),
	GL_MAX_RATIONAL_EVAL_ORDER_NV(0x86d7),
	GL_MAX_PROGRAM_PATCH_ATTRIBS_NV(0x86d8),
	GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV(0x86d9),
	GL_UNSIGNED_INT_S8_S8_8_8_NV(0x86da),
	GL_UNSIGNED_INT_8_8_S8_S8_REV_NV(0x86db),
	GL_DSDT_MAG_INTENSITY_NV(0x86dc),
	GL_SHADER_CONSISTENT_NV(0x86dd),
	GL_TEXTURE_SHADER_NV(0x86de),
	GL_SHADER_OPERATION_NV(0x86df),
	GL_CULL_MODES_NV(0x86e0),
	GL_OFFSET_TEXTURE_MATRIX_NV(0x86e1),
	GL_OFFSET_TEXTURE_SCALE_NV(0x86e2),
	GL_OFFSET_TEXTURE_BIAS_NV(0x86e3),
	GL_PREVIOUS_TEXTURE_INPUT_NV(0x86e4),
	GL_CONST_EYE_NV(0x86e5),
	GL_PASS_THROUGH_NV(0x86e6),
	GL_CULL_FRAGMENT_NV(0x86e7),
	GL_OFFSET_TEXTURE_2D_NV(0x86e8),
	GL_DEPENDENT_AR_TEXTURE_2D_NV(0x86e9),
	GL_DEPENDENT_GB_TEXTURE_2D_NV(0x86ea),
	GL_SURFACE_STATE_NV(0x86eb),
	GL_DOT_PRODUCT_NV(0x86ec),
	GL_DOT_PRODUCT_DEPTH_REPLACE_NV(0x86ed),
	GL_DOT_PRODUCT_TEXTURE_2D_NV(0x86ee),
	GL_DOT_PRODUCT_TEXTURE_3D_NV(0x86ef),
	GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV(0x86f0),
	GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV(0x86f1),
	GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV(0x86f2),
	GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV(0x86f3),
	GL_HILO_NV(0x86f4),
	GL_DSDT_NV(0x86f5),
	GL_DSDT_MAG_NV(0x86f6),
	GL_DSDT_MAG_VIB_NV(0x86f7),
	GL_HILO16_NV(0x86f8),
	GL_SIGNED_HILO_NV(0x86f9),
	GL_SIGNED_HILO16_NV(0x86fa),
	GL_SIGNED_RGBA_NV(0x86fb),
	GL_SIGNED_RGBA8_NV(0x86fc),
	GL_SURFACE_REGISTERED_NV(0x86fd),
	GL_SIGNED_RGB_NV(0x86fe),
	GL_SIGNED_RGB8_NV(0x86ff),
	GL_SURFACE_MAPPED_NV(0x8700),
	GL_SIGNED_LUMINANCE_NV(0x8701),
	GL_SIGNED_LUMINANCE8_NV(0x8702),
	GL_SIGNED_LUMINANCE_ALPHA_NV(0x8703),
	GL_SIGNED_LUMINANCE8_ALPHA8_NV(0x8704),
	GL_SIGNED_ALPHA_NV(0x8705),
	GL_SIGNED_ALPHA8_NV(0x8706),
	GL_SIGNED_INTENSITY_NV(0x8707),
	GL_SIGNED_INTENSITY8_NV(0x8708),
	GL_DSDT8_NV(0x8709),
	GL_DSDT8_MAG8_NV(0x870a),
	GL_DSDT8_MAG8_INTENSITY8_NV(0x870b),
	GL_SIGNED_RGB_UNSIGNED_ALPHA_NV(0x870c),
	GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV(0x870d),
	GL_HI_SCALE_NV(0x870e),
	GL_LO_SCALE_NV(0x870f),
	GL_DS_SCALE_NV(0x8710),
	GL_DT_SCALE_NV(0x8711),
	GL_MAGNITUDE_SCALE_NV(0x8712),
	GL_VIBRANCE_SCALE_NV(0x8713),
	GL_HI_BIAS_NV(0x8714),
	GL_LO_BIAS_NV(0x8715),
	GL_DS_BIAS_NV(0x8716),
	GL_DT_BIAS_NV(0x8717),
	GL_MAGNITUDE_BIAS_NV(0x8718),
	GL_VIBRANCE_BIAS_NV(0x8719),
	GL_TEXTURE_BORDER_VALUES_NV(0x871a),
	GL_TEXTURE_HI_SIZE_NV(0x871b),
	GL_TEXTURE_LO_SIZE_NV(0x871c),
	GL_TEXTURE_DS_SIZE_NV(0x871d),
	GL_TEXTURE_DT_SIZE_NV(0x871e),
	GL_TEXTURE_MAG_SIZE_NV(0x871f),
	GL_MODELVIEW2_ARB(0x8722),
	GL_MODELVIEW3_ARB(0x8723),
	GL_MODELVIEW4_ARB(0x8724),
	GL_MODELVIEW5_ARB(0x8725),
	GL_MODELVIEW6_ARB(0x8726),
	GL_MODELVIEW7_ARB(0x8727),
	GL_MODELVIEW8_ARB(0x8728),
	GL_MODELVIEW9_ARB(0x8729),
	GL_MODELVIEW10_ARB(0x872a),
	GL_MODELVIEW11_ARB(0x872b),
	GL_MODELVIEW12_ARB(0x872c),
	GL_MODELVIEW13_ARB(0x872d),
	GL_MODELVIEW14_ARB(0x872e),
	GL_MODELVIEW15_ARB(0x872f),
	GL_MODELVIEW16_ARB(0x8730),
	GL_MODELVIEW17_ARB(0x8731),
	GL_MODELVIEW18_ARB(0x8732),
	GL_MODELVIEW19_ARB(0x8733),
	GL_MODELVIEW20_ARB(0x8734),
	GL_MODELVIEW21_ARB(0x8735),
	GL_MODELVIEW22_ARB(0x8736),
	GL_MODELVIEW23_ARB(0x8737),
	GL_MODELVIEW24_ARB(0x8738),
	GL_MODELVIEW25_ARB(0x8739),
	GL_MODELVIEW26_ARB(0x873a),
	GL_MODELVIEW27_ARB(0x873b),
	GL_MODELVIEW28_ARB(0x873c),
	GL_MODELVIEW29_ARB(0x873d),
	GL_MODELVIEW30_ARB(0x873e),
	GL_MODELVIEW31_ARB(0x873f),
	GL_DOT3_RGB_EXT(0x8740),
	GL_DOT3_RGBA_EXT(0x8741),
	GL_MIRROR_CLAMP_ATI(0x8742),
	GL_MIRROR_CLAMP_TO_EDGE(0x8743),
	GL_MODULATE_ADD_ATI(0x8744),
	GL_MODULATE_SIGNED_ADD_ATI(0x8745),
	GL_MODULATE_SUBTRACT_ATI(0x8746),
	GL_SET_AMD(0x874a),
	GL_REPLACE_VALUE_AMD(0x874b),
	GL_STENCIL_OP_VALUE_AMD(0x874c),
	GL_STENCIL_BACK_OP_VALUE_AMD(0x874d),
	GL_OCCLUSION_QUERY_EVENT_MASK_AMD(0x874f),
	GL_UNSIGNED_INT_24_8_MESA(0x8751),
	GL_UNSIGNED_INT_8_24_REV_MESA(0x8752),
	GL_UNSIGNED_SHORT_15_1_MESA(0x8753),
	GL_UNSIGNED_SHORT_1_15_REV_MESA(0x8754),
	GL_TRACE_MASK_MESA(0x8755),
	GL_TRACE_NAME_MESA(0x8756),
	GL_YCBCR_MESA(0x8757),
	GL_PACK_INVERT_MESA(0x8758),
	GL_DEBUG_OBJECT_MESA(0x8759),
	GL_DEBUG_PRINT_MESA(0x875a),
	GL_DEBUG_ASSERT_MESA(0x875b),
	GL_PROXY_TEXTURE_2D_STACK_MESAX(0x875c),
	GL_TEXTURE_1D_STACK_BINDING_MESAX(0x875d),
	GL_TEXTURE_2D_STACK_BINDING_MESAX(0x875e),
	GL_PROGRAM_BINARY_FORMAT_MESA(0x875f),
	GL_ARRAY_OBJECT_BUFFER_ATI(0x8766),
	GL_ARRAY_OBJECT_OFFSET_ATI(0x8767),
	GL_ELEMENT_ARRAY_ATI(0x8768),
	GL_ELEMENT_ARRAY_TYPE_ATI(0x8769),
	GL_ELEMENT_ARRAY_POINTER_ATI(0x876a),
	GL_MAX_VERTEX_STREAMS_ATI(0x876b),
	GL_VERTEX_SOURCE_ATI(0x8774),
	GL_DUDV_ATI(0x8779),
	GL_DU8DV8_ATI(0x877a),
	GL_BUMP_ENVMAP_ATI(0x877b),
	GL_BUMP_TARGET_ATI(0x877c),
	GL_VERTEX_SHADER_EXT(0x8780),
	GL_VERTEX_SHADER_BINDING_EXT(0x8781),
	GL_OUTPUT_VERTEX_EXT(0x879a),
	GL_OUTPUT_COLOR0_EXT(0x879b),
	GL_OUTPUT_COLOR1_EXT(0x879c),
	GL_OUTPUT_TEXTURE_COORD0_EXT(0x879d),
	GL_OUTPUT_TEXTURE_COORD1_EXT(0x879e),
	GL_OUTPUT_TEXTURE_COORD2_EXT(0x879f),
	GL_OUTPUT_TEXTURE_COORD3_EXT(0x87a0),
	GL_OUTPUT_TEXTURE_COORD4_EXT(0x87a1),
	GL_OUTPUT_TEXTURE_COORD5_EXT(0x87a2),
	GL_OUTPUT_TEXTURE_COORD6_EXT(0x87a3),
	GL_OUTPUT_TEXTURE_COORD7_EXT(0x87a4),
	GL_OUTPUT_TEXTURE_COORD8_EXT(0x87a5),
	GL_OUTPUT_TEXTURE_COORD9_EXT(0x87a6),
	GL_OUTPUT_TEXTURE_COORD10_EXT(0x87a7),
	GL_OUTPUT_TEXTURE_COORD11_EXT(0x87a8),
	GL_OUTPUT_TEXTURE_COORD12_EXT(0x87a9),
	GL_OUTPUT_TEXTURE_COORD13_EXT(0x87aa),
	GL_OUTPUT_TEXTURE_COORD14_EXT(0x87ab),
	GL_OUTPUT_TEXTURE_COORD15_EXT(0x87ac),
	GL_OUTPUT_TEXTURE_COORD16_EXT(0x87ad),
	GL_OUTPUT_TEXTURE_COORD17_EXT(0x87ae),
	GL_OUTPUT_TEXTURE_COORD18_EXT(0x87af),
	GL_OUTPUT_TEXTURE_COORD19_EXT(0x87b0),
	GL_OUTPUT_TEXTURE_COORD20_EXT(0x87b1),
	GL_OUTPUT_TEXTURE_COORD21_EXT(0x87b2),
	GL_OUTPUT_TEXTURE_COORD22_EXT(0x87b3),
	GL_OUTPUT_TEXTURE_COORD23_EXT(0x87b4),
	GL_OUTPUT_TEXTURE_COORD24_EXT(0x87b5),
	GL_OUTPUT_TEXTURE_COORD25_EXT(0x87b6),
	GL_OUTPUT_TEXTURE_COORD26_EXT(0x87b7),
	GL_OUTPUT_TEXTURE_COORD27_EXT(0x87b8),
	GL_OUTPUT_TEXTURE_COORD28_EXT(0x87b9),
	GL_OUTPUT_TEXTURE_COORD29_EXT(0x87ba),
	GL_OUTPUT_TEXTURE_COORD30_EXT(0x87bb),
	GL_OUTPUT_TEXTURE_COORD31_EXT(0x87bc),
	GL_OUTPUT_FOG_EXT(0x87bd),
	GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT(0x87c5),
	GL_MAX_VERTEX_SHADER_VARIANTS_EXT(0x87c6),
	GL_MAX_VERTEX_SHADER_INVARIANTS_EXT(0x87c7),
	GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT(0x87c8),
	GL_MAX_VERTEX_SHADER_LOCALS_EXT(0x87c9),
	GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT(0x87ca),
	GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT(0x87cb),
	GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT(0x87cc),
	GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT(0x87cd),
	GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT(0x87ce),
	GL_VERTEX_SHADER_INSTRUCTIONS_EXT(0x87cf),
	GL_VERTEX_SHADER_VARIANTS_EXT(0x87d0),
	GL_VERTEX_SHADER_INVARIANTS_EXT(0x87d1),
	GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT(0x87d2),
	GL_VERTEX_SHADER_LOCALS_EXT(0x87d3),
	GL_VERTEX_SHADER_OPTIMIZED_EXT(0x87d4),
	GL_VARIANT_ARRAY_POINTER_EXT(0x87e9),
	GL_INVARIANT_VALUE_EXT(0x87ea),
	GL_INVARIANT_DATATYPE_EXT(0x87eb),
	GL_LOCAL_CONSTANT_VALUE_EXT(0x87ec),
	GL_LOCAL_CONSTANT_DATATYPE_EXT(0x87ed),
	GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD(0x87ee),
	GL_PN_TRIANGLES_ATI(0x87f0),
	GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI(0x87f1),
	GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI(0x87f5),
	GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI(0x87f6),
	GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI(0x87f7),
	GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI(0x87f8),
	GL_3DC_X_AMD(0x87f9),
	GL_3DC_XY_AMD(0x87fa),
	GL_VBO_FREE_MEMORY_ATI(0x87fb),
	GL_TEXTURE_FREE_MEMORY_ATI(0x87fc),
	GL_RENDERBUFFER_FREE_MEMORY_ATI(0x87fd),
	GL_PROGRAM_ALU_INSTRUCTIONS_ARB(0x8805),
	GL_PROGRAM_TEX_INSTRUCTIONS_ARB(0x8806),
	GL_PROGRAM_TEX_INDIRECTIONS_ARB(0x8807),
	GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB(0x8808),
	GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB(0x8809),
	GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB(0x880a),
	GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB(0x880b),
	GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB(0x880c),
	GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB(0x880d),
	GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB(0x880e),
	GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB(0x880f),
	GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB(0x8810),
	GL_RGBA_FLOAT32_APPLE(0x8814),
	GL_RGB_FLOAT32_APPLE(0x8815),
	GL_ALPHA32F_ARB(0x8816),
	GL_INTENSITY32F_ARB(0x8817),
	GL_LUMINANCE32F_ARB(0x8818),
	GL_LUMINANCE_ALPHA32F_ARB(0x8819),
	GL_RGBA_FLOAT16_APPLE(0x881a),
	GL_RGB_FLOAT16_APPLE(0x881b),
	GL_ALPHA16F_ARB(0x881c),
	GL_INTENSITY16F_ARB(0x881d),
	GL_LUMINANCE16F_ARB(0x881e),
	GL_LUMINANCE_ALPHA16F_ARB(0x881f),
	GL_RGBA_FLOAT_MODE_ARB(0x8820),
	GL_WRITEONLY_RENDERING_QCOM(0x8823),
	GL_DRAW_BUFFER0(0x8825),
	GL_DRAW_BUFFER1(0x8826),
	GL_DRAW_BUFFER2(0x8827),
	GL_DRAW_BUFFER3(0x8828),
	GL_DRAW_BUFFER4(0x8829),
	GL_DRAW_BUFFER5(0x882a),
	GL_DRAW_BUFFER6(0x882b),
	GL_DRAW_BUFFER7(0x882c),
	GL_DRAW_BUFFER8(0x882d),
	GL_DRAW_BUFFER9(0x882e),
	GL_DRAW_BUFFER10(0x882f),
	GL_DRAW_BUFFER11(0x8830),
	GL_DRAW_BUFFER12(0x8831),
	GL_DRAW_BUFFER13(0x8832),
	GL_DRAW_BUFFER14(0x8833),
	GL_DRAW_BUFFER15(0x8834),
	GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI(0x8835),
	GL_COMPRESSED_LUMINANCE_ALPHA_3DC_ATI(0x8837),
	GL_SUBSAMPLE_DISTANCE_AMD(0x883f),
	GL_MATRIX_PALETTE_ARB(0x8840),
	GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB(0x8841),
	GL_MAX_PALETTE_MATRICES_ARB(0x8842),
	GL_CURRENT_PALETTE_MATRIX_ARB(0x8843),
	GL_MATRIX_INDEX_ARRAY_ARB(0x8844),
	GL_CURRENT_MATRIX_INDEX_ARB(0x8845),
	GL_MATRIX_INDEX_ARRAY_SIZE_ARB(0x8846),
	GL_MATRIX_INDEX_ARRAY_TYPE_ARB(0x8847),
	GL_MATRIX_INDEX_ARRAY_STRIDE_ARB(0x8848),
	GL_MATRIX_INDEX_ARRAY_POINTER_ARB(0x8849),
	GL_TEXTURE_DEPTH_SIZE(0x884a),
	GL_DEPTH_TEXTURE_MODE(0x884b),
	GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT(0x884e),
	GL_OFFSET_PROJECTIVE_TEXTURE_2D_NV(0x8850),
	GL_OFFSET_PROJECTIVE_TEXTURE_2D_SCALE_NV(0x8851),
	GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_NV(0x8852),
	GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_SCALE_NV(0x8853),
	GL_OFFSET_HILO_TEXTURE_2D_NV(0x8854),
	GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV(0x8855),
	GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV(0x8856),
	GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV(0x8857),
	GL_DEPENDENT_HILO_TEXTURE_2D_NV(0x8858),
	GL_DEPENDENT_RGB_TEXTURE_3D_NV(0x8859),
	GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV(0x885a),
	GL_DOT_PRODUCT_PASS_THROUGH_NV(0x885b),
	GL_DOT_PRODUCT_TEXTURE_1D_NV(0x885c),
	GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV(0x885d),
	GL_HILO8_NV(0x885e),
	GL_SIGNED_HILO8_NV(0x885f),
	GL_FORCE_BLUE_TO_ONE_NV(0x8860),
	GL_POINT_SPRITE_R_MODE_NV(0x8863),
	GL_PIXEL_COUNTER_BITS_NV(0x8864),
	GL_CURRENT_OCCLUSION_QUERY_ID_NV(0x8865),
	GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV(0x8868),
	GL_MAX_TESS_CONTROL_INPUT_COMPONENTS(0x886c),
	GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS(0x886d),
	GL_DEPTH_STENCIL_TO_RGBA_NV(0x886e),
	GL_DEPTH_STENCIL_TO_BGRA_NV(0x886f),
	GL_FRAGMENT_PROGRAM_NV(0x8870),
	GL_MAX_TEXTURE_COORDS(0x8871),
	GL_FRAGMENT_PROGRAM_BINDING_NV(0x8873),
	GL_PROGRAM_ERROR_STRING_ARB(0x8874),
	GL_PROGRAM_FORMAT_ARB(0x8876),
	GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV(0x887a),
	GL_READ_PIXEL_DATA_RANGE_LENGTH_NV(0x887b),
	GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV(0x887c),
	GL_READ_PIXEL_DATA_RANGE_POINTER_NV(0x887d),
	GL_GEOMETRY_SHADER_INVOCATIONS(0x887f),
	GL_FLOAT_R_NV(0x8880),
	GL_FLOAT_RG_NV(0x8881),
	GL_FLOAT_RGB_NV(0x8882),
	GL_FLOAT_RGBA_NV(0x8883),
	GL_FLOAT_R16_NV(0x8884),
	GL_FLOAT_R32_NV(0x8885),
	GL_FLOAT_RG16_NV(0x8886),
	GL_FLOAT_RG32_NV(0x8887),
	GL_FLOAT_RGB16_NV(0x8888),
	GL_FLOAT_RGB32_NV(0x8889),
	GL_FLOAT_RGBA16_NV(0x888a),
	GL_FLOAT_RGBA32_NV(0x888b),
	GL_TEXTURE_FLOAT_COMPONENTS_NV(0x888c),
	GL_FLOAT_CLEAR_COLOR_VALUE_NV(0x888d),
	GL_FLOAT_RGBA_MODE_NV(0x888e),
	GL_TEXTURE_UNSIGNED_REMAP_MODE_NV(0x888f),
	GL_DEPTH_BOUNDS_TEST_EXT(0x8890),
	GL_DEPTH_BOUNDS_EXT(0x8891),
	GL_VERTEX_ARRAY_BUFFER_BINDING(0x8896),
	GL_NORMAL_ARRAY_BUFFER_BINDING(0x8897),
	GL_COLOR_ARRAY_BUFFER_BINDING(0x8898),
	GL_INDEX_ARRAY_BUFFER_BINDING(0x8899),
	GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING(0x889a),
	GL_EDGE_FLAG_ARRAY_BUFFER_BINDING(0x889b),
	GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING(0x889c),
	GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB(0x889d),
	GL_WEIGHT_ARRAY_BUFFER_BINDING(0x889e),
	GL_PROGRAM_INSTRUCTIONS_ARB(0x88a0),
	GL_MAX_PROGRAM_INSTRUCTIONS_ARB(0x88a1),
	GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB(0x88a2),
	GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB(0x88a3),
	GL_PROGRAM_TEMPORARIES_ARB(0x88a4),
	GL_MAX_PROGRAM_TEMPORARIES_ARB(0x88a5),
	GL_PROGRAM_NATIVE_TEMPORARIES_ARB(0x88a6),
	GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB(0x88a7),
	GL_PROGRAM_PARAMETERS_ARB(0x88a8),
	GL_MAX_PROGRAM_PARAMETERS_ARB(0x88a9),
	GL_PROGRAM_NATIVE_PARAMETERS_ARB(0x88aa),
	GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB(0x88ab),
	GL_PROGRAM_ATTRIBS_ARB(0x88ac),
	GL_MAX_PROGRAM_ATTRIBS_ARB(0x88ad),
	GL_PROGRAM_NATIVE_ATTRIBS_ARB(0x88ae),
	GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB(0x88af),
	GL_PROGRAM_ADDRESS_REGISTERS_ARB(0x88b0),
	GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB(0x88b1),
	GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB(0x88b2),
	GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB(0x88b3),
	GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB(0x88b4),
	GL_MAX_PROGRAM_ENV_PARAMETERS_ARB(0x88b5),
	GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB(0x88b6),
	GL_TRANSPOSE_CURRENT_MATRIX_ARB(0x88b7),
	GL_WRITE_DISCARD_NV(0x88be),
	GL_MATRIX0_ARB(0x88c0),
	GL_MATRIX1_ARB(0x88c1),
	GL_MATRIX2_ARB(0x88c2),
	GL_MATRIX3_ARB(0x88c3),
	GL_MATRIX4_ARB(0x88c4),
	GL_MATRIX5_ARB(0x88c5),
	GL_MATRIX6_ARB(0x88c6),
	GL_MATRIX7_ARB(0x88c7),
	GL_MATRIX8_ARB(0x88c8),
	GL_MATRIX9_ARB(0x88c9),
	GL_MATRIX10_ARB(0x88ca),
	GL_MATRIX11_ARB(0x88cb),
	GL_MATRIX12_ARB(0x88cc),
	GL_MATRIX13_ARB(0x88cd),
	GL_MATRIX14_ARB(0x88ce),
	GL_MATRIX15_ARB(0x88cf),
	GL_MATRIX16_ARB(0x88d0),
	GL_MATRIX17_ARB(0x88d1),
	GL_MATRIX18_ARB(0x88d2),
	GL_MATRIX19_ARB(0x88d3),
	GL_MATRIX20_ARB(0x88d4),
	GL_MATRIX21_ARB(0x88d5),
	GL_MATRIX22_ARB(0x88d6),
	GL_MATRIX23_ARB(0x88d7),
	GL_MATRIX24_ARB(0x88d8),
	GL_MATRIX25_ARB(0x88d9),
	GL_MATRIX26_ARB(0x88da),
	GL_MATRIX27_ARB(0x88db),
	GL_MATRIX28_ARB(0x88dc),
	GL_MATRIX29_ARB(0x88dd),
	GL_MATRIX30_ARB(0x88de),
	GL_MATRIX31_ARB(0x88df),
	GL_ETC1_SRGB8_NV(0x88ee),
	GL_TEXTURE_STENCIL_SIZE(0x88f1),
	GL_STENCIL_TAG_BITS_EXT(0x88f2),
	GL_STENCIL_CLEAR_TAG_VALUE_EXT(0x88f3),
	GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV(0x88f4),
	GL_MAX_PROGRAM_CALL_DEPTH_NV(0x88f5),
	GL_MAX_PROGRAM_IF_DEPTH_NV(0x88f6),
	GL_MAX_PROGRAM_LOOP_DEPTH_NV(0x88f7),
	GL_MAX_PROGRAM_LOOP_COUNT_NV(0x88f8),
	GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE(0x88fe),
	GL_PROGRAM_ATTRIB_COMPONENTS_NV(0x8906),
	GL_PROGRAM_RESULT_COMPONENTS_NV(0x8907),
	GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV(0x8908),
	GL_MAX_PROGRAM_RESULT_COMPONENTS_NV(0x8909),
	GL_STENCIL_TEST_TWO_SIDE_EXT(0x8910),
	GL_ACTIVE_STENCIL_FACE_EXT(0x8911),
	GL_MIRROR_CLAMP_TO_BORDER_EXT(0x8912),
	GL_GEOMETRY_LINKED_VERTICES_OUT_EXT(0x8916),
	GL_GEOMETRY_LINKED_INPUT_TYPE_EXT(0x8917),
	GL_GEOMETRY_LINKED_OUTPUT_TYPE_EXT(0x8918),
	GL_NUM_FRAGMENT_REGISTERS_ATI(0x896e),
	GL_NUM_FRAGMENT_CONSTANTS_ATI(0x896f),
	GL_NUM_PASSES_ATI(0x8970),
	GL_NUM_INSTRUCTIONS_PER_PASS_ATI(0x8971),
	GL_NUM_INSTRUCTIONS_TOTAL_ATI(0x8972),
	GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI(0x8973),
	GL_NUM_LOOPBACK_COMPONENTS_ATI(0x8974),
	GL_COLOR_ALPHA_PAIRING_ATI(0x8975),
	GL_SWIZZLE_STRQ_ATI(0x897a),
	GL_SWIZZLE_STRQ_DQ_ATI(0x897b),
	GL_INTERLACE_OML(0x8980),
	GL_INTERLACE_READ_OML(0x8981),
	GL_FORMAT_SUBSAMPLE_24_24_OML(0x8982),
	GL_FORMAT_SUBSAMPLE_244_244_OML(0x8983),
	GL_RESAMPLE_REPLICATE_OML(0x8986),
	GL_RESAMPLE_ZERO_FILL_OML(0x8987),
	GL_RESAMPLE_AVERAGE_OML(0x8988),
	GL_RESAMPLE_DECIMATE_OML(0x8989),
	GL_POINT_SIZE_ARRAY_TYPE_OES(0x898a),
	GL_POINT_SIZE_ARRAY_STRIDE_OES(0x898b),
	GL_POINT_SIZE_ARRAY_POINTER_OES(0x898c),
	GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES(0x898d),
	GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES(0x898e),
	GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES(0x898f),
	GL_VERTEX_ATTRIB_MAP1_APPLE(0x8a00),
	GL_VERTEX_ATTRIB_MAP2_APPLE(0x8a01),
	GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE(0x8a02),
	GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE(0x8a03),
	GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE(0x8a04),
	GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE(0x8a05),
	GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE(0x8a06),
	GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE(0x8a07),
	GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE(0x8a08),
	GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE(0x8a09),
	GL_ELEMENT_ARRAY_APPLE(0x8a0c),
	GL_ELEMENT_ARRAY_TYPE_APPLE(0x8a0d),
	GL_ELEMENT_ARRAY_POINTER_APPLE(0x8a0e),
	GL_COLOR_FLOAT_APPLE(0x8a0f),
	GL_BUFFER_SERIALIZED_MODIFY_APPLE(0x8a12),
	GL_BUFFER_FLUSHING_UNMAP_APPLE(0x8a13),
	GL_AUX_DEPTH_STENCIL_APPLE(0x8a14),
	GL_PACK_ROW_BYTES_APPLE(0x8a15),
	GL_UNPACK_ROW_BYTES_APPLE(0x8a16),
	GL_RELEASED_APPLE(0x8a19),
	GL_VOLATILE_APPLE(0x8a1a),
	GL_RETAINED_APPLE(0x8a1b),
	GL_UNDEFINED_APPLE(0x8a1c),
	GL_PURGEABLE_APPLE(0x8a1d),
	GL_RGB_422_APPLE(0x8a1f),
	GL_TEXTURE_SRGB_DECODE_EXT(0x8a48),
	GL_DECODE_EXT(0x8a49),
	GL_SKIP_DECODE_EXT(0x8a4a),
	GL_PROGRAM_PIPELINE_OBJECT_EXT(0x8a4f),
	GL_RGB_RAW_422_APPLE(0x8a51),
	GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT(0x8a52),
	GL_SYNC_OBJECT_APPLE(0x8a53),
	GL_COMPRESSED_SRGB_PVRTC_2BPPV1_EXT(0x8a54),
	GL_COMPRESSED_SRGB_PVRTC_4BPPV1_EXT(0x8a55),
	GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV1_EXT(0x8a56),
	GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV1_EXT(0x8a57),
	GL_SHADER_OBJECT_ARB(0x8b48),
	GL_OBJECT_TYPE_ARB(0x8b4e),
	GL_OBJECT_SUBTYPE_ARB(0x8b4f),
	GL_OBJECT_DELETE_STATUS_ARB(0x8b80),
	GL_OBJECT_COMPILE_STATUS_ARB(0x8b81),
	GL_OBJECT_LINK_STATUS_ARB(0x8b82),
	GL_OBJECT_VALIDATE_STATUS_ARB(0x8b83),
	GL_OBJECT_INFO_LOG_LENGTH_ARB(0x8b84),
	GL_OBJECT_ATTACHED_OBJECTS_ARB(0x8b85),
	GL_OBJECT_ACTIVE_UNIFORMS_ARB(0x8b86),
	GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB(0x8b87),
	GL_OBJECT_SHADER_SOURCE_LENGTH_ARB(0x8b88),
	GL_OBJECT_ACTIVE_ATTRIBUTES_ARB(0x8b89),
	GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB(0x8b8a),
	GL_ACTIVE_PROGRAM_EXT(0x8b8d),
	GL_PALETTE4_RGB8_OES(0x8b90),
	GL_PALETTE4_RGBA8_OES(0x8b91),
	GL_PALETTE4_R5_G6_B5_OES(0x8b92),
	GL_PALETTE4_RGBA4_OES(0x8b93),
	GL_PALETTE4_RGB5_A1_OES(0x8b94),
	GL_PALETTE8_RGB8_OES(0x8b95),
	GL_PALETTE8_RGBA8_OES(0x8b96),
	GL_PALETTE8_R5_G6_B5_OES(0x8b97),
	GL_PALETTE8_RGBA4_OES(0x8b98),
	GL_PALETTE8_RGB5_A1_OES(0x8b99),
	GL_POINT_SIZE_ARRAY_OES(0x8b9c),
	GL_TEXTURE_CROP_RECT_OES(0x8b9d),
	GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES(0x8b9e),
	GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES(0x8b9f),
	GL_FRAGMENT_PROGRAM_POSITION_MESA(0x8bb0),
	GL_FRAGMENT_PROGRAM_CALLBACK_MESA(0x8bb1),
	GL_FRAGMENT_PROGRAM_CALLBACK_FUNC_MESA(0x8bb2),
	GL_FRAGMENT_PROGRAM_CALLBACK_DATA_MESA(0x8bb3),
	GL_VERTEX_PROGRAM_POSITION_MESA(0x8bb4),
	GL_VERTEX_PROGRAM_CALLBACK_MESA(0x8bb5),
	GL_VERTEX_PROGRAM_CALLBACK_FUNC_MESA(0x8bb6),
	GL_VERTEX_PROGRAM_CALLBACK_DATA_MESA(0x8bb7),
	GL_TILE_RASTER_ORDER_FIXED_MESA(0x8bb8),
	GL_TILE_RASTER_ORDER_INCREASING_X_MESA(0x8bb9),
	GL_TILE_RASTER_ORDER_INCREASING_Y_MESA(0x8bba),
	GL_FRAMEBUFFER_FLIP_Y_MESA(0x8bbb),
	GL_FRAMEBUFFER_FLIP_X_MESA(0x8bbc),
	GL_FRAMEBUFFER_SWAP_XY_MESA(0x8bbd),
	GL_COUNTER_TYPE_AMD(0x8bc0),
	GL_COUNTER_RANGE_AMD(0x8bc1),
	GL_UNSIGNED_INT64_AMD(0x8bc2),
	GL_PERCENTAGE_AMD(0x8bc3),
	GL_PERFMON_RESULT_AVAILABLE_AMD(0x8bc4),
	GL_PERFMON_RESULT_SIZE_AMD(0x8bc5),
	GL_PERFMON_RESULT_AMD(0x8bc6),
	GL_TEXTURE_WIDTH_QCOM(0x8bd2),
	GL_TEXTURE_HEIGHT_QCOM(0x8bd3),
	GL_TEXTURE_DEPTH_QCOM(0x8bd4),
	GL_TEXTURE_INTERNAL_FORMAT_QCOM(0x8bd5),
	GL_TEXTURE_FORMAT_QCOM(0x8bd6),
	GL_TEXTURE_TYPE_QCOM(0x8bd7),
	GL_TEXTURE_IMAGE_VALID_QCOM(0x8bd8),
	GL_TEXTURE_NUM_LEVELS_QCOM(0x8bd9),
	GL_TEXTURE_TARGET_QCOM(0x8bda),
	GL_TEXTURE_OBJECT_VALID_QCOM(0x8bdb),
	GL_STATE_RESTORE(0x8bdc),
	GL_SAMPLER_EXTERNAL_2D_Y2Y_EXT(0x8be7),
	GL_TEXTURE_PROTECTED_EXT(0x8bfa),
	GL_TEXTURE_FOVEATED_FEATURE_BITS_QCOM(0x8bfb),
	GL_TEXTURE_FOVEATED_MIN_PIXEL_DENSITY_QCOM(0x8bfc),
	GL_TEXTURE_FOVEATED_FEATURE_QUERY_QCOM(0x8bfd),
	GL_TEXTURE_FOVEATED_NUM_FOCAL_POINTS_QUERY_QCOM(0x8bfe),
	GL_FRAMEBUFFER_INCOMPLETE_FOVEATION_QCOM(0x8bff),
	GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG(0x8c00),
	GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG(0x8c01),
	GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG(0x8c02),
	GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG(0x8c03),
	GL_MODULATE_COLOR_IMG(0x8c04),
	GL_RECIP_ADD_SIGNED_ALPHA_IMG(0x8c05),
	GL_TEXTURE_ALPHA_MODULATE_IMG(0x8c06),
	GL_FACTOR_ALPHA_MODULATE_IMG(0x8c07),
	GL_FRAGMENT_ALPHA_MODULATE_IMG(0x8c08),
	GL_ADD_BLEND_IMG(0x8c09),
	GL_TEXTURE_RED_TYPE(0x8c10),
	GL_TEXTURE_GREEN_TYPE(0x8c11),
	GL_TEXTURE_BLUE_TYPE(0x8c12),
	GL_TEXTURE_ALPHA_TYPE(0x8c13),
	GL_TEXTURE_LUMINANCE_TYPE(0x8c14),
	GL_TEXTURE_INTENSITY_TYPE(0x8c15),
	GL_TEXTURE_DEPTH_TYPE(0x8c16),
	GL_UNSIGNED_NORMALIZED(0x8c17),
	GL_MAX_PROGRAM_OUTPUT_VERTICES_NV(0x8c27),
	GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV(0x8c28),
	GL_TEXTURE_BUFFER_DATA_STORE_BINDING(0x8c2d),
	GL_TEXTURE_BUFFER_FORMAT_ARB(0x8c2e),
	GL_MIN_SAMPLE_SHADING_VALUE(0x8c37),
	GL_RGBA_SIGNED_COMPONENTS_EXT(0x8c3c),
	GL_TEXTURE_SHARED_SIZE(0x8c3f),
	GL_SLUMINANCE_ALPHA(0x8c44),
	GL_SLUMINANCE8_ALPHA8(0x8c45),
	GL_SLUMINANCE(0x8c46),
	GL_SLUMINANCE8(0x8c47),
	GL_COMPRESSED_SLUMINANCE(0x8c4a),
	GL_COMPRESSED_SLUMINANCE_ALPHA(0x8c4b),
	GL_COMPRESSED_LUMINANCE_LATC1_EXT(0x8c70),
	GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT(0x8c71),
	GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT(0x8c72),
	GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT(0x8c73),
	GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV(0x8c74),
	GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV(0x8c75),
	GL_BACK_PRIMARY_COLOR_NV(0x8c77),
	GL_BACK_SECONDARY_COLOR_NV(0x8c78),
	GL_TEXTURE_COORD_NV(0x8c79),
	GL_CLIP_DISTANCE_NV(0x8c7a),
	GL_VERTEX_ID_NV(0x8c7b),
	GL_PRIMITIVE_ID_NV(0x8c7c),
	GL_GENERIC_ATTRIB_NV(0x8c7d),
	GL_TRANSFORM_FEEDBACK_ATTRIBS_NV(0x8c7e),
	GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS(0x8c80),
	GL_ACTIVE_VARYINGS_NV(0x8c81),
	GL_ACTIVE_VARYING_MAX_LENGTH_NV(0x8c82),
	GL_TRANSFORM_FEEDBACK_RECORD_NV(0x8c86),
	GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS(0x8c8a),
	GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS(0x8c8b),
	GL_ATC_RGB_AMD(0x8c92),
	GL_ATC_RGBA_EXPLICIT_ALPHA_AMD(0x8c93),
	GL_TEXTURE_LOD_BIAS_QCOM(0x8c96),
	GL_POINT_SPRITE_COORD_ORIGIN(0x8ca0),
	GL_DRAW_FRAMEBUFFER_BINDING_ANGLE(0x8ca6),
	GL_RENDERBUFFER_BINDING_ANGLE(0x8ca7),
	GL_READ_FRAMEBUFFER_ANGLE(0x8ca8),
	GL_DRAW_FRAMEBUFFER_ANGLE(0x8ca9),
	GL_READ_FRAMEBUFFER_BINDING_ANGLE(0x8caa),
	GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS(0x8cd9),
	GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT(0x8cda),
	GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE(0x8d56),
	GL_MAX_SAMPLES(0x8d57),
	GL_HALF_FLOAT_OES(0x8d61),
	GL_TEXTURE_EXTERNAL_OES(0x8d65),
	GL_SAMPLER_EXTERNAL_OES(0x8d66),
	GL_TEXTURE_BINDING_EXTERNAL_OES(0x8d67),
	GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES(0x8d68),
	GL_ALPHA_INTEGER(0x8d97),
	GL_LUMINANCE_INTEGER_EXT(0x8d9c),
	GL_LUMINANCE_ALPHA_INTEGER_EXT(0x8d9d),
	GL_RGBA_INTEGER_MODE_EXT(0x8d9e),
	GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV(0x8da0),
	GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV(0x8da1),
	GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV(0x8da2),
	GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV(0x8da3),
	GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV(0x8da4),
	GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV(0x8da5),
	GL_MAX_PROGRAM_GENERIC_RESULTS_NV(0x8da6),
	GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB(0x8da9),
	GL_LAYER_NV(0x8daa),
	GL_SHADER_INCLUDE_ARB(0x8dae),
	GL_DEPTH_BUFFER_FLOAT_MODE_NV(0x8daf),
	GL_FRAMEBUFFER_SRGB_CAPABLE_EXT(0x8dba),
	GL_GEOMETRY_VERTICES_OUT_ARB(0x8dda),
	GL_GEOMETRY_INPUT_TYPE_ARB(0x8ddb),
	GL_GEOMETRY_OUTPUT_TYPE_ARB(0x8ddc),
	GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB(0x8ddd),
	GL_MAX_VERTEX_VARYING_COMPONENTS_ARB(0x8dde),
	GL_MAX_GEOMETRY_OUTPUT_VERTICES(0x8de0),
	GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS(0x8de1),
	GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT(0x8de2),
	GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT(0x8de3),
	GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT(0x8de4),
	GL_MAX_SUBROUTINES(0x8de7),
	GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS(0x8de8),
	GL_NAMED_STRING_LENGTH_ARB(0x8de9),
	GL_NAMED_STRING_TYPE_ARB(0x8dea),
	GL_MAX_BINDABLE_UNIFORM_SIZE_EXT(0x8ded),
	GL_UNIFORM_BUFFER_EXT(0x8dee),
	GL_UNIFORM_BUFFER_BINDING_EXT(0x8def),
	GL_UNSIGNED_INT_10_10_10_2_OES(0x8df6),
	GL_INT_10_10_10_2_OES(0x8df7),
	GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV(0x8e11),
	GL_MULTISAMPLE_COVERAGE_MODES_NV(0x8e12),
	GL_POLYGON_OFFSET_CLAMP(0x8e1b),
	GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS(0x8e1e),
	GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS(0x8e1f),
	GL_COLOR_SAMPLES_NV(0x8e20),
	GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED(0x8e23),
	GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE(0x8e24),
	GL_TRANSFORM_FEEDBACK_BINDING(0x8e25),
	GL_FRAME_NV(0x8e26),
	GL_FIELDS_NV(0x8e27),
	GL_CURRENT_TIME_NV(0x8e28),
	GL_NUM_FILL_STREAMS_NV(0x8e29),
	GL_PRESENT_TIME_NV(0x8e2a),
	GL_PRESENT_DURATION_NV(0x8e2b),
	GL_DEPTH_COMPONENT16_NONLINEAR_NV(0x8e2c),
	GL_PROGRAM_MATRIX_EXT(0x8e2d),
	GL_TRANSPOSE_PROGRAM_MATRIX_EXT(0x8e2e),
	GL_PROGRAM_MATRIX_STACK_DEPTH_EXT(0x8e2f),
	GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION(0x8e4c),
	GL_SAMPLE_LOCATION_NV(0x8e50),
	GL_SAMPLE_MASK_VALUE(0x8e52),
	GL_TEXTURE_BINDING_RENDERBUFFER_NV(0x8e53),
	GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV(0x8e54),
	GL_TEXTURE_RENDERBUFFER_NV(0x8e55),
	GL_SAMPLER_RENDERBUFFER_NV(0x8e56),
	GL_INT_SAMPLER_RENDERBUFFER_NV(0x8e57),
	GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV(0x8e58),
	GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV(0x8e5a),
	GL_MIN_FRAGMENT_INTERPOLATION_OFFSET(0x8e5b),
	GL_MAX_FRAGMENT_INTERPOLATION_OFFSET(0x8e5c),
	GL_FRAGMENT_INTERPOLATION_OFFSET_BITS(0x8e5d),
	GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET(0x8e5e),
	GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET(0x8e5f),
	GL_MAX_MESH_UNIFORM_BLOCKS_NV(0x8e60),
	GL_MAX_MESH_TEXTURE_IMAGE_UNITS_NV(0x8e61),
	GL_MAX_MESH_IMAGE_UNIFORMS_NV(0x8e62),
	GL_MAX_MESH_UNIFORM_COMPONENTS_NV(0x8e63),
	GL_MAX_MESH_ATOMIC_COUNTER_BUFFERS_NV(0x8e64),
	GL_MAX_MESH_ATOMIC_COUNTERS_NV(0x8e65),
	GL_MAX_MESH_SHADER_STORAGE_BLOCKS_NV(0x8e66),
	GL_MAX_COMBINED_MESH_UNIFORM_COMPONENTS_NV(0x8e67),
	GL_MAX_TASK_UNIFORM_BLOCKS_NV(0x8e68),
	GL_MAX_TASK_TEXTURE_IMAGE_UNITS_NV(0x8e69),
	GL_MAX_TASK_IMAGE_UNIFORMS_NV(0x8e6a),
	GL_MAX_TASK_UNIFORM_COMPONENTS_NV(0x8e6b),
	GL_MAX_TASK_ATOMIC_COUNTER_BUFFERS_NV(0x8e6c),
	GL_MAX_TASK_ATOMIC_COUNTERS_NV(0x8e6d),
	GL_MAX_TASK_SHADER_STORAGE_BLOCKS_NV(0x8e6e),
	GL_MAX_COMBINED_TASK_UNIFORM_COMPONENTS_NV(0x8e6f),
	GL_MAX_TRANSFORM_FEEDBACK_BUFFERS(0x8e70),
	GL_MAX_VERTEX_STREAMS(0x8e71),
	GL_TESS_CONTROL_OUTPUT_VERTICES(0x8e75),
	GL_TESS_GEN_MODE(0x8e76),
	GL_TESS_GEN_SPACING(0x8e77),
	GL_TESS_GEN_VERTEX_ORDER(0x8e78),
	GL_TESS_GEN_POINT_MODE(0x8e79),
	GL_ISOLINES(0x8e7a),
	GL_FRACTIONAL_ODD(0x8e7b),
	GL_FRACTIONAL_EVEN(0x8e7c),
	GL_MAX_PATCH_VERTICES(0x8e7d),
	GL_MAX_TESS_GEN_LEVEL(0x8e7e),
	GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS(0x8e7f),
	GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS(0x8e80),
	GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS(0x8e81),
	GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS(0x8e82),
	GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS(0x8e83),
	GL_MAX_TESS_PATCH_COMPONENTS(0x8e84),
	GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS(0x8e85),
	GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS(0x8e86),
	GL_TRP_IMG(0x8ea0),
	GL_TRP_ERROR_CONTEXT_RESET_IMG(0x8ea1),
	GL_TRP_UNSUPPORTED_CONTEXT_IMG(0x8ea2),
	GL_PVRIC_SIGNATURE_MISMATCH_IMG(0x8ea3),
	GL_COVERAGE_COMPONENT_NV(0x8ed0),
	GL_COVERAGE_COMPONENT4_NV(0x8ed1),
	GL_COVERAGE_ATTACHMENT_NV(0x8ed2),
	GL_COVERAGE_BUFFERS_NV(0x8ed3),
	GL_COVERAGE_SAMPLES_NV(0x8ed4),
	GL_COVERAGE_ALL_FRAGMENTS_NV(0x8ed5),
	GL_COVERAGE_EDGE_FRAGMENTS_NV(0x8ed6),
	GL_COVERAGE_AUTOMATIC_NV(0x8ed7),
	GL_INCLUSIVE_EXT(0x8f10),
	GL_EXCLUSIVE_EXT(0x8f11),
	GL_WINDOW_RECTANGLE_EXT(0x8f12),
	GL_WINDOW_RECTANGLE_MODE_EXT(0x8f13),
	GL_MAX_WINDOW_RECTANGLES_EXT(0x8f14),
	GL_NUM_WINDOW_RECTANGLES_EXT(0x8f15),
	GL_BUFFER_GPU_ADDRESS_NV(0x8f1d),
	GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV(0x8f1e),
	GL_ELEMENT_ARRAY_UNIFIED_NV(0x8f1f),
	GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV(0x8f20),
	GL_VERTEX_ARRAY_ADDRESS_NV(0x8f21),
	GL_NORMAL_ARRAY_ADDRESS_NV(0x8f22),
	GL_COLOR_ARRAY_ADDRESS_NV(0x8f23),
	GL_INDEX_ARRAY_ADDRESS_NV(0x8f24),
	GL_TEXTURE_COORD_ARRAY_ADDRESS_NV(0x8f25),
	GL_EDGE_FLAG_ARRAY_ADDRESS_NV(0x8f26),
	GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV(0x8f27),
	GL_FOG_COORD_ARRAY_ADDRESS_NV(0x8f28),
	GL_ELEMENT_ARRAY_ADDRESS_NV(0x8f29),
	GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV(0x8f2a),
	GL_VERTEX_ARRAY_LENGTH_NV(0x8f2b),
	GL_NORMAL_ARRAY_LENGTH_NV(0x8f2c),
	GL_COLOR_ARRAY_LENGTH_NV(0x8f2d),
	GL_INDEX_ARRAY_LENGTH_NV(0x8f2e),
	GL_TEXTURE_COORD_ARRAY_LENGTH_NV(0x8f2f),
	GL_EDGE_FLAG_ARRAY_LENGTH_NV(0x8f30),
	GL_SECONDARY_COLOR_ARRAY_LENGTH_NV(0x8f31),
	GL_FOG_COORD_ARRAY_LENGTH_NV(0x8f32),
	GL_ELEMENT_ARRAY_LENGTH_NV(0x8f33),
	GL_GPU_ADDRESS_NV(0x8f34),
	GL_MAX_SHADER_BUFFER_ADDRESS_NV(0x8f35),
	GL_MAX_IMAGE_UNITS(0x8f38),
	GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS(0x8f39),
	GL_IMAGE_BINDING_NAME(0x8f3a),
	GL_IMAGE_BINDING_LEVEL(0x8f3b),
	GL_IMAGE_BINDING_LAYERED(0x8f3c),
	GL_IMAGE_BINDING_LAYER(0x8f3d),
	GL_IMAGE_BINDING_ACCESS(0x8f3e),
	GL_DRAW_INDIRECT_UNIFIED_NV(0x8f40),
	GL_DRAW_INDIRECT_ADDRESS_NV(0x8f41),
	GL_DRAW_INDIRECT_LENGTH_NV(0x8f42),
	GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV(0x8f44),
	GL_MAX_PROGRAM_SUBROUTINE_NUM_NV(0x8f45),
	GL_VERTEX_BINDING_BUFFER(0x8f4f),
	GL_MALI_PROGRAM_BINARY_ARM(0x8f61),
	GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_FAST_SIZE_EXT(0x8f63),
	GL_SHADER_PIXEL_LOCAL_STORAGE_EXT(0x8f64),
	GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_SIZE_EXT(0x8f67),
	GL_TEXTURE_ASTC_DECODE_PRECISION_EXT(0x8f69),
	GL_RED_SNORM(0x8f90),
	GL_RG_SNORM(0x8f91),
	GL_RGB_SNORM(0x8f92),
	GL_RGBA_SNORM(0x8f93),
	GL_SIGNED_NORMALIZED(0x8f9c),
	GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB(0x8f9f),
	GL_PERFMON_GLOBAL_MODE_QCOM(0x8fa0),
	GL_MAX_SHADER_SUBSAMPLED_IMAGE_UNITS_QCOM(0x8fa1),
	GL_CPU_OPTIMIZED_QCOM(0x8fb1),
	GL_GPU_OPTIMIZED_QCOM(0x8fb2),
	GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM(0x8fb3),
	GL_GPU_DISJOINT_EXT(0x8fbb),
	GL_TEXTURE_FORMAT_SRGB_OVERRIDE_EXT(0x8fbf),
	GL_INT8_NV(0x8fe0),
	GL_INT8_VEC2_NV(0x8fe1),
	GL_INT8_VEC3_NV(0x8fe2),
	GL_INT8_VEC4_NV(0x8fe3),
	GL_INT16_NV(0x8fe4),
	GL_INT16_VEC2_NV(0x8fe5),
	GL_INT16_VEC3_NV(0x8fe6),
	GL_INT16_VEC4_NV(0x8fe7),
	GL_INT64_VEC2_NV(0x8fe9),
	GL_INT64_VEC3_NV(0x8fea),
	GL_INT64_VEC4_NV(0x8feb),
	GL_UNSIGNED_INT8_NV(0x8fec),
	GL_UNSIGNED_INT8_VEC2_NV(0x8fed),
	GL_UNSIGNED_INT8_VEC3_NV(0x8fee),
	GL_UNSIGNED_INT8_VEC4_NV(0x8fef),
	GL_UNSIGNED_INT16_NV(0x8ff0),
	GL_UNSIGNED_INT16_VEC2_NV(0x8ff1),
	GL_UNSIGNED_INT16_VEC3_NV(0x8ff2),
	GL_UNSIGNED_INT16_VEC4_NV(0x8ff3),
	GL_UNSIGNED_INT64_VEC2_NV(0x8ff5),
	GL_UNSIGNED_INT64_VEC3_NV(0x8ff6),
	GL_UNSIGNED_INT64_VEC4_NV(0x8ff7),
	GL_FLOAT16_NV(0x8ff8),
	GL_FLOAT16_VEC2_NV(0x8ff9),
	GL_FLOAT16_VEC3_NV(0x8ffa),
	GL_FLOAT16_VEC4_NV(0x8ffb),
	GL_SAMPLER_BUFFER_AMD(0x9001),
	GL_INT_SAMPLER_BUFFER_AMD(0x9002),
	GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD(0x9003),
	GL_TESSELLATION_MODE_AMD(0x9004),
	GL_TESSELLATION_FACTOR_AMD(0x9005),
	GL_DISCRETE_AMD(0x9006),
	GL_CONTINUOUS_AMD(0x9007),
	GL_TEXTURE_BINDING_CUBE_MAP_ARRAY(0x900a),
	GL_ALPHA_SNORM(0x9010),
	GL_LUMINANCE_SNORM(0x9011),
	GL_LUMINANCE_ALPHA_SNORM(0x9012),
	GL_INTENSITY_SNORM(0x9013),
	GL_ALPHA8_SNORM(0x9014),
	GL_LUMINANCE8_SNORM(0x9015),
	GL_LUMINANCE8_ALPHA8_SNORM(0x9016),
	GL_INTENSITY8_SNORM(0x9017),
	GL_ALPHA16_SNORM(0x9018),
	GL_LUMINANCE16_SNORM(0x9019),
	GL_LUMINANCE16_ALPHA16_SNORM(0x901a),
	GL_INTENSITY16_SNORM(0x901b),
	GL_FACTOR_MIN_AMD(0x901c),
	GL_FACTOR_MAX_AMD(0x901d),
	GL_DEPTH_CLAMP_NEAR_AMD(0x901e),
	GL_DEPTH_CLAMP_FAR_AMD(0x901f),
	GL_VIDEO_BUFFER_NV(0x9020),
	GL_VIDEO_BUFFER_BINDING_NV(0x9021),
	GL_FIELD_UPPER_NV(0x9022),
	GL_FIELD_LOWER_NV(0x9023),
	GL_NUM_VIDEO_CAPTURE_STREAMS_NV(0x9024),
	GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV(0x9025),
	GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV(0x9026),
	GL_LAST_VIDEO_CAPTURE_STATUS_NV(0x9027),
	GL_VIDEO_BUFFER_PITCH_NV(0x9028),
	GL_VIDEO_COLOR_CONVERSION_MATRIX_NV(0x9029),
	GL_VIDEO_COLOR_CONVERSION_MAX_NV(0x902a),
	GL_VIDEO_COLOR_CONVERSION_MIN_NV(0x902b),
	GL_VIDEO_COLOR_CONVERSION_OFFSET_NV(0x902c),
	GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV(0x902d),
	GL_PARTIAL_SUCCESS_NV(0x902e),
	GL_SUCCESS_NV(0x902f),
	GL_FAILURE_NV(0x9030),
	GL_YCBYCR8_422_NV(0x9031),
	GL_YCBAYCR8A_4224_NV(0x9032),
	GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV(0x9033),
	GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV(0x9034),
	GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV(0x9035),
	GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV(0x9036),
	GL_Z4Y12Z4CB12Z4CR12_444_NV(0x9037),
	GL_VIDEO_CAPTURE_FRAME_WIDTH_NV(0x9038),
	GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV(0x9039),
	GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV(0x903a),
	GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV(0x903b),
	GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV(0x903c),
	GL_TEXTURE_COVERAGE_SAMPLES_NV(0x9045),
	GL_TEXTURE_COLOR_SAMPLES_NV(0x9046),
	GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX(0x9047),
	GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX(0x9048),
	GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX(0x9049),
	GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX(0x904a),
	GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX(0x904b),
	GL_MAX_IMAGE_SAMPLES(0x906d),
	GL_IMAGE_BINDING_FORMAT(0x906e),
	GL_SQUARE_NV(0x90a3),
	GL_ROUND_NV(0x90a4),
	GL_TRIANGULAR_NV(0x90a5),
	GL_BEVEL_NV(0x90a6),
	GL_MITER_REVERT_NV(0x90a7),
	GL_MITER_TRUNCATE_NV(0x90a8),
	GL_PATH_ERROR_POSITION_NV(0x90ab),
	GL_PATH_FOG_GEN_MODE_NV(0x90ac),
	GL_PATH_GEN_MODE_NV(0x90b0),
	GL_PATH_GEN_COEFF_NV(0x90b1),
	GL_PATH_GEN_COLOR_FORMAT_NV(0x90b2),
	GL_PATH_GEN_COMPONENTS_NV(0x90b3),
	GL_MOVE_TO_RESETS_NV(0x90b5),
	GL_MOVE_TO_CONTINUES_NV(0x90b6),
	GL_PATH_STENCIL_FUNC_NV(0x90b7),
	GL_PATH_STENCIL_REF_NV(0x90b8),
	GL_PATH_STENCIL_VALUE_MASK_NV(0x90b9),
	GL_SCALED_RESOLVE_FASTEST_EXT(0x90ba),
	GL_SCALED_RESOLVE_NICEST_EXT(0x90bb),
	GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV(0x90bd),
	GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV(0x90be),
	GL_PATH_COVER_DEPTH_FUNC_NV(0x90bf),
	GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE(0x90c8),
	GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS(0x90c9),
	GL_MAX_VERTEX_IMAGE_UNIFORMS(0x90ca),
	GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS(0x90cb),
	GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS(0x90cc),
	GL_MAX_GEOMETRY_IMAGE_UNIFORMS(0x90cd),
	GL_MAX_FRAGMENT_IMAGE_UNIFORMS(0x90ce),
	GL_MAX_COMBINED_IMAGE_UNIFORMS(0x90cf),
	GL_MAX_DEEP_3D_TEXTURE_WIDTH_HEIGHT_NV(0x90d0),
	GL_MAX_DEEP_3D_TEXTURE_DEPTH_NV(0x90d1),
	GL_MAX_SHADER_STORAGE_BLOCK_SIZE(0x90de),
	GL_SYNC_X11_FENCE_EXT(0x90e1),
	GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB(0x90eb),
	GL_COLOR_ATTACHMENT_EXT(0x90f0),
	GL_MULTIVIEW_EXT(0x90f1),
	GL_MAX_MULTIVIEW_BUFFERS_EXT(0x90f2),
	GL_CONTEXT_ROBUST_ACCESS(0x90f3),
	GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV(0x90fc),
	GL_TEXTURE_SAMPLES(0x9106),
	GL_TEXTURE_FIXED_SAMPLE_LOCATIONS(0x9107),
	GL_SYNC_FENCE(0x9116),
	GL_UNSIGNALED(0x9118),
	GL_SIGNALED(0x9119),
	GL_UNPACK_COMPRESSED_BLOCK_WIDTH(0x9127),
	GL_UNPACK_COMPRESSED_BLOCK_HEIGHT(0x9128),
	GL_UNPACK_COMPRESSED_BLOCK_DEPTH(0x9129),
	GL_UNPACK_COMPRESSED_BLOCK_SIZE(0x912a),
	GL_PACK_COMPRESSED_BLOCK_WIDTH(0x912b),
	GL_PACK_COMPRESSED_BLOCK_HEIGHT(0x912c),
	GL_PACK_COMPRESSED_BLOCK_DEPTH(0x912d),
	GL_PACK_COMPRESSED_BLOCK_SIZE(0x912e),
	GL_TEXTURE_IMMUTABLE_FORMAT(0x912f),
	GL_SGX_PROGRAM_BINARY_IMG(0x9130),
	GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG(0x9134),
	GL_MAX_SAMPLES_IMG(0x9135),
	GL_TEXTURE_SAMPLES_IMG(0x9136),
	GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG(0x9137),
	GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG(0x9138),
	GL_CUBIC_IMG(0x9139),
	GL_CUBIC_MIPMAP_NEAREST_IMG(0x913a),
	GL_CUBIC_MIPMAP_LINEAR_IMG(0x913b),
	GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_AND_DOWNSAMPLE_IMG(0x913c),
	GL_NUM_DOWNSAMPLE_SCALES_IMG(0x913d),
	GL_DOWNSAMPLE_SCALES_IMG(0x913e),
	GL_MAX_DEBUG_MESSAGE_LENGTH_KHR(0x9143),
	GL_MAX_DEBUG_LOGGED_MESSAGES_KHR(0x9144),
	GL_DEBUG_LOGGED_MESSAGES_KHR(0x9145),
	GL_DEBUG_SEVERITY_HIGH_KHR(0x9146),
	GL_DEBUG_SEVERITY_MEDIUM_KHR(0x9147),
	GL_DEBUG_SEVERITY_LOW_KHR(0x9148),
	GL_DEBUG_CATEGORY_API_ERROR_AMD(0x9149),
	GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD(0x914a),
	GL_DEBUG_CATEGORY_DEPRECATION_AMD(0x914b),
	GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD(0x914c),
	GL_DEBUG_CATEGORY_PERFORMANCE_AMD(0x914d),
	GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD(0x914e),
	GL_DEBUG_CATEGORY_APPLICATION_AMD(0x914f),
	GL_DEBUG_CATEGORY_OTHER_AMD(0x9150),
	GL_BUFFER_OBJECT_EXT(0x9151),
	GL_PERFORMANCE_MONITOR_AMD(0x9152),
	GL_QUERY_OBJECT_AMD(0x9153),
	GL_VERTEX_ARRAY_OBJECT_AMD(0x9154),
	GL_SAMPLER_OBJECT_AMD(0x9155),
	GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD(0x9160),
	GL_VIRTUAL_PAGE_SIZE_X_ARB(0x9195),
	GL_VIRTUAL_PAGE_SIZE_Y_ARB(0x9196),
	GL_VIRTUAL_PAGE_SIZE_Z_ARB(0x9197),
	GL_MAX_SPARSE_TEXTURE_SIZE_ARB(0x9198),
	GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB(0x9199),
	GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS(0x919a),
	GL_MIN_SPARSE_LEVEL_AMD(0x919b),
	GL_MIN_LOD_WARNING_AMD(0x919c),
	GL_TEXTURE_BUFFER_OFFSET(0x919d),
	GL_TEXTURE_BUFFER_SIZE(0x919e),
	GL_STREAM_RASTERIZATION_AMD(0x91a0),
	GL_VERTEX_ELEMENT_SWIZZLE_AMD(0x91a4),
	GL_VERTEX_ID_SWIZZLE_AMD(0x91a5),
	GL_TEXTURE_SPARSE_ARB(0x91a6),
	GL_VIRTUAL_PAGE_SIZE_INDEX_ARB(0x91a7),
	GL_NUM_VIRTUAL_PAGE_SIZES_ARB(0x91a8),
	GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB(0x91a9),
	GL_NUM_SPARSE_LEVELS_ARB(0x91aa),
	GL_PIXELS_PER_SAMPLE_PATTERN_X_AMD(0x91ae),
	GL_PIXELS_PER_SAMPLE_PATTERN_Y_AMD(0x91af),
	GL_MAX_SHADER_COMPILER_THREADS_KHR(0x91b0),
	GL_COMPLETION_STATUS_KHR(0x91b1),
	GL_MAX_COLOR_FRAMEBUFFER_SAMPLES_AMD(0x91b3),
	GL_MAX_COLOR_FRAMEBUFFER_STORAGE_SAMPLES_AMD(0x91b4),
	GL_MAX_DEPTH_STENCIL_FRAMEBUFFER_SAMPLES_AMD(0x91b5),
	GL_NUM_SUPPORTED_MULTISAMPLE_MODES_AMD(0x91b6),
	GL_SUPPORTED_MULTISAMPLE_MODES_AMD(0x91b7),
	GL_MAX_COMPUTE_IMAGE_UNIFORMS(0x91bd),
	GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB(0x91bf),
	GL_FLOAT16_MAT2_AMD(0x91c5),
	GL_FLOAT16_MAT3_AMD(0x91c6),
	GL_FLOAT16_MAT4_AMD(0x91c7),
	GL_FLOAT16_MAT2x3_AMD(0x91c8),
	GL_FLOAT16_MAT2x4_AMD(0x91c9),
	GL_FLOAT16_MAT3x2_AMD(0x91ca),
	GL_FLOAT16_MAT3x4_AMD(0x91cb),
	GL_FLOAT16_MAT4x2_AMD(0x91cc),
	GL_FLOAT16_MAT4x3_AMD(0x91cd),
	GL_UNPACK_FLIP_Y_WEBGL(0x9240),
	GL_UNPACK_PREMULTIPLY_ALPHA_WEBGL(0x9241),
	GL_CONTEXT_LOST_WEBGL(0x9242),
	GL_UNPACK_COLORSPACE_CONVERSION_WEBGL(0x9243),
	GL_BROWSER_DEFAULT_WEBGL(0x9244),
	GL_UNMASKED_VENDOR_WEBGL(0x9245),
	GL_UNMASKED_RENDERER_WEBGL(0x9246),
	GL_MAX_CLIENT_WAIT_TIMEOUT_WEBGL(0x9247),
	GL_TEXTURE_VIDEO_IMAGE_WEBGL(0x9248),
	GL_SAMPLER_VIDEO_IMAGE_WEBGL(0x9249),
	GL_SMAPHS30_PROGRAM_BINARY_DMP(0x9251),
	GL_SMAPHS_PROGRAM_BINARY_DMP(0x9252),
	GL_DMP_PROGRAM_BINARY_DMP(0x9253),
	GL_BLEND_PREMULTIPLIED_SRC_NV(0x9280),
	GL_BLEND_OVERLAP_NV(0x9281),
	GL_UNCORRELATED_NV(0x9282),
	GL_DISJOINT_NV(0x9283),
	GL_CONJOINT_NV(0x9284),
	GL_BLEND_ADVANCED_COHERENT_KHR(0x9285),
	GL_SRC_NV(0x9286),
	GL_DST_NV(0x9287),
	GL_SRC_OVER_NV(0x9288),
	GL_DST_OVER_NV(0x9289),
	GL_SRC_IN_NV(0x928a),
	GL_DST_IN_NV(0x928b),
	GL_SRC_OUT_NV(0x928c),
	GL_DST_OUT_NV(0x928d),
	GL_SRC_ATOP_NV(0x928e),
	GL_DST_ATOP_NV(0x928f),
	GL_PLUS_NV(0x9291),
	GL_PLUS_DARKER_NV(0x9292),
	GL_MULTIPLY(0x9294),
	GL_SCREEN(0x9295),
	GL_OVERLAY(0x9296),
	GL_DARKEN(0x9297),
	GL_LIGHTEN(0x9298),
	GL_COLORDODGE(0x9299),
	GL_COLORBURN(0x929a),
	GL_HARDLIGHT(0x929b),
	GL_SOFTLIGHT(0x929c),
	GL_DIFFERENCE(0x929e),
	GL_MINUS_NV(0x929f),
	GL_EXCLUSION(0x92a0),
	GL_CONTRAST_NV(0x92a1),
	GL_INVERT_RGB_NV(0x92a3),
	GL_LINEARDODGE_NV(0x92a4),
	GL_LINEARBURN_NV(0x92a5),
	GL_VIVIDLIGHT_NV(0x92a6),
	GL_LINEARLIGHT_NV(0x92a7),
	GL_PINLIGHT_NV(0x92a8),
	GL_HARDMIX_NV(0x92a9),
	GL_HSL_HUE(0x92ad),
	GL_HSL_SATURATION(0x92ae),
	GL_HSL_COLOR(0x92af),
	GL_HSL_LUMINOSITY(0x92b0),
	GL_PLUS_CLAMPED_NV(0x92b1),
	GL_PLUS_CLAMPED_ALPHA_NV(0x92b2),
	GL_MINUS_CLAMPED_NV(0x92b3),
	GL_INVERT_OVG_NV(0x92b4),
	GL_MAX_LGPU_GPUS_NVX(0x92ba),
	GL_PURGED_CONTEXT_RESET_NV(0x92bb),
	GL_PRIMITIVE_BOUNDING_BOX_ARB(0x92be),
	GL_ALPHA_TO_COVERAGE_DITHER_MODE_NV(0x92bf),
	GL_ATOMIC_COUNTER_BUFFER_START(0x92c2),
	GL_ATOMIC_COUNTER_BUFFER_SIZE(0x92c3),
	GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS(0x92cc),
	GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS(0x92cd),
	GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS(0x92ce),
	GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS(0x92cf),
	GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS(0x92d0),
	GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS(0x92d1),
	GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE(0x92d8),
	GL_UNSIGNED_INT_ATOMIC_COUNTER(0x92db),
	GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS(0x92dc),
	GL_FRAGMENT_COVERAGE_TO_COLOR_NV(0x92dd),
	GL_FRAGMENT_COVERAGE_COLOR_NV(0x92de),
	GL_MESH_OUTPUT_PER_VERTEX_GRANULARITY_NV(0x92df),
	GL_DEBUG_OUTPUT_KHR(0x92e0),
	GL_RASTER_MULTISAMPLE_EXT(0x9327),
	GL_RASTER_SAMPLES_EXT(0x9328),
	GL_MAX_RASTER_SAMPLES_EXT(0x9329),
	GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT(0x932a),
	GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT(0x932b),
	GL_EFFECTIVE_RASTER_SAMPLES_EXT(0x932c),
	GL_DEPTH_SAMPLES_NV(0x932d),
	GL_STENCIL_SAMPLES_NV(0x932e),
	GL_MIXED_DEPTH_SAMPLES_SUPPORTED_NV(0x932f),
	GL_MIXED_STENCIL_SAMPLES_SUPPORTED_NV(0x9330),
	GL_COVERAGE_MODULATION_TABLE_NV(0x9331),
	GL_COVERAGE_MODULATION_NV(0x9332),
	GL_COVERAGE_MODULATION_TABLE_SIZE_NV(0x9333),
	GL_WARP_SIZE_NV(0x9339),
	GL_WARPS_PER_SM_NV(0x933a),
	GL_SM_COUNT_NV(0x933b),
	GL_FILL_RECTANGLE_NV(0x933c),
	GL_SAMPLE_LOCATION_SUBPIXEL_BITS_ARB(0x933d),
	GL_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_ARB(0x933e),
	GL_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_ARB(0x933f),
	GL_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_ARB(0x9340),
	GL_PROGRAMMABLE_SAMPLE_LOCATION_NV(0x9341),
	GL_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_ARB(0x9342),
	GL_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_ARB(0x9343),
	GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB(0x9344),
	GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB(0x9345),
	GL_CONSERVATIVE_RASTERIZATION_NV(0x9346),
	GL_SUBPIXEL_PRECISION_BIAS_X_BITS_NV(0x9347),
	GL_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV(0x9348),
	GL_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV(0x9349),
	GL_ALPHA_TO_COVERAGE_DITHER_DEFAULT_NV(0x934d),
	GL_ALPHA_TO_COVERAGE_DITHER_ENABLE_NV(0x934e),
	GL_ALPHA_TO_COVERAGE_DITHER_DISABLE_NV(0x934f),
	GL_VIEWPORT_SWIZZLE_POSITIVE_X_NV(0x9350),
	GL_VIEWPORT_SWIZZLE_NEGATIVE_X_NV(0x9351),
	GL_VIEWPORT_SWIZZLE_POSITIVE_Y_NV(0x9352),
	GL_VIEWPORT_SWIZZLE_NEGATIVE_Y_NV(0x9353),
	GL_VIEWPORT_SWIZZLE_POSITIVE_Z_NV(0x9354),
	GL_VIEWPORT_SWIZZLE_NEGATIVE_Z_NV(0x9355),
	GL_VIEWPORT_SWIZZLE_POSITIVE_W_NV(0x9356),
	GL_VIEWPORT_SWIZZLE_NEGATIVE_W_NV(0x9357),
	GL_VIEWPORT_SWIZZLE_X_NV(0x9358),
	GL_VIEWPORT_SWIZZLE_Y_NV(0x9359),
	GL_VIEWPORT_SWIZZLE_Z_NV(0x935a),
	GL_VIEWPORT_SWIZZLE_W_NV(0x935b),
	GL_CLIP_ORIGIN(0x935c),
	GL_CLIP_DEPTH_MODE(0x935d),
	GL_TEXTURE_REDUCTION_MODE_ARB(0x9366),
	GL_WEIGHTED_AVERAGE_ARB(0x9367),
	GL_FONT_GLYPHS_AVAILABLE_NV(0x9368),
	GL_FONT_TARGET_UNAVAILABLE_NV(0x9369),
	GL_FONT_UNAVAILABLE_NV(0x936a),
	GL_FONT_UNINTELLIGIBLE_NV(0x936b),
	GL_STANDARD_FONT_FORMAT_NV(0x936c),
	GL_FRAGMENT_INPUT_NV(0x936d),
	GL_UNIFORM_BUFFER_UNIFIED_NV(0x936e),
	GL_UNIFORM_BUFFER_ADDRESS_NV(0x936f),
	GL_UNIFORM_BUFFER_LENGTH_NV(0x9370),
	GL_MULTISAMPLES_NV(0x9371),
	GL_SUPERSAMPLE_SCALE_X_NV(0x9372),
	GL_SUPERSAMPLE_SCALE_Y_NV(0x9373),
	GL_CONFORMANT_NV(0x9374),
	GL_CONSERVATIVE_RASTER_DILATE_NV(0x9379),
	GL_CONSERVATIVE_RASTER_DILATE_RANGE_NV(0x937a),
	GL_CONSERVATIVE_RASTER_DILATE_GRANULARITY_NV(0x937b),
	GL_VIEWPORT_POSITION_W_SCALE_NV(0x937c),
	GL_VIEWPORT_POSITION_W_SCALE_X_COEFF_NV(0x937d),
	GL_VIEWPORT_POSITION_W_SCALE_Y_COEFF_NV(0x937e),
	GL_REPRESENTATIVE_FRAGMENT_TEST_NV(0x937f),
	GL_MULTISAMPLE_LINE_WIDTH_RANGE_ARB(0x9381),
	GL_MULTISAMPLE_LINE_WIDTH_GRANULARITY_ARB(0x9382),
	GL_VIEW_CLASS_EAC_R11(0x9383),
	GL_VIEW_CLASS_EAC_RG11(0x9384),
	GL_VIEW_CLASS_ETC2_RGB(0x9385),
	GL_VIEW_CLASS_ETC2_RGBA(0x9386),
	GL_VIEW_CLASS_ETC2_EAC_RGBA(0x9387),
	GL_VIEW_CLASS_ASTC_4x4_RGBA(0x9388),
	GL_VIEW_CLASS_ASTC_5x4_RGBA(0x9389),
	GL_VIEW_CLASS_ASTC_5x5_RGBA(0x938a),
	GL_VIEW_CLASS_ASTC_6x5_RGBA(0x938b),
	GL_VIEW_CLASS_ASTC_6x6_RGBA(0x938c),
	GL_VIEW_CLASS_ASTC_8x5_RGBA(0x938d),
	GL_VIEW_CLASS_ASTC_8x6_RGBA(0x938e),
	GL_VIEW_CLASS_ASTC_8x8_RGBA(0x938f),
	GL_VIEW_CLASS_ASTC_10x5_RGBA(0x9390),
	GL_VIEW_CLASS_ASTC_10x6_RGBA(0x9391),
	GL_VIEW_CLASS_ASTC_10x8_RGBA(0x9392),
	GL_VIEW_CLASS_ASTC_10x10_RGBA(0x9393),
	GL_VIEW_CLASS_ASTC_12x10_RGBA(0x9394),
	GL_VIEW_CLASS_ASTC_12x12_RGBA(0x9395),
	GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE(0x93a0),
	GL_BGRA8_EXT(0x93a1),
	GL_TEXTURE_USAGE_ANGLE(0x93a2),
	GL_FRAMEBUFFER_ATTACHMENT_ANGLE(0x93a3),
	GL_PACK_REVERSE_ROW_ORDER_ANGLE(0x93a4),
	GL_PROGRAM_BINARY_ANGLE(0x93a6),
	GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV2_IMG(0x93f0),
	GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV2_IMG(0x93f1),
	GL_PERFQUERY_COUNTER_EVENT_INTEL(0x94f0),
	GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL(0x94f1),
	GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL(0x94f2),
	GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL(0x94f3),
	GL_PERFQUERY_COUNTER_RAW_INTEL(0x94f4),
	GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL(0x94f5),
	GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL(0x94f8),
	GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL(0x94f9),
	GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL(0x94fa),
	GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL(0x94fb),
	GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL(0x94fc),
	GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL(0x94fd),
	GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL(0x94fe),
	GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL(0x94ff),
	GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL(0x9500),
	GL_SUBGROUP_SIZE_KHR(0x9532),
	GL_SUBGROUP_SUPPORTED_STAGES_KHR(0x9533),
	GL_SUBGROUP_SUPPORTED_FEATURES_KHR(0x9534),
	GL_SUBGROUP_QUAD_ALL_STAGES_KHR(0x9535),
	GL_MAX_MESH_TOTAL_MEMORY_SIZE_NV(0x9536),
	GL_MAX_TASK_TOTAL_MEMORY_SIZE_NV(0x9537),
	GL_MAX_MESH_OUTPUT_VERTICES_NV(0x9538),
	GL_MAX_MESH_OUTPUT_PRIMITIVES_NV(0x9539),
	GL_MAX_TASK_OUTPUT_COUNT_NV(0x953a),
	GL_MAX_MESH_WORK_GROUP_SIZE_NV(0x953b),
	GL_MAX_TASK_WORK_GROUP_SIZE_NV(0x953c),
	GL_MAX_DRAW_MESH_TASKS_COUNT_NV(0x953d),
	GL_MESH_WORK_GROUP_SIZE_NV(0x953e),
	GL_TASK_WORK_GROUP_SIZE_NV(0x953f),
	GL_QUERY_RESOURCE_TYPE_VIDMEM_ALLOC_NV(0x9540),
	GL_QUERY_RESOURCE_MEMTYPE_VIDMEM_NV(0x9542),
	GL_MESH_OUTPUT_PER_PRIMITIVE_GRANULARITY_NV(0x9543),
	GL_QUERY_RESOURCE_SYS_RESERVED_NV(0x9544),
	GL_QUERY_RESOURCE_TEXTURE_NV(0x9545),
	GL_QUERY_RESOURCE_RENDERBUFFER_NV(0x9546),
	GL_QUERY_RESOURCE_BUFFEROBJECT_NV(0x9547),
	GL_PER_GPU_STORAGE_NV(0x9548),
	GL_MULTICAST_PROGRAMMABLE_SAMPLE_LOCATION_NV(0x9549),
	GL_UPLOAD_GPU_MASK_NVX(0x954a),
	GL_CONSERVATIVE_RASTER_MODE_NV(0x954d),
	GL_CONSERVATIVE_RASTER_MODE_POST_SNAP_NV(0x954e),
	GL_CONSERVATIVE_RASTER_MODE_PRE_SNAP_TRIANGLES_NV(0x954f),
	GL_CONSERVATIVE_RASTER_MODE_PRE_SNAP_NV(0x9550),
	GL_SPIR_V_BINARY(0x9552),
	GL_SPIR_V_EXTENSIONS(0x9553),
	GL_NUM_SPIR_V_EXTENSIONS(0x9554),
	GL_SCISSOR_TEST_EXCLUSIVE_NV(0x9555),
	GL_SCISSOR_BOX_EXCLUSIVE_NV(0x9556),
	GL_MAX_MESH_VIEWS_NV(0x9557),
	GL_RENDER_GPU_MASK_NV(0x9558),
	GL_MESH_SHADER_NV(0x9559),
	GL_TASK_SHADER_NV(0x955a),
	GL_SHADING_RATE_IMAGE_BINDING_NV(0x955b),
	GL_SHADING_RATE_IMAGE_TEXEL_WIDTH_NV(0x955c),
	GL_SHADING_RATE_IMAGE_TEXEL_HEIGHT_NV(0x955d),
	GL_SHADING_RATE_IMAGE_PALETTE_SIZE_NV(0x955e),
	GL_MAX_COARSE_FRAGMENT_SAMPLES_NV(0x955f),
	GL_SHADING_RATE_IMAGE_NV(0x9563),
	GL_SHADING_RATE_NO_INVOCATIONS_NV(0x9564),
	GL_SHADING_RATE_1_INVOCATION_PER_PIXEL_NV(0x9565),
	GL_SHADING_RATE_1_INVOCATION_PER_1X2_PIXELS_NV(0x9566),
	GL_SHADING_RATE_1_INVOCATION_PER_2X1_PIXELS_NV(0x9567),
	GL_SHADING_RATE_1_INVOCATION_PER_2X2_PIXELS_NV(0x9568),
	GL_SHADING_RATE_1_INVOCATION_PER_2X4_PIXELS_NV(0x9569),
	GL_SHADING_RATE_1_INVOCATION_PER_4X2_PIXELS_NV(0x956a),
	GL_SHADING_RATE_1_INVOCATION_PER_4X4_PIXELS_NV(0x956b),
	GL_SHADING_RATE_2_INVOCATIONS_PER_PIXEL_NV(0x956c),
	GL_SHADING_RATE_4_INVOCATIONS_PER_PIXEL_NV(0x956d),
	GL_SHADING_RATE_8_INVOCATIONS_PER_PIXEL_NV(0x956e),
	GL_SHADING_RATE_16_INVOCATIONS_PER_PIXEL_NV(0x956f),
	GL_MESH_VERTICES_OUT_NV(0x9579),
	GL_MESH_PRIMITIVES_OUT_NV(0x957a),
	GL_MESH_OUTPUT_TYPE_NV(0x957b),
	GL_MESH_SUBROUTINE_NV(0x957c),
	GL_TASK_SUBROUTINE_NV(0x957d),
	GL_MESH_SUBROUTINE_UNIFORM_NV(0x957e),
	GL_TASK_SUBROUTINE_UNIFORM_NV(0x957f),
	GL_NUM_TILING_TYPES_EXT(0x9582),
	GL_TILING_TYPES_EXT(0x9583),
	GL_OPTIMAL_TILING_EXT(0x9584),
	GL_LINEAR_TILING_EXT(0x9585),
	GL_UNIFORM_BLOCK_REFERENCED_BY_MESH_SHADER_NV(0x959c),
	GL_UNIFORM_BLOCK_REFERENCED_BY_TASK_SHADER_NV(0x959d),
	GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_MESH_SHADER_NV(0x959e),
	GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TASK_SHADER_NV(0x959f),
	GL_REFERENCED_BY_MESH_SHADER_NV(0x95a0),
	GL_REFERENCED_BY_TASK_SHADER_NV(0x95a1),
	GL_MAX_MESH_WORK_GROUP_INVOCATIONS_NV(0x95a2),
	GL_MAX_TASK_WORK_GROUP_INVOCATIONS_NV(0x95a3),
	GL_ATTACHED_MEMORY_OBJECT_NV(0x95a4),
	GL_ATTACHED_MEMORY_OFFSET_NV(0x95a5),
	GL_MEMORY_ATTACHABLE_ALIGNMENT_NV(0x95a6),
	GL_MEMORY_ATTACHABLE_SIZE_NV(0x95a7),
	GL_MEMORY_ATTACHABLE_NV(0x95a8),
	GL_DETACHED_MEMORY_INCARNATION_NV(0x95a9),
	GL_DETACHED_TEXTURES_NV(0x95aa),
	GL_DETACHED_BUFFERS_NV(0x95ab),
	GL_MAX_DETACHED_TEXTURES_NV(0x95ac),
	GL_MAX_DETACHED_BUFFERS_NV(0x95ad),
	GL_SHADING_RATE_SAMPLE_ORDER_DEFAULT_NV(0x95ae),
	GL_SHADING_RATE_SAMPLE_ORDER_PIXEL_MAJOR_NV(0x95af),
	GL_SHADING_RATE_SAMPLE_ORDER_SAMPLE_MAJOR_NV(0x95b0),
	GL_MAX_VIEWS_OVR(0x9631),
	GL_FRAMEBUFFER_INCOMPLETE_VIEW_TARGETS_OVR(0x9633),
	GL_GS_SHADER_BINARY_MTK(0x9640),
	GL_GS_PROGRAM_BINARY_MTK(0x9641),
	GL_MAX_SHADER_COMBINED_LOCAL_STORAGE_FAST_SIZE_EXT(0x9650),
	GL_MAX_SHADER_COMBINED_LOCAL_STORAGE_SIZE_EXT(0x9651),
	GL_FRAMEBUFFER_INCOMPLETE_INSUFFICIENT_SHADER_COMBINED_LOCAL_STORAGE_EXT(0x9652),
	GL_VALIDATE_SHADER_BINARY_QCOM(0x96a3),
	GL_RASTER_POSITION_UNCLIPPED_IBM(0x19262),
	GL_CULL_VERTEX_IBM(0x1928a),
	GL_ALL_STATIC_DATA_IBM(0x19294),
	GL_STATIC_VERTEX_ARRAY_IBM(0x19295),
	GL_VERTEX_ARRAY_LIST_IBM(0x1929e),
	GL_NORMAL_ARRAY_LIST_IBM(0x1929f),
	GL_COLOR_ARRAY_LIST_IBM(0x192a0),
	GL_INDEX_ARRAY_LIST_IBM(0x192a1),
	GL_TEXTURE_COORD_ARRAY_LIST_IBM(0x192a2),
	GL_EDGE_FLAG_ARRAY_LIST_IBM(0x192a3),
	GL_FOG_COORDINATE_ARRAY_LIST_IBM(0x192a4),
	GL_SECONDARY_COLOR_ARRAY_LIST_IBM(0x192a5),
	GL_VERTEX_ARRAY_LIST_STRIDE_IBM(0x192a8),
	GL_NORMAL_ARRAY_LIST_STRIDE_IBM(0x192a9),
	GL_COLOR_ARRAY_LIST_STRIDE_IBM(0x192aa),
	GL_INDEX_ARRAY_LIST_STRIDE_IBM(0x192ab),
	GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM(0x192ac),
	GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM(0x192ad),
	GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM(0x192ae),
	GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM(0x192af),
	GL_NATIVE_GRAPHICS_HANDLE_PGI(0x1a202);
	
	private final int glEnum;

	GLUngrouped(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLUngrouped> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLUngrouped fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0xc0 -> GL_SHARED_EDGE_NV;
			case 0x503 -> GL_STACK_OVERFLOW_KHR;
			case 0x504 -> GL_STACK_UNDERFLOW_KHR;
			case 0x507 -> GL_CONTEXT_LOST;
			case 0xba3 -> GL_PATH_MODELVIEW_STACK_DEPTH_NV;
			case 0xba4 -> GL_PATH_PROJECTION_STACK_DEPTH_NV;
			case 0xba6 -> GL_PATH_MODELVIEW_MATRIX_NV;
			case 0xba7 -> GL_PATH_PROJECTION_MATRIX_NV;
			case 0xd32 -> GL_MAX_CLIP_PLANES_IMG;
			case 0xd36 -> GL_PATH_MAX_MODELVIEW_STACK_DEPTH_NV;
			case 0xd38 -> GL_PATH_MAX_PROJECTION_STACK_DEPTH_NV;
			case 0x1006 -> GL_TEXTURE_TARGET;
			case 0x1700 -> GL_MODELVIEW0_ARB;
			case 0x1701 -> GL_PATH_PROJECTION_NV;
			case 0x3000 -> GL_CLIP_PLANE0_IMG;
			case 0x3001 -> GL_CLIP_PLANE1_IMG;
			case 0x3002 -> GL_CLIP_PLANE2_IMG;
			case 0x3003 -> GL_CLIP_PLANE3_IMG;
			case 0x3004 -> GL_CLIP_PLANE4_IMG;
			case 0x3005 -> GL_CLIP_PLANE5_IMG;
			case 0x8037 -> GL_POLYGON_OFFSET_EXT;
			case 0x8068 -> GL_TEXTURE_1D_BINDING_EXT;
			case 0x8069 -> GL_TEXTURE_2D_BINDING_EXT;
			case 0x806a -> GL_TEXTURE_3D_BINDING_OES;
			case 0x8074 -> GL_VERTEX_ARRAY_KHR;
			case 0x809e -> GL_SAMPLE_ALPHA_TO_MASK_EXT;
			case 0x80a0 -> GL_SAMPLE_MASK_EXT;
			case 0x80aa -> GL_SAMPLE_MASK_VALUE_EXT;
			case 0x80ab -> GL_SAMPLE_MASK_INVERT_EXT;
			case 0x80ac -> GL_SAMPLE_PATTERN_EXT;
			case 0x80bf -> GL_TEXTURE_COMPARE_FAIL_VALUE_ARB;
			case 0x80cc -> GL_422_EXT;
			case 0x80cd -> GL_422_REV_EXT;
			case 0x80ce -> GL_422_AVERAGE_EXT;
			case 0x80cf -> GL_422_REV_AVERAGE_EXT;
			case 0x80e2 -> GL_COLOR_INDEX1_EXT;
			case 0x80e3 -> GL_COLOR_INDEX2_EXT;
			case 0x80e4 -> GL_COLOR_INDEX4_EXT;
			case 0x80e5 -> GL_COLOR_INDEX8_EXT;
			case 0x80e6 -> GL_COLOR_INDEX12_EXT;
			case 0x80e7 -> GL_COLOR_INDEX16_EXT;
			case 0x80ea -> GL_PHONG_WIN;
			case 0x80ec -> GL_FOG_SPECULAR_TEXTURE_WIN;
			case 0x80ed -> GL_TEXTURE_INDEX_SIZE_EXT;
			case 0x8150 -> GL_IGNORE_BORDER_HP;
			case 0x8151 -> GL_CONSTANT_BORDER;
			case 0x8153 -> GL_REPLICATE_BORDER;
			case 0x8154 -> GL_CONVOLUTION_BORDER_COLOR_HP;
			case 0x815f -> GL_CUBIC_HP;
			case 0x8160 -> GL_AVERAGE_HP;
			case 0x8162 -> GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP;
			case 0x8163 -> GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP;
			case 0x8165 -> GL_OCCLUSION_TEST_HP;
			case 0x8166 -> GL_OCCLUSION_TEST_RESULT_HP;
			case 0x8167 -> GL_TEXTURE_LIGHTING_MODE_HP;
			case 0x8168 -> GL_TEXTURE_POST_SPECULAR_HP;
			case 0x8169 -> GL_TEXTURE_PRE_SPECULAR_HP;
			case 0x8197 -> GL_MAX_DEFORMATION_ORDER_SGIX;
			case 0x81a8 -> GL_ARRAY_ELEMENT_LOCK_FIRST_EXT;
			case 0x81a9 -> GL_ARRAY_ELEMENT_LOCK_COUNT_EXT;
			case 0x81aa -> GL_CULL_VERTEX_EXT;
			case 0x81ad -> GL_IUI_V2F_EXT;
			case 0x81ae -> GL_IUI_V3F_EXT;
			case 0x81af -> GL_IUI_N3F_V2F_EXT;
			case 0x81b0 -> GL_IUI_N3F_V3F_EXT;
			case 0x81b1 -> GL_T2F_IUI_V2F_EXT;
			case 0x81b2 -> GL_T2F_IUI_V3F_EXT;
			case 0x81b3 -> GL_T2F_IUI_N3F_V2F_EXT;
			case 0x81b4 -> GL_T2F_IUI_N3F_V3F_EXT;
			case 0x81b5 -> GL_INDEX_TEST_EXT;
			case 0x81b6 -> GL_INDEX_TEST_FUNC_EXT;
			case 0x81b7 -> GL_INDEX_TEST_REF_EXT;
			case 0x81b8 -> GL_INDEX_MATERIAL_EXT;
			case 0x81b9 -> GL_INDEX_MATERIAL_PARAMETER_EXT;
			case 0x81ba -> GL_INDEX_MATERIAL_FACE_EXT;
			case 0x81d4 -> GL_WRAP_BORDER_SUN;
			case 0x81d5 -> GL_UNPACK_CONSTANT_DATA_SUNX;
			case 0x81d6 -> GL_TEXTURE_CONSTANT_DATA_SUNX;
			case 0x81d7 -> GL_TRIANGLE_LIST_SUN;
			case 0x81d8 -> GL_REPLACEMENT_CODE_SUN;
			case 0x81d9 -> GL_GLOBAL_ALPHA_SUN;
			case 0x81da -> GL_GLOBAL_ALPHA_FACTOR_SUN;
			case 0x81ef -> GL_TEXTURE_COLOR_WRITEMASK_SGIS;
			case 0x8218 -> GL_FRAMEBUFFER_DEFAULT;
			case 0x8221 -> GL_PRIMITIVE_RESTART_FOR_PATCHES_SUPPORTED;
			case 0x8222 -> GL_INDEX;
			case 0x8240 -> GL_SYNC_CL_EVENT_ARB;
			case 0x8241 -> GL_SYNC_CL_EVENT_COMPLETE_ARB;
			case 0x8242 -> GL_DEBUG_OUTPUT_SYNCHRONOUS_KHR;
			case 0x8243 -> GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_KHR;
			case 0x8244 -> GL_DEBUG_CALLBACK_FUNCTION_KHR;
			case 0x8245 -> GL_DEBUG_CALLBACK_USER_PARAM_KHR;
			case 0x8246 -> GL_DEBUG_SOURCE_API_KHR;
			case 0x8247 -> GL_DEBUG_SOURCE_WINDOW_SYSTEM_KHR;
			case 0x8248 -> GL_DEBUG_SOURCE_SHADER_COMPILER_KHR;
			case 0x8249 -> GL_DEBUG_SOURCE_THIRD_PARTY_KHR;
			case 0x824a -> GL_DEBUG_SOURCE_APPLICATION_KHR;
			case 0x824b -> GL_DEBUG_SOURCE_OTHER_KHR;
			case 0x824c -> GL_DEBUG_TYPE_ERROR_KHR;
			case 0x824d -> GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_KHR;
			case 0x824e -> GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_KHR;
			case 0x824f -> GL_DEBUG_TYPE_PORTABILITY_KHR;
			case 0x8250 -> GL_DEBUG_TYPE_PERFORMANCE_KHR;
			case 0x8251 -> GL_DEBUG_TYPE_OTHER_KHR;
			case 0x8252 -> GL_LOSE_CONTEXT_ON_RESET;
			case 0x8253 -> GL_GUILTY_CONTEXT_RESET_KHR;
			case 0x8254 -> GL_INNOCENT_CONTEXT_RESET_KHR;
			case 0x8255 -> GL_UNKNOWN_CONTEXT_RESET_KHR;
			case 0x8256 -> GL_RESET_NOTIFICATION_STRATEGY;
			case 0x8260 -> GL_UNDEFINED_VERTEX;
			case 0x8261 -> GL_NO_RESET_NOTIFICATION;
			case 0x8262 -> GL_MAX_COMPUTE_SHARED_MEMORY_SIZE;
			case 0x8268 -> GL_DEBUG_TYPE_MARKER_KHR;
			case 0x8269 -> GL_DEBUG_TYPE_PUSH_GROUP_KHR;
			case 0x826a -> GL_DEBUG_TYPE_POP_GROUP_KHR;
			case 0x826b -> GL_DEBUG_SEVERITY_NOTIFICATION_KHR;
			case 0x826c -> GL_MAX_DEBUG_GROUP_STACK_DEPTH_KHR;
			case 0x826d -> GL_DEBUG_GROUP_STACK_DEPTH_KHR;
			case 0x8282 -> GL_MAX_COMBINED_DIMENSIONS;
			case 0x8284 -> GL_DEPTH_COMPONENTS;
			case 0x8285 -> GL_STENCIL_COMPONENTS;
			case 0x8294 -> GL_MANUAL_GENERATE_MIPMAP;
			case 0x8299 -> GL_SRGB_DECODE_ARB;
			case 0x82b7 -> GL_FULL_SUPPORT;
			case 0x82b8 -> GL_CAVEAT_SUPPORT;
			case 0x82b9 -> GL_IMAGE_CLASS_4_X_32;
			case 0x82ba -> GL_IMAGE_CLASS_2_X_32;
			case 0x82bb -> GL_IMAGE_CLASS_1_X_32;
			case 0x82bc -> GL_IMAGE_CLASS_4_X_16;
			case 0x82bd -> GL_IMAGE_CLASS_2_X_16;
			case 0x82be -> GL_IMAGE_CLASS_1_X_16;
			case 0x82bf -> GL_IMAGE_CLASS_4_X_8;
			case 0x82c0 -> GL_IMAGE_CLASS_2_X_8;
			case 0x82c1 -> GL_IMAGE_CLASS_1_X_8;
			case 0x82c2 -> GL_IMAGE_CLASS_11_11_10;
			case 0x82c3 -> GL_IMAGE_CLASS_10_10_10_2;
			case 0x82c4 -> GL_VIEW_CLASS_128_BITS;
			case 0x82c5 -> GL_VIEW_CLASS_96_BITS;
			case 0x82c6 -> GL_VIEW_CLASS_64_BITS;
			case 0x82c7 -> GL_VIEW_CLASS_48_BITS;
			case 0x82c8 -> GL_VIEW_CLASS_32_BITS;
			case 0x82c9 -> GL_VIEW_CLASS_24_BITS;
			case 0x82ca -> GL_VIEW_CLASS_16_BITS;
			case 0x82cb -> GL_VIEW_CLASS_8_BITS;
			case 0x82cc -> GL_VIEW_CLASS_S3TC_DXT1_RGB;
			case 0x82cd -> GL_VIEW_CLASS_S3TC_DXT1_RGBA;
			case 0x82ce -> GL_VIEW_CLASS_S3TC_DXT3_RGBA;
			case 0x82cf -> GL_VIEW_CLASS_S3TC_DXT5_RGBA;
			case 0x82d0 -> GL_VIEW_CLASS_RGTC1_RED;
			case 0x82d1 -> GL_VIEW_CLASS_RGTC2_RG;
			case 0x82d2 -> GL_VIEW_CLASS_BPTC_UNORM;
			case 0x82d3 -> GL_VIEW_CLASS_BPTC_FLOAT;
			case 0x82db -> GL_TEXTURE_VIEW_MIN_LEVEL;
			case 0x82dc -> GL_TEXTURE_VIEW_NUM_LEVELS;
			case 0x82dd -> GL_TEXTURE_VIEW_MIN_LAYER;
			case 0x82de -> GL_TEXTURE_VIEW_NUM_LAYERS;
			case 0x82df -> GL_TEXTURE_IMMUTABLE_LEVELS;
			case 0x82e0 -> GL_BUFFER_KHR;
			case 0x82e1 -> GL_SHADER_KHR;
			case 0x82e2 -> GL_PROGRAM_KHR;
			case 0x82e3 -> GL_QUERY_KHR;
			case 0x82e4 -> GL_PROGRAM_PIPELINE_KHR;
			case 0x82e5 -> GL_MAX_VERTEX_ATTRIB_STRIDE;
			case 0x82e6 -> GL_SAMPLER_KHR;
			case 0x82e7 -> GL_DISPLAY_LIST;
			case 0x82e8 -> GL_MAX_LABEL_LENGTH_KHR;
			case 0x82e9 -> GL_NUM_SHADING_LANGUAGE_VERSIONS;
			case 0x82ed -> GL_TRANSFORM_FEEDBACK_STREAM_OVERFLOW;
			case 0x82f1 -> GL_TESS_CONTROL_SHADER_PATCHES;
			case 0x82f2 -> GL_TESS_EVALUATION_SHADER_INVOCATIONS;
			case 0x82f3 -> GL_GEOMETRY_SHADER_PRIMITIVES_EMITTED;
			case 0x82f4 -> GL_FRAGMENT_SHADER_INVOCATIONS;
			case 0x82f5 -> GL_COMPUTE_SHADER_INVOCATIONS;
			case 0x82f6 -> GL_CLIPPING_INPUT_PRIMITIVES;
			case 0x82f7 -> GL_CLIPPING_OUTPUT_PRIMITIVES;
			case 0x82f8 -> GL_SPARSE_BUFFER_PAGE_SIZE_ARB;
			case 0x82f9 -> GL_MAX_CULL_DISTANCES;
			case 0x82fa -> GL_MAX_COMBINED_CLIP_AND_CULL_DISTANCES;
			case 0x82fb -> GL_CONTEXT_RELEASE_BEHAVIOR;
			case 0x82fc -> GL_CONTEXT_RELEASE_BEHAVIOR_FLUSH;
			case 0x82fd -> GL_ROBUST_GPU_TIMEOUT_MS_KHR;
			case 0x8310 -> GL_DEPTH_PASS_INSTRUMENT_SGIX;
			case 0x8311 -> GL_DEPTH_PASS_INSTRUMENT_COUNTERS_SGIX;
			case 0x8312 -> GL_DEPTH_PASS_INSTRUMENT_MAX_SGIX;
			case 0x8313 -> GL_FRAGMENTS_INSTRUMENT_SGIX;
			case 0x8314 -> GL_FRAGMENTS_INSTRUMENT_COUNTERS_SGIX;
			case 0x8315 -> GL_FRAGMENTS_INSTRUMENT_MAX_SGIX;
			case 0x8318 -> GL_YCRCB_SGIX;
			case 0x8319 -> GL_YCRCBA_SGIX;
			case 0x831a -> GL_UNPACK_COMPRESSED_SIZE_SGIX;
			case 0x831b -> GL_PACK_MAX_COMPRESSED_SIZE_SGIX;
			case 0x831c -> GL_PACK_COMPRESSED_SIZE_SGIX;
			case 0x831d -> GL_SLIM8U_SGIX;
			case 0x831e -> GL_SLIM10U_SGIX;
			case 0x831f -> GL_SLIM12S_SGIX;
			case 0x8334 -> GL_CUBIC_EXT;
			case 0x8335 -> GL_AVERAGE_EXT;
			case 0x8336 -> GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT;
			case 0x8337 -> GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT;
			case 0x8338 -> GL_PIXEL_TRANSFORM_2D_MATRIX_EXT;
			case 0x834f -> GL_TEXTURE_APPLICATION_MODE_EXT;
			case 0x8350 -> GL_TEXTURE_LIGHT_EXT;
			case 0x8351 -> GL_TEXTURE_MATERIAL_FACE_EXT;
			case 0x8352 -> GL_TEXTURE_MATERIAL_PARAMETER_EXT;
			case 0x8356 -> GL_PIXEL_GROUP_COLOR_SGIS;
			case 0x83a0 -> GL_RGB_S3TC;
			case 0x83a1 -> GL_RGB4_S3TC;
			case 0x83a2 -> GL_RGBA_S3TC;
			case 0x83a3 -> GL_RGBA4_S3TC;
			case 0x83a4 -> GL_RGBA_DXT5_S3TC;
			case 0x83a5 -> GL_RGBA4_DXT5_S3TC;
			case 0x83f4 -> GL_PARALLEL_ARRAYS_INTEL;
			case 0x83f5 -> GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL;
			case 0x83f6 -> GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL;
			case 0x83f7 -> GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL;
			case 0x83f8 -> GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL;
			case 0x83fc -> GL_BLACKHOLE_RENDER_INTEL;
			case 0x83fe -> GL_CONSERVATIVE_RASTERIZATION_INTEL;
			case 0x8406 -> GL_CURRENT_RASTER_NORMAL_SGIX;
			case 0x8439 -> GL_TANGENT_ARRAY_EXT;
			case 0x843a -> GL_BINORMAL_ARRAY_EXT;
			case 0x843b -> GL_CURRENT_TANGENT_EXT;
			case 0x843c -> GL_CURRENT_BINORMAL_EXT;
			case 0x843e -> GL_TANGENT_ARRAY_TYPE_EXT;
			case 0x843f -> GL_TANGENT_ARRAY_STRIDE_EXT;
			case 0x8440 -> GL_BINORMAL_ARRAY_TYPE_EXT;
			case 0x8441 -> GL_BINORMAL_ARRAY_STRIDE_EXT;
			case 0x8442 -> GL_TANGENT_ARRAY_POINTER_EXT;
			case 0x8443 -> GL_BINORMAL_ARRAY_POINTER_EXT;
			case 0x8444 -> GL_MAP1_TANGENT_EXT;
			case 0x8445 -> GL_MAP2_TANGENT_EXT;
			case 0x8446 -> GL_MAP1_BINORMAL_EXT;
			case 0x8447 -> GL_MAP2_BINORMAL_EXT;
			case 0x8450 -> GL_FOG_COORDINATE_SOURCE;
			case 0x8453 -> GL_CURRENT_FOG_COORDINATE;
			case 0x8454 -> GL_FOG_COORDINATE_ARRAY_TYPE;
			case 0x8455 -> GL_FOG_COORDINATE_ARRAY_STRIDE;
			case 0x8456 -> GL_FOG_COORDINATE_ARRAY_POINTER;
			case 0x8457 -> GL_FOG_COORDINATE_ARRAY;
			case 0x8458 -> GL_COLOR_SUM;
			case 0x8459 -> GL_CURRENT_SECONDARY_COLOR;
			case 0x845a -> GL_SECONDARY_COLOR_ARRAY_SIZE;
			case 0x845b -> GL_SECONDARY_COLOR_ARRAY_TYPE;
			case 0x845c -> GL_SECONDARY_COLOR_ARRAY_STRIDE;
			case 0x845d -> GL_SECONDARY_COLOR_ARRAY_POINTER;
			case 0x845e -> GL_SECONDARY_COLOR_ARRAY;
			case 0x845f -> GL_CURRENT_RASTER_SECONDARY_COLOR;
			case 0x8490 -> GL_SCREEN_COORDINATES_REND;
			case 0x8491 -> GL_INVERTED_SCREEN_W_REND;
			case 0x84e1 -> GL_CLIENT_ACTIVE_TEXTURE;
			case 0x84e2 -> GL_MAX_TEXTURE_UNITS;
			case 0x84e3 -> GL_TRANSPOSE_MODELVIEW_MATRIX;
			case 0x84e4 -> GL_TRANSPOSE_PROJECTION_MATRIX;
			case 0x84e5 -> GL_TRANSPOSE_TEXTURE_MATRIX;
			case 0x84e6 -> GL_TRANSPOSE_COLOR_MATRIX;
			case 0x84e7 -> GL_SUBTRACT;
			case 0x84e9 -> GL_COMPRESSED_ALPHA;
			case 0x84ea -> GL_COMPRESSED_LUMINANCE;
			case 0x84eb -> GL_COMPRESSED_LUMINANCE_ALPHA;
			case 0x84ec -> GL_COMPRESSED_INTENSITY;
			case 0x84ff -> GL_MAX_TEXTURE_MAX_ANISOTROPY;
			case 0x8502 -> GL_MODELVIEW1_STACK_DEPTH_EXT;
			case 0x8503 -> GL_COMBINE4_NV;
			case 0x8504 -> GL_MAX_SHININESS_NV;
			case 0x8505 -> GL_MAX_SPOT_EXPONENT_NV;
			case 0x8506 -> GL_MODELVIEW1_MATRIX_EXT;
			case 0x8509 -> GL_VERTEX_WEIGHTING_EXT;
			case 0x850a -> GL_MODELVIEW1_ARB;
			case 0x850b -> GL_CURRENT_VERTEX_WEIGHT_EXT;
			case 0x850c -> GL_VERTEX_WEIGHT_ARRAY_EXT;
			case 0x850d -> GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT;
			case 0x850e -> GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT;
			case 0x850f -> GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT;
			case 0x8510 -> GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT;
			case 0x851d -> GL_VERTEX_ARRAY_RANGE_APPLE;
			case 0x851e -> GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE;
			case 0x851f -> GL_VERTEX_ARRAY_RANGE_VALID_NV;
			case 0x8520 -> GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV;
			case 0x8521 -> GL_VERTEX_ARRAY_RANGE_POINTER_APPLE;
			case 0x8522 -> GL_REGISTER_COMBINERS_NV;
			case 0x852a -> GL_CONSTANT_COLOR0_NV;
			case 0x852b -> GL_CONSTANT_COLOR1_NV;
			case 0x8531 -> GL_E_TIMES_F_NV;
			case 0x8532 -> GL_SPARE0_PLUS_SECONDARY_COLOR_NV;
			case 0x8533 -> GL_VERTEX_ARRAY_RANGE_WITHOUT_FLUSH_NV;
			case 0x8535 -> GL_PER_STAGE_CONSTANTS_NV;
			case 0x8545 -> GL_COMBINER_AB_DOT_PRODUCT_NV;
			case 0x8546 -> GL_COMBINER_CD_DOT_PRODUCT_NV;
			case 0x8547 -> GL_COMBINER_MUX_SUM_NV;
			case 0x8548 -> GL_COMBINER_SCALE_NV;
			case 0x8549 -> GL_COMBINER_BIAS_NV;
			case 0x854a -> GL_COMBINER_AB_OUTPUT_NV;
			case 0x854b -> GL_COMBINER_CD_OUTPUT_NV;
			case 0x854c -> GL_COMBINER_SUM_OUTPUT_NV;
			case 0x854d -> GL_MAX_GENERAL_COMBINERS_NV;
			case 0x854e -> GL_NUM_GENERAL_COMBINERS_NV;
			case 0x854f -> GL_COLOR_SUM_CLAMP_NV;
			case 0x8558 -> GL_PRIMITIVE_RESTART_NV;
			case 0x8559 -> GL_PRIMITIVE_RESTART_INDEX_NV;
			case 0x855d -> GL_EMBOSS_LIGHT_NV;
			case 0x855e -> GL_EMBOSS_CONSTANT_NV;
			case 0x855f -> GL_EMBOSS_MAP_NV;
			case 0x8560 -> GL_RED_MIN_CLAMP_INGR;
			case 0x8561 -> GL_GREEN_MIN_CLAMP_INGR;
			case 0x8562 -> GL_BLUE_MIN_CLAMP_INGR;
			case 0x8563 -> GL_ALPHA_MIN_CLAMP_INGR;
			case 0x8564 -> GL_RED_MAX_CLAMP_INGR;
			case 0x8565 -> GL_GREEN_MAX_CLAMP_INGR;
			case 0x8566 -> GL_BLUE_MAX_CLAMP_INGR;
			case 0x8567 -> GL_ALPHA_MAX_CLAMP_INGR;
			case 0x8568 -> GL_INTERLACE_READ_INGR;
			case 0x85af -> GL_TEXTURE_NORMAL_EXT;
			case 0x85b0 -> GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE;
			case 0x85b2 -> GL_UNPACK_CLIENT_STORAGE_APPLE;
			case 0x85b3 -> GL_BUFFER_OBJECT_APPLE;
			case 0x85b7 -> GL_TEXTURE_RANGE_LENGTH_APPLE;
			case 0x85b8 -> GL_TEXTURE_RANGE_POINTER_APPLE;
			case 0x85b9 -> GL_YCBCR_422_APPLE;
			case 0x85ba -> GL_UNSIGNED_SHORT_8_8_APPLE;
			case 0x85bb -> GL_UNSIGNED_SHORT_8_8_REV_APPLE;
			case 0x85bd -> GL_STORAGE_PRIVATE_APPLE;
			case 0x85c0 -> GL_REPLACEMENT_CODE_ARRAY_SUN;
			case 0x85c1 -> GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN;
			case 0x85c2 -> GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN;
			case 0x85c3 -> GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN;
			case 0x85c4 -> GL_R1UI_V3F_SUN;
			case 0x85c5 -> GL_R1UI_C4UB_V3F_SUN;
			case 0x85c6 -> GL_R1UI_C3F_V3F_SUN;
			case 0x85c7 -> GL_R1UI_N3F_V3F_SUN;
			case 0x85c8 -> GL_R1UI_C4F_N3F_V3F_SUN;
			case 0x85c9 -> GL_R1UI_T2F_V3F_SUN;
			case 0x85ca -> GL_R1UI_T2F_N3F_V3F_SUN;
			case 0x85cb -> GL_R1UI_T2F_C4F_N3F_V3F_SUN;
			case 0x85cc -> GL_SLICE_ACCUM_SUN;
			case 0x8614 -> GL_QUAD_MESH_SUN;
			case 0x8615 -> GL_TRIANGLE_MESH_SUN;
			case 0x8620 -> GL_VERTEX_PROGRAM_NV;
			case 0x8621 -> GL_VERTEX_STATE_PROGRAM_NV;
			case 0x8623 -> GL_ATTRIB_ARRAY_SIZE_NV;
			case 0x8624 -> GL_ATTRIB_ARRAY_STRIDE_NV;
			case 0x8625 -> GL_ATTRIB_ARRAY_TYPE_NV;
			case 0x8626 -> GL_CURRENT_ATTRIB_NV;
			case 0x8627 -> GL_PROGRAM_LENGTH_ARB;
			case 0x8628 -> GL_PROGRAM_STRING_NV;
			case 0x8629 -> GL_MODELVIEW_PROJECTION_NV;
			case 0x862a -> GL_IDENTITY_NV;
			case 0x862b -> GL_INVERSE_NV;
			case 0x862c -> GL_TRANSPOSE_NV;
			case 0x862d -> GL_INVERSE_TRANSPOSE_NV;
			case 0x862e -> GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB;
			case 0x862f -> GL_MAX_PROGRAM_MATRICES_ARB;
			case 0x8630 -> GL_MATRIX0_NV;
			case 0x8631 -> GL_MATRIX1_NV;
			case 0x8632 -> GL_MATRIX2_NV;
			case 0x8633 -> GL_MATRIX3_NV;
			case 0x8634 -> GL_MATRIX4_NV;
			case 0x8635 -> GL_MATRIX5_NV;
			case 0x8636 -> GL_MATRIX6_NV;
			case 0x8637 -> GL_MATRIX7_NV;
			case 0x8640 -> GL_CURRENT_MATRIX_STACK_DEPTH_ARB;
			case 0x8641 -> GL_CURRENT_MATRIX_ARB;
			case 0x8642 -> GL_VERTEX_PROGRAM_POINT_SIZE;
			case 0x8643 -> GL_VERTEX_PROGRAM_TWO_SIDE;
			case 0x8645 -> GL_ATTRIB_ARRAY_POINTER_NV;
			case 0x8646 -> GL_PROGRAM_TARGET_NV;
			case 0x8647 -> GL_PROGRAM_RESIDENT_NV;
			case 0x8648 -> GL_TRACK_MATRIX_NV;
			case 0x8649 -> GL_TRACK_MATRIX_TRANSFORM_NV;
			case 0x864a -> GL_VERTEX_PROGRAM_BINDING_NV;
			case 0x864b -> GL_PROGRAM_ERROR_POSITION_ARB;
			case 0x864c -> GL_OFFSET_TEXTURE_RECTANGLE_NV;
			case 0x864d -> GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV;
			case 0x864e -> GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV;
			case 0x8650 -> GL_VERTEX_ATTRIB_ARRAY0_NV;
			case 0x8651 -> GL_VERTEX_ATTRIB_ARRAY1_NV;
			case 0x8652 -> GL_VERTEX_ATTRIB_ARRAY2_NV;
			case 0x8653 -> GL_VERTEX_ATTRIB_ARRAY3_NV;
			case 0x8654 -> GL_VERTEX_ATTRIB_ARRAY4_NV;
			case 0x8655 -> GL_VERTEX_ATTRIB_ARRAY5_NV;
			case 0x8656 -> GL_VERTEX_ATTRIB_ARRAY6_NV;
			case 0x8657 -> GL_VERTEX_ATTRIB_ARRAY7_NV;
			case 0x8658 -> GL_VERTEX_ATTRIB_ARRAY8_NV;
			case 0x8659 -> GL_VERTEX_ATTRIB_ARRAY9_NV;
			case 0x865a -> GL_VERTEX_ATTRIB_ARRAY10_NV;
			case 0x865b -> GL_VERTEX_ATTRIB_ARRAY11_NV;
			case 0x865c -> GL_VERTEX_ATTRIB_ARRAY12_NV;
			case 0x865d -> GL_VERTEX_ATTRIB_ARRAY13_NV;
			case 0x865e -> GL_VERTEX_ATTRIB_ARRAY14_NV;
			case 0x865f -> GL_VERTEX_ATTRIB_ARRAY15_NV;
			case 0x8660 -> GL_MAP1_VERTEX_ATTRIB0_4_NV;
			case 0x8661 -> GL_MAP1_VERTEX_ATTRIB1_4_NV;
			case 0x8662 -> GL_MAP1_VERTEX_ATTRIB2_4_NV;
			case 0x8663 -> GL_MAP1_VERTEX_ATTRIB3_4_NV;
			case 0x8664 -> GL_MAP1_VERTEX_ATTRIB4_4_NV;
			case 0x8665 -> GL_MAP1_VERTEX_ATTRIB5_4_NV;
			case 0x8666 -> GL_MAP1_VERTEX_ATTRIB6_4_NV;
			case 0x8667 -> GL_MAP1_VERTEX_ATTRIB7_4_NV;
			case 0x8668 -> GL_MAP1_VERTEX_ATTRIB8_4_NV;
			case 0x8669 -> GL_MAP1_VERTEX_ATTRIB9_4_NV;
			case 0x866a -> GL_MAP1_VERTEX_ATTRIB10_4_NV;
			case 0x866b -> GL_MAP1_VERTEX_ATTRIB11_4_NV;
			case 0x866c -> GL_MAP1_VERTEX_ATTRIB12_4_NV;
			case 0x866d -> GL_MAP1_VERTEX_ATTRIB13_4_NV;
			case 0x866e -> GL_MAP1_VERTEX_ATTRIB14_4_NV;
			case 0x866f -> GL_MAP1_VERTEX_ATTRIB15_4_NV;
			case 0x8670 -> GL_MAP2_VERTEX_ATTRIB0_4_NV;
			case 0x8671 -> GL_MAP2_VERTEX_ATTRIB1_4_NV;
			case 0x8672 -> GL_MAP2_VERTEX_ATTRIB2_4_NV;
			case 0x8673 -> GL_MAP2_VERTEX_ATTRIB3_4_NV;
			case 0x8674 -> GL_MAP2_VERTEX_ATTRIB4_4_NV;
			case 0x8675 -> GL_MAP2_VERTEX_ATTRIB5_4_NV;
			case 0x8676 -> GL_MAP2_VERTEX_ATTRIB6_4_NV;
			case 0x8677 -> GL_MAP2_VERTEX_ATTRIB7_4_NV;
			case 0x8678 -> GL_MAP2_VERTEX_ATTRIB8_4_NV;
			case 0x8679 -> GL_MAP2_VERTEX_ATTRIB9_4_NV;
			case 0x867a -> GL_MAP2_VERTEX_ATTRIB10_4_NV;
			case 0x867b -> GL_MAP2_VERTEX_ATTRIB11_4_NV;
			case 0x867c -> GL_MAP2_VERTEX_ATTRIB12_4_NV;
			case 0x867d -> GL_MAP2_VERTEX_ATTRIB13_4_NV;
			case 0x867e -> GL_MAP2_VERTEX_ATTRIB14_4_NV;
			case 0x867f -> GL_MAP2_VERTEX_ATTRIB15_4_NV;
			case 0x86a0 -> GL_TEXTURE_COMPRESSED_IMAGE_SIZE;
			case 0x86a4 -> GL_MAX_VERTEX_UNITS_ARB;
			case 0x86a5 -> GL_ACTIVE_VERTEX_UNITS_ARB;
			case 0x86a6 -> GL_WEIGHT_SUM_UNITY_ARB;
			case 0x86a7 -> GL_VERTEX_BLEND_ARB;
			case 0x86a8 -> GL_CURRENT_WEIGHT_ARB;
			case 0x86a9 -> GL_WEIGHT_ARRAY_TYPE_ARB;
			case 0x86aa -> GL_WEIGHT_ARRAY_STRIDE_ARB;
			case 0x86ab -> GL_WEIGHT_ARRAY_SIZE_ARB;
			case 0x86ac -> GL_WEIGHT_ARRAY_POINTER_ARB;
			case 0x86ad -> GL_WEIGHT_ARRAY_ARB;
			case 0x86ae -> GL_DOT3_RGB;
			case 0x86af -> GL_DOT3_RGBA;
			case 0x86b0 -> GL_COMPRESSED_RGB_FXT1_3DFX;
			case 0x86b1 -> GL_COMPRESSED_RGBA_FXT1_3DFX;
			case 0x86b2 -> GL_MULTISAMPLE_3DFX;
			case 0x86b3 -> GL_SAMPLE_BUFFERS_3DFX;
			case 0x86b4 -> GL_SAMPLES_3DFX;
			case 0x86c5 -> GL_EVAL_FRACTIONAL_TESSELLATION_NV;
			case 0x86c6 -> GL_EVAL_VERTEX_ATTRIB0_NV;
			case 0x86c7 -> GL_EVAL_VERTEX_ATTRIB1_NV;
			case 0x86c8 -> GL_EVAL_VERTEX_ATTRIB2_NV;
			case 0x86c9 -> GL_EVAL_VERTEX_ATTRIB3_NV;
			case 0x86ca -> GL_EVAL_VERTEX_ATTRIB4_NV;
			case 0x86cb -> GL_EVAL_VERTEX_ATTRIB5_NV;
			case 0x86cc -> GL_EVAL_VERTEX_ATTRIB6_NV;
			case 0x86cd -> GL_EVAL_VERTEX_ATTRIB7_NV;
			case 0x86ce -> GL_EVAL_VERTEX_ATTRIB8_NV;
			case 0x86cf -> GL_EVAL_VERTEX_ATTRIB9_NV;
			case 0x86d0 -> GL_EVAL_VERTEX_ATTRIB10_NV;
			case 0x86d1 -> GL_EVAL_VERTEX_ATTRIB11_NV;
			case 0x86d2 -> GL_EVAL_VERTEX_ATTRIB12_NV;
			case 0x86d3 -> GL_EVAL_VERTEX_ATTRIB13_NV;
			case 0x86d4 -> GL_EVAL_VERTEX_ATTRIB14_NV;
			case 0x86d5 -> GL_EVAL_VERTEX_ATTRIB15_NV;
			case 0x86d6 -> GL_MAX_MAP_TESSELLATION_NV;
			case 0x86d7 -> GL_MAX_RATIONAL_EVAL_ORDER_NV;
			case 0x86d8 -> GL_MAX_PROGRAM_PATCH_ATTRIBS_NV;
			case 0x86d9 -> GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV;
			case 0x86da -> GL_UNSIGNED_INT_S8_S8_8_8_NV;
			case 0x86db -> GL_UNSIGNED_INT_8_8_S8_S8_REV_NV;
			case 0x86dc -> GL_DSDT_MAG_INTENSITY_NV;
			case 0x86dd -> GL_SHADER_CONSISTENT_NV;
			case 0x86de -> GL_TEXTURE_SHADER_NV;
			case 0x86df -> GL_SHADER_OPERATION_NV;
			case 0x86e0 -> GL_CULL_MODES_NV;
			case 0x86e1 -> GL_OFFSET_TEXTURE_MATRIX_NV;
			case 0x86e2 -> GL_OFFSET_TEXTURE_SCALE_NV;
			case 0x86e3 -> GL_OFFSET_TEXTURE_BIAS_NV;
			case 0x86e4 -> GL_PREVIOUS_TEXTURE_INPUT_NV;
			case 0x86e5 -> GL_CONST_EYE_NV;
			case 0x86e6 -> GL_PASS_THROUGH_NV;
			case 0x86e7 -> GL_CULL_FRAGMENT_NV;
			case 0x86e8 -> GL_OFFSET_TEXTURE_2D_NV;
			case 0x86e9 -> GL_DEPENDENT_AR_TEXTURE_2D_NV;
			case 0x86ea -> GL_DEPENDENT_GB_TEXTURE_2D_NV;
			case 0x86eb -> GL_SURFACE_STATE_NV;
			case 0x86ec -> GL_DOT_PRODUCT_NV;
			case 0x86ed -> GL_DOT_PRODUCT_DEPTH_REPLACE_NV;
			case 0x86ee -> GL_DOT_PRODUCT_TEXTURE_2D_NV;
			case 0x86ef -> GL_DOT_PRODUCT_TEXTURE_3D_NV;
			case 0x86f0 -> GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV;
			case 0x86f1 -> GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV;
			case 0x86f2 -> GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV;
			case 0x86f3 -> GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV;
			case 0x86f4 -> GL_HILO_NV;
			case 0x86f5 -> GL_DSDT_NV;
			case 0x86f6 -> GL_DSDT_MAG_NV;
			case 0x86f7 -> GL_DSDT_MAG_VIB_NV;
			case 0x86f8 -> GL_HILO16_NV;
			case 0x86f9 -> GL_SIGNED_HILO_NV;
			case 0x86fa -> GL_SIGNED_HILO16_NV;
			case 0x86fb -> GL_SIGNED_RGBA_NV;
			case 0x86fc -> GL_SIGNED_RGBA8_NV;
			case 0x86fd -> GL_SURFACE_REGISTERED_NV;
			case 0x86fe -> GL_SIGNED_RGB_NV;
			case 0x86ff -> GL_SIGNED_RGB8_NV;
			case 0x8700 -> GL_SURFACE_MAPPED_NV;
			case 0x8701 -> GL_SIGNED_LUMINANCE_NV;
			case 0x8702 -> GL_SIGNED_LUMINANCE8_NV;
			case 0x8703 -> GL_SIGNED_LUMINANCE_ALPHA_NV;
			case 0x8704 -> GL_SIGNED_LUMINANCE8_ALPHA8_NV;
			case 0x8705 -> GL_SIGNED_ALPHA_NV;
			case 0x8706 -> GL_SIGNED_ALPHA8_NV;
			case 0x8707 -> GL_SIGNED_INTENSITY_NV;
			case 0x8708 -> GL_SIGNED_INTENSITY8_NV;
			case 0x8709 -> GL_DSDT8_NV;
			case 0x870a -> GL_DSDT8_MAG8_NV;
			case 0x870b -> GL_DSDT8_MAG8_INTENSITY8_NV;
			case 0x870c -> GL_SIGNED_RGB_UNSIGNED_ALPHA_NV;
			case 0x870d -> GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV;
			case 0x870e -> GL_HI_SCALE_NV;
			case 0x870f -> GL_LO_SCALE_NV;
			case 0x8710 -> GL_DS_SCALE_NV;
			case 0x8711 -> GL_DT_SCALE_NV;
			case 0x8712 -> GL_MAGNITUDE_SCALE_NV;
			case 0x8713 -> GL_VIBRANCE_SCALE_NV;
			case 0x8714 -> GL_HI_BIAS_NV;
			case 0x8715 -> GL_LO_BIAS_NV;
			case 0x8716 -> GL_DS_BIAS_NV;
			case 0x8717 -> GL_DT_BIAS_NV;
			case 0x8718 -> GL_MAGNITUDE_BIAS_NV;
			case 0x8719 -> GL_VIBRANCE_BIAS_NV;
			case 0x871a -> GL_TEXTURE_BORDER_VALUES_NV;
			case 0x871b -> GL_TEXTURE_HI_SIZE_NV;
			case 0x871c -> GL_TEXTURE_LO_SIZE_NV;
			case 0x871d -> GL_TEXTURE_DS_SIZE_NV;
			case 0x871e -> GL_TEXTURE_DT_SIZE_NV;
			case 0x871f -> GL_TEXTURE_MAG_SIZE_NV;
			case 0x8722 -> GL_MODELVIEW2_ARB;
			case 0x8723 -> GL_MODELVIEW3_ARB;
			case 0x8724 -> GL_MODELVIEW4_ARB;
			case 0x8725 -> GL_MODELVIEW5_ARB;
			case 0x8726 -> GL_MODELVIEW6_ARB;
			case 0x8727 -> GL_MODELVIEW7_ARB;
			case 0x8728 -> GL_MODELVIEW8_ARB;
			case 0x8729 -> GL_MODELVIEW9_ARB;
			case 0x872a -> GL_MODELVIEW10_ARB;
			case 0x872b -> GL_MODELVIEW11_ARB;
			case 0x872c -> GL_MODELVIEW12_ARB;
			case 0x872d -> GL_MODELVIEW13_ARB;
			case 0x872e -> GL_MODELVIEW14_ARB;
			case 0x872f -> GL_MODELVIEW15_ARB;
			case 0x8730 -> GL_MODELVIEW16_ARB;
			case 0x8731 -> GL_MODELVIEW17_ARB;
			case 0x8732 -> GL_MODELVIEW18_ARB;
			case 0x8733 -> GL_MODELVIEW19_ARB;
			case 0x8734 -> GL_MODELVIEW20_ARB;
			case 0x8735 -> GL_MODELVIEW21_ARB;
			case 0x8736 -> GL_MODELVIEW22_ARB;
			case 0x8737 -> GL_MODELVIEW23_ARB;
			case 0x8738 -> GL_MODELVIEW24_ARB;
			case 0x8739 -> GL_MODELVIEW25_ARB;
			case 0x873a -> GL_MODELVIEW26_ARB;
			case 0x873b -> GL_MODELVIEW27_ARB;
			case 0x873c -> GL_MODELVIEW28_ARB;
			case 0x873d -> GL_MODELVIEW29_ARB;
			case 0x873e -> GL_MODELVIEW30_ARB;
			case 0x873f -> GL_MODELVIEW31_ARB;
			case 0x8740 -> GL_DOT3_RGB_EXT;
			case 0x8741 -> GL_DOT3_RGBA_EXT;
			case 0x8742 -> GL_MIRROR_CLAMP_ATI;
			case 0x8743 -> GL_MIRROR_CLAMP_TO_EDGE;
			case 0x8744 -> GL_MODULATE_ADD_ATI;
			case 0x8745 -> GL_MODULATE_SIGNED_ADD_ATI;
			case 0x8746 -> GL_MODULATE_SUBTRACT_ATI;
			case 0x874a -> GL_SET_AMD;
			case 0x874b -> GL_REPLACE_VALUE_AMD;
			case 0x874c -> GL_STENCIL_OP_VALUE_AMD;
			case 0x874d -> GL_STENCIL_BACK_OP_VALUE_AMD;
			case 0x874f -> GL_OCCLUSION_QUERY_EVENT_MASK_AMD;
			case 0x8751 -> GL_UNSIGNED_INT_24_8_MESA;
			case 0x8752 -> GL_UNSIGNED_INT_8_24_REV_MESA;
			case 0x8753 -> GL_UNSIGNED_SHORT_15_1_MESA;
			case 0x8754 -> GL_UNSIGNED_SHORT_1_15_REV_MESA;
			case 0x8755 -> GL_TRACE_MASK_MESA;
			case 0x8756 -> GL_TRACE_NAME_MESA;
			case 0x8757 -> GL_YCBCR_MESA;
			case 0x8758 -> GL_PACK_INVERT_MESA;
			case 0x8759 -> GL_DEBUG_OBJECT_MESA;
			case 0x875a -> GL_DEBUG_PRINT_MESA;
			case 0x875b -> GL_DEBUG_ASSERT_MESA;
			case 0x875c -> GL_PROXY_TEXTURE_2D_STACK_MESAX;
			case 0x875d -> GL_TEXTURE_1D_STACK_BINDING_MESAX;
			case 0x875e -> GL_TEXTURE_2D_STACK_BINDING_MESAX;
			case 0x875f -> GL_PROGRAM_BINARY_FORMAT_MESA;
			case 0x8766 -> GL_ARRAY_OBJECT_BUFFER_ATI;
			case 0x8767 -> GL_ARRAY_OBJECT_OFFSET_ATI;
			case 0x8768 -> GL_ELEMENT_ARRAY_ATI;
			case 0x8769 -> GL_ELEMENT_ARRAY_TYPE_ATI;
			case 0x876a -> GL_ELEMENT_ARRAY_POINTER_ATI;
			case 0x876b -> GL_MAX_VERTEX_STREAMS_ATI;
			case 0x8774 -> GL_VERTEX_SOURCE_ATI;
			case 0x8779 -> GL_DUDV_ATI;
			case 0x877a -> GL_DU8DV8_ATI;
			case 0x877b -> GL_BUMP_ENVMAP_ATI;
			case 0x877c -> GL_BUMP_TARGET_ATI;
			case 0x8780 -> GL_VERTEX_SHADER_EXT;
			case 0x8781 -> GL_VERTEX_SHADER_BINDING_EXT;
			case 0x879a -> GL_OUTPUT_VERTEX_EXT;
			case 0x879b -> GL_OUTPUT_COLOR0_EXT;
			case 0x879c -> GL_OUTPUT_COLOR1_EXT;
			case 0x879d -> GL_OUTPUT_TEXTURE_COORD0_EXT;
			case 0x879e -> GL_OUTPUT_TEXTURE_COORD1_EXT;
			case 0x879f -> GL_OUTPUT_TEXTURE_COORD2_EXT;
			case 0x87a0 -> GL_OUTPUT_TEXTURE_COORD3_EXT;
			case 0x87a1 -> GL_OUTPUT_TEXTURE_COORD4_EXT;
			case 0x87a2 -> GL_OUTPUT_TEXTURE_COORD5_EXT;
			case 0x87a3 -> GL_OUTPUT_TEXTURE_COORD6_EXT;
			case 0x87a4 -> GL_OUTPUT_TEXTURE_COORD7_EXT;
			case 0x87a5 -> GL_OUTPUT_TEXTURE_COORD8_EXT;
			case 0x87a6 -> GL_OUTPUT_TEXTURE_COORD9_EXT;
			case 0x87a7 -> GL_OUTPUT_TEXTURE_COORD10_EXT;
			case 0x87a8 -> GL_OUTPUT_TEXTURE_COORD11_EXT;
			case 0x87a9 -> GL_OUTPUT_TEXTURE_COORD12_EXT;
			case 0x87aa -> GL_OUTPUT_TEXTURE_COORD13_EXT;
			case 0x87ab -> GL_OUTPUT_TEXTURE_COORD14_EXT;
			case 0x87ac -> GL_OUTPUT_TEXTURE_COORD15_EXT;
			case 0x87ad -> GL_OUTPUT_TEXTURE_COORD16_EXT;
			case 0x87ae -> GL_OUTPUT_TEXTURE_COORD17_EXT;
			case 0x87af -> GL_OUTPUT_TEXTURE_COORD18_EXT;
			case 0x87b0 -> GL_OUTPUT_TEXTURE_COORD19_EXT;
			case 0x87b1 -> GL_OUTPUT_TEXTURE_COORD20_EXT;
			case 0x87b2 -> GL_OUTPUT_TEXTURE_COORD21_EXT;
			case 0x87b3 -> GL_OUTPUT_TEXTURE_COORD22_EXT;
			case 0x87b4 -> GL_OUTPUT_TEXTURE_COORD23_EXT;
			case 0x87b5 -> GL_OUTPUT_TEXTURE_COORD24_EXT;
			case 0x87b6 -> GL_OUTPUT_TEXTURE_COORD25_EXT;
			case 0x87b7 -> GL_OUTPUT_TEXTURE_COORD26_EXT;
			case 0x87b8 -> GL_OUTPUT_TEXTURE_COORD27_EXT;
			case 0x87b9 -> GL_OUTPUT_TEXTURE_COORD28_EXT;
			case 0x87ba -> GL_OUTPUT_TEXTURE_COORD29_EXT;
			case 0x87bb -> GL_OUTPUT_TEXTURE_COORD30_EXT;
			case 0x87bc -> GL_OUTPUT_TEXTURE_COORD31_EXT;
			case 0x87bd -> GL_OUTPUT_FOG_EXT;
			case 0x87c5 -> GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT;
			case 0x87c6 -> GL_MAX_VERTEX_SHADER_VARIANTS_EXT;
			case 0x87c7 -> GL_MAX_VERTEX_SHADER_INVARIANTS_EXT;
			case 0x87c8 -> GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT;
			case 0x87c9 -> GL_MAX_VERTEX_SHADER_LOCALS_EXT;
			case 0x87ca -> GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT;
			case 0x87cb -> GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT;
			case 0x87cc -> GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT;
			case 0x87cd -> GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT;
			case 0x87ce -> GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT;
			case 0x87cf -> GL_VERTEX_SHADER_INSTRUCTIONS_EXT;
			case 0x87d0 -> GL_VERTEX_SHADER_VARIANTS_EXT;
			case 0x87d1 -> GL_VERTEX_SHADER_INVARIANTS_EXT;
			case 0x87d2 -> GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT;
			case 0x87d3 -> GL_VERTEX_SHADER_LOCALS_EXT;
			case 0x87d4 -> GL_VERTEX_SHADER_OPTIMIZED_EXT;
			case 0x87e9 -> GL_VARIANT_ARRAY_POINTER_EXT;
			case 0x87ea -> GL_INVARIANT_VALUE_EXT;
			case 0x87eb -> GL_INVARIANT_DATATYPE_EXT;
			case 0x87ec -> GL_LOCAL_CONSTANT_VALUE_EXT;
			case 0x87ed -> GL_LOCAL_CONSTANT_DATATYPE_EXT;
			case 0x87ee -> GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD;
			case 0x87f0 -> GL_PN_TRIANGLES_ATI;
			case 0x87f1 -> GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI;
			case 0x87f5 -> GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI;
			case 0x87f6 -> GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI;
			case 0x87f7 -> GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI;
			case 0x87f8 -> GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI;
			case 0x87f9 -> GL_3DC_X_AMD;
			case 0x87fa -> GL_3DC_XY_AMD;
			case 0x87fb -> GL_VBO_FREE_MEMORY_ATI;
			case 0x87fc -> GL_TEXTURE_FREE_MEMORY_ATI;
			case 0x87fd -> GL_RENDERBUFFER_FREE_MEMORY_ATI;
			case 0x8805 -> GL_PROGRAM_ALU_INSTRUCTIONS_ARB;
			case 0x8806 -> GL_PROGRAM_TEX_INSTRUCTIONS_ARB;
			case 0x8807 -> GL_PROGRAM_TEX_INDIRECTIONS_ARB;
			case 0x8808 -> GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB;
			case 0x8809 -> GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB;
			case 0x880a -> GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB;
			case 0x880b -> GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB;
			case 0x880c -> GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB;
			case 0x880d -> GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB;
			case 0x880e -> GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB;
			case 0x880f -> GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB;
			case 0x8810 -> GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB;
			case 0x8814 -> GL_RGBA_FLOAT32_APPLE;
			case 0x8815 -> GL_RGB_FLOAT32_APPLE;
			case 0x8816 -> GL_ALPHA32F_ARB;
			case 0x8817 -> GL_INTENSITY32F_ARB;
			case 0x8818 -> GL_LUMINANCE32F_ARB;
			case 0x8819 -> GL_LUMINANCE_ALPHA32F_ARB;
			case 0x881a -> GL_RGBA_FLOAT16_APPLE;
			case 0x881b -> GL_RGB_FLOAT16_APPLE;
			case 0x881c -> GL_ALPHA16F_ARB;
			case 0x881d -> GL_INTENSITY16F_ARB;
			case 0x881e -> GL_LUMINANCE16F_ARB;
			case 0x881f -> GL_LUMINANCE_ALPHA16F_ARB;
			case 0x8820 -> GL_RGBA_FLOAT_MODE_ARB;
			case 0x8823 -> GL_WRITEONLY_RENDERING_QCOM;
			case 0x8825 -> GL_DRAW_BUFFER0;
			case 0x8826 -> GL_DRAW_BUFFER1;
			case 0x8827 -> GL_DRAW_BUFFER2;
			case 0x8828 -> GL_DRAW_BUFFER3;
			case 0x8829 -> GL_DRAW_BUFFER4;
			case 0x882a -> GL_DRAW_BUFFER5;
			case 0x882b -> GL_DRAW_BUFFER6;
			case 0x882c -> GL_DRAW_BUFFER7;
			case 0x882d -> GL_DRAW_BUFFER8;
			case 0x882e -> GL_DRAW_BUFFER9;
			case 0x882f -> GL_DRAW_BUFFER10;
			case 0x8830 -> GL_DRAW_BUFFER11;
			case 0x8831 -> GL_DRAW_BUFFER12;
			case 0x8832 -> GL_DRAW_BUFFER13;
			case 0x8833 -> GL_DRAW_BUFFER14;
			case 0x8834 -> GL_DRAW_BUFFER15;
			case 0x8835 -> GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI;
			case 0x8837 -> GL_COMPRESSED_LUMINANCE_ALPHA_3DC_ATI;
			case 0x883f -> GL_SUBSAMPLE_DISTANCE_AMD;
			case 0x8840 -> GL_MATRIX_PALETTE_ARB;
			case 0x8841 -> GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB;
			case 0x8842 -> GL_MAX_PALETTE_MATRICES_ARB;
			case 0x8843 -> GL_CURRENT_PALETTE_MATRIX_ARB;
			case 0x8844 -> GL_MATRIX_INDEX_ARRAY_ARB;
			case 0x8845 -> GL_CURRENT_MATRIX_INDEX_ARB;
			case 0x8846 -> GL_MATRIX_INDEX_ARRAY_SIZE_ARB;
			case 0x8847 -> GL_MATRIX_INDEX_ARRAY_TYPE_ARB;
			case 0x8848 -> GL_MATRIX_INDEX_ARRAY_STRIDE_ARB;
			case 0x8849 -> GL_MATRIX_INDEX_ARRAY_POINTER_ARB;
			case 0x884a -> GL_TEXTURE_DEPTH_SIZE;
			case 0x884b -> GL_DEPTH_TEXTURE_MODE;
			case 0x884e -> GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT;
			case 0x8850 -> GL_OFFSET_PROJECTIVE_TEXTURE_2D_NV;
			case 0x8851 -> GL_OFFSET_PROJECTIVE_TEXTURE_2D_SCALE_NV;
			case 0x8852 -> GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_NV;
			case 0x8853 -> GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_SCALE_NV;
			case 0x8854 -> GL_OFFSET_HILO_TEXTURE_2D_NV;
			case 0x8855 -> GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV;
			case 0x8856 -> GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV;
			case 0x8857 -> GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV;
			case 0x8858 -> GL_DEPENDENT_HILO_TEXTURE_2D_NV;
			case 0x8859 -> GL_DEPENDENT_RGB_TEXTURE_3D_NV;
			case 0x885a -> GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV;
			case 0x885b -> GL_DOT_PRODUCT_PASS_THROUGH_NV;
			case 0x885c -> GL_DOT_PRODUCT_TEXTURE_1D_NV;
			case 0x885d -> GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV;
			case 0x885e -> GL_HILO8_NV;
			case 0x885f -> GL_SIGNED_HILO8_NV;
			case 0x8860 -> GL_FORCE_BLUE_TO_ONE_NV;
			case 0x8863 -> GL_POINT_SPRITE_R_MODE_NV;
			case 0x8864 -> GL_PIXEL_COUNTER_BITS_NV;
			case 0x8865 -> GL_CURRENT_OCCLUSION_QUERY_ID_NV;
			case 0x8868 -> GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV;
			case 0x886c -> GL_MAX_TESS_CONTROL_INPUT_COMPONENTS;
			case 0x886d -> GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS;
			case 0x886e -> GL_DEPTH_STENCIL_TO_RGBA_NV;
			case 0x886f -> GL_DEPTH_STENCIL_TO_BGRA_NV;
			case 0x8870 -> GL_FRAGMENT_PROGRAM_NV;
			case 0x8871 -> GL_MAX_TEXTURE_COORDS;
			case 0x8873 -> GL_FRAGMENT_PROGRAM_BINDING_NV;
			case 0x8874 -> GL_PROGRAM_ERROR_STRING_ARB;
			case 0x8876 -> GL_PROGRAM_FORMAT_ARB;
			case 0x887a -> GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV;
			case 0x887b -> GL_READ_PIXEL_DATA_RANGE_LENGTH_NV;
			case 0x887c -> GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV;
			case 0x887d -> GL_READ_PIXEL_DATA_RANGE_POINTER_NV;
			case 0x887f -> GL_GEOMETRY_SHADER_INVOCATIONS;
			case 0x8880 -> GL_FLOAT_R_NV;
			case 0x8881 -> GL_FLOAT_RG_NV;
			case 0x8882 -> GL_FLOAT_RGB_NV;
			case 0x8883 -> GL_FLOAT_RGBA_NV;
			case 0x8884 -> GL_FLOAT_R16_NV;
			case 0x8885 -> GL_FLOAT_R32_NV;
			case 0x8886 -> GL_FLOAT_RG16_NV;
			case 0x8887 -> GL_FLOAT_RG32_NV;
			case 0x8888 -> GL_FLOAT_RGB16_NV;
			case 0x8889 -> GL_FLOAT_RGB32_NV;
			case 0x888a -> GL_FLOAT_RGBA16_NV;
			case 0x888b -> GL_FLOAT_RGBA32_NV;
			case 0x888c -> GL_TEXTURE_FLOAT_COMPONENTS_NV;
			case 0x888d -> GL_FLOAT_CLEAR_COLOR_VALUE_NV;
			case 0x888e -> GL_FLOAT_RGBA_MODE_NV;
			case 0x888f -> GL_TEXTURE_UNSIGNED_REMAP_MODE_NV;
			case 0x8890 -> GL_DEPTH_BOUNDS_TEST_EXT;
			case 0x8891 -> GL_DEPTH_BOUNDS_EXT;
			case 0x8896 -> GL_VERTEX_ARRAY_BUFFER_BINDING;
			case 0x8897 -> GL_NORMAL_ARRAY_BUFFER_BINDING;
			case 0x8898 -> GL_COLOR_ARRAY_BUFFER_BINDING;
			case 0x8899 -> GL_INDEX_ARRAY_BUFFER_BINDING;
			case 0x889a -> GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING;
			case 0x889b -> GL_EDGE_FLAG_ARRAY_BUFFER_BINDING;
			case 0x889c -> GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING;
			case 0x889d -> GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB;
			case 0x889e -> GL_WEIGHT_ARRAY_BUFFER_BINDING;
			case 0x88a0 -> GL_PROGRAM_INSTRUCTIONS_ARB;
			case 0x88a1 -> GL_MAX_PROGRAM_INSTRUCTIONS_ARB;
			case 0x88a2 -> GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB;
			case 0x88a3 -> GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB;
			case 0x88a4 -> GL_PROGRAM_TEMPORARIES_ARB;
			case 0x88a5 -> GL_MAX_PROGRAM_TEMPORARIES_ARB;
			case 0x88a6 -> GL_PROGRAM_NATIVE_TEMPORARIES_ARB;
			case 0x88a7 -> GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB;
			case 0x88a8 -> GL_PROGRAM_PARAMETERS_ARB;
			case 0x88a9 -> GL_MAX_PROGRAM_PARAMETERS_ARB;
			case 0x88aa -> GL_PROGRAM_NATIVE_PARAMETERS_ARB;
			case 0x88ab -> GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB;
			case 0x88ac -> GL_PROGRAM_ATTRIBS_ARB;
			case 0x88ad -> GL_MAX_PROGRAM_ATTRIBS_ARB;
			case 0x88ae -> GL_PROGRAM_NATIVE_ATTRIBS_ARB;
			case 0x88af -> GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB;
			case 0x88b0 -> GL_PROGRAM_ADDRESS_REGISTERS_ARB;
			case 0x88b1 -> GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB;
			case 0x88b2 -> GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB;
			case 0x88b3 -> GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB;
			case 0x88b4 -> GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB;
			case 0x88b5 -> GL_MAX_PROGRAM_ENV_PARAMETERS_ARB;
			case 0x88b6 -> GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB;
			case 0x88b7 -> GL_TRANSPOSE_CURRENT_MATRIX_ARB;
			case 0x88be -> GL_WRITE_DISCARD_NV;
			case 0x88c0 -> GL_MATRIX0_ARB;
			case 0x88c1 -> GL_MATRIX1_ARB;
			case 0x88c2 -> GL_MATRIX2_ARB;
			case 0x88c3 -> GL_MATRIX3_ARB;
			case 0x88c4 -> GL_MATRIX4_ARB;
			case 0x88c5 -> GL_MATRIX5_ARB;
			case 0x88c6 -> GL_MATRIX6_ARB;
			case 0x88c7 -> GL_MATRIX7_ARB;
			case 0x88c8 -> GL_MATRIX8_ARB;
			case 0x88c9 -> GL_MATRIX9_ARB;
			case 0x88ca -> GL_MATRIX10_ARB;
			case 0x88cb -> GL_MATRIX11_ARB;
			case 0x88cc -> GL_MATRIX12_ARB;
			case 0x88cd -> GL_MATRIX13_ARB;
			case 0x88ce -> GL_MATRIX14_ARB;
			case 0x88cf -> GL_MATRIX15_ARB;
			case 0x88d0 -> GL_MATRIX16_ARB;
			case 0x88d1 -> GL_MATRIX17_ARB;
			case 0x88d2 -> GL_MATRIX18_ARB;
			case 0x88d3 -> GL_MATRIX19_ARB;
			case 0x88d4 -> GL_MATRIX20_ARB;
			case 0x88d5 -> GL_MATRIX21_ARB;
			case 0x88d6 -> GL_MATRIX22_ARB;
			case 0x88d7 -> GL_MATRIX23_ARB;
			case 0x88d8 -> GL_MATRIX24_ARB;
			case 0x88d9 -> GL_MATRIX25_ARB;
			case 0x88da -> GL_MATRIX26_ARB;
			case 0x88db -> GL_MATRIX27_ARB;
			case 0x88dc -> GL_MATRIX28_ARB;
			case 0x88dd -> GL_MATRIX29_ARB;
			case 0x88de -> GL_MATRIX30_ARB;
			case 0x88df -> GL_MATRIX31_ARB;
			case 0x88ee -> GL_ETC1_SRGB8_NV;
			case 0x88f1 -> GL_TEXTURE_STENCIL_SIZE;
			case 0x88f2 -> GL_STENCIL_TAG_BITS_EXT;
			case 0x88f3 -> GL_STENCIL_CLEAR_TAG_VALUE_EXT;
			case 0x88f4 -> GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV;
			case 0x88f5 -> GL_MAX_PROGRAM_CALL_DEPTH_NV;
			case 0x88f6 -> GL_MAX_PROGRAM_IF_DEPTH_NV;
			case 0x88f7 -> GL_MAX_PROGRAM_LOOP_DEPTH_NV;
			case 0x88f8 -> GL_MAX_PROGRAM_LOOP_COUNT_NV;
			case 0x88fe -> GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE;
			case 0x8906 -> GL_PROGRAM_ATTRIB_COMPONENTS_NV;
			case 0x8907 -> GL_PROGRAM_RESULT_COMPONENTS_NV;
			case 0x8908 -> GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV;
			case 0x8909 -> GL_MAX_PROGRAM_RESULT_COMPONENTS_NV;
			case 0x8910 -> GL_STENCIL_TEST_TWO_SIDE_EXT;
			case 0x8911 -> GL_ACTIVE_STENCIL_FACE_EXT;
			case 0x8912 -> GL_MIRROR_CLAMP_TO_BORDER_EXT;
			case 0x8916 -> GL_GEOMETRY_LINKED_VERTICES_OUT_EXT;
			case 0x8917 -> GL_GEOMETRY_LINKED_INPUT_TYPE_EXT;
			case 0x8918 -> GL_GEOMETRY_LINKED_OUTPUT_TYPE_EXT;
			case 0x896e -> GL_NUM_FRAGMENT_REGISTERS_ATI;
			case 0x896f -> GL_NUM_FRAGMENT_CONSTANTS_ATI;
			case 0x8970 -> GL_NUM_PASSES_ATI;
			case 0x8971 -> GL_NUM_INSTRUCTIONS_PER_PASS_ATI;
			case 0x8972 -> GL_NUM_INSTRUCTIONS_TOTAL_ATI;
			case 0x8973 -> GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI;
			case 0x8974 -> GL_NUM_LOOPBACK_COMPONENTS_ATI;
			case 0x8975 -> GL_COLOR_ALPHA_PAIRING_ATI;
			case 0x897a -> GL_SWIZZLE_STRQ_ATI;
			case 0x897b -> GL_SWIZZLE_STRQ_DQ_ATI;
			case 0x8980 -> GL_INTERLACE_OML;
			case 0x8981 -> GL_INTERLACE_READ_OML;
			case 0x8982 -> GL_FORMAT_SUBSAMPLE_24_24_OML;
			case 0x8983 -> GL_FORMAT_SUBSAMPLE_244_244_OML;
			case 0x8986 -> GL_RESAMPLE_REPLICATE_OML;
			case 0x8987 -> GL_RESAMPLE_ZERO_FILL_OML;
			case 0x8988 -> GL_RESAMPLE_AVERAGE_OML;
			case 0x8989 -> GL_RESAMPLE_DECIMATE_OML;
			case 0x898a -> GL_POINT_SIZE_ARRAY_TYPE_OES;
			case 0x898b -> GL_POINT_SIZE_ARRAY_STRIDE_OES;
			case 0x898c -> GL_POINT_SIZE_ARRAY_POINTER_OES;
			case 0x898d -> GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES;
			case 0x898e -> GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES;
			case 0x898f -> GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES;
			case 0x8a00 -> GL_VERTEX_ATTRIB_MAP1_APPLE;
			case 0x8a01 -> GL_VERTEX_ATTRIB_MAP2_APPLE;
			case 0x8a02 -> GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE;
			case 0x8a03 -> GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE;
			case 0x8a04 -> GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE;
			case 0x8a05 -> GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE;
			case 0x8a06 -> GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE;
			case 0x8a07 -> GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE;
			case 0x8a08 -> GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE;
			case 0x8a09 -> GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE;
			case 0x8a0c -> GL_ELEMENT_ARRAY_APPLE;
			case 0x8a0d -> GL_ELEMENT_ARRAY_TYPE_APPLE;
			case 0x8a0e -> GL_ELEMENT_ARRAY_POINTER_APPLE;
			case 0x8a0f -> GL_COLOR_FLOAT_APPLE;
			case 0x8a12 -> GL_BUFFER_SERIALIZED_MODIFY_APPLE;
			case 0x8a13 -> GL_BUFFER_FLUSHING_UNMAP_APPLE;
			case 0x8a14 -> GL_AUX_DEPTH_STENCIL_APPLE;
			case 0x8a15 -> GL_PACK_ROW_BYTES_APPLE;
			case 0x8a16 -> GL_UNPACK_ROW_BYTES_APPLE;
			case 0x8a19 -> GL_RELEASED_APPLE;
			case 0x8a1a -> GL_VOLATILE_APPLE;
			case 0x8a1b -> GL_RETAINED_APPLE;
			case 0x8a1c -> GL_UNDEFINED_APPLE;
			case 0x8a1d -> GL_PURGEABLE_APPLE;
			case 0x8a1f -> GL_RGB_422_APPLE;
			case 0x8a48 -> GL_TEXTURE_SRGB_DECODE_EXT;
			case 0x8a49 -> GL_DECODE_EXT;
			case 0x8a4a -> GL_SKIP_DECODE_EXT;
			case 0x8a4f -> GL_PROGRAM_PIPELINE_OBJECT_EXT;
			case 0x8a51 -> GL_RGB_RAW_422_APPLE;
			case 0x8a52 -> GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT;
			case 0x8a53 -> GL_SYNC_OBJECT_APPLE;
			case 0x8a54 -> GL_COMPRESSED_SRGB_PVRTC_2BPPV1_EXT;
			case 0x8a55 -> GL_COMPRESSED_SRGB_PVRTC_4BPPV1_EXT;
			case 0x8a56 -> GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV1_EXT;
			case 0x8a57 -> GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV1_EXT;
			case 0x8b48 -> GL_SHADER_OBJECT_ARB;
			case 0x8b4e -> GL_OBJECT_TYPE_ARB;
			case 0x8b4f -> GL_OBJECT_SUBTYPE_ARB;
			case 0x8b80 -> GL_OBJECT_DELETE_STATUS_ARB;
			case 0x8b81 -> GL_OBJECT_COMPILE_STATUS_ARB;
			case 0x8b82 -> GL_OBJECT_LINK_STATUS_ARB;
			case 0x8b83 -> GL_OBJECT_VALIDATE_STATUS_ARB;
			case 0x8b84 -> GL_OBJECT_INFO_LOG_LENGTH_ARB;
			case 0x8b85 -> GL_OBJECT_ATTACHED_OBJECTS_ARB;
			case 0x8b86 -> GL_OBJECT_ACTIVE_UNIFORMS_ARB;
			case 0x8b87 -> GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB;
			case 0x8b88 -> GL_OBJECT_SHADER_SOURCE_LENGTH_ARB;
			case 0x8b89 -> GL_OBJECT_ACTIVE_ATTRIBUTES_ARB;
			case 0x8b8a -> GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB;
			case 0x8b8d -> GL_ACTIVE_PROGRAM_EXT;
			case 0x8b90 -> GL_PALETTE4_RGB8_OES;
			case 0x8b91 -> GL_PALETTE4_RGBA8_OES;
			case 0x8b92 -> GL_PALETTE4_R5_G6_B5_OES;
			case 0x8b93 -> GL_PALETTE4_RGBA4_OES;
			case 0x8b94 -> GL_PALETTE4_RGB5_A1_OES;
			case 0x8b95 -> GL_PALETTE8_RGB8_OES;
			case 0x8b96 -> GL_PALETTE8_RGBA8_OES;
			case 0x8b97 -> GL_PALETTE8_R5_G6_B5_OES;
			case 0x8b98 -> GL_PALETTE8_RGBA4_OES;
			case 0x8b99 -> GL_PALETTE8_RGB5_A1_OES;
			case 0x8b9c -> GL_POINT_SIZE_ARRAY_OES;
			case 0x8b9d -> GL_TEXTURE_CROP_RECT_OES;
			case 0x8b9e -> GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES;
			case 0x8b9f -> GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES;
			case 0x8bb0 -> GL_FRAGMENT_PROGRAM_POSITION_MESA;
			case 0x8bb1 -> GL_FRAGMENT_PROGRAM_CALLBACK_MESA;
			case 0x8bb2 -> GL_FRAGMENT_PROGRAM_CALLBACK_FUNC_MESA;
			case 0x8bb3 -> GL_FRAGMENT_PROGRAM_CALLBACK_DATA_MESA;
			case 0x8bb4 -> GL_VERTEX_PROGRAM_POSITION_MESA;
			case 0x8bb5 -> GL_VERTEX_PROGRAM_CALLBACK_MESA;
			case 0x8bb6 -> GL_VERTEX_PROGRAM_CALLBACK_FUNC_MESA;
			case 0x8bb7 -> GL_VERTEX_PROGRAM_CALLBACK_DATA_MESA;
			case 0x8bb8 -> GL_TILE_RASTER_ORDER_FIXED_MESA;
			case 0x8bb9 -> GL_TILE_RASTER_ORDER_INCREASING_X_MESA;
			case 0x8bba -> GL_TILE_RASTER_ORDER_INCREASING_Y_MESA;
			case 0x8bbb -> GL_FRAMEBUFFER_FLIP_Y_MESA;
			case 0x8bbc -> GL_FRAMEBUFFER_FLIP_X_MESA;
			case 0x8bbd -> GL_FRAMEBUFFER_SWAP_XY_MESA;
			case 0x8bc0 -> GL_COUNTER_TYPE_AMD;
			case 0x8bc1 -> GL_COUNTER_RANGE_AMD;
			case 0x8bc2 -> GL_UNSIGNED_INT64_AMD;
			case 0x8bc3 -> GL_PERCENTAGE_AMD;
			case 0x8bc4 -> GL_PERFMON_RESULT_AVAILABLE_AMD;
			case 0x8bc5 -> GL_PERFMON_RESULT_SIZE_AMD;
			case 0x8bc6 -> GL_PERFMON_RESULT_AMD;
			case 0x8bd2 -> GL_TEXTURE_WIDTH_QCOM;
			case 0x8bd3 -> GL_TEXTURE_HEIGHT_QCOM;
			case 0x8bd4 -> GL_TEXTURE_DEPTH_QCOM;
			case 0x8bd5 -> GL_TEXTURE_INTERNAL_FORMAT_QCOM;
			case 0x8bd6 -> GL_TEXTURE_FORMAT_QCOM;
			case 0x8bd7 -> GL_TEXTURE_TYPE_QCOM;
			case 0x8bd8 -> GL_TEXTURE_IMAGE_VALID_QCOM;
			case 0x8bd9 -> GL_TEXTURE_NUM_LEVELS_QCOM;
			case 0x8bda -> GL_TEXTURE_TARGET_QCOM;
			case 0x8bdb -> GL_TEXTURE_OBJECT_VALID_QCOM;
			case 0x8bdc -> GL_STATE_RESTORE;
			case 0x8be7 -> GL_SAMPLER_EXTERNAL_2D_Y2Y_EXT;
			case 0x8bfa -> GL_TEXTURE_PROTECTED_EXT;
			case 0x8bfb -> GL_TEXTURE_FOVEATED_FEATURE_BITS_QCOM;
			case 0x8bfc -> GL_TEXTURE_FOVEATED_MIN_PIXEL_DENSITY_QCOM;
			case 0x8bfd -> GL_TEXTURE_FOVEATED_FEATURE_QUERY_QCOM;
			case 0x8bfe -> GL_TEXTURE_FOVEATED_NUM_FOCAL_POINTS_QUERY_QCOM;
			case 0x8bff -> GL_FRAMEBUFFER_INCOMPLETE_FOVEATION_QCOM;
			case 0x8c00 -> GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG;
			case 0x8c01 -> GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG;
			case 0x8c02 -> GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG;
			case 0x8c03 -> GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG;
			case 0x8c04 -> GL_MODULATE_COLOR_IMG;
			case 0x8c05 -> GL_RECIP_ADD_SIGNED_ALPHA_IMG;
			case 0x8c06 -> GL_TEXTURE_ALPHA_MODULATE_IMG;
			case 0x8c07 -> GL_FACTOR_ALPHA_MODULATE_IMG;
			case 0x8c08 -> GL_FRAGMENT_ALPHA_MODULATE_IMG;
			case 0x8c09 -> GL_ADD_BLEND_IMG;
			case 0x8c10 -> GL_TEXTURE_RED_TYPE;
			case 0x8c11 -> GL_TEXTURE_GREEN_TYPE;
			case 0x8c12 -> GL_TEXTURE_BLUE_TYPE;
			case 0x8c13 -> GL_TEXTURE_ALPHA_TYPE;
			case 0x8c14 -> GL_TEXTURE_LUMINANCE_TYPE;
			case 0x8c15 -> GL_TEXTURE_INTENSITY_TYPE;
			case 0x8c16 -> GL_TEXTURE_DEPTH_TYPE;
			case 0x8c17 -> GL_UNSIGNED_NORMALIZED;
			case 0x8c27 -> GL_MAX_PROGRAM_OUTPUT_VERTICES_NV;
			case 0x8c28 -> GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV;
			case 0x8c2d -> GL_TEXTURE_BUFFER_DATA_STORE_BINDING;
			case 0x8c2e -> GL_TEXTURE_BUFFER_FORMAT_ARB;
			case 0x8c37 -> GL_MIN_SAMPLE_SHADING_VALUE;
			case 0x8c3c -> GL_RGBA_SIGNED_COMPONENTS_EXT;
			case 0x8c3f -> GL_TEXTURE_SHARED_SIZE;
			case 0x8c44 -> GL_SLUMINANCE_ALPHA;
			case 0x8c45 -> GL_SLUMINANCE8_ALPHA8;
			case 0x8c46 -> GL_SLUMINANCE;
			case 0x8c47 -> GL_SLUMINANCE8;
			case 0x8c4a -> GL_COMPRESSED_SLUMINANCE;
			case 0x8c4b -> GL_COMPRESSED_SLUMINANCE_ALPHA;
			case 0x8c70 -> GL_COMPRESSED_LUMINANCE_LATC1_EXT;
			case 0x8c71 -> GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT;
			case 0x8c72 -> GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT;
			case 0x8c73 -> GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT;
			case 0x8c74 -> GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV;
			case 0x8c75 -> GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV;
			case 0x8c77 -> GL_BACK_PRIMARY_COLOR_NV;
			case 0x8c78 -> GL_BACK_SECONDARY_COLOR_NV;
			case 0x8c79 -> GL_TEXTURE_COORD_NV;
			case 0x8c7a -> GL_CLIP_DISTANCE_NV;
			case 0x8c7b -> GL_VERTEX_ID_NV;
			case 0x8c7c -> GL_PRIMITIVE_ID_NV;
			case 0x8c7d -> GL_GENERIC_ATTRIB_NV;
			case 0x8c7e -> GL_TRANSFORM_FEEDBACK_ATTRIBS_NV;
			case 0x8c80 -> GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS;
			case 0x8c81 -> GL_ACTIVE_VARYINGS_NV;
			case 0x8c82 -> GL_ACTIVE_VARYING_MAX_LENGTH_NV;
			case 0x8c86 -> GL_TRANSFORM_FEEDBACK_RECORD_NV;
			case 0x8c8a -> GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS;
			case 0x8c8b -> GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS;
			case 0x8c92 -> GL_ATC_RGB_AMD;
			case 0x8c93 -> GL_ATC_RGBA_EXPLICIT_ALPHA_AMD;
			case 0x8c96 -> GL_TEXTURE_LOD_BIAS_QCOM;
			case 0x8ca0 -> GL_POINT_SPRITE_COORD_ORIGIN;
			case 0x8ca6 -> GL_DRAW_FRAMEBUFFER_BINDING_ANGLE;
			case 0x8ca7 -> GL_RENDERBUFFER_BINDING_ANGLE;
			case 0x8ca8 -> GL_READ_FRAMEBUFFER_ANGLE;
			case 0x8ca9 -> GL_DRAW_FRAMEBUFFER_ANGLE;
			case 0x8caa -> GL_READ_FRAMEBUFFER_BINDING_ANGLE;
			case 0x8cd9 -> GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS;
			case 0x8cda -> GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT;
			case 0x8d56 -> GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE;
			case 0x8d57 -> GL_MAX_SAMPLES;
			case 0x8d61 -> GL_HALF_FLOAT_OES;
			case 0x8d65 -> GL_TEXTURE_EXTERNAL_OES;
			case 0x8d66 -> GL_SAMPLER_EXTERNAL_OES;
			case 0x8d67 -> GL_TEXTURE_BINDING_EXTERNAL_OES;
			case 0x8d68 -> GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES;
			case 0x8d97 -> GL_ALPHA_INTEGER;
			case 0x8d9c -> GL_LUMINANCE_INTEGER_EXT;
			case 0x8d9d -> GL_LUMINANCE_ALPHA_INTEGER_EXT;
			case 0x8d9e -> GL_RGBA_INTEGER_MODE_EXT;
			case 0x8da0 -> GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV;
			case 0x8da1 -> GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV;
			case 0x8da2 -> GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV;
			case 0x8da3 -> GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV;
			case 0x8da4 -> GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV;
			case 0x8da5 -> GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV;
			case 0x8da6 -> GL_MAX_PROGRAM_GENERIC_RESULTS_NV;
			case 0x8da9 -> GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB;
			case 0x8daa -> GL_LAYER_NV;
			case 0x8dae -> GL_SHADER_INCLUDE_ARB;
			case 0x8daf -> GL_DEPTH_BUFFER_FLOAT_MODE_NV;
			case 0x8dba -> GL_FRAMEBUFFER_SRGB_CAPABLE_EXT;
			case 0x8dda -> GL_GEOMETRY_VERTICES_OUT_ARB;
			case 0x8ddb -> GL_GEOMETRY_INPUT_TYPE_ARB;
			case 0x8ddc -> GL_GEOMETRY_OUTPUT_TYPE_ARB;
			case 0x8ddd -> GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB;
			case 0x8dde -> GL_MAX_VERTEX_VARYING_COMPONENTS_ARB;
			case 0x8de0 -> GL_MAX_GEOMETRY_OUTPUT_VERTICES;
			case 0x8de1 -> GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS;
			case 0x8de2 -> GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT;
			case 0x8de3 -> GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT;
			case 0x8de4 -> GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT;
			case 0x8de7 -> GL_MAX_SUBROUTINES;
			case 0x8de8 -> GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS;
			case 0x8de9 -> GL_NAMED_STRING_LENGTH_ARB;
			case 0x8dea -> GL_NAMED_STRING_TYPE_ARB;
			case 0x8ded -> GL_MAX_BINDABLE_UNIFORM_SIZE_EXT;
			case 0x8dee -> GL_UNIFORM_BUFFER_EXT;
			case 0x8def -> GL_UNIFORM_BUFFER_BINDING_EXT;
			case 0x8df6 -> GL_UNSIGNED_INT_10_10_10_2_OES;
			case 0x8df7 -> GL_INT_10_10_10_2_OES;
			case 0x8e11 -> GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV;
			case 0x8e12 -> GL_MULTISAMPLE_COVERAGE_MODES_NV;
			case 0x8e1b -> GL_POLYGON_OFFSET_CLAMP;
			case 0x8e1e -> GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS;
			case 0x8e1f -> GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS;
			case 0x8e20 -> GL_COLOR_SAMPLES_NV;
			case 0x8e23 -> GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED;
			case 0x8e24 -> GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE;
			case 0x8e25 -> GL_TRANSFORM_FEEDBACK_BINDING;
			case 0x8e26 -> GL_FRAME_NV;
			case 0x8e27 -> GL_FIELDS_NV;
			case 0x8e28 -> GL_CURRENT_TIME_NV;
			case 0x8e29 -> GL_NUM_FILL_STREAMS_NV;
			case 0x8e2a -> GL_PRESENT_TIME_NV;
			case 0x8e2b -> GL_PRESENT_DURATION_NV;
			case 0x8e2c -> GL_DEPTH_COMPONENT16_NONLINEAR_NV;
			case 0x8e2d -> GL_PROGRAM_MATRIX_EXT;
			case 0x8e2e -> GL_TRANSPOSE_PROGRAM_MATRIX_EXT;
			case 0x8e2f -> GL_PROGRAM_MATRIX_STACK_DEPTH_EXT;
			case 0x8e4c -> GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION;
			case 0x8e50 -> GL_SAMPLE_LOCATION_NV;
			case 0x8e52 -> GL_SAMPLE_MASK_VALUE;
			case 0x8e53 -> GL_TEXTURE_BINDING_RENDERBUFFER_NV;
			case 0x8e54 -> GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV;
			case 0x8e55 -> GL_TEXTURE_RENDERBUFFER_NV;
			case 0x8e56 -> GL_SAMPLER_RENDERBUFFER_NV;
			case 0x8e57 -> GL_INT_SAMPLER_RENDERBUFFER_NV;
			case 0x8e58 -> GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV;
			case 0x8e5a -> GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV;
			case 0x8e5b -> GL_MIN_FRAGMENT_INTERPOLATION_OFFSET;
			case 0x8e5c -> GL_MAX_FRAGMENT_INTERPOLATION_OFFSET;
			case 0x8e5d -> GL_FRAGMENT_INTERPOLATION_OFFSET_BITS;
			case 0x8e5e -> GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET;
			case 0x8e5f -> GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET;
			case 0x8e60 -> GL_MAX_MESH_UNIFORM_BLOCKS_NV;
			case 0x8e61 -> GL_MAX_MESH_TEXTURE_IMAGE_UNITS_NV;
			case 0x8e62 -> GL_MAX_MESH_IMAGE_UNIFORMS_NV;
			case 0x8e63 -> GL_MAX_MESH_UNIFORM_COMPONENTS_NV;
			case 0x8e64 -> GL_MAX_MESH_ATOMIC_COUNTER_BUFFERS_NV;
			case 0x8e65 -> GL_MAX_MESH_ATOMIC_COUNTERS_NV;
			case 0x8e66 -> GL_MAX_MESH_SHADER_STORAGE_BLOCKS_NV;
			case 0x8e67 -> GL_MAX_COMBINED_MESH_UNIFORM_COMPONENTS_NV;
			case 0x8e68 -> GL_MAX_TASK_UNIFORM_BLOCKS_NV;
			case 0x8e69 -> GL_MAX_TASK_TEXTURE_IMAGE_UNITS_NV;
			case 0x8e6a -> GL_MAX_TASK_IMAGE_UNIFORMS_NV;
			case 0x8e6b -> GL_MAX_TASK_UNIFORM_COMPONENTS_NV;
			case 0x8e6c -> GL_MAX_TASK_ATOMIC_COUNTER_BUFFERS_NV;
			case 0x8e6d -> GL_MAX_TASK_ATOMIC_COUNTERS_NV;
			case 0x8e6e -> GL_MAX_TASK_SHADER_STORAGE_BLOCKS_NV;
			case 0x8e6f -> GL_MAX_COMBINED_TASK_UNIFORM_COMPONENTS_NV;
			case 0x8e70 -> GL_MAX_TRANSFORM_FEEDBACK_BUFFERS;
			case 0x8e71 -> GL_MAX_VERTEX_STREAMS;
			case 0x8e75 -> GL_TESS_CONTROL_OUTPUT_VERTICES;
			case 0x8e76 -> GL_TESS_GEN_MODE;
			case 0x8e77 -> GL_TESS_GEN_SPACING;
			case 0x8e78 -> GL_TESS_GEN_VERTEX_ORDER;
			case 0x8e79 -> GL_TESS_GEN_POINT_MODE;
			case 0x8e7a -> GL_ISOLINES;
			case 0x8e7b -> GL_FRACTIONAL_ODD;
			case 0x8e7c -> GL_FRACTIONAL_EVEN;
			case 0x8e7d -> GL_MAX_PATCH_VERTICES;
			case 0x8e7e -> GL_MAX_TESS_GEN_LEVEL;
			case 0x8e7f -> GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS;
			case 0x8e80 -> GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS;
			case 0x8e81 -> GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS;
			case 0x8e82 -> GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS;
			case 0x8e83 -> GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS;
			case 0x8e84 -> GL_MAX_TESS_PATCH_COMPONENTS;
			case 0x8e85 -> GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS;
			case 0x8e86 -> GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS;
			case 0x8ea0 -> GL_TRP_IMG;
			case 0x8ea1 -> GL_TRP_ERROR_CONTEXT_RESET_IMG;
			case 0x8ea2 -> GL_TRP_UNSUPPORTED_CONTEXT_IMG;
			case 0x8ea3 -> GL_PVRIC_SIGNATURE_MISMATCH_IMG;
			case 0x8ed0 -> GL_COVERAGE_COMPONENT_NV;
			case 0x8ed1 -> GL_COVERAGE_COMPONENT4_NV;
			case 0x8ed2 -> GL_COVERAGE_ATTACHMENT_NV;
			case 0x8ed3 -> GL_COVERAGE_BUFFERS_NV;
			case 0x8ed4 -> GL_COVERAGE_SAMPLES_NV;
			case 0x8ed5 -> GL_COVERAGE_ALL_FRAGMENTS_NV;
			case 0x8ed6 -> GL_COVERAGE_EDGE_FRAGMENTS_NV;
			case 0x8ed7 -> GL_COVERAGE_AUTOMATIC_NV;
			case 0x8f10 -> GL_INCLUSIVE_EXT;
			case 0x8f11 -> GL_EXCLUSIVE_EXT;
			case 0x8f12 -> GL_WINDOW_RECTANGLE_EXT;
			case 0x8f13 -> GL_WINDOW_RECTANGLE_MODE_EXT;
			case 0x8f14 -> GL_MAX_WINDOW_RECTANGLES_EXT;
			case 0x8f15 -> GL_NUM_WINDOW_RECTANGLES_EXT;
			case 0x8f1d -> GL_BUFFER_GPU_ADDRESS_NV;
			case 0x8f1e -> GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV;
			case 0x8f1f -> GL_ELEMENT_ARRAY_UNIFIED_NV;
			case 0x8f20 -> GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV;
			case 0x8f21 -> GL_VERTEX_ARRAY_ADDRESS_NV;
			case 0x8f22 -> GL_NORMAL_ARRAY_ADDRESS_NV;
			case 0x8f23 -> GL_COLOR_ARRAY_ADDRESS_NV;
			case 0x8f24 -> GL_INDEX_ARRAY_ADDRESS_NV;
			case 0x8f25 -> GL_TEXTURE_COORD_ARRAY_ADDRESS_NV;
			case 0x8f26 -> GL_EDGE_FLAG_ARRAY_ADDRESS_NV;
			case 0x8f27 -> GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV;
			case 0x8f28 -> GL_FOG_COORD_ARRAY_ADDRESS_NV;
			case 0x8f29 -> GL_ELEMENT_ARRAY_ADDRESS_NV;
			case 0x8f2a -> GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV;
			case 0x8f2b -> GL_VERTEX_ARRAY_LENGTH_NV;
			case 0x8f2c -> GL_NORMAL_ARRAY_LENGTH_NV;
			case 0x8f2d -> GL_COLOR_ARRAY_LENGTH_NV;
			case 0x8f2e -> GL_INDEX_ARRAY_LENGTH_NV;
			case 0x8f2f -> GL_TEXTURE_COORD_ARRAY_LENGTH_NV;
			case 0x8f30 -> GL_EDGE_FLAG_ARRAY_LENGTH_NV;
			case 0x8f31 -> GL_SECONDARY_COLOR_ARRAY_LENGTH_NV;
			case 0x8f32 -> GL_FOG_COORD_ARRAY_LENGTH_NV;
			case 0x8f33 -> GL_ELEMENT_ARRAY_LENGTH_NV;
			case 0x8f34 -> GL_GPU_ADDRESS_NV;
			case 0x8f35 -> GL_MAX_SHADER_BUFFER_ADDRESS_NV;
			case 0x8f38 -> GL_MAX_IMAGE_UNITS;
			case 0x8f39 -> GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS;
			case 0x8f3a -> GL_IMAGE_BINDING_NAME;
			case 0x8f3b -> GL_IMAGE_BINDING_LEVEL;
			case 0x8f3c -> GL_IMAGE_BINDING_LAYERED;
			case 0x8f3d -> GL_IMAGE_BINDING_LAYER;
			case 0x8f3e -> GL_IMAGE_BINDING_ACCESS;
			case 0x8f40 -> GL_DRAW_INDIRECT_UNIFIED_NV;
			case 0x8f41 -> GL_DRAW_INDIRECT_ADDRESS_NV;
			case 0x8f42 -> GL_DRAW_INDIRECT_LENGTH_NV;
			case 0x8f44 -> GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV;
			case 0x8f45 -> GL_MAX_PROGRAM_SUBROUTINE_NUM_NV;
			case 0x8f4f -> GL_VERTEX_BINDING_BUFFER;
			case 0x8f61 -> GL_MALI_PROGRAM_BINARY_ARM;
			case 0x8f63 -> GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_FAST_SIZE_EXT;
			case 0x8f64 -> GL_SHADER_PIXEL_LOCAL_STORAGE_EXT;
			case 0x8f67 -> GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_SIZE_EXT;
			case 0x8f69 -> GL_TEXTURE_ASTC_DECODE_PRECISION_EXT;
			case 0x8f90 -> GL_RED_SNORM;
			case 0x8f91 -> GL_RG_SNORM;
			case 0x8f92 -> GL_RGB_SNORM;
			case 0x8f93 -> GL_RGBA_SNORM;
			case 0x8f9c -> GL_SIGNED_NORMALIZED;
			case 0x8f9f -> GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB;
			case 0x8fa0 -> GL_PERFMON_GLOBAL_MODE_QCOM;
			case 0x8fa1 -> GL_MAX_SHADER_SUBSAMPLED_IMAGE_UNITS_QCOM;
			case 0x8fb1 -> GL_CPU_OPTIMIZED_QCOM;
			case 0x8fb2 -> GL_GPU_OPTIMIZED_QCOM;
			case 0x8fb3 -> GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM;
			case 0x8fbb -> GL_GPU_DISJOINT_EXT;
			case 0x8fbf -> GL_TEXTURE_FORMAT_SRGB_OVERRIDE_EXT;
			case 0x8fe0 -> GL_INT8_NV;
			case 0x8fe1 -> GL_INT8_VEC2_NV;
			case 0x8fe2 -> GL_INT8_VEC3_NV;
			case 0x8fe3 -> GL_INT8_VEC4_NV;
			case 0x8fe4 -> GL_INT16_NV;
			case 0x8fe5 -> GL_INT16_VEC2_NV;
			case 0x8fe6 -> GL_INT16_VEC3_NV;
			case 0x8fe7 -> GL_INT16_VEC4_NV;
			case 0x8fe9 -> GL_INT64_VEC2_NV;
			case 0x8fea -> GL_INT64_VEC3_NV;
			case 0x8feb -> GL_INT64_VEC4_NV;
			case 0x8fec -> GL_UNSIGNED_INT8_NV;
			case 0x8fed -> GL_UNSIGNED_INT8_VEC2_NV;
			case 0x8fee -> GL_UNSIGNED_INT8_VEC3_NV;
			case 0x8fef -> GL_UNSIGNED_INT8_VEC4_NV;
			case 0x8ff0 -> GL_UNSIGNED_INT16_NV;
			case 0x8ff1 -> GL_UNSIGNED_INT16_VEC2_NV;
			case 0x8ff2 -> GL_UNSIGNED_INT16_VEC3_NV;
			case 0x8ff3 -> GL_UNSIGNED_INT16_VEC4_NV;
			case 0x8ff5 -> GL_UNSIGNED_INT64_VEC2_NV;
			case 0x8ff6 -> GL_UNSIGNED_INT64_VEC3_NV;
			case 0x8ff7 -> GL_UNSIGNED_INT64_VEC4_NV;
			case 0x8ff8 -> GL_FLOAT16_NV;
			case 0x8ff9 -> GL_FLOAT16_VEC2_NV;
			case 0x8ffa -> GL_FLOAT16_VEC3_NV;
			case 0x8ffb -> GL_FLOAT16_VEC4_NV;
			case 0x9001 -> GL_SAMPLER_BUFFER_AMD;
			case 0x9002 -> GL_INT_SAMPLER_BUFFER_AMD;
			case 0x9003 -> GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD;
			case 0x9004 -> GL_TESSELLATION_MODE_AMD;
			case 0x9005 -> GL_TESSELLATION_FACTOR_AMD;
			case 0x9006 -> GL_DISCRETE_AMD;
			case 0x9007 -> GL_CONTINUOUS_AMD;
			case 0x900a -> GL_TEXTURE_BINDING_CUBE_MAP_ARRAY;
			case 0x9010 -> GL_ALPHA_SNORM;
			case 0x9011 -> GL_LUMINANCE_SNORM;
			case 0x9012 -> GL_LUMINANCE_ALPHA_SNORM;
			case 0x9013 -> GL_INTENSITY_SNORM;
			case 0x9014 -> GL_ALPHA8_SNORM;
			case 0x9015 -> GL_LUMINANCE8_SNORM;
			case 0x9016 -> GL_LUMINANCE8_ALPHA8_SNORM;
			case 0x9017 -> GL_INTENSITY8_SNORM;
			case 0x9018 -> GL_ALPHA16_SNORM;
			case 0x9019 -> GL_LUMINANCE16_SNORM;
			case 0x901a -> GL_LUMINANCE16_ALPHA16_SNORM;
			case 0x901b -> GL_INTENSITY16_SNORM;
			case 0x901c -> GL_FACTOR_MIN_AMD;
			case 0x901d -> GL_FACTOR_MAX_AMD;
			case 0x901e -> GL_DEPTH_CLAMP_NEAR_AMD;
			case 0x901f -> GL_DEPTH_CLAMP_FAR_AMD;
			case 0x9020 -> GL_VIDEO_BUFFER_NV;
			case 0x9021 -> GL_VIDEO_BUFFER_BINDING_NV;
			case 0x9022 -> GL_FIELD_UPPER_NV;
			case 0x9023 -> GL_FIELD_LOWER_NV;
			case 0x9024 -> GL_NUM_VIDEO_CAPTURE_STREAMS_NV;
			case 0x9025 -> GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV;
			case 0x9026 -> GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV;
			case 0x9027 -> GL_LAST_VIDEO_CAPTURE_STATUS_NV;
			case 0x9028 -> GL_VIDEO_BUFFER_PITCH_NV;
			case 0x9029 -> GL_VIDEO_COLOR_CONVERSION_MATRIX_NV;
			case 0x902a -> GL_VIDEO_COLOR_CONVERSION_MAX_NV;
			case 0x902b -> GL_VIDEO_COLOR_CONVERSION_MIN_NV;
			case 0x902c -> GL_VIDEO_COLOR_CONVERSION_OFFSET_NV;
			case 0x902d -> GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV;
			case 0x902e -> GL_PARTIAL_SUCCESS_NV;
			case 0x902f -> GL_SUCCESS_NV;
			case 0x9030 -> GL_FAILURE_NV;
			case 0x9031 -> GL_YCBYCR8_422_NV;
			case 0x9032 -> GL_YCBAYCR8A_4224_NV;
			case 0x9033 -> GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV;
			case 0x9034 -> GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV;
			case 0x9035 -> GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV;
			case 0x9036 -> GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV;
			case 0x9037 -> GL_Z4Y12Z4CB12Z4CR12_444_NV;
			case 0x9038 -> GL_VIDEO_CAPTURE_FRAME_WIDTH_NV;
			case 0x9039 -> GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV;
			case 0x903a -> GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV;
			case 0x903b -> GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV;
			case 0x903c -> GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV;
			case 0x9045 -> GL_TEXTURE_COVERAGE_SAMPLES_NV;
			case 0x9046 -> GL_TEXTURE_COLOR_SAMPLES_NV;
			case 0x9047 -> GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX;
			case 0x9048 -> GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX;
			case 0x9049 -> GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX;
			case 0x904a -> GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX;
			case 0x904b -> GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX;
			case 0x906d -> GL_MAX_IMAGE_SAMPLES;
			case 0x906e -> GL_IMAGE_BINDING_FORMAT;
			case 0x90a3 -> GL_SQUARE_NV;
			case 0x90a4 -> GL_ROUND_NV;
			case 0x90a5 -> GL_TRIANGULAR_NV;
			case 0x90a6 -> GL_BEVEL_NV;
			case 0x90a7 -> GL_MITER_REVERT_NV;
			case 0x90a8 -> GL_MITER_TRUNCATE_NV;
			case 0x90ab -> GL_PATH_ERROR_POSITION_NV;
			case 0x90ac -> GL_PATH_FOG_GEN_MODE_NV;
			case 0x90b0 -> GL_PATH_GEN_MODE_NV;
			case 0x90b1 -> GL_PATH_GEN_COEFF_NV;
			case 0x90b2 -> GL_PATH_GEN_COLOR_FORMAT_NV;
			case 0x90b3 -> GL_PATH_GEN_COMPONENTS_NV;
			case 0x90b5 -> GL_MOVE_TO_RESETS_NV;
			case 0x90b6 -> GL_MOVE_TO_CONTINUES_NV;
			case 0x90b7 -> GL_PATH_STENCIL_FUNC_NV;
			case 0x90b8 -> GL_PATH_STENCIL_REF_NV;
			case 0x90b9 -> GL_PATH_STENCIL_VALUE_MASK_NV;
			case 0x90ba -> GL_SCALED_RESOLVE_FASTEST_EXT;
			case 0x90bb -> GL_SCALED_RESOLVE_NICEST_EXT;
			case 0x90bd -> GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV;
			case 0x90be -> GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV;
			case 0x90bf -> GL_PATH_COVER_DEPTH_FUNC_NV;
			case 0x90c8 -> GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE;
			case 0x90c9 -> GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS;
			case 0x90ca -> GL_MAX_VERTEX_IMAGE_UNIFORMS;
			case 0x90cb -> GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS;
			case 0x90cc -> GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS;
			case 0x90cd -> GL_MAX_GEOMETRY_IMAGE_UNIFORMS;
			case 0x90ce -> GL_MAX_FRAGMENT_IMAGE_UNIFORMS;
			case 0x90cf -> GL_MAX_COMBINED_IMAGE_UNIFORMS;
			case 0x90d0 -> GL_MAX_DEEP_3D_TEXTURE_WIDTH_HEIGHT_NV;
			case 0x90d1 -> GL_MAX_DEEP_3D_TEXTURE_DEPTH_NV;
			case 0x90de -> GL_MAX_SHADER_STORAGE_BLOCK_SIZE;
			case 0x90e1 -> GL_SYNC_X11_FENCE_EXT;
			case 0x90eb -> GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB;
			case 0x90f0 -> GL_COLOR_ATTACHMENT_EXT;
			case 0x90f1 -> GL_MULTIVIEW_EXT;
			case 0x90f2 -> GL_MAX_MULTIVIEW_BUFFERS_EXT;
			case 0x90f3 -> GL_CONTEXT_ROBUST_ACCESS;
			case 0x90fc -> GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV;
			case 0x9106 -> GL_TEXTURE_SAMPLES;
			case 0x9107 -> GL_TEXTURE_FIXED_SAMPLE_LOCATIONS;
			case 0x9116 -> GL_SYNC_FENCE;
			case 0x9118 -> GL_UNSIGNALED;
			case 0x9119 -> GL_SIGNALED;
			case 0x9127 -> GL_UNPACK_COMPRESSED_BLOCK_WIDTH;
			case 0x9128 -> GL_UNPACK_COMPRESSED_BLOCK_HEIGHT;
			case 0x9129 -> GL_UNPACK_COMPRESSED_BLOCK_DEPTH;
			case 0x912a -> GL_UNPACK_COMPRESSED_BLOCK_SIZE;
			case 0x912b -> GL_PACK_COMPRESSED_BLOCK_WIDTH;
			case 0x912c -> GL_PACK_COMPRESSED_BLOCK_HEIGHT;
			case 0x912d -> GL_PACK_COMPRESSED_BLOCK_DEPTH;
			case 0x912e -> GL_PACK_COMPRESSED_BLOCK_SIZE;
			case 0x912f -> GL_TEXTURE_IMMUTABLE_FORMAT;
			case 0x9130 -> GL_SGX_PROGRAM_BINARY_IMG;
			case 0x9134 -> GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG;
			case 0x9135 -> GL_MAX_SAMPLES_IMG;
			case 0x9136 -> GL_TEXTURE_SAMPLES_IMG;
			case 0x9137 -> GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG;
			case 0x9138 -> GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG;
			case 0x9139 -> GL_CUBIC_IMG;
			case 0x913a -> GL_CUBIC_MIPMAP_NEAREST_IMG;
			case 0x913b -> GL_CUBIC_MIPMAP_LINEAR_IMG;
			case 0x913c -> GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_AND_DOWNSAMPLE_IMG;
			case 0x913d -> GL_NUM_DOWNSAMPLE_SCALES_IMG;
			case 0x913e -> GL_DOWNSAMPLE_SCALES_IMG;
			case 0x9143 -> GL_MAX_DEBUG_MESSAGE_LENGTH_KHR;
			case 0x9144 -> GL_MAX_DEBUG_LOGGED_MESSAGES_KHR;
			case 0x9145 -> GL_DEBUG_LOGGED_MESSAGES_KHR;
			case 0x9146 -> GL_DEBUG_SEVERITY_HIGH_KHR;
			case 0x9147 -> GL_DEBUG_SEVERITY_MEDIUM_KHR;
			case 0x9148 -> GL_DEBUG_SEVERITY_LOW_KHR;
			case 0x9149 -> GL_DEBUG_CATEGORY_API_ERROR_AMD;
			case 0x914a -> GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD;
			case 0x914b -> GL_DEBUG_CATEGORY_DEPRECATION_AMD;
			case 0x914c -> GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD;
			case 0x914d -> GL_DEBUG_CATEGORY_PERFORMANCE_AMD;
			case 0x914e -> GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD;
			case 0x914f -> GL_DEBUG_CATEGORY_APPLICATION_AMD;
			case 0x9150 -> GL_DEBUG_CATEGORY_OTHER_AMD;
			case 0x9151 -> GL_BUFFER_OBJECT_EXT;
			case 0x9152 -> GL_PERFORMANCE_MONITOR_AMD;
			case 0x9153 -> GL_QUERY_OBJECT_AMD;
			case 0x9154 -> GL_VERTEX_ARRAY_OBJECT_AMD;
			case 0x9155 -> GL_SAMPLER_OBJECT_AMD;
			case 0x9160 -> GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD;
			case 0x9195 -> GL_VIRTUAL_PAGE_SIZE_X_ARB;
			case 0x9196 -> GL_VIRTUAL_PAGE_SIZE_Y_ARB;
			case 0x9197 -> GL_VIRTUAL_PAGE_SIZE_Z_ARB;
			case 0x9198 -> GL_MAX_SPARSE_TEXTURE_SIZE_ARB;
			case 0x9199 -> GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB;
			case 0x919a -> GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS;
			case 0x919b -> GL_MIN_SPARSE_LEVEL_AMD;
			case 0x919c -> GL_MIN_LOD_WARNING_AMD;
			case 0x919d -> GL_TEXTURE_BUFFER_OFFSET;
			case 0x919e -> GL_TEXTURE_BUFFER_SIZE;
			case 0x91a0 -> GL_STREAM_RASTERIZATION_AMD;
			case 0x91a4 -> GL_VERTEX_ELEMENT_SWIZZLE_AMD;
			case 0x91a5 -> GL_VERTEX_ID_SWIZZLE_AMD;
			case 0x91a6 -> GL_TEXTURE_SPARSE_ARB;
			case 0x91a7 -> GL_VIRTUAL_PAGE_SIZE_INDEX_ARB;
			case 0x91a8 -> GL_NUM_VIRTUAL_PAGE_SIZES_ARB;
			case 0x91a9 -> GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB;
			case 0x91aa -> GL_NUM_SPARSE_LEVELS_ARB;
			case 0x91ae -> GL_PIXELS_PER_SAMPLE_PATTERN_X_AMD;
			case 0x91af -> GL_PIXELS_PER_SAMPLE_PATTERN_Y_AMD;
			case 0x91b0 -> GL_MAX_SHADER_COMPILER_THREADS_KHR;
			case 0x91b1 -> GL_COMPLETION_STATUS_KHR;
			case 0x91b3 -> GL_MAX_COLOR_FRAMEBUFFER_SAMPLES_AMD;
			case 0x91b4 -> GL_MAX_COLOR_FRAMEBUFFER_STORAGE_SAMPLES_AMD;
			case 0x91b5 -> GL_MAX_DEPTH_STENCIL_FRAMEBUFFER_SAMPLES_AMD;
			case 0x91b6 -> GL_NUM_SUPPORTED_MULTISAMPLE_MODES_AMD;
			case 0x91b7 -> GL_SUPPORTED_MULTISAMPLE_MODES_AMD;
			case 0x91bd -> GL_MAX_COMPUTE_IMAGE_UNIFORMS;
			case 0x91bf -> GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB;
			case 0x91c5 -> GL_FLOAT16_MAT2_AMD;
			case 0x91c6 -> GL_FLOAT16_MAT3_AMD;
			case 0x91c7 -> GL_FLOAT16_MAT4_AMD;
			case 0x91c8 -> GL_FLOAT16_MAT2x3_AMD;
			case 0x91c9 -> GL_FLOAT16_MAT2x4_AMD;
			case 0x91ca -> GL_FLOAT16_MAT3x2_AMD;
			case 0x91cb -> GL_FLOAT16_MAT3x4_AMD;
			case 0x91cc -> GL_FLOAT16_MAT4x2_AMD;
			case 0x91cd -> GL_FLOAT16_MAT4x3_AMD;
			case 0x9240 -> GL_UNPACK_FLIP_Y_WEBGL;
			case 0x9241 -> GL_UNPACK_PREMULTIPLY_ALPHA_WEBGL;
			case 0x9242 -> GL_CONTEXT_LOST_WEBGL;
			case 0x9243 -> GL_UNPACK_COLORSPACE_CONVERSION_WEBGL;
			case 0x9244 -> GL_BROWSER_DEFAULT_WEBGL;
			case 0x9245 -> GL_UNMASKED_VENDOR_WEBGL;
			case 0x9246 -> GL_UNMASKED_RENDERER_WEBGL;
			case 0x9247 -> GL_MAX_CLIENT_WAIT_TIMEOUT_WEBGL;
			case 0x9248 -> GL_TEXTURE_VIDEO_IMAGE_WEBGL;
			case 0x9249 -> GL_SAMPLER_VIDEO_IMAGE_WEBGL;
			case 0x9251 -> GL_SMAPHS30_PROGRAM_BINARY_DMP;
			case 0x9252 -> GL_SMAPHS_PROGRAM_BINARY_DMP;
			case 0x9253 -> GL_DMP_PROGRAM_BINARY_DMP;
			case 0x9280 -> GL_BLEND_PREMULTIPLIED_SRC_NV;
			case 0x9281 -> GL_BLEND_OVERLAP_NV;
			case 0x9282 -> GL_UNCORRELATED_NV;
			case 0x9283 -> GL_DISJOINT_NV;
			case 0x9284 -> GL_CONJOINT_NV;
			case 0x9285 -> GL_BLEND_ADVANCED_COHERENT_KHR;
			case 0x9286 -> GL_SRC_NV;
			case 0x9287 -> GL_DST_NV;
			case 0x9288 -> GL_SRC_OVER_NV;
			case 0x9289 -> GL_DST_OVER_NV;
			case 0x928a -> GL_SRC_IN_NV;
			case 0x928b -> GL_DST_IN_NV;
			case 0x928c -> GL_SRC_OUT_NV;
			case 0x928d -> GL_DST_OUT_NV;
			case 0x928e -> GL_SRC_ATOP_NV;
			case 0x928f -> GL_DST_ATOP_NV;
			case 0x9291 -> GL_PLUS_NV;
			case 0x9292 -> GL_PLUS_DARKER_NV;
			case 0x9294 -> GL_MULTIPLY;
			case 0x9295 -> GL_SCREEN;
			case 0x9296 -> GL_OVERLAY;
			case 0x9297 -> GL_DARKEN;
			case 0x9298 -> GL_LIGHTEN;
			case 0x9299 -> GL_COLORDODGE;
			case 0x929a -> GL_COLORBURN;
			case 0x929b -> GL_HARDLIGHT;
			case 0x929c -> GL_SOFTLIGHT;
			case 0x929e -> GL_DIFFERENCE;
			case 0x929f -> GL_MINUS_NV;
			case 0x92a0 -> GL_EXCLUSION;
			case 0x92a1 -> GL_CONTRAST_NV;
			case 0x92a3 -> GL_INVERT_RGB_NV;
			case 0x92a4 -> GL_LINEARDODGE_NV;
			case 0x92a5 -> GL_LINEARBURN_NV;
			case 0x92a6 -> GL_VIVIDLIGHT_NV;
			case 0x92a7 -> GL_LINEARLIGHT_NV;
			case 0x92a8 -> GL_PINLIGHT_NV;
			case 0x92a9 -> GL_HARDMIX_NV;
			case 0x92ad -> GL_HSL_HUE;
			case 0x92ae -> GL_HSL_SATURATION;
			case 0x92af -> GL_HSL_COLOR;
			case 0x92b0 -> GL_HSL_LUMINOSITY;
			case 0x92b1 -> GL_PLUS_CLAMPED_NV;
			case 0x92b2 -> GL_PLUS_CLAMPED_ALPHA_NV;
			case 0x92b3 -> GL_MINUS_CLAMPED_NV;
			case 0x92b4 -> GL_INVERT_OVG_NV;
			case 0x92ba -> GL_MAX_LGPU_GPUS_NVX;
			case 0x92bb -> GL_PURGED_CONTEXT_RESET_NV;
			case 0x92be -> GL_PRIMITIVE_BOUNDING_BOX_ARB;
			case 0x92bf -> GL_ALPHA_TO_COVERAGE_DITHER_MODE_NV;
			case 0x92c2 -> GL_ATOMIC_COUNTER_BUFFER_START;
			case 0x92c3 -> GL_ATOMIC_COUNTER_BUFFER_SIZE;
			case 0x92cc -> GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS;
			case 0x92cd -> GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS;
			case 0x92ce -> GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS;
			case 0x92cf -> GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS;
			case 0x92d0 -> GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS;
			case 0x92d1 -> GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS;
			case 0x92d8 -> GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE;
			case 0x92db -> GL_UNSIGNED_INT_ATOMIC_COUNTER;
			case 0x92dc -> GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS;
			case 0x92dd -> GL_FRAGMENT_COVERAGE_TO_COLOR_NV;
			case 0x92de -> GL_FRAGMENT_COVERAGE_COLOR_NV;
			case 0x92df -> GL_MESH_OUTPUT_PER_VERTEX_GRANULARITY_NV;
			case 0x92e0 -> GL_DEBUG_OUTPUT_KHR;
			case 0x9327 -> GL_RASTER_MULTISAMPLE_EXT;
			case 0x9328 -> GL_RASTER_SAMPLES_EXT;
			case 0x9329 -> GL_MAX_RASTER_SAMPLES_EXT;
			case 0x932a -> GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT;
			case 0x932b -> GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT;
			case 0x932c -> GL_EFFECTIVE_RASTER_SAMPLES_EXT;
			case 0x932d -> GL_DEPTH_SAMPLES_NV;
			case 0x932e -> GL_STENCIL_SAMPLES_NV;
			case 0x932f -> GL_MIXED_DEPTH_SAMPLES_SUPPORTED_NV;
			case 0x9330 -> GL_MIXED_STENCIL_SAMPLES_SUPPORTED_NV;
			case 0x9331 -> GL_COVERAGE_MODULATION_TABLE_NV;
			case 0x9332 -> GL_COVERAGE_MODULATION_NV;
			case 0x9333 -> GL_COVERAGE_MODULATION_TABLE_SIZE_NV;
			case 0x9339 -> GL_WARP_SIZE_NV;
			case 0x933a -> GL_WARPS_PER_SM_NV;
			case 0x933b -> GL_SM_COUNT_NV;
			case 0x933c -> GL_FILL_RECTANGLE_NV;
			case 0x933d -> GL_SAMPLE_LOCATION_SUBPIXEL_BITS_ARB;
			case 0x933e -> GL_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_ARB;
			case 0x933f -> GL_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_ARB;
			case 0x9340 -> GL_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_ARB;
			case 0x9341 -> GL_PROGRAMMABLE_SAMPLE_LOCATION_NV;
			case 0x9342 -> GL_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_ARB;
			case 0x9343 -> GL_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_ARB;
			case 0x9344 -> GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB;
			case 0x9345 -> GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB;
			case 0x9346 -> GL_CONSERVATIVE_RASTERIZATION_NV;
			case 0x9347 -> GL_SUBPIXEL_PRECISION_BIAS_X_BITS_NV;
			case 0x9348 -> GL_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV;
			case 0x9349 -> GL_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV;
			case 0x934d -> GL_ALPHA_TO_COVERAGE_DITHER_DEFAULT_NV;
			case 0x934e -> GL_ALPHA_TO_COVERAGE_DITHER_ENABLE_NV;
			case 0x934f -> GL_ALPHA_TO_COVERAGE_DITHER_DISABLE_NV;
			case 0x9350 -> GL_VIEWPORT_SWIZZLE_POSITIVE_X_NV;
			case 0x9351 -> GL_VIEWPORT_SWIZZLE_NEGATIVE_X_NV;
			case 0x9352 -> GL_VIEWPORT_SWIZZLE_POSITIVE_Y_NV;
			case 0x9353 -> GL_VIEWPORT_SWIZZLE_NEGATIVE_Y_NV;
			case 0x9354 -> GL_VIEWPORT_SWIZZLE_POSITIVE_Z_NV;
			case 0x9355 -> GL_VIEWPORT_SWIZZLE_NEGATIVE_Z_NV;
			case 0x9356 -> GL_VIEWPORT_SWIZZLE_POSITIVE_W_NV;
			case 0x9357 -> GL_VIEWPORT_SWIZZLE_NEGATIVE_W_NV;
			case 0x9358 -> GL_VIEWPORT_SWIZZLE_X_NV;
			case 0x9359 -> GL_VIEWPORT_SWIZZLE_Y_NV;
			case 0x935a -> GL_VIEWPORT_SWIZZLE_Z_NV;
			case 0x935b -> GL_VIEWPORT_SWIZZLE_W_NV;
			case 0x935c -> GL_CLIP_ORIGIN;
			case 0x935d -> GL_CLIP_DEPTH_MODE;
			case 0x9366 -> GL_TEXTURE_REDUCTION_MODE_ARB;
			case 0x9367 -> GL_WEIGHTED_AVERAGE_ARB;
			case 0x9368 -> GL_FONT_GLYPHS_AVAILABLE_NV;
			case 0x9369 -> GL_FONT_TARGET_UNAVAILABLE_NV;
			case 0x936a -> GL_FONT_UNAVAILABLE_NV;
			case 0x936b -> GL_FONT_UNINTELLIGIBLE_NV;
			case 0x936c -> GL_STANDARD_FONT_FORMAT_NV;
			case 0x936d -> GL_FRAGMENT_INPUT_NV;
			case 0x936e -> GL_UNIFORM_BUFFER_UNIFIED_NV;
			case 0x936f -> GL_UNIFORM_BUFFER_ADDRESS_NV;
			case 0x9370 -> GL_UNIFORM_BUFFER_LENGTH_NV;
			case 0x9371 -> GL_MULTISAMPLES_NV;
			case 0x9372 -> GL_SUPERSAMPLE_SCALE_X_NV;
			case 0x9373 -> GL_SUPERSAMPLE_SCALE_Y_NV;
			case 0x9374 -> GL_CONFORMANT_NV;
			case 0x9379 -> GL_CONSERVATIVE_RASTER_DILATE_NV;
			case 0x937a -> GL_CONSERVATIVE_RASTER_DILATE_RANGE_NV;
			case 0x937b -> GL_CONSERVATIVE_RASTER_DILATE_GRANULARITY_NV;
			case 0x937c -> GL_VIEWPORT_POSITION_W_SCALE_NV;
			case 0x937d -> GL_VIEWPORT_POSITION_W_SCALE_X_COEFF_NV;
			case 0x937e -> GL_VIEWPORT_POSITION_W_SCALE_Y_COEFF_NV;
			case 0x937f -> GL_REPRESENTATIVE_FRAGMENT_TEST_NV;
			case 0x9381 -> GL_MULTISAMPLE_LINE_WIDTH_RANGE_ARB;
			case 0x9382 -> GL_MULTISAMPLE_LINE_WIDTH_GRANULARITY_ARB;
			case 0x9383 -> GL_VIEW_CLASS_EAC_R11;
			case 0x9384 -> GL_VIEW_CLASS_EAC_RG11;
			case 0x9385 -> GL_VIEW_CLASS_ETC2_RGB;
			case 0x9386 -> GL_VIEW_CLASS_ETC2_RGBA;
			case 0x9387 -> GL_VIEW_CLASS_ETC2_EAC_RGBA;
			case 0x9388 -> GL_VIEW_CLASS_ASTC_4x4_RGBA;
			case 0x9389 -> GL_VIEW_CLASS_ASTC_5x4_RGBA;
			case 0x938a -> GL_VIEW_CLASS_ASTC_5x5_RGBA;
			case 0x938b -> GL_VIEW_CLASS_ASTC_6x5_RGBA;
			case 0x938c -> GL_VIEW_CLASS_ASTC_6x6_RGBA;
			case 0x938d -> GL_VIEW_CLASS_ASTC_8x5_RGBA;
			case 0x938e -> GL_VIEW_CLASS_ASTC_8x6_RGBA;
			case 0x938f -> GL_VIEW_CLASS_ASTC_8x8_RGBA;
			case 0x9390 -> GL_VIEW_CLASS_ASTC_10x5_RGBA;
			case 0x9391 -> GL_VIEW_CLASS_ASTC_10x6_RGBA;
			case 0x9392 -> GL_VIEW_CLASS_ASTC_10x8_RGBA;
			case 0x9393 -> GL_VIEW_CLASS_ASTC_10x10_RGBA;
			case 0x9394 -> GL_VIEW_CLASS_ASTC_12x10_RGBA;
			case 0x9395 -> GL_VIEW_CLASS_ASTC_12x12_RGBA;
			case 0x93a0 -> GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE;
			case 0x93a1 -> GL_BGRA8_EXT;
			case 0x93a2 -> GL_TEXTURE_USAGE_ANGLE;
			case 0x93a3 -> GL_FRAMEBUFFER_ATTACHMENT_ANGLE;
			case 0x93a4 -> GL_PACK_REVERSE_ROW_ORDER_ANGLE;
			case 0x93a6 -> GL_PROGRAM_BINARY_ANGLE;
			case 0x93f0 -> GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV2_IMG;
			case 0x93f1 -> GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV2_IMG;
			case 0x94f0 -> GL_PERFQUERY_COUNTER_EVENT_INTEL;
			case 0x94f1 -> GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL;
			case 0x94f2 -> GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL;
			case 0x94f3 -> GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL;
			case 0x94f4 -> GL_PERFQUERY_COUNTER_RAW_INTEL;
			case 0x94f5 -> GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL;
			case 0x94f8 -> GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL;
			case 0x94f9 -> GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL;
			case 0x94fa -> GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL;
			case 0x94fb -> GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL;
			case 0x94fc -> GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL;
			case 0x94fd -> GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL;
			case 0x94fe -> GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL;
			case 0x94ff -> GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL;
			case 0x9500 -> GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL;
			case 0x9532 -> GL_SUBGROUP_SIZE_KHR;
			case 0x9533 -> GL_SUBGROUP_SUPPORTED_STAGES_KHR;
			case 0x9534 -> GL_SUBGROUP_SUPPORTED_FEATURES_KHR;
			case 0x9535 -> GL_SUBGROUP_QUAD_ALL_STAGES_KHR;
			case 0x9536 -> GL_MAX_MESH_TOTAL_MEMORY_SIZE_NV;
			case 0x9537 -> GL_MAX_TASK_TOTAL_MEMORY_SIZE_NV;
			case 0x9538 -> GL_MAX_MESH_OUTPUT_VERTICES_NV;
			case 0x9539 -> GL_MAX_MESH_OUTPUT_PRIMITIVES_NV;
			case 0x953a -> GL_MAX_TASK_OUTPUT_COUNT_NV;
			case 0x953b -> GL_MAX_MESH_WORK_GROUP_SIZE_NV;
			case 0x953c -> GL_MAX_TASK_WORK_GROUP_SIZE_NV;
			case 0x953d -> GL_MAX_DRAW_MESH_TASKS_COUNT_NV;
			case 0x953e -> GL_MESH_WORK_GROUP_SIZE_NV;
			case 0x953f -> GL_TASK_WORK_GROUP_SIZE_NV;
			case 0x9540 -> GL_QUERY_RESOURCE_TYPE_VIDMEM_ALLOC_NV;
			case 0x9542 -> GL_QUERY_RESOURCE_MEMTYPE_VIDMEM_NV;
			case 0x9543 -> GL_MESH_OUTPUT_PER_PRIMITIVE_GRANULARITY_NV;
			case 0x9544 -> GL_QUERY_RESOURCE_SYS_RESERVED_NV;
			case 0x9545 -> GL_QUERY_RESOURCE_TEXTURE_NV;
			case 0x9546 -> GL_QUERY_RESOURCE_RENDERBUFFER_NV;
			case 0x9547 -> GL_QUERY_RESOURCE_BUFFEROBJECT_NV;
			case 0x9548 -> GL_PER_GPU_STORAGE_NV;
			case 0x9549 -> GL_MULTICAST_PROGRAMMABLE_SAMPLE_LOCATION_NV;
			case 0x954a -> GL_UPLOAD_GPU_MASK_NVX;
			case 0x954d -> GL_CONSERVATIVE_RASTER_MODE_NV;
			case 0x954e -> GL_CONSERVATIVE_RASTER_MODE_POST_SNAP_NV;
			case 0x954f -> GL_CONSERVATIVE_RASTER_MODE_PRE_SNAP_TRIANGLES_NV;
			case 0x9550 -> GL_CONSERVATIVE_RASTER_MODE_PRE_SNAP_NV;
			case 0x9552 -> GL_SPIR_V_BINARY;
			case 0x9553 -> GL_SPIR_V_EXTENSIONS;
			case 0x9554 -> GL_NUM_SPIR_V_EXTENSIONS;
			case 0x9555 -> GL_SCISSOR_TEST_EXCLUSIVE_NV;
			case 0x9556 -> GL_SCISSOR_BOX_EXCLUSIVE_NV;
			case 0x9557 -> GL_MAX_MESH_VIEWS_NV;
			case 0x9558 -> GL_RENDER_GPU_MASK_NV;
			case 0x9559 -> GL_MESH_SHADER_NV;
			case 0x955a -> GL_TASK_SHADER_NV;
			case 0x955b -> GL_SHADING_RATE_IMAGE_BINDING_NV;
			case 0x955c -> GL_SHADING_RATE_IMAGE_TEXEL_WIDTH_NV;
			case 0x955d -> GL_SHADING_RATE_IMAGE_TEXEL_HEIGHT_NV;
			case 0x955e -> GL_SHADING_RATE_IMAGE_PALETTE_SIZE_NV;
			case 0x955f -> GL_MAX_COARSE_FRAGMENT_SAMPLES_NV;
			case 0x9563 -> GL_SHADING_RATE_IMAGE_NV;
			case 0x9564 -> GL_SHADING_RATE_NO_INVOCATIONS_NV;
			case 0x9565 -> GL_SHADING_RATE_1_INVOCATION_PER_PIXEL_NV;
			case 0x9566 -> GL_SHADING_RATE_1_INVOCATION_PER_1X2_PIXELS_NV;
			case 0x9567 -> GL_SHADING_RATE_1_INVOCATION_PER_2X1_PIXELS_NV;
			case 0x9568 -> GL_SHADING_RATE_1_INVOCATION_PER_2X2_PIXELS_NV;
			case 0x9569 -> GL_SHADING_RATE_1_INVOCATION_PER_2X4_PIXELS_NV;
			case 0x956a -> GL_SHADING_RATE_1_INVOCATION_PER_4X2_PIXELS_NV;
			case 0x956b -> GL_SHADING_RATE_1_INVOCATION_PER_4X4_PIXELS_NV;
			case 0x956c -> GL_SHADING_RATE_2_INVOCATIONS_PER_PIXEL_NV;
			case 0x956d -> GL_SHADING_RATE_4_INVOCATIONS_PER_PIXEL_NV;
			case 0x956e -> GL_SHADING_RATE_8_INVOCATIONS_PER_PIXEL_NV;
			case 0x956f -> GL_SHADING_RATE_16_INVOCATIONS_PER_PIXEL_NV;
			case 0x9579 -> GL_MESH_VERTICES_OUT_NV;
			case 0x957a -> GL_MESH_PRIMITIVES_OUT_NV;
			case 0x957b -> GL_MESH_OUTPUT_TYPE_NV;
			case 0x957c -> GL_MESH_SUBROUTINE_NV;
			case 0x957d -> GL_TASK_SUBROUTINE_NV;
			case 0x957e -> GL_MESH_SUBROUTINE_UNIFORM_NV;
			case 0x957f -> GL_TASK_SUBROUTINE_UNIFORM_NV;
			case 0x9582 -> GL_NUM_TILING_TYPES_EXT;
			case 0x9583 -> GL_TILING_TYPES_EXT;
			case 0x9584 -> GL_OPTIMAL_TILING_EXT;
			case 0x9585 -> GL_LINEAR_TILING_EXT;
			case 0x959c -> GL_UNIFORM_BLOCK_REFERENCED_BY_MESH_SHADER_NV;
			case 0x959d -> GL_UNIFORM_BLOCK_REFERENCED_BY_TASK_SHADER_NV;
			case 0x959e -> GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_MESH_SHADER_NV;
			case 0x959f -> GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TASK_SHADER_NV;
			case 0x95a0 -> GL_REFERENCED_BY_MESH_SHADER_NV;
			case 0x95a1 -> GL_REFERENCED_BY_TASK_SHADER_NV;
			case 0x95a2 -> GL_MAX_MESH_WORK_GROUP_INVOCATIONS_NV;
			case 0x95a3 -> GL_MAX_TASK_WORK_GROUP_INVOCATIONS_NV;
			case 0x95a4 -> GL_ATTACHED_MEMORY_OBJECT_NV;
			case 0x95a5 -> GL_ATTACHED_MEMORY_OFFSET_NV;
			case 0x95a6 -> GL_MEMORY_ATTACHABLE_ALIGNMENT_NV;
			case 0x95a7 -> GL_MEMORY_ATTACHABLE_SIZE_NV;
			case 0x95a8 -> GL_MEMORY_ATTACHABLE_NV;
			case 0x95a9 -> GL_DETACHED_MEMORY_INCARNATION_NV;
			case 0x95aa -> GL_DETACHED_TEXTURES_NV;
			case 0x95ab -> GL_DETACHED_BUFFERS_NV;
			case 0x95ac -> GL_MAX_DETACHED_TEXTURES_NV;
			case 0x95ad -> GL_MAX_DETACHED_BUFFERS_NV;
			case 0x95ae -> GL_SHADING_RATE_SAMPLE_ORDER_DEFAULT_NV;
			case 0x95af -> GL_SHADING_RATE_SAMPLE_ORDER_PIXEL_MAJOR_NV;
			case 0x95b0 -> GL_SHADING_RATE_SAMPLE_ORDER_SAMPLE_MAJOR_NV;
			case 0x9631 -> GL_MAX_VIEWS_OVR;
			case 0x9633 -> GL_FRAMEBUFFER_INCOMPLETE_VIEW_TARGETS_OVR;
			case 0x9640 -> GL_GS_SHADER_BINARY_MTK;
			case 0x9641 -> GL_GS_PROGRAM_BINARY_MTK;
			case 0x9650 -> GL_MAX_SHADER_COMBINED_LOCAL_STORAGE_FAST_SIZE_EXT;
			case 0x9651 -> GL_MAX_SHADER_COMBINED_LOCAL_STORAGE_SIZE_EXT;
			case 0x9652 -> GL_FRAMEBUFFER_INCOMPLETE_INSUFFICIENT_SHADER_COMBINED_LOCAL_STORAGE_EXT;
			case 0x96a3 -> GL_VALIDATE_SHADER_BINARY_QCOM;
			case 0x19262 -> GL_RASTER_POSITION_UNCLIPPED_IBM;
			case 0x1928a -> GL_CULL_VERTEX_IBM;
			case 0x19294 -> GL_ALL_STATIC_DATA_IBM;
			case 0x19295 -> GL_STATIC_VERTEX_ARRAY_IBM;
			case 0x1929e -> GL_VERTEX_ARRAY_LIST_IBM;
			case 0x1929f -> GL_NORMAL_ARRAY_LIST_IBM;
			case 0x192a0 -> GL_COLOR_ARRAY_LIST_IBM;
			case 0x192a1 -> GL_INDEX_ARRAY_LIST_IBM;
			case 0x192a2 -> GL_TEXTURE_COORD_ARRAY_LIST_IBM;
			case 0x192a3 -> GL_EDGE_FLAG_ARRAY_LIST_IBM;
			case 0x192a4 -> GL_FOG_COORDINATE_ARRAY_LIST_IBM;
			case 0x192a5 -> GL_SECONDARY_COLOR_ARRAY_LIST_IBM;
			case 0x192a8 -> GL_VERTEX_ARRAY_LIST_STRIDE_IBM;
			case 0x192a9 -> GL_NORMAL_ARRAY_LIST_STRIDE_IBM;
			case 0x192aa -> GL_COLOR_ARRAY_LIST_STRIDE_IBM;
			case 0x192ab -> GL_INDEX_ARRAY_LIST_STRIDE_IBM;
			case 0x192ac -> GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM;
			case 0x192ad -> GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM;
			case 0x192ae -> GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM;
			case 0x192af -> GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM;
			case 0x1a202 -> GL_NATIVE_GRAPHICS_HANDLE_PGI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLUngrouped");
		};
	}
}